
#include "ihm.h"
#include "basededonnees.h"
#include "serveur.h"
#include <unistd.h>
#include <time.h>
IHM::IHM( QWidget *parent ) : QWidget( parent )
{
    // les widgets
    labelInformationsFlotte = new QLabel(this);
    labelInformationsFlotte->setText(QString::fromUtf8("Services"));
    labelInformationsFlotte->setAlignment(Qt::AlignHCenter);
    informationsFlotte = new QTableWidget(0, 11, this);
    //informationsFlotte->setRowCount(0);
    informationsFlotte->setEditTriggers(QAbstractItemView::NoEditTriggers);
    informationsFlotte->setHorizontalHeaderLabels(QStringList() << "État" << "Bus" << "Ligne" << "Conducteur" << "Destination" << "Arrêt" << "Prochain" << "A/R" << "km/h" << "Heure" << "Service" );
    informationsFlotte->verticalHeader()->setHidden(true);
    informationsFlotte->setFixedHeight(200);
    informationsFlotte->setColumnWidth(0, 120);
    informationsFlotte->setColumnWidth(1, 40);
    informationsFlotte->setColumnWidth(2, 50);
    informationsFlotte->setColumnWidth(3, 150);
    informationsFlotte->setColumnWidth(4, 150);
    informationsFlotte->setColumnWidth(5, 80);
    informationsFlotte->resizeColumnToContents(6);
    informationsFlotte->resizeColumnToContents(7);
    informationsFlotte->resizeColumnToContents(8);
    informationsFlotte->resizeColumnToContents(9);

    QHeaderView * headerViewFlotte = informationsFlotte->horizontalHeader();
    //headerViewFlotte->setResizeMode(QHeaderView::ResizeToContents);
    headerViewFlotte->setStretchLastSection(true);
    //headerViewFlotte->setResizeMode(QHeaderView::Stretch);

    //boutons pour connecter les bus
    nomClicCarte = new QLabel(this);
    bDemarrer  = new QPushButton(QString::fromUtf8("Démarrer"), this);
    bDemarrer->setEnabled(true);
    bArreter   = new QPushButton(QString::fromUtf8("Arrêter"), this);
    bArreter->setEnabled(false);

    // insertion tableau Suivis
    labelsuivisCourse = new QLabel(this);
    labelsuivisCourse->setText(QString::fromUtf8("Suivis"));
    labelsuivisCourse->setAlignment(Qt::AlignHCenter);
    suivisCourse = new QTableWidget(0, 8, this);
    suivisCourse->setEditTriggers(QAbstractItemView::NoEditTriggers);
    suivisCourse->setHorizontalHeaderLabels(QStringList() << "N" << "Arret" << "Départ théorique" << "Départ Réel" << "Av(-)/Rd(+)" << "Arrivé théorique" << "Arrivée Réel" << "Av(-)/Rd(+)" );
    suivisCourse->verticalHeader()->setHidden(true);
    suivisCourse->setColumnWidth(0, 30);
    suivisCourse->setColumnWidth(1, 200);
    suivisCourse->setColumnWidth(2, 150);
    suivisCourse->setColumnWidth(3, 90);
    suivisCourse->setColumnWidth(4, 100);
    suivisCourse->setColumnWidth(5, 150);
    suivisCourse->resizeColumnToContents(6);
    suivisCourse->resizeColumnToContents(7);

    QHeaderView * headerViewSuivi = suivisCourse->horizontalHeader();
    //headerViewSuivi->setResizeMode(QHeaderView::Stretch);
    headerViewSuivi->setStretchLastSection(true);
    //headerViewSuivi->setResizeMode(QHeaderView::ResizeToContents);

    //Pour la journalisation
    journal = new QTextEdit(this);
    journal->setReadOnly(true);
    journal->setFixedHeight(150);

    lireParametresCarte();

    // On instancie la map
    mc = new MapControl(QSize(parametresCarte.largeur,parametresCarte.hauteur));
    mc->showScale(true);
    mapadapter = new TileMapAdapter("otile1.mqcdn.com", "/tiles/1.0.0/osm/%1/%2/%3.png", 256, 0, 17);
    l = new Layer("Custom Layer", mapadapter, Layer::MapLayer);
    mc->addLayer(l);
    mc->setView(QPointF(parametresCarte.latitude, parametresCarte.longitude)); //Toulouse !
    mc->setZoom(parametresCarte.zoom);
    mc->setFixedWidth((parametresCarte.largeur)+1);
    mc->setFixedHeight((parametresCarte.hauteur)+1);
    QPushButton* zoomin = new QPushButton("+");
    QPushButton* zoomout = new QPushButton("-");
    zoomin->setMaximumWidth(50);
    zoomout->setMaximumWidth(50);

    // Connection avec les slots
    connect(zoomin, SIGNAL(clicked(bool)), mc, SLOT(zoomIn()));
    connect(zoomout, SIGNAL(clicked(bool)), mc, SLOT(zoomOut()));

    QVBoxLayout* innerlayout = new QVBoxLayout;
    innerlayout->addWidget(zoomin);
    innerlayout->addWidget(zoomout);
    innerlayout->addStretch(1);
    mc->setLayout(innerlayout);


    // mise ne place des layout

    QHBoxLayout *hLayout0 = new QHBoxLayout;
    QHBoxLayout *hLayout1 = new QHBoxLayout;
    QHBoxLayout *hLayout2 = new QHBoxLayout;
    QHBoxLayout *hLayout3 = new QHBoxLayout;
    QHBoxLayout *hLayout4 = new QHBoxLayout;
    QHBoxLayout *hLayout5a = new QHBoxLayout;
    QHBoxLayout *hLayout5 = new QHBoxLayout;
    QHBoxLayout *hLayout6 = new QHBoxLayout;

    QVBoxLayout* layoutGauche = new QVBoxLayout;
    QVBoxLayout* layoutDroit = new QVBoxLayout;
    QHBoxLayout *mainLayout = new QHBoxLayout;

    hLayout0->addWidget(informationsFlotte);
    hLayout1->addWidget(labelInformationsFlotte);
    hLayout2->addWidget(suivisCourse);
    hLayout3->addWidget(labelsuivisCourse);
    hLayout4->addWidget(journal);
    layoutGauche->addWidget(mc);
    hLayout5a->addWidget(nomClicCarte);
    hLayout5->addWidget(bDemarrer);
    hLayout5->addWidget(bArreter);

    layoutGauche->addSpacing(15);
    layoutGauche->addLayout(hLayout5a);
    layoutGauche->addLayout(hLayout5);

    layoutGauche->addStretch(1);
    layoutDroit->addLayout(hLayout0);
    layoutDroit->addLayout(hLayout1);
    layoutDroit->addLayout(hLayout2);
    layoutDroit->addLayout(hLayout3);
    layoutDroit->addLayout(hLayout4);
    //layoutDroit->addStretch(1);
    mainLayout->addLayout(layoutGauche);
    mainLayout->addLayout(layoutDroit);
    setLayout(mainLayout);

    /* démarrage plein écran */
    const int width = qApp->desktop()->width();
    const int height = qApp->desktop()->height();
    resize(width, height);
    /* reste en avant plan */
    //setWindowFlags(Qt::WindowStaysOnTopHint | Qt::FramelessWindowHint);

    // Initialisation
    serveur = NULL;

    QString message = "Démarrage SAI";
    journaliser(message);

    connect(informationsFlotte, SIGNAL(itemDoubleClicked(QTableWidgetItem*)), this, SLOT(effacerVehiculeFlotte(QTableWidgetItem *)));
    connect(informationsFlotte, SIGNAL(itemClicked(QTableWidgetItem*)), this, SLOT(selectionnerVehiculeFlotte(QTableWidgetItem *)));
    connect(informationsFlotte,SIGNAL(itemActivated(QTableWidgetItem*)),this,SLOT(selectionnerVehiculeFlotte(QTableWidgetItem*)));
    connect(bDemarrer, SIGNAL(clicked()), this, SLOT(demarrer()));
    connect(bArreter, SIGNAL(clicked()), this, SLOT(arreter()));

    idVehiculeSelectionne = "";
    nomReferentiel = "referentiel-sai.sqlite";

    QVector<QStringList> suivi;
    arretclic = false;
    timerArret = new QTimer(this);
    timerArret->setInterval(5000);
    connect(timerArret, SIGNAL(timeout()), this, SLOT(effacerArret()));

}

IHM::~IHM()
{
}

void IHM::demarrer()
{
   if(serveur == NULL || serveur != NULL)
   {
      //Connection a la base de donnée
      bdd = BaseDeDonnees::getInstance();
      bdd->connecter(nomReferentiel);
      retard=0;
      services = recupererServices();
      afficherServices(services);
      qDebug() << Q_FUNC_INFO;
      serveur = new Serveur;
      serveur->demarrer();
      bArreter->setEnabled(true);
      bDemarrer->setEnabled(false);
      connect(serveur, SIGNAL(donneesRecues(QString)), this, SLOT(decoderMessagesSIV(QString)));
   }
}

void IHM::arreter()
{
   if(serveur != NULL)
   {
      qDebug() << Q_FUNC_INFO;
      disconnect(serveur, SIGNAL(donneesRecues(QString)), this, SLOT(afficherMessagesSIV(QString)));
      delete serveur;
      bArreter->setEnabled(false);
      bDemarrer->setEnabled(true);
   }
}

void IHM::afficherMessagesSIV(QString messageSIV)
{
   QString message = "<IHM::afficherDonnee()> donnees recues : " + messageSIV;
   journaliser(message);
}

/*
 * Rôle de la méthode : Permet de decoder les messages envoyés par le SIV
 *
 * Paramètre(s) en entrée : messageSIV
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::decoderMessagesSIV(QString messageSIV)
{
    QString idVehicule;
    QString idService;
    QString idItineraire;

    afficherMessagesSIV(messageSIV);

    // extraction messages des données reçues :
    // chaque message se termine par \r\n (cf. protocole)
    QStringList messages = messageSIV.split("\r\n");
    qDebug() << Q_FUNC_INFO << messages;

    // pour chaque message reçu
    for(int i = 0; i < messages.size(); i++)
    {
        if(!messages[i].isEmpty())
        {
            QStringList champs = messages[i].split(';');
            qDebug() << Q_FUNC_INFO << champs;

            //QVector<QStringList> champsLocalisation;
            //QStringList champsArret;

            if(champs.length() != 0)
            {
                idVehicule = champs.at(3);
                idService = champs.at(4);
                idItineraire = champs.at(6);

                // est-ce que ce véhicule pour ce service sur cet itineraire existe ?
                if(!estEnService(idVehicule, idService, idItineraire))
                {
                    // NON :
                    QString messageErreur = "<b><font color=red>Le vehicule " + idVehicule + " du service " + idService + " pour l'itineraire " + idItineraire + " n'est pas connu du SAI !</font></b>";
                    journaliser(messageErreur);
                    continue; // on ignore et on passe au message suivant
                }
                // OUI :
                itinerairesBus[idVehicule] = idItineraire;

                #ifdef DEBUG_IHM
                qDebug() << "<IHM::decoderMessagesSIV()> idVehicule : " << idVehicule << " idService : " << idService << " idItineraire : " << idItineraire;
                QString message = "<IHM::decoderMessagesSIV()> idVehicule : " + idVehicule + " idService : " + idService + " idItineraire : " + idItineraire;
                journaliser(message);
                #endif
            }

            const QString typeTrameLocalisation = "LOCALISATION";
            const QString typeTrameArret = "ARRET";
            const QString typeTrameAlerte = "ALERTE";

            if(champs.length() != 0)
            {
                if(messages[i].startsWith(typeTrameLocalisation))
                {
                    qDebug() << "Information : trame LOCALISATION recue";
                    actualiserLocalisation(champs);
                    afficherServicesVitesse(champs);
                }
                else if(messages[i].startsWith(typeTrameArret))
                {
                    qDebug() << "Information : trame ARRET recue";
                    afficherSuiviHeure(idVehicule, champs);
                    afficherServicesArret(champs);
                }
                else if(messages[i].startsWith(typeTrameAlerte))
                {
                    qDebug() << "Information : trame ALERTE recue";
                }
                else
                    qDebug() << "Erreur : trame inconnue !";
            }
            else
                qDebug() << "Erreur : trame vide !";
        }
    }
}

void IHM::selectionnerBus(Geometry* layer, QPoint point)
{
    //qDebug() << Q_FUNC_INFO << "point" << point;
    QString nom = layer->name();
    qDebug() << Q_FUNC_INFO << __LINE__ << "nom" << nom;
    nomClicCarte->setText(nom);

    QString idVehicule = "";
    for(int i = 0; i < services.size(); i++)
    {
        // idVehicule en service ?
        if(services.at(i).at(SERVICE_ID_VEHICULE) == nom)
        {
            idVehicule = nom;
            break;
        }
    }

    // idVehicule trouve ?
    if(idVehicule != "")
    {
        QString idItineraire;
        if (itinerairesBus.contains(idVehicule))
        {
            idItineraire = itinerairesBus[idVehicule];
            QVector<QStringList> suivi;
            suivi = recupererSuivi(idItineraire);
            afficherSuivi(idVehicule, suivi);
        }
        int nb = informationsFlotte->rowCount();
        for(int i = 0; i < nb; i++)
        {
            QTableWidgetItem *item = informationsFlotte->item(i, COLONNE_NUMERO_BUS);
            if(item->text() == idVehicule)
            {
                selectionnerVehiculeFlotte(item);
                break;
            }
        }
    }

    if (arretclic == true)
    {
        layerarret->clearGeometries();
        arretclic = false;
    } 
    if(idVehicule!=nom)
    {
        //On recupere les coordonnees de l'arret
        QStringList coordonnes;;
        bool etat = recupererArret(nom,coordonnes);
        if(etat == true)
        {
            QString latitude = coordonnes.at(0);
            QString longitude = coordonnes.at(1);
            QList<Point*> points;
            QPen* pen = new QPen(QColor(QColor(255, 0, 0, 150))); // on trace avec la couleur indiquée par le référentiel
            pen->setWidth(5);
            points.append(new Point(longitude.toDouble(), latitude.toDouble(), "", Point::Middle));

            layerarret = new GeometryLayer("Arret " + nom, mapadapter);

            points.clear();
            points.append(new ImagePoint(longitude.toDouble(), latitude.toDouble(), QCoreApplication::applicationDirPath() + "/images/bus_stop.png", nom, Point::Middle));
            layerarret->addGeometry(new LineString(points, "arret", pen));
            if (arretclic == false)
            {
                mc->addLayer(layerarret);
                arretclic =true;
                timerArret->start();
            }
            mc->update();
        }
    }

}

void IHM::effacerArret()
{
    if (arretclic == true)
    {
        layerarret->clearGeometries();
        arretclic = false;
        mc->update();
        timerArret->stop();
    }
}

/*
 * Rôle de la méthode : Permet de recuperer les services de la journée
 *
 * Paramètre(s) en entrée : Aucun
 *
 * Paramètre(s) en sortie : services
 *
 * Valeur de retour : QVector<QStringList>
 */
QVector<QStringList> IHM::recupererServices()
{
    QString dateDebut;
    QString heureDebut;
    //Simulation
    dateDebut = "2015-07-11";
    heureDebut = "07:00:00";
    //Fin Simulation
    QString message;
    bool retour = false;
    QVector<QStringList> services;
    //QString requeteServices = "SELECT service.idService, service.codeConducteur, service.idVehicule, conducteur.nomconducteur, service.dateDebut, service.heureDebut, service.effectue FROM service INNER JOIN conducteur ON conducteur.codeconducteur = service.codeConducteur WHERE service.dateDebut = \"" + dateDebut + "\" AND service.heureDebut = \"" + heureDebut + "\" AND service.effectue = 0  ";
    QString requeteServices = "SELECT service.idService, service.codeConducteur, service.idVehicule, conducteur.nomconducteur, service.dateDebut, service.heureDebut, service.effectue FROM service INNER JOIN conducteur ON conducteur.codeconducteur = service.codeConducteur WHERE service.effectue = 0  ";
    //message = requeteServices;
    //journaliser(message);

    retour = bdd->recuperer(requeteServices, services);
    if(retour != false)
    {
        if(!services.isEmpty())
        {
            //qDebug() << Q_FUNC_INFO << services;
        }
        else
        {
            message = "<IHM::recupererServices()> erreur aucun service !" ;
            journaliser(message);
        }
    }
    else
    {
        message = "<IHM::recupererServices()> erreur requete !" ;
        journaliser(message);
    }
    return services;
}


/*
 * Rôle de la méthode :Permet de recuperer le suivi d'une course
 *
 * Paramètre(s) en entrée : idItineraire
 *
 * Paramètre(s) en sortie : suivi
 *
 * Valeur de retour : QVector<QStringList>
 */
QVector<QStringList> IHM::recupererSuivi(QString idItineraire)
{
    QString message;
    bool retour = false;
    QVector<QStringList> suivi;
    QString requeteSuivi = "SELECT  numeroSequence, nomLieu, heureArrivee, heureDepart FROM itineraire INNER JOIN arret ON arret.idItineraire=itineraire.idItineraire INNER JOIN lieu ON lieu.idArret=arret.idArret WHERE itineraire.idItineraire='" + idItineraire + "' ORDER BY numeroSequence ASC";

    retour = bdd->recuperer(requeteSuivi, suivi);
    if(retour != false)
    {
        if(!suivi.isEmpty())
        {
            //qDebug() << Q_FUNC_INFO << suivi;
        }
        else
        {
            message = "<IHM::recupererSuivi()> erreur aucun suivi !" ;
            journaliser(message);
        }
    }
    else
    {
        message = "<IHM::recupererSuivi()> erreur requete !" ;
        journaliser(message);
    }
    return suivi;
}


/*
 * Rôle de la méthode : Methode qui sert a actualiser l'arret et le prochain arret et l'état d'une course
 *
 * Paramètre(s) en entrée : arret
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::afficherServicesArret(QStringList arret)
{
    // Exemple de QStringList arret :
    // ("ARRET", "27/04/2016", "06:23:20.000", "155", "1", "11821949021891623", "4503603928075026", "Jean Jaurès", "EA")

    // Extraction des données utiles
    QString date = arret.at(1);
    QString heure = arret.at(2);
    QString idBus = arret.at(3);
    QString idService = arret.at(4);
    QString nomArret = arret.at(7);
    QString idItineraire = arret.at(6);
    QString data;
    QStringList service;
    QStringList ligneTrouve;
    QString prochainArret;
    bool trouve = false;
    int ligne = -1;

    // Identifie la ligne concernée dans la table à partir du numéro de bus
    int nb = informationsFlotte->rowCount();
    for(int i = 0; i < nb; i++)
    {
        if(informationsFlotte->item(i, COLONNE_NUMERO_BUS)->text() == idBus)
        {
            ligne = i;
            trouve = true;
            break;
        }
    }

    QVector<QStringList> suivi = recupererSuivi(idItineraire);

    for(int i = 0; i < suivi.size()-1; i++)
    {
        QStringList ligneTrouve = suivi.at(i);
        QString arret = ligneTrouve.at(SERVICE_ARRET);
        if(nomArret == arret )
        {
            ligneTrouve = suivi.at(i+1);
            arret = ligneTrouve.at(SERVICE_ARRET);
            prochainArret = arret;
            #ifdef DEBUG_IHM
            qDebug() << "<IHM::afficherServicesArret()> arret trouvé : " << prochainArret;
            #endif
        }
    }

    if(trouve == true)
    {
        QStringList ligneArret = suivi.at(suivi.size()-1);
        QString arretFinale = ligneArret.at(SERVICE_ARRET);
        if (arretFinale == nomArret )
        {
            informationsFlotte->item(ligne, COLONNE_ETAT)->setText("Fin de Service");
            coloriserFondLigne(informationsFlotte, ligne, "#ff0000");
        }
        else
        {
            informationsFlotte->item(ligne, COLONNE_ETAT)->setText("A l'arrêt");
        }

        informationsFlotte->item(ligne, COLONNE_HORODATAGE)->setText(heure);
        informationsFlotte->item(ligne, COLONNE_NOM_ARRET)->setText(nomArret);
        informationsFlotte->item(ligne, COLONNE_PROCHAIN_ARRET)->setText(prochainArret);
        informationsFlotte->item(ligne, COLONNE_VITESSE)->setText("0");
        informationsFlotte->item(ligne, COLONNE_AVANCE_RETARD)->setText(QString::number(retard));
     }
}


/*
 * Rôle de la méthode : Pour actualiser la direction la vitesse et l'état d'une course pendant le déplacement
 *
 * Paramètre(s) en entrée : localisation
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::afficherServicesVitesse(QStringList localisation)
{
    // Exemple de QStringList vitesse :
    // ("ARRET", "27/04/2016", "06:23:20.000", "155", "1", "11821949021891623", "4503603928075026", "Jean Jaurès", "EA")
    // Extraction des données utiles
    QString idBus = localisation.at(3);
    QString vitesse = localisation.at(12);
    QString data;
    QStringList service;
    QString direction = localisation.at(11);
    QString idItineraire = localisation.at(6);
    QString idLigne = localisation.at(5);
    QString NomLigne;

    bool trouve = false;
    int ligne = -1;

    // Identifie la ligne concernée dans la table à partir du numéro de bus
    int nb = informationsFlotte->rowCount();
    for(int i = 0; i < nb; i++)
    {
        if(informationsFlotte->item(i, COLONNE_NUMERO_BUS)->text() == idBus)
        {
            ligne = i;
            trouve = true;
            break;
        }
    }

    QString requeteDirection = " SELECT destination FROM itineraire WHERE idItineraire =" + idItineraire;
    bdd->recuperer(requeteDirection, direction);
    QString requeteNomLigne = " Select nomCourt  FROM ligne WHERE  idLIgne =" + idLigne;
    bdd->recuperer(requeteNomLigne, NomLigne);
    if(trouve == true)
    {
        informationsFlotte->item(ligne, COLONNE_DESTINATION)->setText(direction);
        informationsFlotte->item(ligne, COLONNE_VITESSE)->setText(vitesse);
        informationsFlotte->item(ligne, COLONNE_NUMERO_LIGNE)->setText(NomLigne);
        if (informationsFlotte->item(ligne, COLONNE_ETAT)->text()== "En attente")
        {
            informationsFlotte->item(ligne, COLONNE_ETAT)->setText("Prise de service");
        }
        else if(informationsFlotte->item(ligne, COLONNE_ETAT)->text() == "A l'arrêt" || informationsFlotte->item(ligne, COLONNE_ETAT)->text() == "Prise de service")
        {
            informationsFlotte->item(ligne, COLONNE_ETAT)->setText("En déplacement");
        }
    }
}


/*
 * Rôle de la méthode : Sert à afficher les services a partir des services récupèré dans la base de donnée
 *
 * Paramètre(s) en entrée : services
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::afficherServices(QVector<QStringList> services)
{
    QString data;
    QStringList service;

    // Efface la table
    int nb = informationsFlotte->rowCount();
    for(int i = 0; i < nb; i++)
    {
        informationsFlotte->removeRow(0);
    }

    nb = informationsFlotte->rowCount();
    for(int i = 0; i < services.size(); i++)
    {
        informationsFlotte->setRowCount(++nb);
        service = services.at(i);
        #ifdef DEBUG_IHM
        qDebug() << "<IHM::afficherServices()> service : " << service;
        #endif

        data = "En attente";
        //data = "<span style=\" color:#ff0000;\">En attente</span>";
        informationsFlotte->setItem(nb-1, COLONNE_ETAT, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_ETAT)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = service.at(SERVICE_ID_VEHICULE);
        informationsFlotte->setItem(nb-1, COLONNE_NUMERO_BUS, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_NUMERO_BUS)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        informationsFlotte->setItem(nb-1, COLONNE_NUMERO_LIGNE, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_NUMERO_LIGNE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = service.at(SERVICE_NOM_CONDUCTEUR);
        informationsFlotte->setItem(nb-1, COLONNE_NOM_CONDUCTEUR, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_NOM_CONDUCTEUR)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        informationsFlotte->setItem(nb-1, COLONNE_DESTINATION, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_DESTINATION)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        informationsFlotte->setItem(nb-1, COLONNE_NOM_ARRET, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_NOM_ARRET)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        informationsFlotte->setItem(nb-1, COLONNE_PROCHAIN_ARRET, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_PROCHAIN_ARRET)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        informationsFlotte->setItem(nb-1, COLONNE_AVANCE_RETARD, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_AVANCE_RETARD)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        informationsFlotte->setItem(nb-1, COLONNE_VITESSE, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_VITESSE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = service.at(SERVICE_HEURE_DEBUT);
        informationsFlotte->setItem(nb-1, COLONNE_HORODATAGE, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_HORODATAGE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = service.at(SERVICE_ID_SERVICE);
        informationsFlotte->setItem(nb-1, COLONNE_NUMERO_SERVICE, new QTableWidgetItem(data));
        informationsFlotte->item(nb-1, COLONNE_NUMERO_SERVICE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);        
    }
}


/*
 * Rôle de la méthode : Sert à afficher le suivi d'une course
 *
 * Paramètre(s) en entrée : idServices , suivi
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::afficherSuivi(QString idVehicule, QVector<QStringList> suivi)
{

    QString data;
    QStringList arret;
    int nb;

    // Efface la table
    nb = suivisCourse->rowCount();
    for(int i = 0; i < nb; i++)
    {
        suivisCourse->removeRow(0);
    }

    nb = suivisCourse->rowCount();
    for(int i = 0; i < suivi.size(); i++)
    {
        suivisCourse->setRowCount(++nb);
        arret = suivi.at(i);
        #ifdef DEBUG_IHM
        qDebug() << Q_FUNC_INFO << arret;
        #endif
        data = arret.at(SEQUENCE);
        suivisCourse->setItem(nb-1, COLONNE_SEQUENCE, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_SEQUENCE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = arret.at(SERVICE_ARRET);
        suivisCourse->setItem(nb-1, COLONNE_SERVICE_ARRET, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_SERVICE_ARRET)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = arret.at(SERVICE_HEURE_DEBUT_THEORIQUE);
        suivisCourse->setItem(nb-1, COLONNE_SERVICE_HEURE_DEBUT_THEORIQUE, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_SERVICE_HEURE_DEBUT_THEORIQUE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        suivisCourse->setItem(nb-1, COLONNE_SERVICE_DATE_DEBUT_REEL, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_SERVICE_DATE_DEBUT_REEL)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        suivisCourse->setItem(nb-1, COLONNE_AVANCE, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_AVANCE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = arret.at(SERVICE_HEURE_ARRIVE_THEORIQUE);
        suivisCourse->setItem(nb-1, COLONNE_SERVICE_HEURE_ARRIVE_THEORIQUE, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_SERVICE_HEURE_ARRIVE_THEORIQUE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        suivisCourse->setItem(nb-1, COLONNE_SERVICE_HEURE_ARRIVE_REEL, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_SERVICE_HEURE_ARRIVE_REEL)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
        data = "";
        suivisCourse->setItem(nb-1, COLONNE_TEMPS_ARRIVE, new QTableWidgetItem(data));
        suivisCourse->item(nb-1, COLONNE_TEMPS_ARRIVE)->setTextAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
    }

    if(!arrets.contains(idVehicule))
        return;
    else
    {
        QVector<QStringList> tablesuivi;
        tablesuivi = arrets[idVehicule] ;
        for (int i = 0; i < tablesuivi.size() ;i++ )
        {
            QStringList ligne = tablesuivi.at(i);
            QString heure = ligne.at(2);
            suivisCourse->item(i, COLONNE_SERVICE_DATE_DEBUT_REEL)->setText(heure);
            suivisCourse->item(i, COLONNE_SERVICE_HEURE_ARRIVE_REEL)->setText(heure);
            //on re-calcule  l'avance retard entre les heures d'arrives reel et théoriques qu'on a sauvegardé
            QString Htheorique = suivisCourse->item(i, COLONNE_SERVICE_HEURE_DEBUT_THEORIQUE)->text();
            double duree = calculerDuree(heure,Htheorique);
            retard = duree;
            QString dureeH = QString::number(duree);
            suivisCourse->item(i, COLONNE_AVANCE)->setText(dureeH);
            suivisCourse->item(i, COLONNE_TEMPS_ARRIVE)->setText(dureeH);
            coloriserFondLigne(suivisCourse, tablesuivi.size()-1, "#fff000");
        }
     }
    //suivisCourse->resizeColumnsToContents();
}

/*
 * Rôle de la méthode : Methode qui affiche l'heure de départ et d'arrivé réel et la durée entre l'heure théorique et l'heure réel
 *
 * Paramètre(s) en entrée : idVehicule , arret
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM:: afficherSuiviHeure(QString idVehicule, QStringList arret)
{
    //QMap<QString,QVector<QStringList> > arrets;
    if(arrets.contains(idVehicule))
    {
        arrets[idVehicule].push_back(arret);
    }
    else
    {
        QVector<QStringList> a;
        a.push_back(arret);
        arrets[idVehicule] = a;
    }
    #ifdef DEBUG_IHM
    qDebug() << Q_FUNC_INFO << arrets;
    #endif

    // Mettre à jour l'affichage pour ce vehicule à suivre ?
    if(idVehicule != idVehiculeSelectionne)
        return;
    else
    {
        QVector<QStringList> suivi;
        suivi = arrets[idVehicule] ;
        for (int i = 1; i < suivi.size() ;i++ )
        {
            QStringList ligne = suivi.at(i);
            QString heure = ligne.at(2);
            //on re-calcule  l'avance retard entre les heures d'arrives reel et théoriques qu'on a sauvegardé
            QString Htheorique = suivisCourse->item(i, COLONNE_SERVICE_HEURE_DEBUT_THEORIQUE)->text();
            double duree = calculerDuree(heure,Htheorique);
            retard = duree;
            QString dureeH = QString::number(duree);
            //suivisCourse->item(i, COLONNE_SERVICE_DATE_DEBUT_REEL)->setText(heure);
            //suivisCourse->item(i, COLONNE_SERVICE_HEURE_ARRIVE_REEL)->setText(heure);
            //suivisCourse->item(i, COLONNE_TEMPS_ARRIVE)->setText(dureeH);
            //suivisCourse->item(i, COLONNE_AVANCE)->setText(dureeH);
         }
    }

    // Extraction des données utiles
    QString heureReel = arret.at(2);
    QString nomArret = arret.at(7);

    bool trouve = false;
    int ligne = -1;

    int nb = suivisCourse->rowCount();
    for(int i = 0; i < nb; i++)
    {
        if(suivisCourse->item(i, COLONNE_SERVICE_ARRET)->text() == nomArret)
        {
            ligne = i;
            trouve = true;
            break;
        }
    }

    QString heureTheorique;
    if(trouve == true)
    {
        heureTheorique = suivisCourse->item(ligne, COLONNE_SERVICE_HEURE_DEBUT_THEORIQUE)->text();
    }

    QString avance;
    if (!heureTheorique.isEmpty())
    {
        double calcul = calculerDuree(heureReel,heureTheorique);
        avance = QString::number(calcul);
    }

    if(trouve == true)
    {
        suivisCourse->item(ligne, COLONNE_SERVICE_DATE_DEBUT_REEL)->setText(heureReel);
        suivisCourse->item(ligne, COLONNE_SERVICE_HEURE_ARRIVE_REEL)->setText(heureReel);
        suivisCourse->item(ligne, COLONNE_AVANCE)->setText(avance);
        suivisCourse->item(ligne, COLONNE_TEMPS_ARRIVE)->setText(avance);
        coloriserFondLigne(suivisCourse, ligne-1, "#ffffff");
        coloriserFondLigne(suivisCourse, ligne, "#fff000");
    }
}


/*
 * Rôle de la méthode : Pour calculer la durée entre l' heure réel et l'heure théorique
 *
 * Paramètre(s) en entrée : heureReel , heureTheorique
 *
 * Paramètre(s) en sortie : duree
 *
 * Valeur de retour : double
 */
double IHM::calculerDuree(QString heureReel, QString heureTheorique)
{
    QStringList tempsreel = heureReel.split(':');
    QStringList tempstheorique = heureTheorique.split(':');
    double duree = 0.;

    #ifdef DEBUG_IHM
    qDebug() << "<IHM::calculerDuree()> tempsreel : " << tempsreel <<"tempstheorique"<<tempstheorique;
    #endif

    if(tempsreel.size() != 3)
        return duree;

    if(tempstheorique.size() != 3)
        return duree;

    double heureR = tempsreel.at(0).toDouble();
    double minuteR = tempsreel.at(1).toDouble();
    //double secondeR = tempsreel.at(2).toDouble();

    double heureT = tempstheorique.at(0).toDouble();
    double minuteT = tempstheorique.at(1).toDouble();
    //double secondeT = tempstheorique.at(2).toDouble();

    duree = ((heureR - heureT)*60.) + (minuteR - minuteT);

    #ifdef DEBUG_IHM
    qDebug() << "<IHM::calculerDuree()> duree : " << duree;
    #endif

    return duree;
}

bool IHM::estEnService(QString idVehicule, QString idService, QString idItineraire)
{
    QStringList service;

    for(int i = 0; i < services.size(); i++)
    {
        service = services.at(i);
        if(service.at(SERVICE_ID_VEHICULE) == idVehicule && service.at(SERVICE_ID_SERVICE) == idService)
        {
            if(estEnCourse(idService, idItineraire))
                return true;
        }
    }
    return false;
}

bool IHM::estEnCourse(QString idService, QString idItineraire)
{
    bool retour = false;
    QString effectue;
    QString requete = "SELECT effectue FROM course WHERE idItineraire='" + idItineraire + "' AND idService='" + idService + "'";

    retour = bdd->recuperer(requete, effectue);
    if(retour != false)
    {
        if(!effectue.isEmpty() && effectue == "0")
        {
            return true;
        }
        else
        {
            return false;
        }
    }
    else
    {
        return false;
    }
    return false;
}

/*
 * Rôle de la méthode : La fonction qui est appelée lorsqu'on selectionne le vehicule(On récupere le suivi et on l'affiche )
 *
 * Paramètre(s) en entrée : *item
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::selectionnerVehiculeFlotte(QTableWidgetItem *item)
{
    int ligne = item->row();
    QString etat = informationsFlotte->item(ligne, COLONNE_ETAT)->text();
    QString idVehicule = informationsFlotte->item(ligne, COLONNE_NUMERO_BUS)->text();
    QString nomArret = informationsFlotte->item(ligne, COLONNE_NOM_ARRET)->text();
    QString heureHorodatage = informationsFlotte->item(ligne, COLONNE_HORODATAGE)->text();
    QString idService = informationsFlotte->item(ligne, COLONNE_NUMERO_SERVICE)->text();
    QString avanceRetard = informationsFlotte->item(ligne, COLONNE_AVANCE_RETARD)->text();
    QString idItineraire;
    QVector<QStringList> suivi;

    if (itinerairesBus.contains(idVehicule))
    {
        idItineraire = itinerairesBus[idVehicule];
        #ifdef DEBUG_IHM
        qDebug() << "<IHM::selectionnerVehiculeFlotte()> idVehicule : " << idVehicule << " idService : " << idService << " idItineraire : " << idItineraire;
        QString message = "<IHM::selectionnerVehiculeFlotte()> idVehicule : " + idVehicule + " idService : " + idService + " idItineraire : " + idItineraire;
        journaliser(message);
        #endif
    }
    else
    {
        #ifdef DEBUG_IHM
        qDebug() << "<IHM::selectionnerVehiculeFlotte()> idVehicule : " << idVehicule << " idService : " << idService << " pas d'itineraire !";
        QString message = "<IHM::selectionnerVehiculeFlotte()> idVehicule : " + idVehicule + " idService : " + idService + " pas d'itineraire !";
        journaliser(message);
        #endif
        return;
    }

    #ifdef DEBUG_IHM
    qDebug() << "<IHM::selectionnerVehiculeFlotte()> idVehicule : " << idVehicule << " idService : " << idService << " nomArret " <<nomArret ;
    QString message = "<IHM::selectionnerVehiculeFlotte()> idVehicule : " + idVehicule + " idService : " + idService +" nomArret " + nomArret;
    journaliser(message);
    #endif

    idVehiculeSelectionne = idVehicule;
    // Sélectionner visuellement la ligne
    int nb = informationsFlotte->rowCount();

    for(int i = 0; i < nb; i++)
    {
        if(i == ligne)
            coloriserFondLigne(informationsFlotte, i, "#98FB98");
        else
            coloriserFondLigne(informationsFlotte, i, "#ffffff");
    }

    //coloriserTexteLigne(informationsFlotte, ligne, "#00ff00");
    //coloriserTexteCellule(informationsFlotte, ligne, 0, QString("#0000ff"));

    QStringList coordonnee;
    suivi = recupererSuivi(idItineraire);
    afficherSuivi(idVehicule,suivi);

    if(!nomArret.isEmpty())
    {
        if(recupererArret(nomArret, coordonnee))
        {
            mc->setZoom(parametresCarte.zoom+1);
            mc->setView(QPointF(coordonnee.at(1).toDouble(), coordonnee.at(0).toDouble())); // se recentre sur l'arrêt
        }
    }
}

/*
 * Rôle de la méthode : La fonction qui est appelée lorsqu'on click 2 fois sur une course pour l'éffacer
 *
 * Paramètre(s) en entrée : *item
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::effacerVehiculeFlotte(QTableWidgetItem *item)
{
    int ligne = item->row();

    QString idVehicule = informationsFlotte->item(ligne, COLONNE_NUMERO_BUS)->text();
    QString etat = informationsFlotte->item(ligne, COLONNE_ETAT)->text();
    //if(etat == "Fin de service")
    {
        informationsFlotte->removeRow(ligne);
        #ifdef DEBUG_IHM
        qDebug() << "<IHM::effacerVehiculeFlotte()> idVehicule : " << idVehicule << " etat : " << etat;
        QString message = "<IHM::effacerVehiculeFlotte()> idVehicule : " + idVehicule + " etat : " + etat;
        journaliser(message);
        #endif
    }
}



void IHM::lireParametresCarte()
{
    QSettings parametres("sai.ini", QSettings::IniFormat);

    parametresCarte.latitude = parametres.value("carte/latitude", "1.445").toDouble();
    parametresCarte.longitude = parametres.value("carte/longitude", "43.605").toDouble();
    parametresCarte.zoom = parametres.value("carte/zoom", "12").toInt();
    parametresCarte.largeur = parametres.value("carte/largeur", "750").toInt();
    parametresCarte.hauteur = parametres.value("carte/hauteur", "500").toInt();

    QString message = "latitude : " + QString::number(parametresCarte.latitude) + " longitude : " + QString::number(parametresCarte.longitude);
    journaliser(message);
}


bool IHM::recupererArret(QString nomLieu, QStringList &arret)
{
    QString message;
    bool retour = false;
    bool valide = false;
    QString requeteArret = "SELECT lieu.latitude, lieu.longitude FROM lieu  where nomLieu = '" + nomLieu + "'" ;

    retour = bdd->recuperer(requeteArret, arret);
    if(retour != false)
    {
        if(!arret.isEmpty())
        {
            valide = true;
            //qDebug() << Q_FUNC_INFO << arret;
        }
        else
        {
            message = "<IHM::recupererArret()> erreur aucun arret !" ;
            journaliser(message);
            valide = false;
        }
    }
    else
    {
        message = "<IHM::recupererArret()> erreur requete " + requeteArret + " !";
        journaliser(message);
        valide = false;
    }
    return valide;
}

/*
 * Rôle de la méthode :Methode qui actualise la localisation d'un vehicule
 *
 * Paramètre(s) en entrée : localisation
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::actualiserLocalisation(QStringList localisation)
{
    // Extraction des données utiles
    QString idBus = localisation.at(3);
    QString latitude = localisation.at(7);
    QString longitude = localisation.at(9);
    QString data;
    QStringList service;
    bool trouve = false;
    //int ligne = -1;

    // Identifie la ligne concernée dans la table à partir du numéro de bus
    int nb = informationsFlotte->rowCount();
    for(int i = 0; i < nb; i++)
    {
        if(informationsFlotte->item(i, COLONNE_NUMERO_BUS)->text() == idBus)
        {
            //ligne = i;
            trouve = true;
            break;
        }
    }

    if(trouve == true)
    {
        geocaliserVehicule(longitude,latitude,idBus);
        dessinerCourse(idBus, localisation.at(6));
    }

}
/*
 * Rôle de la méthode : Pour localiser le vehicule sur la carte
 *
 * Paramètre(s) en entrée : longitude,latitude,idVehicule
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::geocaliserVehicule(QString longitude,QString latitude,QString idVehicule)
{

    //Simulation
    //latitude = "43.563";
    //longitude = "1.42577";
    //idVehicule = "155";
    //Fin Simulation

    bool present = false;
    QList<Point*>* pointsBus;

    QString localisation = "<IHM::geocaliserVehicule()> idVehicule : " + idVehicule;
    localisation += " longitude : " + longitude + " latitude : " + latitude;
    journaliser(localisation);

    if (mapLayer.contains(idVehicule))
    {
        layerBus = mapLayer[idVehicule];
        pointsBus = &(mapPoint[idVehicule]);
        pointsBus->clear();
        present = true;
    }
    else
    {
        layerBus = new GeometryLayer("Parcours " + idVehicule, mapadapter);
        mapLayer[idVehicule] = layerBus;
        connect(mapLayer.value(idVehicule), SIGNAL(geometryClicked(Geometry*, QPoint)), this, SLOT(selectionnerBus(Geometry*, QPoint)));        
        pointsBus = new QList<Point*>;
        mapPoint[idVehicule] = *pointsBus;
    }

    QPen* pen = new QPen(QColor(255, 0, 0, 100));
    pen->setWidth(5);
    if(retard == 0)
    {
        pointsBus->append(new ImagePoint(longitude.toDouble(), latitude.toDouble(), QCoreApplication::applicationDirPath() + "/images/bus.png", "", Point::Middle));
    }
    else
    {
        pointsBus->append(new ImagePoint(longitude.toDouble(), latitude.toDouble(), QCoreApplication::applicationDirPath() + "/images/bus-avance.png", "", Point::Middle));

    }
    layerBus->clearGeometries();
    LineString* ls = new LineString(*pointsBus, idVehicule, pen);
    layerBus->addGeometry(ls);
    if(present == false)
    {
        mc->addLayer(layerBus);
    }
    mc->update();
}


/*
 * Rôle de la méthode : Pour tracer une course sur la carte
 *
 * Paramètre(s) en entrée : idVehicule,idItineraire
 *
 * Paramètre(s) en sortie : aucun
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::dessinerCourse(QString idVehicule, QString idItineraire)
{
    QVector<QStringList> arrets;
    QVector<QStringList> trace;
    bool ok;

    recupererTraces(idItineraire, trace);

    QString message = "<IHM::dessinerCourse()> idItineraire : " + idItineraire;
    journaliser(message);

    if(trace.isEmpty())
    {
        return;
    }

    if (mapParcours.contains(idVehicule))
    {
        return;
    }
    else
    {
        layerParcours = new GeometryLayer("Parcours " + idItineraire, mapadapter);
        mapParcours[idVehicule] = layerParcours;
        connect(mapParcours.value(idVehicule), SIGNAL(geometryClicked(Geometry*, QPoint)), this, SLOT(selectionnerBus(Geometry*, QPoint)));
    }

    ok = recupererArrets(idItineraire, arrets);

    QPen* pen = new QPen(QColor(QColor(255, 0, 0, 100))); // on trace avec la couleur indiquée par le référentiel
    pen->setWidth(5);

    QList<Point*> points;
    // l'itinéraire détaillé
    for (int i = 0; i < trace.size(); ++i)
    {
       QString latitude = trace.at(i).at(0);
       QString longitude = trace.at(i).at(1);
       points.append(new Point(longitude.toDouble(), latitude.toDouble(), "", Point::Middle));
    }

    // on trace l'itinéraire détaillé sur la carte
    layerParcours->addGeometry(new LineString(points, "itineraire", pen));

    if(ok)
    {
        // le départ
        points.clear();
        QString arret = arrets.at(0).at(1);
        QString latitude = arrets.at(0).at(4);
        QString longitude = arrets.at(0).at(5);
        points.append(new ImagePoint(longitude.toDouble(), latitude.toDouble(), QCoreApplication::applicationDirPath() + "/images/bus-icone.png", arret, Point::Middle));
        layerParcours->addGeometry(new LineString(points, "depart", pen));

        // les arrêts
        QPen* pointpen = new QPen(QColor(0,0,0));
        pointpen->setWidth(3);
        for(int i=1; i < arrets.size()-1; i++)
        {
            points.clear();
            arret = arrets.at(i).at(1);
            latitude = arrets.at(i).at(4);
            longitude = arrets.at(i).at(5);
            points.append(new CirclePoint(longitude.toDouble(), latitude.toDouble(), 8, arret, Point::Middle, pointpen));
            layerParcours->addGeometry(new LineString(points, arret, pen));            
        }
        // l'arrivée
        points.clear();
        arret = arrets.at(arrets.size()-1).at(1);
        latitude = arrets.at(arrets.size()-1).at(4);
        longitude = arrets.at(arrets.size()-1).at(5);
        points.append(new ImagePoint(longitude.toDouble(), latitude.toDouble(), QCoreApplication::applicationDirPath() + "/images/flag.png", arret, Point::Middle));
        layerParcours->addGeometry(new LineString(points, "arrivee", pen));
    }

    mc->addLayer(layerParcours);
    mc->update();

    message = "<IHM::dessinerCourse()> idVehicule : " + idVehicule;
    journaliser(message);
}

/*
 * Rôle de la méthode : Pour recuperer la liste des arrêts qui compose un itineraire
 *
 * Paramètre(s) en entrée : idItineraire,&arrets
 *
 * Paramètre(s) en sortie : valide
 *
 * Valeur de retour : bool
 */
bool IHM::recupererArrets(QString idItineraire, QVector<QStringList> &arrets)
{
    QString message;
    bool retour = false;
    bool valide = false;
    QString requeteArrets = "SELECT arret.idArret, nomLieu, heureArrivee, heureDepart, latitude, longitude, numeroSequence FROM itineraire INNER JOIN arret ON arret.idItineraire=itineraire.idItineraire INNER JOIN lieu ON lieu.idArret=arret.idArret WHERE itineraire.idItineraire='" + idItineraire + "' ORDER BY numeroSequence ASC";

    retour = bdd->recuperer(requeteArrets, arrets);
    if(retour != false)
    {
        if(!arrets.isEmpty())
        {
            valide = true;
            //qDebug() << Q_FUNC_INFO << arrets;
        }
        else
        {
            message = "<IHM::recupererArrets()> erreur aucun arret !" ;
            journaliser(message);
            valide = false;
        }
    }
    else
    {
        message = "<IHM::recupererArrets()> erreur requete " + requeteArrets + " !";
        journaliser(message);
        valide = false;
    }

    return valide;
}

/*
 * Rôle de la méthode : Pour recuperer les traces d'une course
 *
 * Paramètre(s) en entrée : idItineraire,&trace
 *
 * Paramètre(s) en sortie : valide
 *
 * Valeur de retour : Aucune (méthode void)
 */
void IHM::recupererTraces(QString idItineraire, QVector<QStringList> &trace)
{
    QString message;
    bool retour = false;
    QString requeteTraces = "SELECT trace.pt_lat, trace.pt_lon  FROM trace INNER JOIN traces ON traces.idTrace=trace.idTrace WHERE traces.idItineraire='" + idItineraire + "'ORDER BY trace.pt_sequence ASC";
    retour = bdd->recuperer(requeteTraces, trace);
    if(retour != false)
    {
        if(!trace.isEmpty())
        {
            //qDebug() << Q_FUNC_INFO << trace;
        }
        else
        {
            message = "<IHM::recupererTraces()> erreur aucune trace !" ;
            journaliser(message);
        }
    }
    else
    {
        message = "<IHM::recupererTraces()> erreur requete " + requeteTraces + " !";
        journaliser(message);
    }
}


void IHM::coloriserFondCellule(QTableWidgetItem *cellule, const QColor &couleur)
{
    cellule->setBackgroundColor(couleur);
}

void IHM::coloriserFondCellule(QTableWidgetItem *cellule, const QString &couleur)
{
    QColor _couleur;
    _couleur.setNamedColor(couleur);
    coloriserFondCellule(cellule, _couleur);
}

void IHM::coloriserFondCellule(QTableWidget *tableWidget, int ligne, int colonne, const QColor &couleur)
{
    tableWidget->item(ligne, colonne)->setBackgroundColor(couleur);
}

void IHM::coloriserFondCellule(QTableWidget *tableWidget, int ligne, int colonne, const QString &couleur)
{
    QColor _couleur;
    _couleur.setNamedColor(couleur);
    coloriserFondCellule(tableWidget, ligne, colonne, _couleur);
}

void IHM::coloriserTexteCellule(QTableWidgetItem *cellule, const QColor &couleur)
{
    cellule->setForeground(couleur);
}

void IHM::coloriserTexteCellule(QTableWidgetItem *cellule, const QString &couleur)
{
    QColor _couleur;
    _couleur.setNamedColor(couleur);
    coloriserTexteCellule(cellule, _couleur);
}

void IHM::coloriserTexteCellule(QTableWidget *tableWidget, int ligne, int colonne, const QColor &couleur)
{
    tableWidget->item(ligne, colonne)->setForeground(couleur);
}

void IHM::coloriserTexteCellule(QTableWidget *tableWidget, int ligne, int colonne, const QString &couleur)
{
    QColor _couleur;
    _couleur.setNamedColor(couleur);
    coloriserTexteCellule(tableWidget, ligne, colonne, _couleur);
}

void IHM::coloriserFondLigne(QTableWidget *tableWidget, int ligne, const QString &couleur)
{
    QColor _couleur;
    _couleur.setNamedColor(couleur);
    for(int i = 0; i < tableWidget->columnCount(); i++)
        coloriserFondCellule(tableWidget, ligne, i, _couleur);
}

void IHM::coloriserTexteLigne(QTableWidget *tableWidget, int ligne, const QString &couleur)
{
    QColor _couleur;
    _couleur.setNamedColor(couleur);
    for(int i = 0; i < tableWidget->columnCount(); i++)
        coloriserTexteCellule(tableWidget, ligne, i, _couleur);
}

void IHM::journaliser(const QString &message)
{
    journal->append(message);
}
