-- --------------------------------------------------------
--
-- Structure de la table `organisme`
--

CREATE TABLE `organisme` (
  `idOrganisme` bigint(20) NOT NULL,
  `nomOrganisme` varchar(160) DEFAULT NULL,
  `telephone` varchar(10) DEFAULT NULL,
  `fuseauHoraire` varchar(160) DEFAULT NULL,
  `langue` varchar(160) DEFAULT NULL,
  `url` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`idOrganisme`)
);

--
-- Contenu de la table `organisme`
--

INSERT INTO `organisme` (`idOrganisme`, `nomOrganisme`, `telephone`, `fuseauHoraire`, `langue`, `url`) VALUES
(6192449487677451, 'Tisséo', '0561417070', 'Europe/Paris', 'fr', 'http://www.tisseo.fr');

-- --------------------------------------------------------
--
-- Structure de la table `conducteur`
--

CREATE TABLE `conducteur` (
  `codeConducteur` smallint(4) NOT NULL,
  `nomConducteur` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`codeConducteur`)
);

--
-- Contenu de la table `conducteur`
--

INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1, 'denis darmon');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (195, 'richard boue');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1234, 'fabrice allaire');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1962, 'nicolas lepretre');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1993, 'jean lapierre');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (2121, 'cyril salomon');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (3082, 'olivier piquet');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (3553, 'laurine thibault');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (6340, 'marc gross');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (7275, 'fanny delaunay');

-- --------------------------------------------------------
--
-- Structure de la table `vehicule`
--

CREATE TABLE `vehicule` (
  `idVehicule` smallint(3) NOT NULL,
  `typeVehicule` varchar(160) DEFAULT NULL,
  `capacite` smallint(3) DEFAULT NULL,
  PRIMARY KEY (`idVehicule`)
);

--
-- Contenu de la table `vehicule`
--

INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (82, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (123, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (155, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (171, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (193, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (204, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (287, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (345, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (615, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (679, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (766, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (986, 'articulé', 148);

-- --------------------------------------------------------
--
-- Structure de la table `ligne`
--

CREATE TABLE `ligne` (
  `idLigne` bigint(20) NOT NULL DEFAULT '0',
  `nomLong` varchar(160) DEFAULT NULL,
  `nomCourt` int(11) DEFAULT NULL,
  `description` varchar(160) DEFAULT NULL,
  `type` varchar(160) DEFAULT NULL,
  `couleurLigne` varchar(6) DEFAULT '000000',
  `couleurTexte` varchar(6) DEFAULT '000000',
  `idOrganisme` bigint(20) NOT NULL,
  PRIMARY KEY (`idLigne`),
  CONSTRAINT fk_ligne_idOrganisme
  FOREIGN KEY (idOrganisme)
  REFERENCES organisme(idOrganisme)
);

--
-- Contenu de la table `ligne`
--

INSERT INTO `ligne` (`idLigne`, `nomLong`, `nomCourt`, `description`, `type`, `couleurLigne`, `couleurTexte`, `idOrganisme`) VALUES 
(11821949021891635, 'Colomiers Gare SNCF / Brax le Château', 32, 'Ligne Colomiers Gare SNCF / Brax le Château', '3', '8e4a05', 'FFFFFF', 6192449487677451);

-- --------------------------------------------------------
--
-- Structure de la table `calendrier`
--

CREATE TABLE `calendrier` (
  `idCalendrier` bigint(20) NOT NULL,
  `lundi` binary(1) DEFAULT NULL,
  `mardi` binary(1) DEFAULT NULL,
  `mercredi` binary(1) DEFAULT NULL,
  `jeudi` binary(1) DEFAULT NULL,
  `vendredi` binary(1) DEFAULT NULL,
  `samedi` binary(1) DEFAULT NULL,
  `dimanche` binary(1) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `dateFin` date DEFAULT NULL,
  PRIMARY KEY (`idCalendrier`)
);

--
-- Contenu de la table `calendrier`
--

INSERT INTO `calendrier` (`idCalendrier`, `lundi`, `mardi`, `mercredi`, `jeudi`, `vendredi`, `samedi`, `dimanche`, `dateDebut`, `dateFin`) VALUES (4503599631512310, '1', '1', '1', '1', '1', '0', '0', '2015-01-01', '2016-12-31');
INSERT INTO `calendrier` (`idCalendrier`, `lundi`, `mardi`, `mercredi`, `jeudi`, `vendredi`, `samedi`, `dimanche`, `dateDebut`, `dateFin`) VALUES (4503603925963979, '0', '0', '0', '0', '0', '1', '0', '2015-01-01', '2016-12-31');

-- --------------------------------------------------------
--
-- Structure de la table `itineraire`
--

CREATE TABLE `itineraire` (
  `idItineraire` bigint(20) NOT NULL,
  `destination` varchar(160) DEFAULT NULL,
  `direction` binary(1) DEFAULT NULL,
  `idCalendrier` bigint(20) DEFAULT NULL,
  `idLigne` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`idItineraire`),
  CONSTRAINT fk_itineraire_idCalendrier
  FOREIGN KEY (idCalendrier)
  REFERENCES calendrier(idCalendrier),
  CONSTRAINT fk_itineraire_idLigne
  FOREIGN KEY (idLigne)
  REFERENCES ligne(idLigne)
);

--
-- Contenu de la table `itineraire`
--

INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673401,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673402,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673403,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673404,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673405,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673406,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673407,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673408,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673413,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673414,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673415,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673416,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673417,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673418,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673419,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603922673420,'Brax le Château BRAX',1,4503599631512310,11821949021891635);

INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963979,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963980,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963981,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963982,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963983,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963984,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963985,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603925963986,'Brax le Château BRAX',1,4503603925963979,11821949021891635);

-- --------------------------------------------------------
--
-- Structure de la table `arret`
--

CREATE TABLE `arret` (
  `idArret` bigint(20) NOT NULL,
  `heureArrivee` time DEFAULT NULL,
  `heureDepart` time DEFAULT NULL,
  `numeroSequence` int(11) DEFAULT NULL,
  `informationVoyageur` int(11) DEFAULT NULL,
  `idItineraire` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idArret`,`idItineraire`),
  CONSTRAINT fk_arret_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire)
);

--
-- Contenu de la table `arret`
--

INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724038,0,'07:14:00','07:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724037,1,'07:16:00','07:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724036,2,'07:18:00','07:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724035,3,'07:19:00','07:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724034,4,'07:21:00','07:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724033,5,'07:23:00','07:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699721034355,6,'07:26:00','07:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699722724032,7,'07:28:00','07:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699720881634,8,'07:30:00','07:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673401,3377699721158291,9,'07:35:00','07:35:00',0);

INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724038,0,'08:05:00','08:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724037,1,'08:07:00','08:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724036,2,'08:09:00','08:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724035,3,'08:10:00','08:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724034,4,'08:12:00','08:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724033,5,'08:14:00','08:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699721034355,6,'08:17:00','08:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699722724032,7,'08:19:00','08:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699720881634,8,'08:21:00','08:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673402,3377699721158291,9,'08:26:00','08:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724038,0,'08:55:00','08:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724037,1,'08:57:00','08:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724036,2,'08:59:00','08:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724035,3,'09:00:00','09:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724034,4,'09:02:00','09:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724033,5,'09:04:00','09:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699721034355,6,'09:07:00','09:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699722724032,7,'09:09:00','09:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699720881634,8,'09:11:00','09:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673403,3377699721158291,9,'09:16:00','09:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724038,0,'11:20:00','11:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724037,1,'11:22:00','11:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724036,2,'11:24:00','11:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724035,3,'11:25:00','11:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724034,4,'11:27:00','11:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724033,5,'11:29:00','11:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699721034355,6,'11:32:00','11:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699722724032,7,'11:34:00','11:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699720881634,8,'11:36:00','11:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673404,3377699721158291,9,'11:41:00','11:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724038,0,'13:20:00','13:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724037,1,'13:22:00','13:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724036,2,'13:24:00','13:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724035,3,'13:25:00','13:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724034,4,'13:27:00','13:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724033,5,'13:29:00','13:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699721034355,6,'13:32:00','13:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699722724032,7,'13:34:00','13:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699720881634,8,'13:36:00','13:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673405,3377699721158291,9,'13:41:00','13:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724038,0,'14:10:00','14:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724037,1,'14:12:00','14:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724036,2,'14:14:00','14:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724035,3,'14:15:00','14:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724034,4,'14:17:00','14:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724033,5,'14:19:00','14:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699721034355,6,'14:22:00','14:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699722724032,7,'14:24:00','14:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699720881634,8,'14:26:00','14:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673406,3377699721158291,9,'14:31:00','14:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724038,0,'17:30:00','17:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724037,1,'17:32:00','17:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724036,2,'17:34:00','17:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724035,3,'17:35:00','17:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724034,4,'17:37:00','17:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724033,5,'17:39:00','17:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699721034355,6,'17:42:00','17:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699722724032,7,'17:44:00','17:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699720881634,8,'17:46:00','17:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673407,3377699721158291,9,'17:51:00','17:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724038,0,'18:20:00','18:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724037,1,'18:22:00','18:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724036,2,'18:24:00','18:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724035,3,'18:25:00','18:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724034,4,'18:27:00','18:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724033,5,'18:29:00','18:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699721034355,6,'18:32:00','18:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699722724032,7,'18:34:00','18:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699720881634,8,'18:36:00','18:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673408,3377699721158291,9,'18:41:00','18:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699721158291,0,'07:40:00','07:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720881634,1,'07:43:00','07:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720887720,2,'07:47:00','07:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720881548,3,'07:48:00','07:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720886670,4,'07:51:00','07:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720881546,5,'07:52:00','07:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720881545,6,'07:54:00','07:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720886671,7,'07:56:00','07:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699720888294,8,'08:00:00','08:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673413,3377699722724038,9,'08:01:00','08:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699721158291,0,'08:30:00','08:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720881634,1,'08:33:00','08:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720887720,2,'08:37:00','08:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720881548,3,'08:38:00','08:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720886670,4,'08:41:00','08:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720881546,5,'08:42:00','08:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720881545,6,'08:44:00','08:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720886671,7,'08:46:00','08:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699720888294,8,'08:50:00','08:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673414,3377699722724038,9,'08:51:00','08:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699721158291,0,'09:20:00','09:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720881634,1,'09:23:00','09:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720887720,2,'09:27:00','09:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720881548,3,'09:28:00','09:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720886670,4,'09:30:00','09:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720881546,5,'09:30:00','09:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720881545,6,'09:32:00','09:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720886671,7,'09:34:00','09:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699720888294,8,'09:39:00','09:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673415,3377699722724038,9,'09:41:00','09:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699721158291,0,'11:45:00','11:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720881634,1,'11:48:00','11:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720887720,2,'11:52:00','11:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720881548,3,'11:53:00','11:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720886670,4,'11:55:00','11:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720881546,5,'11:55:00','11:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720881545,6,'11:57:00','11:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720886671,7,'11:59:00','11:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699720888294,8,'12:04:00','12:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673416,3377699722724038,9,'12:06:00','12:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699721158291,0,'13:45:00','13:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720881634,1,'13:48:00','13:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720887720,2,'13:52:00','13:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720881548,3,'13:53:00','13:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720886670,4,'13:55:00','13:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720881546,5,'13:55:00','13:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720881545,6,'13:57:00','13:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720886671,7,'13:59:00','13:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699720888294,8,'14:04:00','14:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673417,3377699722724038,9,'14:06:00','14:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699721158291,0,'14:35:00','14:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720881634,1,'14:38:00','14:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720887720,2,'14:42:00','14:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720881548,3,'14:43:00','14:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720886670,4,'14:45:00','14:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720881546,5,'14:45:00','14:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720881545,6,'14:47:00','14:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720886671,7,'14:49:00','14:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699720888294,8,'14:54:00','14:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673418,3377699722724038,9,'14:56:00','14:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699721158291,0,'17:55:00','17:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720881634,1,'17:58:00','17:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720887720,2,'18:02:00','18:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720881548,3,'18:03:00','18:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720886670,4,'18:05:00','18:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (503603922673419,3377699720881546,5,'18:05:00','18:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720881545,6,'18:07:00','18:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720886671,7,'18:09:00','18:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699720888294,8,'18:14:00','18:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673419,3377699722724038,9,'18:16:00','18:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699721158291,0,'19:00:00','19:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720881634,1,'19:03:00','19:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720887720,2,'19:07:00','19:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720881548,3,'19:08:00','19:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720886670,4,'19:10:00','19:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720881546,5,'19:10:00','19:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720881545,6,'19:12:00','19:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720886671,7,'19:14:00','19:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699720888294,8,'19:19:00','19:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603922673420,3377699722724038,9,'19:21:00','19:21:00',0);

INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724038,0,'07:35:00','07:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724037,1,'07:37:00','07:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724036,2,'07:39:00','07:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724035,3,'07:40:00','07:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724034,4,'07:42:00','07:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724033,5,'07:44:00','07:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699721034355,6,'07:47:00','07:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699722724032,7,'07:49:00','07:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699720881634,8,'07:51:00','07:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963979,3377699721158291,9,'07:56:00','07:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724038,0,'08:55:00','08:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724037,1,'08:57:00','08:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724036,2,'08:59:00','08:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724035,3,'09:00:00','09:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724034,4,'09:02:00','09:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724033,5,'09:04:00','09:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699721034355,6,'09:07:00','09:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699722724032,7,'09:09:00','09:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699720881634,8,'09:11:00','09:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963980,3377699721158291,9,'09:16:00','09:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724038,0,'11:20:00','11:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724037,1,'11:22:00','11:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724036,2,'11:24:00','11:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724035,3,'11:25:00','11:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724034,4,'11:27:00','11:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724033,5,'11:29:00','11:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699721034355,6,'11:32:00','11:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699722724032,7,'11:34:00','11:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699720881634,8,'11:36:00','11:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963981,3377699721158291,9,'11:41:00','11:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724038,0,'16:40:00','16:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724037,1,'16:42:00','16:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724036,2,'16:44:00','16:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724035,3,'16:45:00','16:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724034,4,'16:47:00','16:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724033,5,'16:49:00','16:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699721034355,6,'16:52:00','16:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699722724032,7,'16:54:00','16:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699720881634,8,'16:56:00','16:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963982,3377699721158291,9,'17:01:00','17:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699721158291,0,'08:35:00','08:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720881634,1,'08:38:00','08:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720887720,2,'08:42:00','08:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720881548,3,'08:43:00','08:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720886670,4,'08:45:00','08:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720881546,5,'08:45:00','08:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720881545,6,'08:47:00','08:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720886671,7,'08:49:00','08:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699720888294,8,'08:54:00','08:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963983,3377699722724038,9,'08:56:00','08:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699721158291,0,'10:55:00','10:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720881634,1,'10:58:00','10:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720887720,2,'11:02:00','11:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720881548,3,'11:03:00','11:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720886670,4,'11:05:00','11:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720881546,5,'11:05:00','11:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720881545,6,'11:07:00','11:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720886671,7,'11:09:00','11:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699720888294,8,'11:14:00','11:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963984,3377699722724038,9,'11:16:00','11:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699721158291,0,'11:45:00','11:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720881634,1,'11:48:00','11:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720887720,2,'11:52:00','11:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720881548,3,'11:53:00','11:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720886670,4,'11:55:00','11:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720881546,5,'11:55:00','11:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720881545,6,'11:57:00','11:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720886671,7,'11:59:00','11:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699720888294,8,'12:04:00','12:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963985,3377699722724038,9,'12:06:00','12:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699721158291,0,'17:55:00','17:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720881634,1,'17:58:00','17:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720887720,2,'18:02:00','18:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720881548,3,'18:03:00','18:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720886670,4,'18:05:00','18:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720881546,5,'18:05:00','18:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720881545,6,'18:07:00','18:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720886671,7,'18:09:00','18:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699720888294,8,'18:14:00','18:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603925963986,3377699722724038,9,'18:16:00','18:16:00',0);

-- --------------------------------------------------------
--
-- Structure de la table `lieu`
--

CREATE TABLE `lieu` (
  `idArret` bigint(20) NOT NULL,
  `codeArret` int(11) NOT NULL,
  `nomLieu` varchar(160) DEFAULT NULL,
  `latitude` varchar(160) DEFAULT NULL,
  `longitude` varchar(160) DEFAULT NULL,
  `typeLieu` binary(1) DEFAULT NULL,
  `stationParente` bigint(20) NOT NULL,
  PRIMARY KEY (`idArret`)
);

--
-- Contenu de la table `lieu`
--

INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724038,19961,'Brax le Château',43.6169,1.2403,0,1970324837185068);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724037,19951,'La Chauge',43.6155,1.25,0,1970324837190345);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724036,19941,'Château Cru',43.6127,1.26828,0,1970324837188856);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724035,19931,'Stade',43.6153,1.27652,0,1970324837185071);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724034,19921,'Basilique',43.6177,1.28334,0,1970324837185072);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724033,19911,'Tuilerie',43.6162,1.29006,0,1970324837188855);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699721034355,19901,'Lycée International',43.6122,1.31031,0,1970324837185074);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722724032,19891,'Piquemil',43.6123,1.31955,0,1970324837189860);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881634,16240,'Passerelle',43.6117,1.33032,0,1970324837186554);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699721158291,19735,'Colomiers Gare SNCF',43.6042,1.3347,0,1970324837184752);

-- --------------------------------------------------------
--
-- Structure de la table `service`
--

CREATE TABLE `service` (
  `idService` bigint(20) NOT NULL,
  `codeConducteur` smallint(4) DEFAULT NULL,
  `idVehicule` smallint(3) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `heureDebut` time DEFAULT NULL,
  `dateFin` date DEFAULT NULL,  
  `heureFin` time DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idService`),  
  CONSTRAINT fk_service_codeConducteur
  FOREIGN KEY (codeConducteur)
  REFERENCES conducteur(codeConducteur),
  CONSTRAINT fk_service_idVehicule
  FOREIGN KEY (idVehicule)
  REFERENCES vehicule(idVehicule)
);

--
-- Contenu de la table `service`
--

INSERT INTO `service` (`idService`, `codeConducteur`, `idVehicule`, `dateDebut`, `heureDebut`, `dateFin`, `heureFin` , `effectue`) VALUES (3, 1993, 123, '2015-07-11', '07:00:00', '', '', 0);
INSERT INTO `service` (`idService`, `codeConducteur`, `idVehicule`, `dateDebut`, `heureDebut`, `dateFin`, `heureFin` , `effectue`) VALUES (4, 2121, 123, '2015-07-11', '09:00:00', '', '', 0);

-- --------------------------------------------------------
--
-- Structure de la table `course`
--

CREATE TABLE `course` (
  `idItineraire` bigint(20) NOT NULL,
  `idService` smallint(3) DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idItineraire`, `idService`),
  CONSTRAINT fk_course_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_course_idService
  FOREIGN KEY (idService)
  REFERENCES service(idService)
);

--
-- Contenu de la table `course`
--

INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673401, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673413, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673402, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673414, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673403, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673415, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673404, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673416, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673405, 3, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673417, 3, 0);

INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673406, 4, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673418, 4, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673407, 4, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673419, 4, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673408, 4, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603922673420, 4, 0);

-- --------------------------------------------------------
--
-- Structure de la table `trace`
--

CREATE TABLE `trace` (
  `idTrace` bigint(20) NOT NULL,
  `pt_lat` real DEFAULT NULL,
  `pt_lon` real DEFAULT NULL,
  `pt_sequence` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idTrace`, `pt_sequence`)
);

--
-- Contenu de la table `trace`
--

INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.24032,0);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.24032,1);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6168,1.24029,2);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6167,1.24026,3);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6167,1.24043,4);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.24068,5);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.617,1.24082,6);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6171,1.24073,7);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6171,1.24111,8);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6171,1.24145,9);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.24275,10);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6166,1.24444,11);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6165,1.24484,12);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6161,1.24617,13);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.616,1.24657,14);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6159,1.24731,15);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6159,1.24794,16);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6159,1.24839,17);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6159,1.2486,18);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.24909,19);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.2496,20);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.24978,21);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25002,22);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25003,23);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.2501,24);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25017,25);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25035,26);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25055,27);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.25098,28);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.25116,29);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.25147,30);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.25162,31);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25246,32);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25277,33);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25384,34);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.25412,35);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.25489,36);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.2557,37);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.25596,38);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.25641,39);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6159,1.25703,40);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6163,1.25795,41);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6165,1.25841,42);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6163,1.2588,43);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6161,1.25898,44);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.25958,45);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6154,1.25989,46);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6151,1.26007,47);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6141,1.26054,48);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6137,1.26081,49);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6134,1.26108,50);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.26193,51);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6107,1.26376,52);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6101,1.26448,53);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6101,1.26443,54);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.61,1.2644,55);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6099,1.26444,56);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6098,1.2645,57);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6098,1.26464,58);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6098,1.26476,59);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6099,1.26481,60);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.61,1.26484,61);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.61,1.26483,62);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6101,1.26479,63);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6103,1.26525,64);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6105,1.26544,65);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6114,1.2665,66);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6121,1.26725,67);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6122,1.26744,68);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.26774,69);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6127,1.26808,70);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6128,1.26825,71);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6128,1.26829,72);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.613,1.26863,73);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6131,1.26899,74);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6131,1.26925,75);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6133,1.26974,76);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6134,1.27046,77);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6137,1.27107,78);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6142,1.27227,79);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6145,1.27297,80);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6148,1.27401,81);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.615,1.27489,82);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27489,83);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.2749,84);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27493,85);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27497,86);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.275,87);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27506,88);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27511,89);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27513,90);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.27516,91);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.615,1.27517,92);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.615,1.27515,93);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6153,1.27609,94);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6153,1.27613,95);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6154,1.27648,96);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6155,1.2768,97);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6156,1.27737,98);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.27757,99);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.27763,100);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.27771,101);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.27778,102);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.27781,103);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.27784,104);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.27786,105);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.27785,106);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.27785,107);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6158,1.27783,108);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.27992,109);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6168,1.28002,110);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6168,1.28008,111);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.28015,112);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.617,1.28016,113);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.617,1.28073,114);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.617,1.28107,115);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6172,1.28184,116);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6173,1.28221,117);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6175,1.28285,118);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6177,1.28335,119);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6177,1.28337,120);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6177,1.2834,121);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6178,1.28356,122);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6178,1.28372,123);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6178,1.28389,124);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6178,1.28406,125);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6177,1.28425,126);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6182,1.28471,127);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6185,1.28504,128);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6179,1.28581,129);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6173,1.28665,130);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6169,1.28723,131);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6168,1.28742,132);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6167,1.28778,133);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6166,1.28841,134);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6164,1.28951,135);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6163,1.29008,136);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6163,1.29009,137);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6162,1.29081,138);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.616,1.29207,139);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6159,1.29304,140);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6157,1.29432,141);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6153,1.29681,142);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6153,1.29718,143);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6152,1.29754,144);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6151,1.29789,145);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6149,1.2985,146);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6147,1.29905,147);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6146,1.29959,148);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6145,1.3,149);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6145,1.30072,150);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6145,1.30185,151);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6145,1.30219,152);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6144,1.3022,153);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6143,1.30225,154);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6143,1.30236,155);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6143,1.30236,156);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6143,1.30245,157);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6143,1.30257,158);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6144,1.30259,159);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6144,1.3026,160);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6141,1.30411,161);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6139,1.30538,162);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6138,1.30574,163);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6138,1.30601,164);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6135,1.30703,165);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6134,1.30721,166);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6132,1.30765,167);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.613,1.30797,168);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6128,1.30835,169);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6127,1.30865,170);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6126,1.30863,171);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6126,1.30865,172);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.30874,173);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.30888,174);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.30899,175);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.30912,176);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.30923,177);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.30932,178);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.30993,179);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.31032,180);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31056,181);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31224,182);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31315,183);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6122,1.31424,184);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6122,1.31465,185);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31502,186);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.31612,187);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.3165,188);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.31684,189);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.31721,190);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.31743,191);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.31759,192);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31767,193);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6122,1.318,194);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6121,1.31806,195);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6121,1.31816,196);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6121,1.31824,197);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6122,1.31831,198);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31833,199);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31847,200);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31867,201);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31897,202);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.31912,203);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.31942,204);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.3195,205);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.31955,206);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.31974,207);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.32,208);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.32033,209);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6127,1.32077,210);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6128,1.32115,211);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.613,1.32152,212);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.613,1.32171,213);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.613,1.3221,214);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6131,1.32232,215);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6131,1.32253,216);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6132,1.32263,217);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6132,1.32267,218);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6131,1.32274,219);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6132,1.32286,220);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.613,1.32275,221);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6126,1.3226,222);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.32247,223);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.612,1.32236,224);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6116,1.32234,225);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6113,1.32242,226);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.611,1.32253,227);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6108,1.32283,228);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6107,1.32306,229);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6106,1.32321,230);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6105,1.32351,231);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6104,1.32368,232);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6103,1.32388,233);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6094,1.32609,234);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6093,1.32621,235);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6092,1.32629,236);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6091,1.32633,237);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.609,1.32635,238);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6089,1.32643,239);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6087,1.32656,240);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6087,1.32667,241);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6086,1.32684,242);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6086,1.32705,243);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6087,1.32722,244);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6088,1.3274,245);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6089,1.32748,246);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6091,1.32747,247);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6092,1.32739,248);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6093,1.32747,249);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6098,1.32801,250);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.61,1.32828,251);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6102,1.32847,252);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6105,1.32883,253);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6106,1.32905,254);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6107,1.32912,255);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6107,1.32924,256);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6107,1.32936,257);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6108,1.32944,258);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6108,1.32947,259);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6109,1.32944,260);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.611,1.32953,261);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6113,1.32986,262);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6115,1.33013,263);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6117,1.33033,264);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6117,1.33034,265);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6118,1.33052,266);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.612,1.3307,267);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6122,1.33082,268);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.33091,269);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6125,1.33101,270);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6126,1.33115,271);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6126,1.3313,272);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6127,1.33156,273);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6127,1.3317,274);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6128,1.33184,275);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6127,1.3324,276);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6126,1.3326,277);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6124,1.33354,278);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6123,1.33414,279);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6115,1.33636,280);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6113,1.33632,281);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6112,1.33637,282);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6112,1.33641,283);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6111,1.33646,284);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6111,1.33656,285);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6111,1.3367,286);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6104,1.33657,287);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6097,1.33636,288);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6094,1.3363,289);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6091,1.33624,290);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6091,1.33623,291);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6088,1.33616,292);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6088,1.33607,293);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6088,1.33596,294);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6087,1.33591,295);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6086,1.33588,296);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6086,1.33589,297);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6085,1.33597,298);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6085,1.33606,299);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6081,1.33595,300);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.608,1.33591,301);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6078,1.33585,302);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6075,1.33576,303);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6073,1.33564,304);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6072,1.33551,305);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6072,1.33544,306);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6071,1.3353,307);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6067,1.33516,308);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6066,1.33512,309);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6062,1.33499,310);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6061,1.33496,311);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.606,1.33491,312);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6053,1.33471,313);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.605,1.33476,314);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.605,1.33473,315);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6049,1.33474,316);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6048,1.33476,317);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6048,1.33482,318);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6045,1.33466,319);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6044,1.33474,320);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6044,1.33481,321);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6043,1.33484,322);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.604,1.33478,323);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.604,1.33477,324);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6039,1.33476,325);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6039,1.33475,326);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6038,1.33472,327);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6038,1.33464,328);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6038,1.33453,329);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6039,1.33446,330);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.604,1.33446,331);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673401,43.6043,1.33456,332);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6043,1.33456,0);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6044,1.33462,1);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6045,1.33466,2);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6048,1.33482,3);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6047,1.33488,4);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6047,1.33497,5);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6047,1.33507,6);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6047,1.33516,7);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6047,1.33528,8);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6047,1.33535,9);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6048,1.33542,10);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6048,1.33546,11);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6049,1.33549,12);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.605,1.33548,13);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6059,1.33574,14);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.606,1.33576,15);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6061,1.33579,16);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6065,1.3359,17);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6066,1.33591,18);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.33597,19);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.607,1.33596,20);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6071,1.3359,21);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6072,1.33576,22);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6072,1.33551,23);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6072,1.33544,24);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6071,1.3353,25);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.607,1.33511,26);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.33436,27);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.33328,28);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.33282,29);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.33103,30);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.33024,31);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.32916,32);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.32856,33);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6068,1.32839,34);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6068,1.32827,35);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6068,1.32752,36);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.32732,37);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6069,1.32688,38);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.607,1.32653,39);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6071,1.32605,40);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6072,1.32598,41);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6072,1.32593,42);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6073,1.32588,43);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6073,1.32579,44);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6074,1.32567,45);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6075,1.32567,46);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6076,1.32571,47);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6078,1.32584,48);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6081,1.32621,49);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6085,1.3266,50);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6086,1.32684,51);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6086,1.32705,52);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6087,1.32722,53);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6088,1.3274,54);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6089,1.32748,55);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6091,1.32747,56);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6092,1.32739,57);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6093,1.32747,58);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6098,1.32801,59);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.61,1.32828,60);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6102,1.32847,61);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6105,1.32883,62);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6106,1.32905,63);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6107,1.32912,64);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6107,1.32924,65);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6107,1.32936,66);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6108,1.32944,67);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6108,1.32947,68);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6109,1.32944,69);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.611,1.32953,70);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6113,1.32986,71);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6115,1.33013,72);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6117,1.33033,73);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6117,1.33034,74);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6118,1.33052,75);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.612,1.3307,76);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6122,1.33082,77);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.33091,78);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.33101,79);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6126,1.33115,80);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6126,1.3313,81);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6127,1.33156,82);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6127,1.3317,83);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6128,1.33184,84);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.613,1.33185,85);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.33175,86);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6132,1.33161,87);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6133,1.33125,88);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6133,1.33104,89);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6132,1.33083,90);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.33072,91);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.33069,92);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6132,1.3302,93);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6133,1.32972,94);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6134,1.32971,95);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6134,1.32965,96);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6135,1.32959,97);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6135,1.32949,98);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6137,1.32923,99);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.32906,100);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.32899,101);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6147,1.329,102);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6147,1.32901,103);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.32899,104);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.32894,105);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.32888,106);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.3288,107);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.32874,108);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.32857,109);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6152,1.32816,110);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6152,1.32806,111);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6152,1.32801,112);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6153,1.32779,113);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6154,1.32766,114);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6155,1.32732,115);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.327,116);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.32694,117);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.32649,118);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.32636,119);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.616,1.32638,120);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.616,1.32638,121);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6161,1.32633,122);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6161,1.32626,123);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6161,1.32618,124);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6161,1.32611,125);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.616,1.32608,126);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.616,1.32608,127);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.32614,128);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.32568,129);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6154,1.32545,130);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.32482,131);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6144,1.32427,132);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6141,1.32389,133);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6138,1.32355,134);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6136,1.32288,135);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6135,1.32278,136);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6135,1.32274,137);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6133,1.32262,138);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6132,1.32263,139);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.32253,140);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.32232,141);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.613,1.3221,142);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.613,1.32171,143);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.613,1.32152,144);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6128,1.32115,145);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6127,1.32077,146);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.32033,147);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.32,148);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31974,149);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.3195,150);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31942,151);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31912,152);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31897,153);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31867,154);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31847,155);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31833,156);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31827,157);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.3182,158);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31811,159);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31803,160);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31797,161);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.3177,162);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31759,163);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31743,164);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.31721,165);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.31684,166);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.3165,167);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.31612,168);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31502,169);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6122,1.31465,170);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6122,1.31424,171);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31315,172);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31224,173);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6123,1.31056,174);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31032,175);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.31029,176);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.30993,177);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.30932,178);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6126,1.30938,179);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6127,1.30937,180);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6128,1.30928,181);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6129,1.30916,182);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6129,1.309,183);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6129,1.30883,184);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6128,1.30871,185);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6127,1.30865,186);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6128,1.30835,187);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.613,1.30797,188);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6132,1.30765,189);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6134,1.30721,190);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6135,1.30703,191);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6138,1.30601,192);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6138,1.30574,193);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6139,1.30538,194);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6141,1.30411,195);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6144,1.30261,196);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6144,1.30261,197);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.30259,198);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.30252,199);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.30245,200);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.30238,201);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.30237,202);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.3023,203);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.30223,204);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.3022,205);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.30219,206);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.30185,207);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.30072,208);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.3,209);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6146,1.29959,210);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6147,1.29905,211);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6149,1.2985,212);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6151,1.29789,213);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6152,1.29754,214);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6153,1.29718,215);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6153,1.29681,216);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.29432,217);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.29304,218);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.616,1.29207,219);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6162,1.29081,220);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6163,1.29008,221);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6164,1.28951,222);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6166,1.28841,223);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6167,1.28778,224);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6168,1.28742,225);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6169,1.28723,226);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6173,1.28665,227);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6179,1.28581,228);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6185,1.28504,229);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6182,1.28471,230);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6177,1.28425,231);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6178,1.28406,232);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6178,1.28389,233);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6178,1.28372,234);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6178,1.28356,235);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6177,1.2834,236);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6177,1.28337,237);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6175,1.28285,238);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6173,1.28221,239);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6172,1.28184,240);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.28107,241);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.28073,242);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.28016,243);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.28011,244);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.28003,245);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.27995,246);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.27992,247);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6169,1.27989,248);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6169,1.27992,249);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.27783,250);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.27777,251);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.27769,252);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.27765,253);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.27756,254);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.27754,255);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.27757,256);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.27737,257);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6155,1.2768,258);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6153,1.27613,259);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6153,1.27609,260);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.27515,261);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.27513,262);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.27509,263);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6151,1.27504,264);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6151,1.275,265);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.27494,266);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.27492,267);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.2749,268);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.615,1.27489,269);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6148,1.27401,270);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6145,1.27297,271);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6142,1.27227,272);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6137,1.27107,273);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6134,1.27046,274);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6133,1.26974,275);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.26925,276);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6131,1.26899,277);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.613,1.26863,278);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6128,1.26829,279);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6127,1.26808,280);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6124,1.26774,281);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6122,1.26744,282);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6121,1.26725,283);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6114,1.2665,284);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6105,1.26544,285);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6103,1.26525,286);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6101,1.26479,287);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6101,1.26475,288);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6101,1.26463,289);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6101,1.26448,290);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6107,1.26376,291);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6125,1.26193,292);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6134,1.26108,293);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6137,1.26081,294);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6141,1.26054,295);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6151,1.26007,296);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6154,1.25989,297);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.25958,298);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6161,1.25898,299);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6163,1.2588,300);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6165,1.25841,301);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6163,1.25795,302);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.25703,303);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.25641,304);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.25596,305);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.2557,306);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.25489,307);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25412,308);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25384,309);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25277,310);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25246,311);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.25162,312);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.25147,313);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.25116,314);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.25098,315);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25055,316);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25035,317);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25017,318);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.2501,319);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6156,1.25002,320);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.24978,321);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6157,1.2496,322);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6158,1.24909,323);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.2486,324);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.24839,325);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.24794,326);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6159,1.24731,327);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.616,1.24657,328);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6161,1.24617,329);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6165,1.24484,330);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6166,1.24444,331);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6169,1.24275,332);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6171,1.24145,333);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6171,1.24111,334);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6171,1.24073,335);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6172,1.24038,336);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.617,1.24034,337);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603922673413,43.6169,1.24032,338);

-- --------------------------------------------------------
--
-- Structure de la table `traces`
--

CREATE TABLE `traces` (
  `idItineraire` bigint(20) NOT NULL,
  `idTrace` bigint(20) NOT NULL,
  PRIMARY KEY (`idItineraire`, `idTrace`),
  CONSTRAINT fk_traces_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_traces_idTrace
  FOREIGN KEY (idTrace)
  REFERENCES trace(idTrace)
);

--
-- Contenu de la table `traces`
--

INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673401, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673402, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673403, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673404, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673405, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673406, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673407, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673408, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673413, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673414, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673415, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673416, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673417, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673418, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673419, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603922673420, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963979, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963980, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963981, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963982, 4503603922673401);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963983, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963984, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963985, 4503603922673413);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603925963986, 4503603922673413);
