#include "hautparleur.h"

#include <iostream>
#include <string>
#include <cstring>
#include <unistd.h>

using namespace std;

HautParleur::HautParleur()
{
	voix_spec = espeak_GetCurrentVoice();
	this->setVitesse(80);
	this->setVolume(80);
	this->setTonalite(50);
	this->setGamme(60);
	this->setPonctuation(0);
	this->setGenre(2);
	this->tauxEchantillonnage = espeak_Initialize(AUDIO_OUTPUT_PLAYBACK, 0, NULL, 0);
	voix = "mb-fr1"; // ("fr") ou ("fr+f3")
	this->setVoix(voix);
    qDebug() << "Taux Echantillonnage " << tauxEchantillonnage ;
}

HautParleur::~HautParleur()
{
}

void HautParleur::liste()
{
   const espeak_VOICE **voices = NULL;
   espeak_VOICE voice_select;
   const espeak_VOICE *v;
   
   voices = espeak_ListVoices(NULL);
   
   for(int ix=0; (v = voices[ix]) != NULL; ix++)
   {
      qDebug() << "Language shortsign : " << v->languages << endl;
      qDebug() << "Identifier : " << v->identifier << endl;
      qDebug() << "Age : " << v->age << endl;
      qDebug() << "Genre : " << v->gender << endl;
      qDebug() << "Nom: " << v->name << endl;
      qDebug() << "Variante : " << v->variant << endl;
      qDebug() << endl;
   }
}

void  HautParleur::version()
{
    const char *eSpeakVersionInfo = NULL;
    
    eSpeakVersionInfo = espeak_Info(NULL);
    qDebug() << "HautParleur version : " << eSpeakVersionInfo << endl;
}

int HautParleur::getVitesse() const
{

	return espeak_GetParameter(espeakRATE, 1);

}
void HautParleur::setVitesse(int vitesse)
{

    qDebug() << "Vitesse : " << vitesse << endl;
    if(vitesse >= 80 && vitesse <= 450)
    {
      int statut=espeak_SetParameter(espeakRATE, vitesse, 0);
      if (statut== EE_OK)
      qDebug()<<"OK";
    }

}


int HautParleur::getVolume() const
{

	return espeak_GetParameter(espeakVOLUME, 1);

}
void HautParleur::setVolume(int volume)
{

     qDebug() << "Volume : " << volume << endl;
    
    if(volume >= 0 && volume <= 100)
    {
      espeak_SetParameter(espeakVOLUME, volume, 0);
    }

}


int HautParleur::getTonalite() const
{

	return espeak_GetParameter(espeakPITCH, 1);

}
void HautParleur::setTonalite(int tonalite)
{

    qDebug() << "Tonalite : " << tonalite << endl;
    
    if(tonalite >= 0 && tonalite <= 100)
    {
      espeak_SetParameter(espeakPITCH, tonalite, 0);
    }

}


int HautParleur::getGamme() const
{

	return espeak_GetParameter(espeakRANGE, 1);

}
void HautParleur::setGamme(int gamme)
{

     qDebug() << "Gamme : " << gamme << endl;
    
    if(gamme >= 0 && gamme <= 100)
    {
      espeak_SetParameter(espeakRANGE, gamme, 0);
    }

}


int HautParleur::getPonctuation() const
{

	return espeak_GetParameter(espeakPUNCTUATION, 1);

}

void HautParleur::setPonctuation(int ponctuation)
{

    qDebug() << "Ponctuation : " << ponctuation << endl;
    
    if(ponctuation >= 0 && ponctuation <= 1)
    {
      espeak_SetParameter(espeakPUNCTUATION, ponctuation, 0);
    }

}


int HautParleur::getGenre() const
{

	return voix_spec->gender;

}
void HautParleur::setGenre(int genre)
{

	voix_spec->gender = genre;

}


int HautParleur::getTauxEchantillonnage() const
{

	return this->tauxEchantillonnage;

}


void HautParleur::parle(QString text)
{
    qDebug() << "-- " << text << endl;
    espeak_Synth((char *)text.toAscii().data(), text.size(), 0, POS_CHARACTER, 0, espeakCHARS_AUTO, NULL, NULL);
    espeak_Synchronize();
}

string HautParleur::getVoix() const
{

    return this->voix;

}

void HautParleur::setVoix(string voix)
{

	this->voix = voix;
	if(espeak_SetVoiceByName(this->voix.c_str()) != EE_OK)
        cerr << "espeak_SetVoiceByName error !" << endl;
    else
    {
        qDebug() << "Selection language : " << 'voix' << endl;
    }

}	



