#ifndef SYNTHESE_VOCALE_H
#define SYNTHESE_VOCALE_H

#include <QtCore>
#include <iostream>
#include <string>
#include <cstring>
#include <unistd.h>

    #include <espeak/speak_lib.h>

using namespace std;

/**
 * @brief Classe qui permet de générer des messages sonores
 *
 * @class HautParleur HautParleur.h "HautParleur.h"
 */
class HautParleur : public QObject
{
	public:
        /**
         * @brief Constructeur par défaut
         *
         * @fn HautParleur
         */
        HautParleur();
        /**
         * @brief Destructeur
         *
         * @fn ~HautParleur
         */
        ~HautParleur();
		
        /**
         * @brief
         *
         * @fn liste
         */
        void liste();
        /**
         * @brief
         *
         * @fn version
         */
        void version();
        /**
         * @brief
         *
         * @fn parle
         * @param text
         */
        void parle(QString text);

        /**
         * @brief
         *
         * @fn getVitesse
         * @return int
         */
        int getVitesse() const;
        /**
         * @brief
         *
         * @fn setVitesse
         * @param vitesse
         */
        void setVitesse(int vitesse);
		
        /**
         * @brief
         *
         * @fn getVolume
         * @return int
         */
        int getVolume() const;
        /**
         * @brief
         *
         * @fn setVolume
         * @param volume
         */
        void setVolume(int volume);
		
        /**
         * @brief
         *
         * @fn getTonalite
         * @return int
         */
        int getTonalite() const;
        /**
         * @brief
         *
         * @fn setTonalite
         * @param tonalite
         */
        void setTonalite(int tonalite);
		
        /**
         * @brief
         *
         * @fn getGamme
         * @return int
         */
        int getGamme() const;
        /**
         * @brief
         *
         * @fn setGamme
         * @param gamme
         */
        void setGamme(int gamme);
		
        /**
         * @brief
         *
         * @fn getPonctuation
         * @return int
         */
        int getPonctuation() const;
        /**
         * @brief
         *
         * @fn setPonctuation
         * @param ponctuation
         */
        void setPonctuation(int ponctuation);
		
        /**
         * @brief
         *
         * @fn getGenre
         * @return int
         */
        int getGenre() const;
        /**
         * @brief
         *
         * @fn setGenre
         * @param genre
         */
        void setGenre(int genre);
		
        /**
         * @brief
         *
         * @fn getTauxEchantillonnage
         * @return int
         */
        int getTauxEchantillonnage() const;
        /**
         * @brief
         *
         * @fn setTauxEchantillonnage
         * @param tauxEchantillonnage
         */
        void setTauxEchantillonnage(int tauxEchantillonnage);
		
        /**
         * @brief
         *
         * @fn getVoix
         * @return string
         */
        string getVoix() const;
        /**
         * @brief
         *
         * @fn setVoix
         * @param voix
         */
        void setVoix(string voix);
		
	private:

        string voix; /**< Voix à utiliser pour la synthese vocale. */
        int tauxEchantillonnage; /**< Plus la fréquence est grande, plus la qualité du signal est élevée. */

        espeak_VOICE *voix_spec;
		
};			
		
#endif // SYNTHESE_VOCALE_H
