#ifndef IHM_H
#define IHM_H

#include <QtGui>
#include <QtSql/QtSql>

class SimulateurBus;

class IHM : public QWidget
{
   Q_OBJECT

   public:
      IHM( QWidget *parent = 0 );
      ~IHM();
   
   private:    
      QLabel      *labelAdresseServeur;
      QLineEdit   *leAdresseServeur;
      QLabel      *labelPortServeur;
      QLineEdit   *lePortServeur;
      QLabel      *labelIdBus;
      QLineEdit   *leIdBus;
      QLabel      *labelIdService;
      QLineEdit   *leIdService;
      QLabel      *labelLigne;     
      QComboBox   *choixLigne;     
      QLabel      *labelItineraire;
      QComboBox   *choixItineraire;
      QTableView  *vueTrajet;
      QTextEdit   *messagesSIV;
      
      QPushButton *bDemarrer;  
      QPushButton *bArreter;  
      QPushButton *bQuitter;  
      
      QList<SimulateurBus *> simulateursBus;
      QSqlDatabase db;
      QVector<QStringList> lignes;
      QVector<QStringList> itineraires;
      QVector<QStringList> trajet;
      QString route_id;
      QString trip_id;
      
      void lireParametresINI();
      void ecrireParametresINI();
      void initialiserBD(); 

   signals:    
      void terminer();
      void quit();
      
   private slots:    
      void demarrer();    
      void arreter();    
      void quitter();    
      void selectionnerLigne(int index);
      void selectionnerItineraire(int index);
      void actualiserMessage(const QString &message);
      void finirSimulation(SimulateurBus *simulateurBus);
};

#endif
