#include "simulateurbus.h"
#include "simulation.h"

SimulateurBus::SimulateurBus(int idBus, int idService, QSqlDatabase &db, QWidget *parent) : QWidget(parent)
{
    this->simulation = NULL;
    this->idBus = idBus;
    this->idService = idService;
    this->db = db;

    labelIdBus = new QLabel(this);
    labelIdBus->setText(QString::fromUtf8("Id bus : ") + QString::number(idBus));
    labelIdService = new QLabel(this);
    labelIdService->setText(QString::fromUtf8("Id service : ") + QString::number(idService));
    labelLigne = new QLabel(this);
    labelLigne->setText(QString::fromUtf8("Ligne : "));
    labelItineraire = new QLabel(this);
    labelItineraire->setText(QString::fromUtf8("Itinéraire : "));
    vueTrajet = new QTableView(this);
    labelTempsTransit = new QLabel(this);
    labelTempsTransit->setText(QString::fromUtf8("Durée à l'arrêt (ms) : "));
    tempsTransit = new QLineEdit(this);
    tempsTransit->setText("2000");
    labelRayon = new QLabel(this);
    labelRayon->setText(QString::fromUtf8("Rayon détection (m) : "));
    rayon = new QLineEdit(this);
    rayon->setText("30");
    labelArret = new QLabel(this);
    labelArret->setFrameStyle(QFrame::Panel | QFrame::Sunken);
    labelArret->setMargin(10);
    labelArret->setText(QString::fromUtf8(" "));
    labelArret->setFont(QFont("Verdana", 14, QFont::Bold));
    labelArret->setAlignment(Qt::AlignHCenter);
    QPalette palette;
    palette.setColor(QPalette::WindowText, Qt::blue);
    labelArret->setAutoFillBackground(true);
    labelArret->setPalette(palette);
    labelHorodatage = new QLabel(this);
    labelHorodatage->setFrameStyle(QFrame::Panel | QFrame::Sunken);
    labelHorodatage->setMargin(10);
    labelHorodatage->setFont(QFont("Verdana", 14, QFont::Bold));
    labelHorodatage->setAlignment(Qt::AlignHCenter);
    labelHorodatage->setText(QString::fromUtf8(" "));
    palette.setColor(QPalette::WindowText, Qt::blue);
    labelHorodatage->setPalette(palette);
    labelDuree = new QLabel(this);
    labelDuree->setFrameStyle(QFrame::Panel | QFrame::Sunken);
    labelDuree->setMargin(10);
    labelDuree->setFont(QFont("Verdana", 14, QFont::Bold));
    labelDuree->setAlignment(Qt::AlignHCenter);
    labelDuree->setText(QString::fromUtf8(" "));
    palette.setColor(QPalette::WindowText, Qt::darkGreen);
    labelDuree->setPalette(palette);
    labelDistance = new QLabel(this);
    labelDistance->setFrameStyle(QFrame::Panel | QFrame::Sunken);
    labelDistance->setMargin(10);
    labelDistance->setFont(QFont("Verdana", 14, QFont::Bold));
    labelDistance->setAlignment(Qt::AlignHCenter);
    labelDistance->setText(QString::fromUtf8(" "));
    palette.setColor(QPalette::WindowText, Qt::darkGreen);
    labelDistance->setPalette(palette);
    labelVitesse = new QLabel(this);
    labelVitesse->setFrameStyle(QFrame::Panel | QFrame::Sunken);
    labelVitesse->setMargin(10);
    labelVitesse->setFont(QFont("Verdana", 14, QFont::Bold));
    labelVitesse->setAlignment(Qt::AlignHCenter);
    labelVitesse->setText(QString::fromUtf8(" "));
    palette.setColor(QPalette::WindowText, Qt::darkGreen);
    labelVitesse->setPalette(palette);
    phrases = new QTextEdit(this);
    phrases->setReadOnly(true);
    labelAlerte = new QLabel(this);
    labelAlerte->setText(QString::fromUtf8("Alerte : "));
    choixAlerte = new QComboBox(this);
    choixAlerte->addItem("");
    choixAlerte->addItem(QString::fromUtf8("Déviation"));
    choixAlerte->addItem(QString::fromUtf8("Bouchon"));
    choixAlerte->addItem(QString::fromUtf8("Billetique"));
    choixAlerte->addItem(QString::fromUtf8("Bus"));
    choixAlerte->addItem(QString::fromUtf8("Agression"));
    choixAlerte->setEnabled(false);
    messagesSAI = new QTextEdit(this);
    messagesSAI->setReadOnly(true);

    bDemarrer  = new QPushButton(QString::fromUtf8("Démarrer"), this);
    bDemarrer->setEnabled(true);
    bArreter   = new QPushButton(QString::fromUtf8("Arrêter"), this);
    bArreter->setEnabled(false);
    bQuitter   = new QPushButton("Quitter", this);

    QHBoxLayout *hLayout00 = new QHBoxLayout;
    QHBoxLayout *hLayout0 = new QHBoxLayout;
    QHBoxLayout *hLayout1 = new QHBoxLayout;
    QHBoxLayout *hLayout2 = new QHBoxLayout;
    QHBoxLayout *hLayout3 = new QHBoxLayout;
    QHBoxLayout *hLayout3a = new QHBoxLayout;
    QHBoxLayout *hLayout4a = new QHBoxLayout;
    QHBoxLayout *hLayout4b = new QHBoxLayout;
    QHBoxLayout *hLayout5 = new QHBoxLayout;
    QHBoxLayout *hLayout6 = new QHBoxLayout;
    QHBoxLayout *hLayout7 = new QHBoxLayout;
    QHBoxLayout *hLayout8 = new QHBoxLayout;
    QVBoxLayout *mainLayout = new QVBoxLayout;

    hLayout00->addWidget(labelIdBus);
    hLayout00->addWidget(labelIdService);
    hLayout0->addWidget(labelLigne);
    hLayout1->addWidget(labelItineraire);
    hLayout2->addWidget(vueTrajet);
    hLayout3->addWidget(labelTempsTransit);
    hLayout3->addWidget(tempsTransit);
    hLayout3a->addWidget(labelRayon);
    hLayout3a->addWidget(rayon);
    hLayout4a->addWidget(labelArret);
    hLayout4a->addWidget(labelHorodatage);
    hLayout4b->addWidget(labelDuree);
    hLayout4b->addWidget(labelDistance);
    hLayout4b->addWidget(labelVitesse);
    hLayout5->addWidget(phrases);
    hLayout6->addWidget(labelAlerte);
    hLayout6->addWidget(choixAlerte);
    hLayout7->addWidget(messagesSAI);
    hLayout8->addWidget(bDemarrer);
    hLayout8->addWidget(bArreter);
    hLayout8->addWidget(bQuitter);

    mainLayout->addLayout(hLayout00);
    mainLayout->addLayout(hLayout0);
    mainLayout->addLayout(hLayout1);
    mainLayout->addLayout(hLayout2);
    mainLayout->addLayout(hLayout3);
    mainLayout->addLayout(hLayout3a);
    mainLayout->addLayout(hLayout4a);
    mainLayout->addLayout(hLayout4b);
    mainLayout->addLayout(hLayout5);
    mainLayout->addLayout(hLayout6);
    mainLayout->addLayout(hLayout7);
    mainLayout->addLayout(hLayout8);
    setLayout(mainLayout);

    connect(choixAlerte, SIGNAL(currentIndexChanged(int)), this, SLOT(envoyerAlerte(int)));
    connect(bDemarrer, SIGNAL(clicked()), this, SLOT(demarrer()));
    connect(bArreter, SIGNAL(clicked()), this, SLOT(arreter()));
    connect(bQuitter, SIGNAL(clicked()), this, SLOT(quitter()));

    setWindowTitle(QString::fromUtf8("Bus ") + QString::number(idBus));
    //setFixedHeight(sizeHint().height());

    setAttribute(Qt::WA_DeleteOnClose, true);
}

SimulateurBus::~SimulateurBus()
{
    qDebug() << Q_FUNC_INFO;
}

void SimulateurBus::demarrer()
{
   if(simulation == NULL)
   {
      phrases->clear();
      messagesSAI->clear();
      simulation = new Simulation;

      simulation->setTrajet(trajet, trajetDetails);
      simulation->setRayon(rayon->text().toDouble()); // m
      simulation->setTemps(tempsTransit->text().toInt(), 500); // milli s
      simulation->setServeurSAI(adresseIP, port);
      simulation->setId(idBus, idService, route_id, trip_id);

      connect(simulation, SIGNAL(nouvelArret(const QString &)), this, SLOT(actualiserArret(const QString &)));
      connect(simulation, SIGNAL(nouvelArretHorodate(const QString &, const QString &)), this, SLOT(actualiserArret(const QString &, const QString &)));
      connect(simulation, SIGNAL(nouvelHorodatage(const QString &)), this, SLOT(actualiserHorodatage(const QString &)));
      connect(simulation, SIGNAL(nouvelleDuree(const QString &)), this, SLOT(actualiserDuree(const QString &)));
      connect(simulation, SIGNAL(nouvelleDistance(const QString &)), this, SLOT(actualiserDistance(const QString &)));
      connect(simulation, SIGNAL(nouvelleVitesse(const QString &)), this, SLOT(actualiserVitesse(const QString &)));
      connect(simulation, SIGNAL(nouvelleTrame(const QString &)), this, SLOT(actualiserTrame(const QString &)));
      connect(simulation, SIGNAL(nouveauMessage(const QString &)), this, SLOT(actualiserMessage(const QString &)));
      connect(simulation, SIGNAL(trajetFini()), this, SLOT(arreter()));

      simulation->start();

      tempsTransit->setEnabled(false);
      rayon->setEnabled(false);
      choixAlerte->setEnabled(true);
      bArreter->setEnabled(true);
      bDemarrer->setEnabled(false);

      QString message = QString::fromUtf8("<départ simulation> id bus : ") + QString::number(idBus) + QString::fromUtf8(" - id service : ") + QString::number(idService);
      emit signalerMessage(message);
   }
}

void SimulateurBus::arreter()
{
    if(simulation != NULL)
    {
       if(!simulation->isStopped())
          simulation->stop();
       simulation->wait();

       disconnect(simulation, SIGNAL(nouvelArret(const QString &)), this, SLOT(actualiserArret(const QString &)));
       disconnect(simulation, SIGNAL(nouvelleTrame(const QString &)), this, SLOT(actualiserTrame(const QString &)));
       disconnect(simulation, SIGNAL(nouveauMessage(const QString &)), this, SLOT(actualiserMessage(const QString &)));
       disconnect(simulation, SIGNAL(trajetFini()), this, SLOT(arreter()));

       delete simulation;
       simulation = NULL;

       tempsTransit->setEnabled(true);
       rayon->setEnabled(true);
       choixAlerte->setEnabled(false);
       bArreter->setEnabled(false);
       bDemarrer->setEnabled(true);

       QString message = QString::fromUtf8("<arrêt simulation> id bus : ") + QString::number(idBus) + QString::fromUtf8(" - id service : ") + QString::number(idService);
       emit signalerMessage(message);
    }
}

void SimulateurBus::quitter()
{
   if(simulation != NULL)
   {
      arreter();
   }
   emit fin(this);
   close();
}

int SimulateurBus::getIdBus()
{
    return this->idBus;
}

void SimulateurBus::setTrajet(const QVector<QStringList> &trajet, QString route_id, QString trip_id)
{
    this->trajet = trajet;
    this->route_id = route_id;
    this->trip_id = trip_id;

    QSqlQueryModel *model = new QSqlQueryModel;
    QString requete = "SELECT stops.stop_name, stop_times.arrival_time, stop_times.departure_time FROM trips INNER JOIN stop_times ON stop_times.trip_id=trips.trip_id INNER JOIN stops ON stops.stop_id=stop_times.stop_id WHERE trips.trip_id=\'" + trip_id + "\' ORDER BY stop_sequence ASC";
    //qDebug() << requete;
    model->setQuery(requete);
    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
    model->setHeaderData(0, Qt::Horizontal, "Arrêt");
    model->setHeaderData(1, Qt::Horizontal, "Arrivée");
    model->setHeaderData(2, Qt::Horizontal, "Départ");
    vueTrajet->setModel(model);
    vueTrajet->resizeColumnsToContents();
    //vueTrajet->show();

    // on récupère le tracé détaillé du parcours
    bool retour;
    QSqlQuery query;

    QString shape_id = trajet.at(0).at(SHAPE_ID);
    if(!shape_id.isEmpty())
    {
      requete = "SELECT * FROM shapes WHERE shape_id=\'" + shape_id + "\' ORDER BY shape_pt_sequence ASC";
      retour = query.exec(requete);
      if(retour)
      {
          trajetDetails.clear();
          while ( query.next() )
          {
             QStringList shapes;
             for(int i=0;i<query.record().count();i++)
                shapes << query.value(i).toString();
             trajetDetails.push_back(shapes);
          }
          //qDebug() << trajetDetails;
      }
      else
      {
          qDebug() << query.lastError().text();
      }
    }
}

void SimulateurBus::setServeurSAI(const QString &adresseIP, int port)
{
    this->adresseIP = adresseIP;
    this->port = port;
}

void SimulateurBus::setLigne(QString ligne, QString itineraire)
{
    labelLigne->setText(QString::fromUtf8("Ligne : ") + ligne);
    labelItineraire->setText(QString::fromUtf8("Itinéraire : ") + itineraire);
}

void SimulateurBus::envoyerAlerte(int index)
{
    if(index > 0)
    {
        if(simulation != NULL)
        {
           simulation->setAlerte(index);
           choixAlerte->setCurrentIndex(0);
        }
    }
}

void SimulateurBus::actualiserArret(const QString &arret)
{
    this->labelArret->setText(arret);
}

void SimulateurBus::actualiserArret(const QString &arret, const QString &horodatage)
{
    this->labelArret->setText(arret);
    this->labelHorodatage->setText(horodatage);
}

void SimulateurBus::actualiserHorodatage(const QString &horodatage)
{
    this->labelDuree->setText(horodatage);
}

void SimulateurBus::actualiserDuree(const QString &duree)
{
    this->labelDuree->setText(duree);
}

void SimulateurBus::actualiserDistance(const QString &distance)
{
    this->labelDistance->setText(QString().setNum(distance.toDouble(), 'f', 0) + " m");
}

void SimulateurBus::actualiserVitesse(const QString &vitesse)
{
    this->labelVitesse->setText(QString().setNum(vitesse.toDouble(), 'f', 2) + " km/h");
}

void SimulateurBus::actualiserTrame(const QString &phrase)
{
   phrases->append(phrase);
}

void SimulateurBus::actualiserMessage(const QString &message)
{
   messagesSAI->append(message);
}
