#ifndef SIMULATEURBUS_H
#define SIMULATEURBUS_H

#include <QtGui>
#include <QtSql/QtSql>

class Simulation;

class SimulateurBus : public QWidget
{
    Q_OBJECT
public:
    explicit SimulateurBus(int idBus, int idService, QSqlDatabase &db, QWidget *parent = 0);
    ~SimulateurBus();

    int         getIdBus();
    void        setTrajet(const QVector<QStringList> &trajet, QString route_id, QString trip_id);
    void        setServeurSAI(const QString &adresseIP, int port);
    void        setLigne(QString ligne, QString itineraire);

private:
    QLabel      *labelLigne;
    QLabel      *labelItineraire;
    QLabel      *labelIdBus;
    QLabel      *labelIdService;
    QTableView  *vueTrajet;
    QLabel      *labelTempsTransit;
    QLineEdit   *tempsTransit;
    QLabel      *labelRayon;
    QLineEdit   *rayon;
    QLabel      *labelArret;
    QLabel      *arret;

    QLabel      *labelHorodatage;
    QLabel      *labelDuree;
    QLabel      *labelDistance;
    QLabel      *labelVitesse;

    QTextEdit   *phrases;
    QLabel      *labelAlerte;
    QComboBox   *choixAlerte;
    QTextEdit   *messagesSAI;

    QPushButton *bDemarrer;
    QPushButton *bArreter;
    QPushButton *bQuitter;

    QSqlDatabase db;
    Simulation  *simulation;
    int          idBus;
    int          idService;
    QVector<QStringList> trajet;
    QVector<QStringList> trajetDetails;
    QString      adresseIP;
    int          port;
    QString      route_id;
    QString      trip_id;

    void         initialiserBD();

signals:
    void signalerMessage(QString);
    void fin(SimulateurBus *simulateurBus);
    
public slots:
    void demarrer();
    void arreter();
    void quitter();
    void envoyerAlerte(int index);
    void actualiserArret(const QString &arret);
    void actualiserArret(const QString &arret, const QString &horodatage);
    void actualiserHorodatage(const QString &horodatage);
    void actualiserDuree(const QString &duree);
    void actualiserDistance(const QString &distance);
    void actualiserVitesse(const QString &vitesse);
    void actualiserTrame(const QString &phrase);
    void actualiserMessage(const QString &message);
};

#endif // SIMULATEURBUS_H
