#ifndef IHM_H
#define IHM_H

#include <QtGui>
#include <QtSql/QtSql>

class Simulation;

class IHM : public QWidget
{
   Q_OBJECT

   public:
      IHM( QWidget *parent = 0 );
      ~IHM();
   
   private:    
      QLabel      *labelPortGPS;
      QLineEdit   *lePortGPS;
      QLabel      *labelTypePhrase;
      QComboBox   *leTypePhrase;
      QTextEdit   *messagesSimulateur;
      QLabel      *labelLigne;     
      QComboBox   *choixLigne;     
      QLabel      *labelItineraire;
      QComboBox   *choixItineraire;
      QTableView  *vueTrajet;
      QLabel      *labelTempsTransit;
      QLineEdit   *tempsTransit;
      QLabel      *labelArret;
      QLabel      *labelHorodatage;
      QLabel      *labelDuree;
      QLabel      *labelDistance;
      QLabel      *labelVitesse;
      QTextEdit   *messagesGPS;
      
      QPushButton *bDemarrer;  
      QPushButton *bArreter;  
      QPushButton *bQuitter;  
      
      Simulation  *simulation;
      QSqlDatabase db;
      QVector<QStringList> lignes;
      QVector<QStringList> itineraires;
      QVector<QStringList> trajet;
      QVector<QStringList> trajetDetails;
      QString route_id;
      QString trip_id;
      
      void lireParametresINI();
      void ecrireParametresINI();
      void initialiserBD(); 

   signals:    
      void terminer();
      void quit();
      void signalerMessage(QString);
      
   private slots:    
      void demarrer();    
      void arreter();    
      void quitter();    
      void selectionnerLigne(int index);
      void selectionnerItineraire(int index);
      void actualiserArret(const QString &arret, const QString &horodatage);
      void actualiserHorodatage(const QString &horodatage);
      void actualiserDuree(const QString &duree);
      void actualiserDistance(const QString &distance);
      void actualiserVitesse(const QString &vitesse);
      void actualiserTrame(const QString &message);
      void actualiserMessageSimulateur(const QString &message);
};

#endif
