PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE `conducteur` (
  `codeConducteur` smallint(4) NOT NULL,
  `nomConducteur` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`codeConducteur`)
);
INSERT INTO "conducteur" VALUES(1,'denis darmon');
INSERT INTO "conducteur" VALUES(195,'richard boue');
INSERT INTO "conducteur" VALUES(1234,'fabrice allaire');
INSERT INTO "conducteur" VALUES(1962,'nicolas lepretre');
INSERT INTO "conducteur" VALUES(1993,'jean lapierre');
INSERT INTO "conducteur" VALUES(2121,'cyril salomon');
INSERT INTO "conducteur" VALUES(3082,'olivier piquet');
INSERT INTO "conducteur" VALUES(3553,'laurine thibault');
INSERT INTO "conducteur" VALUES(6340,'marc gross');
INSERT INTO "conducteur" VALUES(7275,'fanny delaunay');
CREATE TABLE `organisme` (
  `idOrganisme` bigint(20) NOT NULL,
  `nomOrganisme` varchar(160) DEFAULT NULL,
  `telephone` varchar(10) DEFAULT NULL,
  `fuseauHoraire` varchar(160) DEFAULT NULL,
  `langue` varchar(160) DEFAULT NULL,
  `url` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`idOrganisme`)
);
INSERT INTO "organisme" VALUES(6192449487677451,'Tisséo','0561417070','Europe/Paris','fr','http://www.tisseo.fr');
CREATE TABLE `vehicule` (
  `idVehicule` smallint(3) NOT NULL,
  `typeVehicule` varchar(160) DEFAULT NULL,
  `capacite` smallint(3) DEFAULT NULL,
  PRIMARY KEY (`idVehicule`)
);
INSERT INTO "vehicule" VALUES(82,'articulé',148);
INSERT INTO "vehicule" VALUES(123,'standard',100);
INSERT INTO "vehicule" VALUES(155,'standard',100);
INSERT INTO "vehicule" VALUES(171,'articulé',148);
INSERT INTO "vehicule" VALUES(193,'standard',100);
INSERT INTO "vehicule" VALUES(204,'articulé',148);
INSERT INTO "vehicule" VALUES(287,'midibus',88);
INSERT INTO "vehicule" VALUES(345,'midibus',88);
INSERT INTO "vehicule" VALUES(615,'articulé',148);
INSERT INTO "vehicule" VALUES(679,'midibus',88);
INSERT INTO "vehicule" VALUES(766,'midibus',88);
INSERT INTO "vehicule" VALUES(986,'articulé',148);
CREATE TABLE `ligne` (
  `idLigne` bigint(20) NOT NULL DEFAULT '0',
  `nomLong` varchar(160) DEFAULT NULL,
  `nomCourt` int(11) DEFAULT NULL,
  `description` varchar(160) DEFAULT NULL,
  `type` varchar(160) DEFAULT NULL,
  `couleurLigne` varchar(6) DEFAULT '000000',
  `couleurTexte` varchar(6) DEFAULT '000000',
  `idOrganisme` bigint(20) NOT NULL,
  PRIMARY KEY (`idLigne`),
  CONSTRAINT fk_ligne_idOrganisme
  FOREIGN KEY (idOrganisme)
  REFERENCES organisme(idOrganisme)
);
INSERT INTO "ligne" VALUES(11821949021891617,'St Cyprien - République / Oncopole',3,'Ligne St Cyprien - République / Oncopole','3','660099','FFFFFF',6192449487677451);
INSERT INTO "ligne" VALUES(11821949021891635,'Colomiers Gare SNCF / Brax le Château',32,'Ligne Colomiers Gare SNCF / Brax le Château','3','8e4a05','FFFFFF',6192449487677451);
INSERT INTO "ligne" VALUES(11821949021891637,'Argoulets / Union Somport',39,'Ligne Argoulets / Union Somport','3','00c62d','FFFFFF',6192449487677451);
CREATE TABLE `calendrier` (
  `idCalendrier` bigint(20) NOT NULL,
  `lundi` binary(1) DEFAULT NULL,
  `mardi` binary(1) DEFAULT NULL,
  `mercredi` binary(1) DEFAULT NULL,
  `jeudi` binary(1) DEFAULT NULL,
  `vendredi` binary(1) DEFAULT NULL,
  `samedi` binary(1) DEFAULT NULL,
  `dimanche` binary(1) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `dateFin` date DEFAULT NULL,
  PRIMARY KEY (`idCalendrier`)
);
INSERT INTO "calendrier" VALUES(4503603928071438,1,1,1,1,1,1,0,'2015-01-01','2016-12-31');
INSERT INTO "calendrier" VALUES(4503599631512310,1,1,1,1,1,0,0,'2015-01-01','2016-12-31');
INSERT INTO "calendrier" VALUES(4503603925963979,0,0,0,0,0,1,0,'2015-01-01','2016-12-31');
INSERT INTO "calendrier" VALUES(4503603928071505,1,1,1,1,1,0,0,'2015-01-01','2016-12-31');
CREATE TABLE `arret` (
  `idArret` bigint(20) NOT NULL,
  `heureArrivee` time DEFAULT NULL,
  `heureDepart` time DEFAULT NULL,
  `numeroSequence` int(11) DEFAULT NULL,
  `informationVoyageur` int(11) DEFAULT NULL,
  `idItineraire` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idArret`,`idItineraire`),
  CONSTRAINT fk_arret_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire)
);
INSERT INTO "arret" VALUES(3377699720880909,'20:25:00','20:25:00',0,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720880909,'06:40:00','06:40:00',0,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720880909,'19:10:00','19:10:00',0,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720880909,'19:35:00','19:35:00',0,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720880909,'20:00:00','20:00:00',0,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720880909,'06:15:00','06:15:00',0,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720880909,'20:50:00','20:50:00',0,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720880909,'07:05:00','07:05:00',0,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720880909,'07:30:00','07:30:00',0,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720880909,'07:55:00','07:55:00',0,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720880909,'08:20:00','08:20:00',0,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720880909,'08:45:00','08:45:00',0,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720880909,'09:10:00','09:10:00',0,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720880909,'09:35:00','09:35:00',0,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720880909,'10:00:00','10:00:00',0,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720880909,'10:25:00','10:25:00',0,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720880909,'10:50:00','10:50:00',0,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720880909,'11:15:00','11:15:00',0,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720880909,'11:40:00','11:40:00',0,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720880909,'12:05:00','12:05:00',0,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720880909,'12:30:00','12:30:00',0,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720880909,'12:55:00','12:55:00',0,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720880909,'18:20:00','18:20:00',0,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720880909,'16:40:00','16:40:00',0,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720880909,'16:00:00','16:00:00',0,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720880909,'15:40:00','15:40:00',0,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720880909,'17:20:00','17:20:00',0,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720880909,'16:20:00','16:20:00',0,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720880909,'13:20:00','13:20:00',0,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720880909,'13:45:00','13:45:00',0,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720880909,'14:10:00','14:10:00',0,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720880909,'14:35:00','14:35:00',0,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720880909,'15:00:00','15:00:00',0,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720880909,'15:20:00','15:20:00',0,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720880909,'17:40:00','17:40:00',0,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720880909,'18:00:00','18:00:00',0,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720880909,'17:00:00','17:00:00',0,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720880909,'18:45:00','18:45:00',0,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882751,'20:26:00','20:26:00',1,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882751,'06:41:00','06:41:00',1,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882751,'19:11:00','19:11:00',1,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882751,'19:36:00','19:36:00',1,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882751,'20:01:00','20:01:00',1,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882751,'06:16:00','06:16:00',1,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882751,'20:51:00','20:51:00',1,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882751,'07:06:00','07:06:00',1,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882751,'07:31:00','07:31:00',1,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882751,'07:56:00','07:56:00',1,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882751,'08:21:00','08:21:00',1,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882751,'08:46:00','08:46:00',1,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882751,'09:11:00','09:11:00',1,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882751,'09:36:00','09:36:00',1,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882751,'10:01:00','10:01:00',1,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882751,'10:26:00','10:26:00',1,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882751,'10:51:00','10:51:00',1,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882751,'11:16:00','11:16:00',1,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882751,'11:41:00','11:41:00',1,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882751,'12:06:00','12:06:00',1,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882751,'12:31:00','12:31:00',1,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882751,'12:56:00','12:56:00',1,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882751,'18:21:00','18:21:00',1,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882751,'16:41:00','16:41:00',1,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882751,'16:01:00','16:01:00',1,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882751,'15:41:00','15:41:00',1,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882751,'17:21:00','17:21:00',1,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882751,'16:21:00','16:21:00',1,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882751,'13:21:00','13:21:00',1,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882751,'13:46:00','13:46:00',1,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882751,'14:11:00','14:11:00',1,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882751,'14:36:00','14:36:00',1,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882751,'15:01:00','15:01:00',1,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882751,'15:21:00','15:21:00',1,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882751,'17:41:00','17:41:00',1,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882751,'18:01:00','18:01:00',1,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882751,'17:01:00','17:01:00',1,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882751,'18:46:00','18:46:00',1,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882288,'20:27:00','20:27:00',2,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882288,'06:42:00','06:42:00',2,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882288,'19:12:00','19:12:00',2,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882288,'19:37:00','19:37:00',2,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882288,'20:02:00','20:02:00',2,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882288,'06:17:00','06:17:00',2,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882288,'20:52:00','20:52:00',2,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882288,'07:07:00','07:07:00',2,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882288,'07:32:00','07:32:00',2,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882288,'07:57:00','07:57:00',2,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882288,'08:22:00','08:22:00',2,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882288,'08:47:00','08:47:00',2,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882288,'09:12:00','09:12:00',2,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882288,'09:37:00','09:37:00',2,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882288,'10:02:00','10:02:00',2,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882288,'10:27:00','10:27:00',2,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882288,'10:52:00','10:52:00',2,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882288,'11:17:00','11:17:00',2,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882288,'11:42:00','11:42:00',2,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882288,'12:07:00','12:07:00',2,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882288,'12:32:00','12:32:00',2,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882288,'12:57:00','12:57:00',2,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882288,'18:22:00','18:22:00',2,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882288,'16:42:00','16:42:00',2,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882288,'16:02:00','16:02:00',2,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882288,'15:42:00','15:42:00',2,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882288,'17:22:00','17:22:00',2,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882288,'16:22:00','16:22:00',2,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882288,'13:22:00','13:22:00',2,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882288,'13:47:00','13:47:00',2,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882288,'14:12:00','14:12:00',2,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882288,'14:37:00','14:37:00',2,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882288,'15:02:00','15:02:00',2,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882288,'15:22:00','15:22:00',2,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882288,'17:42:00','17:42:00',2,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882288,'18:02:00','18:02:00',2,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882288,'17:02:00','17:02:00',2,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882288,'18:47:00','18:47:00',2,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882752,'20:28:00','20:28:00',3,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882752,'06:43:00','06:43:00',3,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882752,'19:13:00','19:13:00',3,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882752,'19:38:00','19:38:00',3,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882752,'20:03:00','20:03:00',3,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882752,'06:18:00','06:18:00',3,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882752,'20:53:00','20:53:00',3,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882752,'07:08:00','07:08:00',3,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882752,'07:33:00','07:33:00',3,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882752,'07:58:00','07:58:00',3,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882752,'08:23:00','08:23:00',3,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882752,'08:48:00','08:48:00',3,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882752,'09:13:00','09:13:00',3,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882752,'09:38:00','09:38:00',3,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882752,'10:03:00','10:03:00',3,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882752,'10:28:00','10:28:00',3,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882752,'10:53:00','10:53:00',3,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882752,'11:18:00','11:18:00',3,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882752,'11:43:00','11:43:00',3,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882752,'12:08:00','12:08:00',3,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882752,'12:33:00','12:33:00',3,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882752,'12:58:00','12:58:00',3,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882752,'18:23:00','18:23:00',3,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882752,'16:43:00','16:43:00',3,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882752,'16:03:00','16:03:00',3,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882752,'15:43:00','15:43:00',3,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882752,'17:23:00','17:23:00',3,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882752,'16:23:00','16:23:00',3,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882752,'13:23:00','13:23:00',3,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882752,'13:48:00','13:48:00',3,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882752,'14:13:00','14:13:00',3,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882752,'14:38:00','14:38:00',3,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882752,'15:03:00','15:03:00',3,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882752,'15:23:00','15:23:00',3,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882752,'17:43:00','17:43:00',3,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882752,'18:03:00','18:03:00',3,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882752,'17:03:00','17:03:00',3,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882752,'18:48:00','18:48:00',3,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882756,'20:29:00','20:29:00',4,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882756,'06:43:00','06:43:00',4,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882756,'19:15:00','19:15:00',4,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882756,'19:40:00','19:40:00',4,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882756,'20:04:00','20:04:00',4,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882756,'06:18:00','06:18:00',4,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882756,'20:54:00','20:54:00',4,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882756,'07:08:00','07:08:00',4,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882756,'07:34:00','07:34:00',4,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882756,'07:59:00','07:59:00',4,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882756,'08:25:00','08:25:00',4,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882756,'08:50:00','08:50:00',4,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882756,'09:15:00','09:15:00',4,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882756,'09:40:00','09:40:00',4,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882756,'10:05:00','10:05:00',4,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882756,'10:30:00','10:30:00',4,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882756,'10:55:00','10:55:00',4,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882756,'11:20:00','11:20:00',4,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882756,'11:45:00','11:45:00',4,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882756,'12:10:00','12:10:00',4,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882756,'12:35:00','12:35:00',4,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882756,'12:59:00','12:59:00',4,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882756,'18:25:00','18:25:00',4,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882756,'16:45:00','16:45:00',4,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882756,'16:05:00','16:05:00',4,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882756,'15:45:00','15:45:00',4,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882756,'17:25:00','17:25:00',4,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882756,'16:25:00','16:25:00',4,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882756,'13:24:00','13:24:00',4,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882756,'13:49:00','13:49:00',4,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882756,'14:14:00','14:14:00',4,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882756,'14:39:00','14:39:00',4,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882756,'15:05:00','15:05:00',4,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882756,'15:25:00','15:25:00',4,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882756,'17:45:00','17:45:00',4,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882756,'18:05:00','18:05:00',4,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882756,'17:05:00','17:05:00',4,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882756,'18:50:00','18:50:00',4,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882757,'20:30:00','20:30:00',5,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882757,'06:44:00','06:44:00',5,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882757,'19:15:00','19:15:00',5,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882757,'19:40:00','19:40:00',5,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882757,'20:05:00','20:05:00',5,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882757,'06:19:00','06:19:00',5,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882757,'20:55:00','20:55:00',5,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882757,'07:09:00','07:09:00',5,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882757,'07:35:00','07:35:00',5,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882757,'08:00:00','08:00:00',5,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882757,'08:25:00','08:25:00',5,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882757,'08:50:00','08:50:00',5,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882757,'09:15:00','09:15:00',5,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882757,'09:40:00','09:40:00',5,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882757,'10:05:00','10:05:00',5,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882757,'10:30:00','10:30:00',5,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882757,'10:55:00','10:55:00',5,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882757,'11:20:00','11:20:00',5,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882757,'11:45:00','11:45:00',5,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882757,'12:10:00','12:10:00',5,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882757,'12:35:00','12:35:00',5,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882757,'13:00:00','13:00:00',5,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882757,'18:25:00','18:25:00',5,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882757,'16:45:00','16:45:00',5,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882757,'16:05:00','16:05:00',5,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882757,'15:45:00','15:45:00',5,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882757,'17:25:00','17:25:00',5,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882757,'16:25:00','16:25:00',5,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882757,'13:25:00','13:25:00',5,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882757,'13:50:00','13:50:00',5,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882757,'14:15:00','14:15:00',5,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882757,'14:40:00','14:40:00',5,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882757,'15:05:00','15:05:00',5,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882757,'15:25:00','15:25:00',5,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882757,'17:45:00','17:45:00',5,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882757,'18:05:00','18:05:00',5,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882757,'17:05:00','17:05:00',5,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882757,'18:50:00','18:50:00',5,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882762,'20:30:00','20:30:00',6,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882762,'06:44:00','06:44:00',6,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882762,'19:16:00','19:16:00',6,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882762,'19:41:00','19:41:00',6,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882762,'20:05:00','20:05:00',6,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882762,'06:19:00','06:19:00',6,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882762,'20:55:00','20:55:00',6,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882762,'07:09:00','07:09:00',6,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882762,'07:35:00','07:35:00',6,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882762,'08:00:00','08:00:00',6,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882762,'08:26:00','08:26:00',6,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882762,'08:51:00','08:51:00',6,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882762,'09:16:00','09:16:00',6,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882762,'09:41:00','09:41:00',6,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882762,'10:06:00','10:06:00',6,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882762,'10:31:00','10:31:00',6,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882762,'10:56:00','10:56:00',6,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882762,'11:21:00','11:21:00',6,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882762,'11:46:00','11:46:00',6,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882762,'12:11:00','12:11:00',6,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882762,'12:36:00','12:36:00',6,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882762,'13:00:00','13:00:00',6,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882762,'18:26:00','18:26:00',6,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882762,'16:46:00','16:46:00',6,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882762,'16:06:00','16:06:00',6,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882762,'15:46:00','15:46:00',6,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882762,'17:26:00','17:26:00',6,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882762,'16:26:00','16:26:00',6,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882762,'13:25:00','13:25:00',6,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882762,'13:50:00','13:50:00',6,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882762,'14:15:00','14:15:00',6,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882762,'14:40:00','14:40:00',6,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882762,'15:06:00','15:06:00',6,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882762,'15:26:00','15:26:00',6,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882762,'17:46:00','17:46:00',6,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882762,'18:06:00','18:06:00',6,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882762,'17:06:00','17:06:00',6,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882762,'18:51:00','18:51:00',6,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882763,'20:31:00','20:31:00',7,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882763,'06:45:00','06:45:00',7,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882763,'19:17:00','19:17:00',7,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882763,'19:42:00','19:42:00',7,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882763,'20:06:00','20:06:00',7,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882763,'06:20:00','06:20:00',7,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882763,'20:56:00','20:56:00',7,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882763,'07:10:00','07:10:00',7,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882763,'07:36:00','07:36:00',7,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882763,'08:01:00','08:01:00',7,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882763,'08:27:00','08:27:00',7,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882763,'08:52:00','08:52:00',7,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882763,'09:17:00','09:17:00',7,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882763,'09:42:00','09:42:00',7,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882763,'10:07:00','10:07:00',7,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882763,'10:32:00','10:32:00',7,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882763,'10:57:00','10:57:00',7,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882763,'11:22:00','11:22:00',7,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882763,'11:47:00','11:47:00',7,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882763,'12:12:00','12:12:00',7,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882763,'12:37:00','12:37:00',7,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882763,'13:01:00','13:01:00',7,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882763,'18:27:00','18:27:00',7,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882763,'16:47:00','16:47:00',7,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882763,'16:07:00','16:07:00',7,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882763,'15:47:00','15:47:00',7,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882763,'17:27:00','17:27:00',7,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882763,'16:27:00','16:27:00',7,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882763,'13:26:00','13:26:00',7,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882763,'13:51:00','13:51:00',7,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882763,'14:16:00','14:16:00',7,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882763,'14:41:00','14:41:00',7,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882763,'15:07:00','15:07:00',7,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882763,'15:27:00','15:27:00',7,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882763,'17:47:00','17:47:00',7,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882763,'18:07:00','18:07:00',7,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882763,'17:07:00','17:07:00',7,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882763,'18:52:00','18:52:00',7,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720881428,'20:31:00','20:31:00',8,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720881428,'06:45:00','06:45:00',8,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720881428,'19:17:00','19:17:00',8,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720881428,'19:42:00','19:42:00',8,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720881428,'20:06:00','20:06:00',8,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720881428,'06:20:00','06:20:00',8,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720881428,'20:56:00','20:56:00',8,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720881428,'07:10:00','07:10:00',8,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720881428,'07:36:00','07:36:00',8,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720881428,'08:01:00','08:01:00',8,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720881428,'08:27:00','08:27:00',8,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720881428,'08:52:00','08:52:00',8,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720881428,'09:17:00','09:17:00',8,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720881428,'09:42:00','09:42:00',8,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720881428,'10:07:00','10:07:00',8,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720881428,'10:32:00','10:32:00',8,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720881428,'10:57:00','10:57:00',8,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720881428,'11:22:00','11:22:00',8,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720881428,'11:47:00','11:47:00',8,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720881428,'12:12:00','12:12:00',8,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720881428,'12:37:00','12:37:00',8,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720881428,'13:01:00','13:01:00',8,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720881428,'18:27:00','18:27:00',8,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720881428,'16:47:00','16:47:00',8,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720881428,'16:07:00','16:07:00',8,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720881428,'15:47:00','15:47:00',8,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720881428,'17:27:00','17:27:00',8,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720881428,'16:27:00','16:27:00',8,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720881428,'13:26:00','13:26:00',8,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720881428,'13:51:00','13:51:00',8,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720881428,'14:16:00','14:16:00',8,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720881428,'14:41:00','14:41:00',8,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720881428,'15:07:00','15:07:00',8,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720881428,'15:27:00','15:27:00',8,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720881428,'17:47:00','17:47:00',8,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720881428,'18:07:00','18:07:00',8,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720881428,'17:07:00','17:07:00',8,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720881428,'18:52:00','18:52:00',8,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882766,'20:33:00','20:33:00',9,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882766,'06:47:00','06:47:00',9,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882766,'19:19:00','19:19:00',9,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882766,'19:44:00','19:44:00',9,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882766,'20:08:00','20:08:00',9,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882766,'06:22:00','06:22:00',9,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882766,'20:58:00','20:58:00',9,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882766,'07:12:00','07:12:00',9,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882766,'07:38:00','07:38:00',9,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882766,'08:03:00','08:03:00',9,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882766,'08:29:00','08:29:00',9,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882766,'08:54:00','08:54:00',9,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882766,'09:19:00','09:19:00',9,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882766,'09:44:00','09:44:00',9,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882766,'10:09:00','10:09:00',9,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882766,'10:34:00','10:34:00',9,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882766,'10:59:00','10:59:00',9,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882766,'11:24:00','11:24:00',9,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882766,'11:49:00','11:49:00',9,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882766,'12:14:00','12:14:00',9,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882766,'12:39:00','12:39:00',9,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882766,'13:03:00','13:03:00',9,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882766,'18:29:00','18:29:00',9,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882766,'16:49:00','16:49:00',9,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882766,'16:09:00','16:09:00',9,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882766,'15:49:00','15:49:00',9,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882766,'17:29:00','17:29:00',9,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882766,'16:29:00','16:29:00',9,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882766,'13:28:00','13:28:00',9,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882766,'13:53:00','13:53:00',9,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882766,'14:18:00','14:18:00',9,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882766,'14:43:00','14:43:00',9,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882766,'15:09:00','15:09:00',9,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882766,'15:29:00','15:29:00',9,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882766,'17:49:00','17:49:00',9,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882766,'18:09:00','18:09:00',9,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882766,'17:09:00','17:09:00',9,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882766,'18:54:00','18:54:00',9,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882767,'20:34:00','20:34:00',10,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882767,'06:47:00','06:47:00',10,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882767,'19:20:00','19:20:00',10,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882767,'19:45:00','19:45:00',10,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882767,'20:09:00','20:09:00',10,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882767,'06:22:00','06:22:00',10,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882767,'20:59:00','20:59:00',10,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882767,'07:13:00','07:13:00',10,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882767,'07:39:00','07:39:00',10,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882767,'08:04:00','08:04:00',10,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882767,'08:30:00','08:30:00',10,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882767,'08:55:00','08:55:00',10,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882767,'09:20:00','09:20:00',10,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882767,'09:45:00','09:45:00',10,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882767,'10:10:00','10:10:00',10,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882767,'10:35:00','10:35:00',10,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882767,'11:00:00','11:00:00',10,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882767,'11:25:00','11:25:00',10,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882767,'11:50:00','11:50:00',10,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882767,'12:15:00','12:15:00',10,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882767,'12:40:00','12:40:00',10,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882767,'13:04:00','13:04:00',10,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882767,'18:30:00','18:30:00',10,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882767,'16:50:00','16:50:00',10,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882767,'16:10:00','16:10:00',10,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882767,'15:50:00','15:50:00',10,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882767,'17:30:00','17:30:00',10,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882767,'16:30:00','16:30:00',10,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882767,'13:29:00','13:29:00',10,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882767,'13:54:00','13:54:00',10,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882767,'14:19:00','14:19:00',10,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882767,'14:44:00','14:44:00',10,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882767,'15:10:00','15:10:00',10,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882767,'15:30:00','15:30:00',10,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882767,'17:50:00','17:50:00',10,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882767,'18:10:00','18:10:00',10,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882767,'17:10:00','17:10:00',10,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882767,'18:55:00','18:55:00',10,0,4503603928074060);
INSERT INTO "arret" VALUES(3377704015495208,'20:34:00','20:34:00',11,0,4503603928074023);
INSERT INTO "arret" VALUES(3377704015495208,'06:48:00','06:48:00',11,0,4503603928074024);
INSERT INTO "arret" VALUES(3377704015495208,'19:21:00','19:21:00',11,0,4503603928074025);
INSERT INTO "arret" VALUES(3377704015495208,'19:46:00','19:46:00',11,0,4503603928074026);
INSERT INTO "arret" VALUES(3377704015495208,'20:09:00','20:09:00',11,0,4503603928074027);
INSERT INTO "arret" VALUES(3377704015495208,'06:23:00','06:23:00',11,0,4503603928074028);
INSERT INTO "arret" VALUES(3377704015495208,'20:59:00','20:59:00',11,0,4503603928074029);
INSERT INTO "arret" VALUES(3377704015495208,'07:13:00','07:13:00',11,0,4503603928074030);
INSERT INTO "arret" VALUES(3377704015495208,'07:39:00','07:39:00',11,0,4503603928074031);
INSERT INTO "arret" VALUES(3377704015495208,'08:05:00','08:05:00',11,0,4503603928074032);
INSERT INTO "arret" VALUES(3377704015495208,'08:31:00','08:31:00',11,0,4503603928074033);
INSERT INTO "arret" VALUES(3377704015495208,'08:56:00','08:56:00',11,0,4503603928074034);
INSERT INTO "arret" VALUES(3377704015495208,'09:21:00','09:21:00',11,0,4503603928074035);
INSERT INTO "arret" VALUES(3377704015495208,'09:46:00','09:46:00',11,0,4503603928074036);
INSERT INTO "arret" VALUES(3377704015495208,'10:11:00','10:11:00',11,0,4503603928074037);
INSERT INTO "arret" VALUES(3377704015495208,'10:36:00','10:36:00',11,0,4503603928074038);
INSERT INTO "arret" VALUES(3377704015495208,'11:01:00','11:01:00',11,0,4503603928074039);
INSERT INTO "arret" VALUES(3377704015495208,'11:26:00','11:26:00',11,0,4503603928074040);
INSERT INTO "arret" VALUES(3377704015495208,'11:51:00','11:51:00',11,0,4503603928074041);
INSERT INTO "arret" VALUES(3377704015495208,'12:16:00','12:16:00',11,0,4503603928074042);
INSERT INTO "arret" VALUES(3377704015495208,'12:41:00','12:41:00',11,0,4503603928074043);
INSERT INTO "arret" VALUES(3377704015495208,'13:05:00','13:05:00',11,0,4503603928074044);
INSERT INTO "arret" VALUES(3377704015495208,'18:31:00','18:31:00',11,0,4503603928074045);
INSERT INTO "arret" VALUES(3377704015495208,'16:51:00','16:51:00',11,0,4503603928074046);
INSERT INTO "arret" VALUES(3377704015495208,'16:11:00','16:11:00',11,0,4503603928074047);
INSERT INTO "arret" VALUES(3377704015495208,'15:51:00','15:51:00',11,0,4503603928074048);
INSERT INTO "arret" VALUES(3377704015495208,'17:31:00','17:31:00',11,0,4503603928074049);
INSERT INTO "arret" VALUES(3377704015495208,'16:31:00','16:31:00',11,0,4503603928074050);
INSERT INTO "arret" VALUES(3377704015495208,'13:30:00','13:30:00',11,0,4503603928074051);
INSERT INTO "arret" VALUES(3377704015495208,'13:55:00','13:55:00',11,0,4503603928074052);
INSERT INTO "arret" VALUES(3377704015495208,'14:20:00','14:20:00',11,0,4503603928074053);
INSERT INTO "arret" VALUES(3377704015495208,'14:45:00','14:45:00',11,0,4503603928074054);
INSERT INTO "arret" VALUES(3377704015495208,'15:11:00','15:11:00',11,0,4503603928074055);
INSERT INTO "arret" VALUES(3377704015495208,'15:31:00','15:31:00',11,0,4503603928074056);
INSERT INTO "arret" VALUES(3377704015495208,'17:51:00','17:51:00',11,0,4503603928074057);
INSERT INTO "arret" VALUES(3377704015495208,'18:11:00','18:11:00',11,0,4503603928074058);
INSERT INTO "arret" VALUES(3377704015495208,'17:11:00','17:11:00',11,0,4503603928074059);
INSERT INTO "arret" VALUES(3377704015495208,'18:56:00','18:56:00',11,0,4503603928074060);
INSERT INTO "arret" VALUES(3377704015495204,'20:36:00','20:36:00',12,0,4503603928074023);
INSERT INTO "arret" VALUES(3377704015495204,'06:49:00','06:49:00',12,0,4503603928074024);
INSERT INTO "arret" VALUES(3377704015495204,'19:22:00','19:22:00',12,0,4503603928074025);
INSERT INTO "arret" VALUES(3377704015495204,'19:47:00','19:47:00',12,0,4503603928074026);
INSERT INTO "arret" VALUES(3377704015495204,'20:11:00','20:11:00',12,0,4503603928074027);
INSERT INTO "arret" VALUES(3377704015495204,'06:24:00','06:24:00',12,0,4503603928074028);
INSERT INTO "arret" VALUES(3377704015495204,'21:01:00','21:01:00',12,0,4503603928074029);
INSERT INTO "arret" VALUES(3377704015495204,'07:15:00','07:15:00',12,0,4503603928074030);
INSERT INTO "arret" VALUES(3377704015495204,'07:41:00','07:41:00',12,0,4503603928074031);
INSERT INTO "arret" VALUES(3377704015495204,'08:06:00','08:06:00',12,0,4503603928074032);
INSERT INTO "arret" VALUES(3377704015495204,'08:32:00','08:32:00',12,0,4503603928074033);
INSERT INTO "arret" VALUES(3377704015495204,'08:57:00','08:57:00',12,0,4503603928074034);
INSERT INTO "arret" VALUES(3377704015495204,'09:22:00','09:22:00',12,0,4503603928074035);
INSERT INTO "arret" VALUES(3377704015495204,'09:47:00','09:47:00',12,0,4503603928074036);
INSERT INTO "arret" VALUES(3377704015495204,'10:12:00','10:12:00',12,0,4503603928074037);
INSERT INTO "arret" VALUES(3377704015495204,'10:37:00','10:37:00',12,0,4503603928074038);
INSERT INTO "arret" VALUES(3377704015495204,'11:02:00','11:02:00',12,0,4503603928074039);
INSERT INTO "arret" VALUES(3377704015495204,'11:27:00','11:27:00',12,0,4503603928074040);
INSERT INTO "arret" VALUES(3377704015495204,'11:52:00','11:52:00',12,0,4503603928074041);
INSERT INTO "arret" VALUES(3377704015495204,'12:17:00','12:17:00',12,0,4503603928074042);
INSERT INTO "arret" VALUES(3377704015495204,'12:42:00','12:42:00',12,0,4503603928074043);
INSERT INTO "arret" VALUES(3377704015495204,'13:06:00','13:06:00',12,0,4503603928074044);
INSERT INTO "arret" VALUES(3377704015495204,'18:32:00','18:32:00',12,0,4503603928074045);
INSERT INTO "arret" VALUES(3377704015495204,'16:52:00','16:52:00',12,0,4503603928074046);
INSERT INTO "arret" VALUES(3377704015495204,'16:12:00','16:12:00',12,0,4503603928074047);
INSERT INTO "arret" VALUES(3377704015495204,'15:52:00','15:52:00',12,0,4503603928074048);
INSERT INTO "arret" VALUES(3377704015495204,'17:32:00','17:32:00',12,0,4503603928074049);
INSERT INTO "arret" VALUES(3377704015495204,'16:32:00','16:32:00',12,0,4503603928074050);
INSERT INTO "arret" VALUES(3377704015495204,'13:31:00','13:31:00',12,0,4503603928074051);
INSERT INTO "arret" VALUES(3377704015495204,'13:56:00','13:56:00',12,0,4503603928074052);
INSERT INTO "arret" VALUES(3377704015495204,'14:21:00','14:21:00',12,0,4503603928074053);
INSERT INTO "arret" VALUES(3377704015495204,'14:46:00','14:46:00',12,0,4503603928074054);
INSERT INTO "arret" VALUES(3377704015495204,'15:12:00','15:12:00',12,0,4503603928074055);
INSERT INTO "arret" VALUES(3377704015495204,'15:32:00','15:32:00',12,0,4503603928074056);
INSERT INTO "arret" VALUES(3377704015495204,'17:52:00','17:52:00',12,0,4503603928074057);
INSERT INTO "arret" VALUES(3377704015495204,'18:12:00','18:12:00',12,0,4503603928074058);
INSERT INTO "arret" VALUES(3377704015495204,'17:12:00','17:12:00',12,0,4503603928074059);
INSERT INTO "arret" VALUES(3377704015495204,'18:57:00','18:57:00',12,0,4503603928074060);
INSERT INTO "arret" VALUES(3377704015495172,'20:36:00','20:36:00',13,0,4503603928074023);
INSERT INTO "arret" VALUES(3377704015495172,'06:49:00','06:49:00',13,0,4503603928074024);
INSERT INTO "arret" VALUES(3377704015495172,'19:23:00','19:23:00',13,0,4503603928074025);
INSERT INTO "arret" VALUES(3377704015495172,'19:48:00','19:48:00',13,0,4503603928074026);
INSERT INTO "arret" VALUES(3377704015495172,'20:11:00','20:11:00',13,0,4503603928074027);
INSERT INTO "arret" VALUES(3377704015495172,'06:24:00','06:24:00',13,0,4503603928074028);
INSERT INTO "arret" VALUES(3377704015495172,'21:01:00','21:01:00',13,0,4503603928074029);
INSERT INTO "arret" VALUES(3377704015495172,'07:15:00','07:15:00',13,0,4503603928074030);
INSERT INTO "arret" VALUES(3377704015495172,'07:41:00','07:41:00',13,0,4503603928074031);
INSERT INTO "arret" VALUES(3377704015495172,'08:07:00','08:07:00',13,0,4503603928074032);
INSERT INTO "arret" VALUES(3377704015495172,'08:33:00','08:33:00',13,0,4503603928074033);
INSERT INTO "arret" VALUES(3377704015495172,'08:58:00','08:58:00',13,0,4503603928074034);
INSERT INTO "arret" VALUES(3377704015495172,'09:23:00','09:23:00',13,0,4503603928074035);
INSERT INTO "arret" VALUES(3377704015495172,'09:48:00','09:48:00',13,0,4503603928074036);
INSERT INTO "arret" VALUES(3377704015495172,'10:13:00','10:13:00',13,0,4503603928074037);
INSERT INTO "arret" VALUES(3377704015495172,'10:38:00','10:38:00',13,0,4503603928074038);
INSERT INTO "arret" VALUES(3377704015495172,'11:03:00','11:03:00',13,0,4503603928074039);
INSERT INTO "arret" VALUES(3377704015495172,'11:28:00','11:28:00',13,0,4503603928074040);
INSERT INTO "arret" VALUES(3377704015495172,'11:53:00','11:53:00',13,0,4503603928074041);
INSERT INTO "arret" VALUES(3377704015495172,'12:18:00','12:18:00',13,0,4503603928074042);
INSERT INTO "arret" VALUES(3377704015495172,'12:43:00','12:43:00',13,0,4503603928074043);
INSERT INTO "arret" VALUES(3377704015495172,'13:07:00','13:07:00',13,0,4503603928074044);
INSERT INTO "arret" VALUES(3377704015495172,'18:33:00','18:33:00',13,0,4503603928074045);
INSERT INTO "arret" VALUES(3377704015495172,'16:53:00','16:53:00',13,0,4503603928074046);
INSERT INTO "arret" VALUES(3377704015495172,'16:13:00','16:13:00',13,0,4503603928074047);
INSERT INTO "arret" VALUES(3377704015495172,'15:53:00','15:53:00',13,0,4503603928074048);
INSERT INTO "arret" VALUES(3377704015495172,'17:33:00','17:33:00',13,0,4503603928074049);
INSERT INTO "arret" VALUES(3377704015495172,'16:33:00','16:33:00',13,0,4503603928074050);
INSERT INTO "arret" VALUES(3377704015495172,'13:32:00','13:32:00',13,0,4503603928074051);
INSERT INTO "arret" VALUES(3377704015495172,'13:57:00','13:57:00',13,0,4503603928074052);
INSERT INTO "arret" VALUES(3377704015495172,'14:22:00','14:22:00',13,0,4503603928074053);
INSERT INTO "arret" VALUES(3377704015495172,'14:47:00','14:47:00',13,0,4503603928074054);
INSERT INTO "arret" VALUES(3377704015495172,'15:13:00','15:13:00',13,0,4503603928074055);
INSERT INTO "arret" VALUES(3377704015495172,'15:33:00','15:33:00',13,0,4503603928074056);
INSERT INTO "arret" VALUES(3377704015495172,'17:53:00','17:53:00',13,0,4503603928074057);
INSERT INTO "arret" VALUES(3377704015495172,'18:13:00','18:13:00',13,0,4503603928074058);
INSERT INTO "arret" VALUES(3377704015495172,'17:13:00','17:13:00',13,0,4503603928074059);
INSERT INTO "arret" VALUES(3377704015495172,'18:58:00','18:58:00',13,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882775,'20:37:00','20:37:00',14,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882775,'06:50:00','06:50:00',14,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882775,'19:24:00','19:24:00',14,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882775,'19:49:00','19:49:00',14,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882775,'20:12:00','20:12:00',14,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882775,'06:25:00','06:25:00',14,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882775,'21:02:00','21:02:00',14,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882775,'07:16:00','07:16:00',14,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882775,'07:42:00','07:42:00',14,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882775,'08:08:00','08:08:00',14,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882775,'08:34:00','08:34:00',14,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882775,'08:59:00','08:59:00',14,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882775,'09:24:00','09:24:00',14,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882775,'09:49:00','09:49:00',14,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882775,'10:14:00','10:14:00',14,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882775,'10:39:00','10:39:00',14,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882775,'11:04:00','11:04:00',14,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882775,'11:29:00','11:29:00',14,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882775,'11:54:00','11:54:00',14,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882775,'12:19:00','12:19:00',14,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882775,'12:44:00','12:44:00',14,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882775,'13:08:00','13:08:00',14,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882775,'18:34:00','18:34:00',14,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882775,'16:54:00','16:54:00',14,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882775,'16:14:00','16:14:00',14,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882775,'15:54:00','15:54:00',14,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882775,'17:34:00','17:34:00',14,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882775,'16:34:00','16:34:00',14,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882775,'13:33:00','13:33:00',14,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882775,'13:58:00','13:58:00',14,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882775,'14:23:00','14:23:00',14,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882775,'14:48:00','14:48:00',14,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882775,'15:14:00','15:14:00',14,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882775,'15:34:00','15:34:00',14,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882775,'17:54:00','17:54:00',14,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882775,'18:14:00','18:14:00',14,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882775,'17:14:00','17:14:00',14,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882775,'18:59:00','18:59:00',14,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720880989,'20:37:00','20:37:00',15,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720880989,'06:50:00','06:50:00',15,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720880989,'19:24:00','19:24:00',15,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720880989,'19:49:00','19:49:00',15,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720880989,'20:12:00','20:12:00',15,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720880989,'06:25:00','06:25:00',15,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720880989,'21:02:00','21:02:00',15,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720880989,'07:16:00','07:16:00',15,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720880989,'07:42:00','07:42:00',15,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720880989,'08:08:00','08:08:00',15,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720880989,'08:34:00','08:34:00',15,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720880989,'08:59:00','08:59:00',15,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720880989,'09:24:00','09:24:00',15,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720880989,'09:49:00','09:49:00',15,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720880989,'10:14:00','10:14:00',15,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720880989,'10:39:00','10:39:00',15,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720880989,'11:04:00','11:04:00',15,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720880989,'11:29:00','11:29:00',15,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720880989,'11:54:00','11:54:00',15,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720880989,'12:19:00','12:19:00',15,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720880989,'12:44:00','12:44:00',15,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720880989,'13:08:00','13:08:00',15,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720880989,'18:34:00','18:34:00',15,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720880989,'16:54:00','16:54:00',15,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720880989,'16:14:00','16:14:00',15,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720880989,'15:54:00','15:54:00',15,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720880989,'17:34:00','17:34:00',15,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720880989,'16:34:00','16:34:00',15,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720880989,'13:33:00','13:33:00',15,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720880989,'13:58:00','13:58:00',15,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720880989,'14:23:00','14:23:00',15,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720880989,'14:48:00','14:48:00',15,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720880989,'15:14:00','15:14:00',15,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720880989,'15:34:00','15:34:00',15,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720880989,'17:54:00','17:54:00',15,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720880989,'18:14:00','18:14:00',15,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720880989,'17:14:00','17:14:00',15,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720880989,'18:59:00','18:59:00',15,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882778,'20:40:00','20:40:00',16,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882778,'06:52:00','06:52:00',16,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882778,'19:27:00','19:27:00',16,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882778,'19:52:00','19:52:00',16,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882778,'20:15:00','20:15:00',16,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882778,'06:27:00','06:27:00',16,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882778,'21:04:00','21:04:00',16,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882778,'07:18:00','07:18:00',16,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882778,'07:44:00','07:44:00',16,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882778,'08:10:00','08:10:00',16,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882778,'08:36:00','08:36:00',16,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882778,'09:01:00','09:01:00',16,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882778,'09:26:00','09:26:00',16,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882778,'09:52:00','09:52:00',16,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882778,'10:17:00','10:17:00',16,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882778,'10:42:00','10:42:00',16,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882778,'11:07:00','11:07:00',16,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882778,'11:32:00','11:32:00',16,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882778,'11:57:00','11:57:00',16,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882778,'12:22:00','12:22:00',16,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882778,'12:47:00','12:47:00',16,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882778,'13:11:00','13:11:00',16,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882778,'18:37:00','18:37:00',16,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882778,'16:57:00','16:57:00',16,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882778,'16:17:00','16:17:00',16,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882778,'15:57:00','15:57:00',16,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882778,'17:37:00','17:37:00',16,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882778,'16:37:00','16:37:00',16,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882778,'13:36:00','13:36:00',16,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882778,'14:01:00','14:01:00',16,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882778,'14:26:00','14:26:00',16,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882778,'14:51:00','14:51:00',16,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882778,'15:17:00','15:17:00',16,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882778,'15:37:00','15:37:00',16,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882778,'17:57:00','17:57:00',16,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882778,'18:17:00','18:17:00',16,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882778,'17:17:00','17:17:00',16,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882778,'19:02:00','19:02:00',16,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882779,'20:40:00','20:40:00',17,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882779,'06:53:00','06:53:00',17,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882779,'19:27:00','19:27:00',17,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882779,'19:52:00','19:52:00',17,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882779,'20:15:00','20:15:00',17,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882779,'06:28:00','06:28:00',17,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882779,'21:05:00','21:05:00',17,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882779,'07:19:00','07:19:00',17,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882779,'07:45:00','07:45:00',17,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882779,'08:11:00','08:11:00',17,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882779,'08:37:00','08:37:00',17,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882779,'09:02:00','09:02:00',17,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882779,'09:27:00','09:27:00',17,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882779,'09:52:00','09:52:00',17,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882779,'10:17:00','10:17:00',17,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882779,'10:42:00','10:42:00',17,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882779,'11:07:00','11:07:00',17,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882779,'11:32:00','11:32:00',17,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882779,'11:57:00','11:57:00',17,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882779,'12:22:00','12:22:00',17,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882779,'12:47:00','12:47:00',17,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882779,'13:11:00','13:11:00',17,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882779,'18:37:00','18:37:00',17,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882779,'16:57:00','16:57:00',17,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882779,'16:17:00','16:17:00',17,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882779,'15:57:00','15:57:00',17,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882779,'17:37:00','17:37:00',17,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882779,'16:37:00','16:37:00',17,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882779,'13:36:00','13:36:00',17,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882779,'14:01:00','14:01:00',17,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882779,'14:26:00','14:26:00',17,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882779,'14:51:00','14:51:00',17,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882779,'15:17:00','15:17:00',17,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882779,'15:37:00','15:37:00',17,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882779,'17:57:00','17:57:00',17,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882779,'18:17:00','18:17:00',17,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882779,'17:17:00','17:17:00',17,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882779,'19:02:00','19:02:00',17,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723135401,'20:41:00','20:41:00',18,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723135401,'06:53:00','06:53:00',18,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723135401,'19:28:00','19:28:00',18,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723135401,'19:53:00','19:53:00',18,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723135401,'20:16:00','20:16:00',18,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723135401,'06:28:00','06:28:00',18,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723135401,'21:05:00','21:05:00',18,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723135401,'07:19:00','07:19:00',18,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723135401,'07:45:00','07:45:00',18,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723135401,'08:11:00','08:11:00',18,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723135401,'08:37:00','08:37:00',18,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723135401,'09:02:00','09:02:00',18,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723135401,'09:27:00','09:27:00',18,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723135401,'09:53:00','09:53:00',18,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723135401,'10:18:00','10:18:00',18,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723135401,'10:43:00','10:43:00',18,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723135401,'11:08:00','11:08:00',18,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723135401,'11:33:00','11:33:00',18,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723135401,'11:58:00','11:58:00',18,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723135401,'12:23:00','12:23:00',18,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723135401,'12:48:00','12:48:00',18,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723135401,'13:12:00','13:12:00',18,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723135401,'18:38:00','18:38:00',18,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723135401,'16:58:00','16:58:00',18,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723135401,'16:18:00','16:18:00',18,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723135401,'15:58:00','15:58:00',18,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723135401,'17:38:00','17:38:00',18,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723135401,'16:38:00','16:38:00',18,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723135401,'13:37:00','13:37:00',18,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723135401,'14:02:00','14:02:00',18,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723135401,'14:27:00','14:27:00',18,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723135401,'14:52:00','14:52:00',18,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723135401,'15:18:00','15:18:00',18,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723135401,'15:38:00','15:38:00',18,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723135401,'17:58:00','17:58:00',18,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723135401,'18:18:00','18:18:00',18,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723135401,'17:18:00','17:18:00',18,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723135401,'19:03:00','19:03:00',18,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723132164,'20:42:00','20:42:00',19,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723132164,'06:54:00','06:54:00',19,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723132164,'19:29:00','19:29:00',19,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723132164,'19:54:00','19:54:00',19,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723132164,'20:17:00','20:17:00',19,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723132164,'06:29:00','06:29:00',19,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723132164,'21:06:00','21:06:00',19,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723132164,'07:20:00','07:20:00',19,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723132164,'07:46:00','07:46:00',19,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723132164,'08:12:00','08:12:00',19,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723132164,'08:38:00','08:38:00',19,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723132164,'09:03:00','09:03:00',19,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723132164,'09:28:00','09:28:00',19,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723132164,'09:54:00','09:54:00',19,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723132164,'10:19:00','10:19:00',19,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723132164,'10:44:00','10:44:00',19,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723132164,'11:09:00','11:09:00',19,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723132164,'11:34:00','11:34:00',19,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723132164,'11:59:00','11:59:00',19,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723132164,'12:24:00','12:24:00',19,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723132164,'12:49:00','12:49:00',19,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723132164,'13:13:00','13:13:00',19,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723132164,'18:39:00','18:39:00',19,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723132164,'16:59:00','16:59:00',19,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723132164,'16:19:00','16:19:00',19,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723132164,'15:59:00','15:59:00',19,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723132164,'17:39:00','17:39:00',19,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723132164,'16:39:00','16:39:00',19,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723132164,'13:38:00','13:38:00',19,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723132164,'14:03:00','14:03:00',19,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723132164,'14:28:00','14:28:00',19,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723132164,'14:53:00','14:53:00',19,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723132164,'15:19:00','15:19:00',19,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723132164,'15:39:00','15:39:00',19,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723132164,'17:59:00','17:59:00',19,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723132164,'18:19:00','18:19:00',19,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723132164,'17:19:00','17:19:00',19,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723132164,'19:04:00','19:04:00',19,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723135406,'20:43:00','20:43:00',20,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723135406,'06:55:00','06:55:00',20,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723135406,'19:30:00','19:30:00',20,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723135406,'19:55:00','19:55:00',20,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723135406,'20:18:00','20:18:00',20,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723135406,'06:30:00','06:30:00',20,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723135406,'21:07:00','21:07:00',20,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723135406,'07:21:00','07:21:00',20,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723135406,'07:47:00','07:47:00',20,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723135406,'08:13:00','08:13:00',20,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723135406,'08:39:00','08:39:00',20,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723135406,'09:04:00','09:04:00',20,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723135406,'09:29:00','09:29:00',20,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723135406,'09:55:00','09:55:00',20,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723135406,'10:20:00','10:20:00',20,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723135406,'10:45:00','10:45:00',20,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723135406,'11:10:00','11:10:00',20,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723135406,'11:35:00','11:35:00',20,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723135406,'12:00:00','12:00:00',20,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723135406,'12:25:00','12:25:00',20,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723135406,'12:50:00','12:50:00',20,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723135406,'13:14:00','13:14:00',20,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723135406,'18:40:00','18:40:00',20,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723135406,'17:00:00','17:00:00',20,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723135406,'16:20:00','16:20:00',20,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723135406,'16:00:00','16:00:00',20,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723135406,'17:40:00','17:40:00',20,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723135406,'16:40:00','16:40:00',20,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723135406,'13:39:00','13:39:00',20,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723135406,'14:04:00','14:04:00',20,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723135406,'14:29:00','14:29:00',20,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723135406,'14:54:00','14:54:00',20,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723135406,'15:20:00','15:20:00',20,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723135406,'15:40:00','15:40:00',20,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723135406,'18:00:00','18:00:00',20,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723135406,'18:20:00','18:20:00',20,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723135406,'17:20:00','17:20:00',20,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723135406,'19:05:00','19:05:00',20,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720882906,'20:44:00','20:44:00',21,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720882906,'06:56:00','06:56:00',21,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720882906,'19:31:00','19:31:00',21,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720882906,'19:56:00','19:56:00',21,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720882906,'20:19:00','20:19:00',21,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720882906,'06:30:00','06:30:00',21,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720882906,'21:08:00','21:08:00',21,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720882906,'07:22:00','07:22:00',21,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720882906,'07:48:00','07:48:00',21,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720882906,'08:14:00','08:14:00',21,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720882906,'08:40:00','08:40:00',21,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720882906,'09:05:00','09:05:00',21,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720882906,'09:30:00','09:30:00',21,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720882906,'09:56:00','09:56:00',21,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720882906,'10:21:00','10:21:00',21,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720882906,'10:46:00','10:46:00',21,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720882906,'11:11:00','11:11:00',21,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720882906,'11:36:00','11:36:00',21,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720882906,'12:01:00','12:01:00',21,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720882906,'12:26:00','12:26:00',21,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720882906,'12:51:00','12:51:00',21,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720882906,'13:15:00','13:15:00',21,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720882906,'18:41:00','18:41:00',21,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720882906,'17:01:00','17:01:00',21,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720882906,'16:21:00','16:21:00',21,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720882906,'16:01:00','16:01:00',21,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720882906,'17:41:00','17:41:00',21,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720882906,'16:41:00','16:41:00',21,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720882906,'13:40:00','13:40:00',21,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720882906,'14:05:00','14:05:00',21,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720882906,'14:30:00','14:30:00',21,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720882906,'14:55:00','14:55:00',21,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720882906,'15:21:00','15:21:00',21,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720882906,'15:41:00','15:41:00',21,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720882906,'18:01:00','18:01:00',21,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720882906,'18:21:00','18:21:00',21,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720882906,'17:21:00','17:21:00',21,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720882906,'19:06:00','19:06:00',21,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723190509,'20:46:00','20:46:00',22,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723190509,'06:58:00','06:58:00',22,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723190509,'19:33:00','19:33:00',22,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723190509,'19:58:00','19:58:00',22,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723190509,'20:21:00','20:21:00',22,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723190509,'06:32:00','06:32:00',22,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723190509,'21:10:00','21:10:00',22,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723190509,'07:24:00','07:24:00',22,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723190509,'07:50:00','07:50:00',22,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723190509,'08:16:00','08:16:00',22,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723190509,'08:42:00','08:42:00',22,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723190509,'09:07:00','09:07:00',22,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723190509,'09:32:00','09:32:00',22,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723190509,'09:58:00','09:58:00',22,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723190509,'10:23:00','10:23:00',22,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723190509,'10:48:00','10:48:00',22,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723190509,'11:13:00','11:13:00',22,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723190509,'11:38:00','11:38:00',22,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723190509,'12:03:00','12:03:00',22,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723190509,'12:28:00','12:28:00',22,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723190509,'12:53:00','12:53:00',22,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723190509,'13:17:00','13:17:00',22,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723190509,'18:43:00','18:43:00',22,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723190509,'17:03:00','17:03:00',22,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723190509,'16:23:00','16:23:00',22,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723190509,'16:03:00','16:03:00',22,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723190509,'17:43:00','17:43:00',22,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723190509,'16:43:00','16:43:00',22,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723190509,'13:42:00','13:42:00',22,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723190509,'14:07:00','14:07:00',22,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723190509,'14:32:00','14:32:00',22,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723190509,'14:57:00','14:57:00',22,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723190509,'15:23:00','15:23:00',22,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723190509,'15:43:00','15:43:00',22,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723190509,'18:03:00','18:03:00',22,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723190509,'18:23:00','18:23:00',22,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723190509,'17:23:00','17:23:00',22,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723190509,'19:08:00','19:08:00',22,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723154117,'20:46:00','20:46:00',23,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723154117,'06:58:00','06:58:00',23,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723154117,'19:34:00','19:34:00',23,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723154117,'19:58:00','19:58:00',23,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723154117,'20:21:00','20:21:00',23,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723154117,'06:32:00','06:32:00',23,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723154117,'21:10:00','21:10:00',23,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723154117,'07:24:00','07:24:00',23,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723154117,'07:51:00','07:51:00',23,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723154117,'08:17:00','08:17:00',23,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723154117,'08:43:00','08:43:00',23,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723154117,'09:08:00','09:08:00',23,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723154117,'09:33:00','09:33:00',23,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723154117,'09:59:00','09:59:00',23,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723154117,'10:24:00','10:24:00',23,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723154117,'10:49:00','10:49:00',23,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723154117,'11:14:00','11:14:00',23,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723154117,'11:39:00','11:39:00',23,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723154117,'12:04:00','12:04:00',23,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723154117,'12:29:00','12:29:00',23,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723154117,'12:54:00','12:54:00',23,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723154117,'13:18:00','13:18:00',23,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723154117,'18:44:00','18:44:00',23,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723154117,'17:04:00','17:04:00',23,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723154117,'16:23:00','16:23:00',23,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723154117,'16:03:00','16:03:00',23,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723154117,'17:44:00','17:44:00',23,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723154117,'16:43:00','16:43:00',23,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723154117,'13:43:00','13:43:00',23,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723154117,'14:08:00','14:08:00',23,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723154117,'14:32:00','14:32:00',23,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723154117,'14:58:00','14:58:00',23,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723154117,'15:24:00','15:24:00',23,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723154117,'15:43:00','15:43:00',23,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723154117,'18:04:00','18:04:00',23,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723154117,'18:24:00','18:24:00',23,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723154117,'17:24:00','17:24:00',23,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723154117,'19:09:00','19:09:00',23,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699724083641,'20:47:00','20:47:00',24,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699724083641,'06:59:00','06:59:00',24,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699724083641,'19:35:00','19:35:00',24,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699724083641,'19:59:00','19:59:00',24,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699724083641,'20:22:00','20:22:00',24,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699724083641,'06:33:00','06:33:00',24,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699724083641,'21:11:00','21:11:00',24,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699724083641,'07:25:00','07:25:00',24,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699724083641,'07:52:00','07:52:00',24,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699724083641,'08:18:00','08:18:00',24,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699724083641,'08:44:00','08:44:00',24,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699724083641,'09:09:00','09:09:00',24,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699724083641,'09:34:00','09:34:00',24,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699724083641,'10:00:00','10:00:00',24,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699724083641,'10:25:00','10:25:00',24,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699724083641,'10:50:00','10:50:00',24,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699724083641,'11:15:00','11:15:00',24,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699724083641,'11:40:00','11:40:00',24,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699724083641,'12:05:00','12:05:00',24,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699724083641,'12:30:00','12:30:00',24,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699724083641,'12:55:00','12:55:00',24,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699724083641,'13:19:00','13:19:00',24,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699724083641,'18:45:00','18:45:00',24,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699724083641,'17:05:00','17:05:00',24,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699724083641,'16:24:00','16:24:00',24,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699724083641,'16:04:00','16:04:00',24,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699724083641,'17:45:00','17:45:00',24,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699724083641,'16:44:00','16:44:00',24,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699724083641,'13:44:00','13:44:00',24,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699724083641,'14:09:00','14:09:00',24,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699724083641,'14:33:00','14:33:00',24,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699724083641,'14:59:00','14:59:00',24,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699724083641,'15:25:00','15:25:00',24,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699724083641,'15:44:00','15:44:00',24,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699724083641,'18:05:00','18:05:00',24,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699724083641,'18:25:00','18:25:00',24,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699724083641,'17:25:00','17:25:00',24,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699724083641,'19:10:00','19:10:00',24,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720883336,'20:48:00','20:48:00',25,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720883336,'07:00:00','07:00:00',25,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720883336,'19:36:00','19:36:00',25,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720883336,'20:00:00','20:00:00',25,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720883336,'20:23:00','20:23:00',25,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720883336,'06:34:00','06:34:00',25,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720883336,'21:12:00','21:12:00',25,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720883336,'07:26:00','07:26:00',25,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720883336,'07:53:00','07:53:00',25,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720883336,'08:19:00','08:19:00',25,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720883336,'08:45:00','08:45:00',25,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720883336,'09:10:00','09:10:00',25,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720883336,'09:35:00','09:35:00',25,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720883336,'10:01:00','10:01:00',25,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720883336,'10:26:00','10:26:00',25,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720883336,'10:51:00','10:51:00',25,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720883336,'11:16:00','11:16:00',25,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720883336,'11:41:00','11:41:00',25,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720883336,'12:06:00','12:06:00',25,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720883336,'12:31:00','12:31:00',25,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720883336,'12:56:00','12:56:00',25,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720883336,'13:20:00','13:20:00',25,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720883336,'18:46:00','18:46:00',25,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720883336,'17:06:00','17:06:00',25,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720883336,'16:25:00','16:25:00',25,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720883336,'16:05:00','16:05:00',25,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720883336,'17:46:00','17:46:00',25,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720883336,'16:45:00','16:45:00',25,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720883336,'13:45:00','13:45:00',25,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720883336,'14:10:00','14:10:00',25,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720883336,'14:34:00','14:34:00',25,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720883336,'15:00:00','15:00:00',25,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720883336,'15:26:00','15:26:00',25,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720883336,'15:45:00','15:45:00',25,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720883336,'18:06:00','18:06:00',25,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720883336,'18:26:00','18:26:00',25,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720883336,'17:26:00','17:26:00',25,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720883336,'19:11:00','19:11:00',25,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720883339,'20:49:00','20:49:00',26,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699720883339,'07:01:00','07:01:00',26,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699720883339,'19:37:00','19:37:00',26,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699720883339,'20:01:00','20:01:00',26,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699720883339,'20:24:00','20:24:00',26,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699720883339,'06:35:00','06:35:00',26,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699720883339,'21:13:00','21:13:00',26,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699720883339,'07:27:00','07:27:00',26,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699720883339,'07:54:00','07:54:00',26,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699720883339,'08:20:00','08:20:00',26,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699720883339,'08:46:00','08:46:00',26,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699720883339,'09:11:00','09:11:00',26,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699720883339,'09:36:00','09:36:00',26,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699720883339,'10:02:00','10:02:00',26,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699720883339,'10:27:00','10:27:00',26,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699720883339,'10:52:00','10:52:00',26,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699720883339,'11:17:00','11:17:00',26,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699720883339,'11:42:00','11:42:00',26,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699720883339,'12:07:00','12:07:00',26,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699720883339,'12:32:00','12:32:00',26,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699720883339,'12:57:00','12:57:00',26,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699720883339,'13:21:00','13:21:00',26,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699720883339,'18:47:00','18:47:00',26,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699720883339,'17:07:00','17:07:00',26,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699720883339,'16:26:00','16:26:00',26,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699720883339,'16:06:00','16:06:00',26,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699720883339,'17:47:00','17:47:00',26,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699720883339,'16:46:00','16:46:00',26,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699720883339,'13:46:00','13:46:00',26,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699720883339,'14:11:00','14:11:00',26,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699720883339,'14:35:00','14:35:00',26,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699720883339,'15:01:00','15:01:00',26,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699720883339,'15:27:00','15:27:00',26,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699720883339,'15:46:00','15:46:00',26,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699720883339,'18:07:00','18:07:00',26,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699720883339,'18:27:00','18:27:00',26,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699720883339,'17:27:00','17:27:00',26,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699720883339,'19:12:00','19:12:00',26,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723132175,'20:50:00','20:50:00',27,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723132175,'07:02:00','07:02:00',27,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723132175,'19:38:00','19:38:00',27,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723132175,'20:02:00','20:02:00',27,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723132175,'20:25:00','20:25:00',27,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723132175,'06:36:00','06:36:00',27,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723132175,'21:14:00','21:14:00',27,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723132175,'07:28:00','07:28:00',27,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723132175,'07:55:00','07:55:00',27,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723132175,'08:21:00','08:21:00',27,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723132175,'08:47:00','08:47:00',27,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723132175,'09:12:00','09:12:00',27,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723132175,'09:37:00','09:37:00',27,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723132175,'10:03:00','10:03:00',27,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723132175,'10:28:00','10:28:00',27,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723132175,'10:53:00','10:53:00',27,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723132175,'11:18:00','11:18:00',27,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723132175,'11:43:00','11:43:00',27,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723132175,'12:08:00','12:08:00',27,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723132175,'12:33:00','12:33:00',27,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723132175,'12:58:00','12:58:00',27,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723132175,'13:22:00','13:22:00',27,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723132175,'18:48:00','18:48:00',27,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723132175,'17:08:00','17:08:00',27,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723132175,'16:27:00','16:27:00',27,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723132175,'16:07:00','16:07:00',27,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723132175,'17:48:00','17:48:00',27,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723132175,'16:47:00','16:47:00',27,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723132175,'13:47:00','13:47:00',27,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723132175,'14:12:00','14:12:00',27,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723132175,'14:36:00','14:36:00',27,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723132175,'15:02:00','15:02:00',27,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723132175,'15:28:00','15:28:00',27,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723132175,'15:47:00','15:47:00',27,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723132175,'18:08:00','18:08:00',27,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723132175,'18:28:00','18:28:00',27,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723132175,'17:28:00','17:28:00',27,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723132175,'19:13:00','19:13:00',27,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699720880909,'06:25:00','06:25:00',28,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720880909,'06:51:00','06:51:00',28,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720880909,'07:16:00','07:16:00',28,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720880909,'19:48:00','19:48:00',28,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720880909,'20:13:00','20:13:00',28,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720880909,'20:37:00','20:37:00',28,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720880909,'21:01:00','21:01:00',28,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720880909,'21:25:00','21:25:00',28,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720880909,'19:00:00','19:00:00',28,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720880909,'19:23:00','19:23:00',28,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720880909,'07:42:00','07:42:00',28,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720880909,'08:08:00','08:08:00',28,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720880909,'08:34:00','08:34:00',28,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720880909,'09:00:00','09:00:00',28,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720880909,'09:25:00','09:25:00',28,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720880909,'09:50:00','09:50:00',28,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720880909,'10:15:00','10:15:00',28,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720880909,'10:40:00','10:40:00',28,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720880909,'11:05:00','11:05:00',28,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720880909,'11:30:00','11:30:00',28,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720880909,'11:55:00','11:55:00',28,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720880909,'12:20:00','12:20:00',28,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720880909,'12:45:00','12:45:00',28,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720880909,'13:10:00','13:10:00',28,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720880909,'13:34:00','13:34:00',28,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720880909,'13:59:00','13:59:00',28,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720880909,'14:24:00','14:24:00',28,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720880909,'14:51:00','14:51:00',28,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720880909,'15:11:00','15:11:00',28,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720880909,'15:31:00','15:31:00',28,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720880909,'15:51:00','15:51:00',28,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720880909,'16:11:00','16:11:00',28,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720880909,'16:31:00','16:31:00',28,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720880909,'16:51:00','16:51:00',28,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720880909,'17:11:00','17:11:00',28,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720880909,'17:31:00','17:31:00',28,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720880909,'17:51:00','17:51:00',28,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720880909,'18:10:00','18:10:00',28,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720880909,'18:35:00','18:35:00',28,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699723135387,'20:51:00','20:51:00',28,0,4503603928074023);
INSERT INTO "arret" VALUES(3377699723135387,'07:03:00','07:03:00',28,0,4503603928074024);
INSERT INTO "arret" VALUES(3377699723135387,'19:39:00','19:39:00',28,0,4503603928074025);
INSERT INTO "arret" VALUES(3377699723135387,'20:03:00','20:03:00',28,0,4503603928074026);
INSERT INTO "arret" VALUES(3377699723135387,'20:26:00','20:26:00',28,0,4503603928074027);
INSERT INTO "arret" VALUES(3377699723135387,'06:37:00','06:37:00',28,0,4503603928074028);
INSERT INTO "arret" VALUES(3377699723135387,'21:15:00','21:15:00',28,0,4503603928074029);
INSERT INTO "arret" VALUES(3377699723135387,'07:29:00','07:29:00',28,0,4503603928074030);
INSERT INTO "arret" VALUES(3377699723135387,'07:56:00','07:56:00',28,0,4503603928074031);
INSERT INTO "arret" VALUES(3377699723135387,'08:22:00','08:22:00',28,0,4503603928074032);
INSERT INTO "arret" VALUES(3377699723135387,'08:48:00','08:48:00',28,0,4503603928074033);
INSERT INTO "arret" VALUES(3377699723135387,'09:13:00','09:13:00',28,0,4503603928074034);
INSERT INTO "arret" VALUES(3377699723135387,'09:38:00','09:38:00',28,0,4503603928074035);
INSERT INTO "arret" VALUES(3377699723135387,'10:04:00','10:04:00',28,0,4503603928074036);
INSERT INTO "arret" VALUES(3377699723135387,'10:29:00','10:29:00',28,0,4503603928074037);
INSERT INTO "arret" VALUES(3377699723135387,'10:54:00','10:54:00',28,0,4503603928074038);
INSERT INTO "arret" VALUES(3377699723135387,'11:19:00','11:19:00',28,0,4503603928074039);
INSERT INTO "arret" VALUES(3377699723135387,'11:44:00','11:44:00',28,0,4503603928074040);
INSERT INTO "arret" VALUES(3377699723135387,'12:09:00','12:09:00',28,0,4503603928074041);
INSERT INTO "arret" VALUES(3377699723135387,'12:34:00','12:34:00',28,0,4503603928074042);
INSERT INTO "arret" VALUES(3377699723135387,'12:59:00','12:59:00',28,0,4503603928074043);
INSERT INTO "arret" VALUES(3377699723135387,'13:23:00','13:23:00',28,0,4503603928074044);
INSERT INTO "arret" VALUES(3377699723135387,'18:49:00','18:49:00',28,0,4503603928074045);
INSERT INTO "arret" VALUES(3377699723135387,'17:09:00','17:09:00',28,0,4503603928074046);
INSERT INTO "arret" VALUES(3377699723135387,'16:28:00','16:28:00',28,0,4503603928074047);
INSERT INTO "arret" VALUES(3377699723135387,'16:08:00','16:08:00',28,0,4503603928074048);
INSERT INTO "arret" VALUES(3377699723135387,'17:49:00','17:49:00',28,0,4503603928074049);
INSERT INTO "arret" VALUES(3377699723135387,'16:48:00','16:48:00',28,0,4503603928074050);
INSERT INTO "arret" VALUES(3377699723135387,'13:48:00','13:48:00',28,0,4503603928074051);
INSERT INTO "arret" VALUES(3377699723135387,'14:13:00','14:13:00',28,0,4503603928074052);
INSERT INTO "arret" VALUES(3377699723135387,'14:37:00','14:37:00',28,0,4503603928074053);
INSERT INTO "arret" VALUES(3377699723135387,'15:03:00','15:03:00',28,0,4503603928074054);
INSERT INTO "arret" VALUES(3377699723135387,'15:29:00','15:29:00',28,0,4503603928074055);
INSERT INTO "arret" VALUES(3377699723135387,'15:48:00','15:48:00',28,0,4503603928074056);
INSERT INTO "arret" VALUES(3377699723135387,'18:09:00','18:09:00',28,0,4503603928074057);
INSERT INTO "arret" VALUES(3377699723135387,'18:29:00','18:29:00',28,0,4503603928074058);
INSERT INTO "arret" VALUES(3377699723135387,'17:29:00','17:29:00',28,0,4503603928074059);
INSERT INTO "arret" VALUES(3377699723135387,'19:14:00','19:14:00',28,0,4503603928074060);
INSERT INTO "arret" VALUES(3377699723135387,'06:00:00','06:00:00',0,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699723135387,'06:25:00','06:25:00',0,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699723135387,'06:50:00','06:50:00',0,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699723135387,'19:20:00','19:20:00',0,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699723135387,'19:45:00','19:45:00',0,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699723135387,'20:10:00','20:10:00',0,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699723135387,'20:35:00','20:35:00',0,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699723135387,'21:00:00','21:00:00',0,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699723135387,'18:30:00','18:30:00',0,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699723135387,'18:55:00','18:55:00',0,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699723135387,'07:15:00','07:15:00',0,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699723135387,'07:40:00','07:40:00',0,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699723135387,'08:05:00','08:05:00',0,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699723135387,'08:30:00','08:30:00',0,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699723135387,'08:55:00','08:55:00',0,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699723135387,'09:20:00','09:20:00',0,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699723135387,'09:45:00','09:45:00',0,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699723135387,'10:10:00','10:10:00',0,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699723135387,'10:35:00','10:35:00',0,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699723135387,'11:00:00','11:00:00',0,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699723135387,'11:25:00','11:25:00',0,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699723135387,'11:50:00','11:50:00',0,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699723135387,'12:15:00','12:15:00',0,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699723135387,'12:40:00','12:40:00',0,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699723135387,'13:05:00','13:05:00',0,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699723135387,'13:30:00','13:30:00',0,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699723135387,'13:55:00','13:55:00',0,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699723135387,'14:20:00','14:20:00',0,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699723135387,'14:40:00','14:40:00',0,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699723135387,'15:00:00','15:00:00',0,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699723135387,'15:20:00','15:20:00',0,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699723135387,'15:40:00','15:40:00',0,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699723135387,'16:00:00','16:00:00',0,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699723135387,'16:20:00','16:20:00',0,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699723135387,'16:40:00','16:40:00',0,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699723135387,'17:00:00','17:00:00',0,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699723135387,'17:20:00','17:20:00',0,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699723135387,'17:40:00','17:40:00',0,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699723135387,'18:05:00','18:05:00',0,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699723937620,'06:01:00','06:01:00',1,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699723937620,'06:26:00','06:26:00',1,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699723937620,'06:51:00','06:51:00',1,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699723937620,'19:21:00','19:21:00',1,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699723937620,'19:46:00','19:46:00',1,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699723937620,'20:11:00','20:11:00',1,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699723937620,'20:36:00','20:36:00',1,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699723937620,'21:01:00','21:01:00',1,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699723937620,'18:31:00','18:31:00',1,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699723937620,'18:56:00','18:56:00',1,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699723937620,'07:16:00','07:16:00',1,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699723937620,'07:41:00','07:41:00',1,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699723937620,'08:06:00','08:06:00',1,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699723937620,'08:31:00','08:31:00',1,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699723937620,'08:56:00','08:56:00',1,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699723937620,'09:21:00','09:21:00',1,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699723937620,'09:46:00','09:46:00',1,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699723937620,'10:11:00','10:11:00',1,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699723937620,'10:36:00','10:36:00',1,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699723937620,'11:01:00','11:01:00',1,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699723937620,'11:26:00','11:26:00',1,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699723937620,'11:51:00','11:51:00',1,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699723937620,'12:16:00','12:16:00',1,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699723937620,'12:41:00','12:41:00',1,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699723937620,'13:06:00','13:06:00',1,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699723937620,'13:31:00','13:31:00',1,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699723937620,'13:56:00','13:56:00',1,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699723937620,'14:21:00','14:21:00',1,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699723937620,'14:41:00','14:41:00',1,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699723937620,'15:01:00','15:01:00',1,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699723937620,'15:21:00','15:21:00',1,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699723937620,'15:41:00','15:41:00',1,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699723937620,'16:01:00','16:01:00',1,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699723937620,'16:21:00','16:21:00',1,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699723937620,'16:41:00','16:41:00',1,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699723937620,'17:01:00','17:01:00',1,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699723937620,'17:21:00','17:21:00',1,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699723937620,'17:41:00','17:41:00',1,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699723937620,'18:06:00','18:06:00',1,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699723132177,'06:02:00','06:02:00',2,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699723132177,'06:27:00','06:27:00',2,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699723132177,'06:52:00','06:52:00',2,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699723132177,'19:22:00','19:22:00',2,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699723132177,'19:47:00','19:47:00',2,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699723132177,'20:12:00','20:12:00',2,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699723132177,'20:37:00','20:37:00',2,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699723132177,'21:02:00','21:02:00',2,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699723132177,'18:32:00','18:32:00',2,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699723132177,'18:57:00','18:57:00',2,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699723132177,'07:17:00','07:17:00',2,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699723132177,'07:42:00','07:42:00',2,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699723132177,'08:07:00','08:07:00',2,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699723132177,'08:32:00','08:32:00',2,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699723132177,'08:57:00','08:57:00',2,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699723132177,'09:22:00','09:22:00',2,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699723132177,'09:47:00','09:47:00',2,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699723132177,'10:12:00','10:12:00',2,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699723132177,'10:37:00','10:37:00',2,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699723132177,'11:02:00','11:02:00',2,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699723132177,'11:27:00','11:27:00',2,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699723132177,'11:52:00','11:52:00',2,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699723132177,'12:17:00','12:17:00',2,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699723132177,'12:42:00','12:42:00',2,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699723132177,'13:07:00','13:07:00',2,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699723132177,'13:32:00','13:32:00',2,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699723132177,'13:57:00','13:57:00',2,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699723132177,'14:22:00','14:22:00',2,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699723132177,'14:42:00','14:42:00',2,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699723132177,'15:02:00','15:02:00',2,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699723132177,'15:22:00','15:22:00',2,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699723132177,'15:42:00','15:42:00',2,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699723132177,'16:02:00','16:02:00',2,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699723132177,'16:22:00','16:22:00',2,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699723132177,'16:42:00','16:42:00',2,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699723132177,'17:02:00','17:02:00',2,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699723132177,'17:22:00','17:22:00',2,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699723132177,'17:42:00','17:42:00',2,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699723132177,'18:07:00','18:07:00',2,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720883338,'06:02:00','06:02:00',3,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720883338,'06:27:00','06:27:00',3,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720883338,'06:52:00','06:52:00',3,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720883338,'19:22:00','19:22:00',3,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720883338,'19:47:00','19:47:00',3,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720883338,'20:12:00','20:12:00',3,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720883338,'20:37:00','20:37:00',3,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720883338,'21:02:00','21:02:00',3,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720883338,'18:32:00','18:32:00',3,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720883338,'18:57:00','18:57:00',3,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720883338,'07:17:00','07:17:00',3,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720883338,'07:42:00','07:42:00',3,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720883338,'08:07:00','08:07:00',3,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720883338,'08:32:00','08:32:00',3,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720883338,'08:57:00','08:57:00',3,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720883338,'09:22:00','09:22:00',3,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720883338,'09:47:00','09:47:00',3,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720883338,'10:12:00','10:12:00',3,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720883338,'10:37:00','10:37:00',3,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720883338,'11:02:00','11:02:00',3,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720883338,'11:27:00','11:27:00',3,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720883338,'11:52:00','11:52:00',3,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720883338,'12:17:00','12:17:00',3,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720883338,'12:42:00','12:42:00',3,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720883338,'13:07:00','13:07:00',3,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720883338,'13:32:00','13:32:00',3,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720883338,'13:57:00','13:57:00',3,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720883338,'14:22:00','14:22:00',3,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720883338,'14:42:00','14:42:00',3,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720883338,'15:02:00','15:02:00',3,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720883338,'15:22:00','15:22:00',3,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720883338,'15:42:00','15:42:00',3,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720883338,'16:02:00','16:02:00',3,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720883338,'16:22:00','16:22:00',3,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720883338,'16:42:00','16:42:00',3,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720883338,'17:02:00','17:02:00',3,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720883338,'17:22:00','17:22:00',3,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720883338,'17:42:00','17:42:00',3,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720883338,'18:07:00','18:07:00',3,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720883337,'06:03:00','06:03:00',4,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720883337,'06:28:00','06:28:00',4,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720883337,'06:53:00','06:53:00',4,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720883337,'19:23:00','19:23:00',4,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720883337,'19:48:00','19:48:00',4,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720883337,'20:13:00','20:13:00',4,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720883337,'20:38:00','20:38:00',4,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720883337,'21:03:00','21:03:00',4,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720883337,'18:33:00','18:33:00',4,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720883337,'18:58:00','18:58:00',4,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720883337,'07:18:00','07:18:00',4,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720883337,'07:43:00','07:43:00',4,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720883337,'08:08:00','08:08:00',4,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720883337,'08:33:00','08:33:00',4,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720883337,'08:58:00','08:58:00',4,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720883337,'09:23:00','09:23:00',4,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720883337,'09:48:00','09:48:00',4,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720883337,'10:13:00','10:13:00',4,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720883337,'10:38:00','10:38:00',4,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720883337,'11:03:00','11:03:00',4,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720883337,'11:28:00','11:28:00',4,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720883337,'11:53:00','11:53:00',4,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720883337,'12:18:00','12:18:00',4,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720883337,'12:43:00','12:43:00',4,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720883337,'13:08:00','13:08:00',4,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720883337,'13:33:00','13:33:00',4,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720883337,'13:58:00','13:58:00',4,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720883337,'14:23:00','14:23:00',4,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720883337,'14:43:00','14:43:00',4,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720883337,'15:03:00','15:03:00',4,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720883337,'15:23:00','15:23:00',4,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720883337,'15:43:00','15:43:00',4,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720883337,'16:03:00','16:03:00',4,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720883337,'16:23:00','16:23:00',4,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720883337,'16:43:00','16:43:00',4,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720883337,'17:03:00','17:03:00',4,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720883337,'17:23:00','17:23:00',4,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720883337,'17:43:00','17:43:00',4,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720883337,'18:08:00','18:08:00',4,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699724083642,'06:03:00','06:03:00',5,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699724083642,'06:28:00','06:28:00',5,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699724083642,'06:53:00','06:53:00',5,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699724083642,'19:23:00','19:23:00',5,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699724083642,'19:48:00','19:48:00',5,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699724083642,'20:13:00','20:13:00',5,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699724083642,'20:38:00','20:38:00',5,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699724083642,'21:03:00','21:03:00',5,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699724083642,'18:33:00','18:33:00',5,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699724083642,'18:58:00','18:58:00',5,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699724083642,'07:18:00','07:18:00',5,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699724083642,'07:43:00','07:43:00',5,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699724083642,'08:08:00','08:08:00',5,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699724083642,'08:33:00','08:33:00',5,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699724083642,'08:58:00','08:58:00',5,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699724083642,'09:23:00','09:23:00',5,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699724083642,'09:48:00','09:48:00',5,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699724083642,'10:13:00','10:13:00',5,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699724083642,'10:38:00','10:38:00',5,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699724083642,'11:03:00','11:03:00',5,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699724083642,'11:28:00','11:28:00',5,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699724083642,'11:53:00','11:53:00',5,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699724083642,'12:18:00','12:18:00',5,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699724083642,'12:43:00','12:43:00',5,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699724083642,'13:08:00','13:08:00',5,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699724083642,'13:33:00','13:33:00',5,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699724083642,'13:58:00','13:58:00',5,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699724083642,'14:23:00','14:23:00',5,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699724083642,'14:43:00','14:43:00',5,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699724083642,'15:03:00','15:03:00',5,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699724083642,'15:23:00','15:23:00',5,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699724083642,'15:43:00','15:43:00',5,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699724083642,'16:03:00','16:03:00',5,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699724083642,'16:23:00','16:23:00',5,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699724083642,'16:43:00','16:43:00',5,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699724083642,'17:03:00','17:03:00',5,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699724083642,'17:23:00','17:23:00',5,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699724083642,'17:43:00','17:43:00',5,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699724083642,'18:08:00','18:08:00',5,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699723154118,'06:05:00','06:05:00',6,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699723154118,'06:30:00','06:30:00',6,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699723154118,'06:55:00','06:55:00',6,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699723154118,'19:25:00','19:25:00',6,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699723154118,'19:50:00','19:50:00',6,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699723154118,'20:15:00','20:15:00',6,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699723154118,'20:40:00','20:40:00',6,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699723154118,'21:05:00','21:05:00',6,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699723154118,'18:35:00','18:35:00',6,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699723154118,'19:00:00','19:00:00',6,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699723154118,'07:20:00','07:20:00',6,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699723154118,'07:45:00','07:45:00',6,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699723154118,'08:10:00','08:10:00',6,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699723154118,'08:35:00','08:35:00',6,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699723154118,'09:00:00','09:00:00',6,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699723154118,'09:25:00','09:25:00',6,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699723154118,'09:50:00','09:50:00',6,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699723154118,'10:15:00','10:15:00',6,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699723154118,'10:40:00','10:40:00',6,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699723154118,'11:05:00','11:05:00',6,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699723154118,'11:30:00','11:30:00',6,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699723154118,'11:55:00','11:55:00',6,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699723154118,'12:20:00','12:20:00',6,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699723154118,'12:45:00','12:45:00',6,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699723154118,'13:10:00','13:10:00',6,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699723154118,'13:35:00','13:35:00',6,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699723154118,'14:00:00','14:00:00',6,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699723154118,'14:25:00','14:25:00',6,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699723154118,'14:45:00','14:45:00',6,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699723154118,'15:05:00','15:05:00',6,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699723154118,'15:25:00','15:25:00',6,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699723154118,'15:45:00','15:45:00',6,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699723154118,'16:05:00','16:05:00',6,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699723154118,'16:25:00','16:25:00',6,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699723154118,'16:45:00','16:45:00',6,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699723154118,'17:05:00','17:05:00',6,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699723154118,'17:25:00','17:25:00',6,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699723154118,'17:45:00','17:45:00',6,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699723154118,'18:10:00','18:10:00',6,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699722238902,'06:05:00','06:05:00',7,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699722238902,'06:30:00','06:30:00',7,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699722238902,'06:55:00','06:55:00',7,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699722238902,'19:26:00','19:26:00',7,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699722238902,'19:51:00','19:51:00',7,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699722238902,'20:16:00','20:16:00',7,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699722238902,'20:41:00','20:41:00',7,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699722238902,'21:05:00','21:05:00',7,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699722238902,'18:36:00','18:36:00',7,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699722238902,'19:01:00','19:01:00',7,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699722238902,'07:20:00','07:20:00',7,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699722238902,'07:45:00','07:45:00',7,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699722238902,'08:10:00','08:10:00',7,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699722238902,'08:36:00','08:36:00',7,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699722238902,'09:01:00','09:01:00',7,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699722238902,'09:26:00','09:26:00',7,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699722238902,'09:51:00','09:51:00',7,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699722238902,'10:16:00','10:16:00',7,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699722238902,'10:41:00','10:41:00',7,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699722238902,'11:06:00','11:06:00',7,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699722238902,'11:31:00','11:31:00',7,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699722238902,'11:56:00','11:56:00',7,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699722238902,'12:21:00','12:21:00',7,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699722238902,'12:46:00','12:46:00',7,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699722238902,'13:11:00','13:11:00',7,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699722238902,'13:36:00','13:36:00',7,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699722238902,'14:01:00','14:01:00',7,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699722238902,'14:26:00','14:26:00',7,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699722238902,'14:46:00','14:46:00',7,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699722238902,'15:06:00','15:06:00',7,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699722238902,'15:26:00','15:26:00',7,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699722238902,'15:46:00','15:46:00',7,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699722238902,'16:06:00','16:06:00',7,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699722238902,'16:26:00','16:26:00',7,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699722238902,'16:46:00','16:46:00',7,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699722238902,'17:06:00','17:06:00',7,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699722238902,'17:26:00','17:26:00',7,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699722238902,'17:46:00','17:46:00',7,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699722238902,'18:11:00','18:11:00',7,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882907,'06:06:00','06:06:00',8,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882907,'06:31:00','06:31:00',8,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882907,'06:56:00','06:56:00',8,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882907,'19:27:00','19:27:00',8,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882907,'19:52:00','19:52:00',8,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882907,'20:17:00','20:17:00',8,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882907,'20:42:00','20:42:00',8,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882907,'21:06:00','21:06:00',8,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882907,'18:37:00','18:37:00',8,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882907,'19:02:00','19:02:00',8,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882907,'07:21:00','07:21:00',8,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882907,'07:46:00','07:46:00',8,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882907,'08:11:00','08:11:00',8,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882907,'08:37:00','08:37:00',8,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882907,'09:02:00','09:02:00',8,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882907,'09:27:00','09:27:00',8,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882907,'09:52:00','09:52:00',8,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882907,'10:17:00','10:17:00',8,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882907,'10:42:00','10:42:00',8,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882907,'11:07:00','11:07:00',8,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882907,'11:32:00','11:32:00',8,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882907,'11:57:00','11:57:00',8,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882907,'12:22:00','12:22:00',8,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882907,'12:47:00','12:47:00',8,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882907,'13:12:00','13:12:00',8,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882907,'13:37:00','13:37:00',8,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882907,'14:02:00','14:02:00',8,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882907,'14:27:00','14:27:00',8,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882907,'14:47:00','14:47:00',8,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882907,'15:07:00','15:07:00',8,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882907,'15:27:00','15:27:00',8,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882907,'15:47:00','15:47:00',8,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882907,'16:07:00','16:07:00',8,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882907,'16:27:00','16:27:00',8,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882907,'16:47:00','16:47:00',8,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882907,'17:07:00','17:07:00',8,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882907,'17:27:00','17:27:00',8,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882907,'17:47:00','17:47:00',8,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882907,'18:12:00','18:12:00',8,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699723135408,'06:08:00','06:08:00',9,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699723135408,'06:33:00','06:33:00',9,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699723135408,'06:58:00','06:58:00',9,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699723135408,'19:29:00','19:29:00',9,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699723135408,'19:54:00','19:54:00',9,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699723135408,'20:19:00','20:19:00',9,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699723135408,'20:44:00','20:44:00',9,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699723135408,'21:08:00','21:08:00',9,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699723135408,'18:39:00','18:39:00',9,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699723135408,'19:04:00','19:04:00',9,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699723135408,'07:23:00','07:23:00',9,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699723135408,'07:48:00','07:48:00',9,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699723135408,'08:13:00','08:13:00',9,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699723135408,'08:39:00','08:39:00',9,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699723135408,'09:04:00','09:04:00',9,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699723135408,'09:29:00','09:29:00',9,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699723135408,'09:54:00','09:54:00',9,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699723135408,'10:19:00','10:19:00',9,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699723135408,'10:44:00','10:44:00',9,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699723135408,'11:09:00','11:09:00',9,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699723135408,'11:34:00','11:34:00',9,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699723135408,'11:59:00','11:59:00',9,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699723135408,'12:24:00','12:24:00',9,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699723135408,'12:49:00','12:49:00',9,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699723135408,'13:14:00','13:14:00',9,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699723135408,'13:39:00','13:39:00',9,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699723135408,'14:04:00','14:04:00',9,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699723135408,'14:29:00','14:29:00',9,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699723135408,'14:49:00','14:49:00',9,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699723135408,'15:09:00','15:09:00',9,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699723135408,'15:29:00','15:29:00',9,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699723135408,'15:49:00','15:49:00',9,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699723135408,'16:09:00','16:09:00',9,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699723135408,'16:29:00','16:29:00',9,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699723135408,'16:49:00','16:49:00',9,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699723135408,'17:09:00','17:09:00',9,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699723135408,'17:29:00','17:29:00',9,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699723135408,'17:49:00','17:49:00',9,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699723135408,'18:14:00','18:14:00',9,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882782,'06:09:00','06:09:00',10,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882782,'06:34:00','06:34:00',10,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882782,'06:59:00','06:59:00',10,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882782,'19:30:00','19:30:00',10,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882782,'19:55:00','19:55:00',10,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882782,'20:20:00','20:20:00',10,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882782,'20:45:00','20:45:00',10,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882782,'21:09:00','21:09:00',10,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882782,'18:40:00','18:40:00',10,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882782,'19:05:00','19:05:00',10,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882782,'07:24:00','07:24:00',10,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882782,'07:49:00','07:49:00',10,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882782,'08:14:00','08:14:00',10,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882782,'08:40:00','08:40:00',10,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882782,'09:05:00','09:05:00',10,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882782,'09:30:00','09:30:00',10,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882782,'09:55:00','09:55:00',10,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882782,'10:20:00','10:20:00',10,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882782,'10:45:00','10:45:00',10,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882782,'11:10:00','11:10:00',10,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882782,'11:35:00','11:35:00',10,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882782,'12:00:00','12:00:00',10,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882782,'12:25:00','12:25:00',10,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882782,'12:50:00','12:50:00',10,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882782,'13:15:00','13:15:00',10,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882782,'13:40:00','13:40:00',10,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882782,'14:05:00','14:05:00',10,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882782,'14:30:00','14:30:00',10,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882782,'14:50:00','14:50:00',10,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882782,'15:10:00','15:10:00',10,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882782,'15:30:00','15:30:00',10,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882782,'15:50:00','15:50:00',10,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882782,'16:10:00','16:10:00',10,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882782,'16:30:00','16:30:00',10,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882782,'16:50:00','16:50:00',10,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882782,'17:10:00','17:10:00',10,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882782,'17:30:00','17:30:00',10,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882782,'17:50:00','17:50:00',10,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882782,'18:15:00','18:15:00',10,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882781,'06:10:00','06:10:00',11,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882781,'06:35:00','06:35:00',11,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882781,'07:00:00','07:00:00',11,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882781,'19:30:00','19:30:00',11,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882781,'19:55:00','19:55:00',11,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882781,'20:20:00','20:20:00',11,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882781,'20:45:00','20:45:00',11,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882781,'21:09:00','21:09:00',11,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882781,'18:41:00','18:41:00',11,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882781,'19:05:00','19:05:00',11,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882781,'07:25:00','07:25:00',11,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882781,'07:50:00','07:50:00',11,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882781,'08:15:00','08:15:00',11,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882781,'08:41:00','08:41:00',11,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882781,'09:06:00','09:06:00',11,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882781,'09:31:00','09:31:00',11,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882781,'09:56:00','09:56:00',11,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882781,'10:21:00','10:21:00',11,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882781,'10:46:00','10:46:00',11,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882781,'11:11:00','11:11:00',11,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882781,'11:36:00','11:36:00',11,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882781,'12:01:00','12:01:00',11,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882781,'12:26:00','12:26:00',11,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882781,'12:51:00','12:51:00',11,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882781,'13:16:00','13:16:00',11,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882781,'13:41:00','13:41:00',11,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882781,'14:06:00','14:06:00',11,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882781,'14:31:00','14:31:00',11,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882781,'14:51:00','14:51:00',11,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882781,'15:11:00','15:11:00',11,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882781,'15:31:00','15:31:00',11,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882781,'15:51:00','15:51:00',11,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882781,'16:11:00','16:11:00',11,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882781,'16:31:00','16:31:00',11,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882781,'16:51:00','16:51:00',11,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882781,'17:11:00','17:11:00',11,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882781,'17:31:00','17:31:00',11,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882781,'17:51:00','17:51:00',11,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882781,'18:16:00','18:16:00',11,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882780,'06:11:00','06:11:00',12,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882780,'06:36:00','06:36:00',12,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882780,'07:01:00','07:01:00',12,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882780,'19:31:00','19:31:00',12,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882780,'19:56:00','19:56:00',12,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882780,'20:21:00','20:21:00',12,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882780,'20:46:00','20:46:00',12,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882780,'21:10:00','21:10:00',12,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882780,'18:42:00','18:42:00',12,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882780,'19:06:00','19:06:00',12,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882780,'07:26:00','07:26:00',12,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882780,'07:51:00','07:51:00',12,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882780,'08:16:00','08:16:00',12,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882780,'08:42:00','08:42:00',12,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882780,'09:07:00','09:07:00',12,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882780,'09:32:00','09:32:00',12,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882780,'09:57:00','09:57:00',12,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882780,'10:22:00','10:22:00',12,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882780,'10:47:00','10:47:00',12,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882780,'11:12:00','11:12:00',12,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882780,'11:37:00','11:37:00',12,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882780,'12:02:00','12:02:00',12,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882780,'12:27:00','12:27:00',12,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882780,'12:52:00','12:52:00',12,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882780,'13:17:00','13:17:00',12,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882780,'13:42:00','13:42:00',12,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882780,'14:07:00','14:07:00',12,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882780,'14:32:00','14:32:00',12,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882780,'14:52:00','14:52:00',12,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882780,'15:12:00','15:12:00',12,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882780,'15:32:00','15:32:00',12,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882780,'15:52:00','15:52:00',12,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882780,'16:12:00','16:12:00',12,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882780,'16:32:00','16:32:00',12,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882780,'16:52:00','16:52:00',12,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882780,'17:12:00','17:12:00',12,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882780,'17:32:00','17:32:00',12,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882780,'17:52:00','17:52:00',12,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882780,'18:17:00','18:17:00',12,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882777,'06:11:00','06:11:00',13,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882777,'06:36:00','06:36:00',13,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882777,'07:01:00','07:01:00',13,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882777,'19:32:00','19:32:00',13,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882777,'19:57:00','19:57:00',13,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882777,'20:22:00','20:22:00',13,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882777,'20:47:00','20:47:00',13,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882777,'21:11:00','21:11:00',13,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882777,'18:42:00','18:42:00',13,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882777,'19:07:00','19:07:00',13,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882777,'07:26:00','07:26:00',13,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882777,'07:51:00','07:51:00',13,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882777,'08:16:00','08:16:00',13,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882777,'08:42:00','08:42:00',13,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882777,'09:07:00','09:07:00',13,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882777,'09:32:00','09:32:00',13,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882777,'09:57:00','09:57:00',13,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882777,'10:22:00','10:22:00',13,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882777,'10:47:00','10:47:00',13,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882777,'11:12:00','11:12:00',13,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882777,'11:37:00','11:37:00',13,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882777,'12:02:00','12:02:00',13,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882777,'12:27:00','12:27:00',13,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882777,'12:52:00','12:52:00',13,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882777,'13:17:00','13:17:00',13,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882777,'13:42:00','13:42:00',13,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882777,'14:07:00','14:07:00',13,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882777,'14:32:00','14:32:00',13,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882777,'14:52:00','14:52:00',13,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882777,'15:12:00','15:12:00',13,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882777,'15:32:00','15:32:00',13,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882777,'15:52:00','15:52:00',13,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882777,'16:12:00','16:12:00',13,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882777,'16:32:00','16:32:00',13,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882777,'16:52:00','16:52:00',13,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882777,'17:12:00','17:12:00',13,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882777,'17:32:00','17:32:00',13,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882777,'17:52:00','17:52:00',13,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882777,'18:17:00','18:17:00',13,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720880988,'06:13:00','06:13:00',14,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720880988,'06:38:00','06:38:00',14,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720880988,'07:03:00','07:03:00',14,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720880988,'19:33:00','19:33:00',14,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720880988,'19:58:00','19:58:00',14,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720880988,'20:23:00','20:23:00',14,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720880988,'20:48:00','20:48:00',14,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720880988,'21:12:00','21:12:00',14,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720880988,'18:44:00','18:44:00',14,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720880988,'19:08:00','19:08:00',14,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720880988,'07:28:00','07:28:00',14,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720880988,'07:53:00','07:53:00',14,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720880988,'08:18:00','08:18:00',14,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720880988,'08:44:00','08:44:00',14,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720880988,'09:09:00','09:09:00',14,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720880988,'09:34:00','09:34:00',14,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720880988,'09:59:00','09:59:00',14,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720880988,'10:24:00','10:24:00',14,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720880988,'10:49:00','10:49:00',14,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720880988,'11:14:00','11:14:00',14,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720880988,'11:39:00','11:39:00',14,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720880988,'12:04:00','12:04:00',14,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720880988,'12:29:00','12:29:00',14,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720880988,'12:54:00','12:54:00',14,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720880988,'13:19:00','13:19:00',14,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720880988,'13:44:00','13:44:00',14,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720880988,'14:09:00','14:09:00',14,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720880988,'14:34:00','14:34:00',14,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720880988,'14:54:00','14:54:00',14,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720880988,'15:14:00','15:14:00',14,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720880988,'15:34:00','15:34:00',14,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720880988,'15:54:00','15:54:00',14,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720880988,'16:14:00','16:14:00',14,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720880988,'16:34:00','16:34:00',14,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720880988,'16:54:00','16:54:00',14,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720880988,'17:14:00','17:14:00',14,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720880988,'17:34:00','17:34:00',14,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720880988,'17:54:00','17:54:00',14,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720880988,'18:19:00','18:19:00',14,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882776,'06:14:00','06:14:00',15,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882776,'06:39:00','06:39:00',15,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882776,'07:04:00','07:04:00',15,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882776,'19:34:00','19:34:00',15,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882776,'19:59:00','19:59:00',15,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882776,'20:24:00','20:24:00',15,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882776,'20:49:00','20:49:00',15,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882776,'21:13:00','21:13:00',15,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882776,'18:45:00','18:45:00',15,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882776,'19:09:00','19:09:00',15,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882776,'07:29:00','07:29:00',15,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882776,'07:54:00','07:54:00',15,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882776,'08:19:00','08:19:00',15,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882776,'08:45:00','08:45:00',15,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882776,'09:10:00','09:10:00',15,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882776,'09:35:00','09:35:00',15,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882776,'10:00:00','10:00:00',15,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882776,'10:25:00','10:25:00',15,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882776,'10:50:00','10:50:00',15,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882776,'11:15:00','11:15:00',15,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882776,'11:40:00','11:40:00',15,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882776,'12:05:00','12:05:00',15,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882776,'12:30:00','12:30:00',15,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882776,'12:55:00','12:55:00',15,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882776,'13:20:00','13:20:00',15,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882776,'13:45:00','13:45:00',15,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882776,'14:10:00','14:10:00',15,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882776,'14:35:00','14:35:00',15,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882776,'14:55:00','14:55:00',15,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882776,'15:15:00','15:15:00',15,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882776,'15:35:00','15:35:00',15,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882776,'15:55:00','15:55:00',15,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882776,'16:15:00','16:15:00',15,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882776,'16:35:00','16:35:00',15,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882776,'16:55:00','16:55:00',15,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882776,'17:15:00','17:15:00',15,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882776,'17:35:00','17:35:00',15,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882776,'17:55:00','17:55:00',15,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882776,'18:20:00','18:20:00',15,0,4503603928074160);
INSERT INTO "arret" VALUES(3377704015495173,'06:15:00','06:15:00',16,0,4503603928074122);
INSERT INTO "arret" VALUES(3377704015495173,'06:40:00','06:40:00',16,0,4503603928074123);
INSERT INTO "arret" VALUES(3377704015495173,'07:05:00','07:05:00',16,0,4503603928074124);
INSERT INTO "arret" VALUES(3377704015495173,'19:35:00','19:35:00',16,0,4503603928074125);
INSERT INTO "arret" VALUES(3377704015495173,'20:00:00','20:00:00',16,0,4503603928074126);
INSERT INTO "arret" VALUES(3377704015495173,'20:25:00','20:25:00',16,0,4503603928074127);
INSERT INTO "arret" VALUES(3377704015495173,'20:50:00','20:50:00',16,0,4503603928074128);
INSERT INTO "arret" VALUES(3377704015495173,'21:14:00','21:14:00',16,0,4503603928074129);
INSERT INTO "arret" VALUES(3377704015495173,'18:46:00','18:46:00',16,0,4503603928074130);
INSERT INTO "arret" VALUES(3377704015495173,'19:10:00','19:10:00',16,0,4503603928074131);
INSERT INTO "arret" VALUES(3377704015495173,'07:30:00','07:30:00',16,0,4503603928074132);
INSERT INTO "arret" VALUES(3377704015495173,'07:55:00','07:55:00',16,0,4503603928074133);
INSERT INTO "arret" VALUES(3377704015495173,'08:20:00','08:20:00',16,0,4503603928074134);
INSERT INTO "arret" VALUES(3377704015495173,'08:46:00','08:46:00',16,0,4503603928074135);
INSERT INTO "arret" VALUES(3377704015495173,'09:11:00','09:11:00',16,0,4503603928074136);
INSERT INTO "arret" VALUES(3377704015495173,'09:36:00','09:36:00',16,0,4503603928074137);
INSERT INTO "arret" VALUES(3377704015495173,'10:01:00','10:01:00',16,0,4503603928074138);
INSERT INTO "arret" VALUES(3377704015495173,'10:26:00','10:26:00',16,0,4503603928074139);
INSERT INTO "arret" VALUES(3377704015495173,'10:51:00','10:51:00',16,0,4503603928074140);
INSERT INTO "arret" VALUES(3377704015495173,'11:16:00','11:16:00',16,0,4503603928074141);
INSERT INTO "arret" VALUES(3377704015495173,'11:41:00','11:41:00',16,0,4503603928074142);
INSERT INTO "arret" VALUES(3377704015495173,'12:06:00','12:06:00',16,0,4503603928074143);
INSERT INTO "arret" VALUES(3377704015495173,'12:31:00','12:31:00',16,0,4503603928074144);
INSERT INTO "arret" VALUES(3377704015495173,'12:56:00','12:56:00',16,0,4503603928074145);
INSERT INTO "arret" VALUES(3377704015495173,'13:21:00','13:21:00',16,0,4503603928074146);
INSERT INTO "arret" VALUES(3377704015495173,'13:46:00','13:46:00',16,0,4503603928074147);
INSERT INTO "arret" VALUES(3377704015495173,'14:11:00','14:11:00',16,0,4503603928074148);
INSERT INTO "arret" VALUES(3377704015495173,'14:36:00','14:36:00',16,0,4503603928074149);
INSERT INTO "arret" VALUES(3377704015495173,'14:56:00','14:56:00',16,0,4503603928074150);
INSERT INTO "arret" VALUES(3377704015495173,'15:16:00','15:16:00',16,0,4503603928074151);
INSERT INTO "arret" VALUES(3377704015495173,'15:36:00','15:36:00',16,0,4503603928074152);
INSERT INTO "arret" VALUES(3377704015495173,'15:56:00','15:56:00',16,0,4503603928074153);
INSERT INTO "arret" VALUES(3377704015495173,'16:16:00','16:16:00',16,0,4503603928074154);
INSERT INTO "arret" VALUES(3377704015495173,'16:36:00','16:36:00',16,0,4503603928074155);
INSERT INTO "arret" VALUES(3377704015495173,'16:56:00','16:56:00',16,0,4503603928074156);
INSERT INTO "arret" VALUES(3377704015495173,'17:16:00','17:16:00',16,0,4503603928074157);
INSERT INTO "arret" VALUES(3377704015495173,'17:36:00','17:36:00',16,0,4503603928074158);
INSERT INTO "arret" VALUES(3377704015495173,'17:56:00','17:56:00',16,0,4503603928074159);
INSERT INTO "arret" VALUES(3377704015495173,'18:21:00','18:21:00',16,0,4503603928074160);
INSERT INTO "arret" VALUES(3377704015495205,'06:15:00','06:15:00',17,0,4503603928074122);
INSERT INTO "arret" VALUES(3377704015495205,'06:40:00','06:40:00',17,0,4503603928074123);
INSERT INTO "arret" VALUES(3377704015495205,'07:05:00','07:05:00',17,0,4503603928074124);
INSERT INTO "arret" VALUES(3377704015495205,'19:36:00','19:36:00',17,0,4503603928074125);
INSERT INTO "arret" VALUES(3377704015495205,'20:01:00','20:01:00',17,0,4503603928074126);
INSERT INTO "arret" VALUES(3377704015495205,'20:26:00','20:26:00',17,0,4503603928074127);
INSERT INTO "arret" VALUES(3377704015495205,'20:50:00','20:50:00',17,0,4503603928074128);
INSERT INTO "arret" VALUES(3377704015495205,'21:14:00','21:14:00',17,0,4503603928074129);
INSERT INTO "arret" VALUES(3377704015495205,'18:47:00','18:47:00',17,0,4503603928074130);
INSERT INTO "arret" VALUES(3377704015495205,'19:11:00','19:11:00',17,0,4503603928074131);
INSERT INTO "arret" VALUES(3377704015495205,'07:30:00','07:30:00',17,0,4503603928074132);
INSERT INTO "arret" VALUES(3377704015495205,'07:56:00','07:56:00',17,0,4503603928074133);
INSERT INTO "arret" VALUES(3377704015495205,'08:21:00','08:21:00',17,0,4503603928074134);
INSERT INTO "arret" VALUES(3377704015495205,'08:47:00','08:47:00',17,0,4503603928074135);
INSERT INTO "arret" VALUES(3377704015495205,'09:12:00','09:12:00',17,0,4503603928074136);
INSERT INTO "arret" VALUES(3377704015495205,'09:37:00','09:37:00',17,0,4503603928074137);
INSERT INTO "arret" VALUES(3377704015495205,'10:02:00','10:02:00',17,0,4503603928074138);
INSERT INTO "arret" VALUES(3377704015495205,'10:27:00','10:27:00',17,0,4503603928074139);
INSERT INTO "arret" VALUES(3377704015495205,'10:52:00','10:52:00',17,0,4503603928074140);
INSERT INTO "arret" VALUES(3377704015495205,'11:17:00','11:17:00',17,0,4503603928074141);
INSERT INTO "arret" VALUES(3377704015495205,'11:42:00','11:42:00',17,0,4503603928074142);
INSERT INTO "arret" VALUES(3377704015495205,'12:07:00','12:07:00',17,0,4503603928074143);
INSERT INTO "arret" VALUES(3377704015495205,'12:32:00','12:32:00',17,0,4503603928074144);
INSERT INTO "arret" VALUES(3377704015495205,'12:57:00','12:57:00',17,0,4503603928074145);
INSERT INTO "arret" VALUES(3377704015495205,'13:22:00','13:22:00',17,0,4503603928074146);
INSERT INTO "arret" VALUES(3377704015495205,'13:47:00','13:47:00',17,0,4503603928074147);
INSERT INTO "arret" VALUES(3377704015495205,'14:12:00','14:12:00',17,0,4503603928074148);
INSERT INTO "arret" VALUES(3377704015495205,'14:37:00','14:37:00',17,0,4503603928074149);
INSERT INTO "arret" VALUES(3377704015495205,'14:57:00','14:57:00',17,0,4503603928074150);
INSERT INTO "arret" VALUES(3377704015495205,'15:17:00','15:17:00',17,0,4503603928074151);
INSERT INTO "arret" VALUES(3377704015495205,'15:37:00','15:37:00',17,0,4503603928074152);
INSERT INTO "arret" VALUES(3377704015495205,'15:57:00','15:57:00',17,0,4503603928074153);
INSERT INTO "arret" VALUES(3377704015495205,'16:17:00','16:17:00',17,0,4503603928074154);
INSERT INTO "arret" VALUES(3377704015495205,'16:37:00','16:37:00',17,0,4503603928074155);
INSERT INTO "arret" VALUES(3377704015495205,'16:57:00','16:57:00',17,0,4503603928074156);
INSERT INTO "arret" VALUES(3377704015495205,'17:17:00','17:17:00',17,0,4503603928074157);
INSERT INTO "arret" VALUES(3377704015495205,'17:37:00','17:37:00',17,0,4503603928074158);
INSERT INTO "arret" VALUES(3377704015495205,'17:57:00','17:57:00',17,0,4503603928074159);
INSERT INTO "arret" VALUES(3377704015495205,'18:22:00','18:22:00',17,0,4503603928074160);
INSERT INTO "arret" VALUES(3377704015495209,'06:16:00','06:16:00',18,0,4503603928074122);
INSERT INTO "arret" VALUES(3377704015495209,'06:41:00','06:41:00',18,0,4503603928074123);
INSERT INTO "arret" VALUES(3377704015495209,'07:06:00','07:06:00',18,0,4503603928074124);
INSERT INTO "arret" VALUES(3377704015495209,'19:37:00','19:37:00',18,0,4503603928074125);
INSERT INTO "arret" VALUES(3377704015495209,'20:02:00','20:02:00',18,0,4503603928074126);
INSERT INTO "arret" VALUES(3377704015495209,'20:27:00','20:27:00',18,0,4503603928074127);
INSERT INTO "arret" VALUES(3377704015495209,'20:51:00','20:51:00',18,0,4503603928074128);
INSERT INTO "arret" VALUES(3377704015495209,'21:15:00','21:15:00',18,0,4503603928074129);
INSERT INTO "arret" VALUES(3377704015495209,'18:48:00','18:48:00',18,0,4503603928074130);
INSERT INTO "arret" VALUES(3377704015495209,'19:12:00','19:12:00',18,0,4503603928074131);
INSERT INTO "arret" VALUES(3377704015495209,'07:31:00','07:31:00',18,0,4503603928074132);
INSERT INTO "arret" VALUES(3377704015495209,'07:57:00','07:57:00',18,0,4503603928074133);
INSERT INTO "arret" VALUES(3377704015495209,'08:22:00','08:22:00',18,0,4503603928074134);
INSERT INTO "arret" VALUES(3377704015495209,'08:48:00','08:48:00',18,0,4503603928074135);
INSERT INTO "arret" VALUES(3377704015495209,'09:13:00','09:13:00',18,0,4503603928074136);
INSERT INTO "arret" VALUES(3377704015495209,'09:38:00','09:38:00',18,0,4503603928074137);
INSERT INTO "arret" VALUES(3377704015495209,'10:03:00','10:03:00',18,0,4503603928074138);
INSERT INTO "arret" VALUES(3377704015495209,'10:28:00','10:28:00',18,0,4503603928074139);
INSERT INTO "arret" VALUES(3377704015495209,'10:53:00','10:53:00',18,0,4503603928074140);
INSERT INTO "arret" VALUES(3377704015495209,'11:18:00','11:18:00',18,0,4503603928074141);
INSERT INTO "arret" VALUES(3377704015495209,'11:43:00','11:43:00',18,0,4503603928074142);
INSERT INTO "arret" VALUES(3377704015495209,'12:08:00','12:08:00',18,0,4503603928074143);
INSERT INTO "arret" VALUES(3377704015495209,'12:33:00','12:33:00',18,0,4503603928074144);
INSERT INTO "arret" VALUES(3377704015495209,'12:58:00','12:58:00',18,0,4503603928074145);
INSERT INTO "arret" VALUES(3377704015495209,'13:23:00','13:23:00',18,0,4503603928074146);
INSERT INTO "arret" VALUES(3377704015495209,'13:48:00','13:48:00',18,0,4503603928074147);
INSERT INTO "arret" VALUES(3377704015495209,'14:13:00','14:13:00',18,0,4503603928074148);
INSERT INTO "arret" VALUES(3377704015495209,'14:38:00','14:38:00',18,0,4503603928074149);
INSERT INTO "arret" VALUES(3377704015495209,'14:58:00','14:58:00',18,0,4503603928074150);
INSERT INTO "arret" VALUES(3377704015495209,'15:18:00','15:18:00',18,0,4503603928074151);
INSERT INTO "arret" VALUES(3377704015495209,'15:38:00','15:38:00',18,0,4503603928074152);
INSERT INTO "arret" VALUES(3377704015495209,'15:58:00','15:58:00',18,0,4503603928074153);
INSERT INTO "arret" VALUES(3377704015495209,'16:18:00','16:18:00',18,0,4503603928074154);
INSERT INTO "arret" VALUES(3377704015495209,'16:38:00','16:38:00',18,0,4503603928074155);
INSERT INTO "arret" VALUES(3377704015495209,'16:58:00','16:58:00',18,0,4503603928074156);
INSERT INTO "arret" VALUES(3377704015495209,'17:18:00','17:18:00',18,0,4503603928074157);
INSERT INTO "arret" VALUES(3377704015495209,'17:38:00','17:38:00',18,0,4503603928074158);
INSERT INTO "arret" VALUES(3377704015495209,'17:58:00','17:58:00',18,0,4503603928074159);
INSERT INTO "arret" VALUES(3377704015495209,'18:23:00','18:23:00',18,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882768,'06:17:00','06:17:00',19,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882768,'06:42:00','06:42:00',19,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882768,'07:07:00','07:07:00',19,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882768,'19:37:00','19:37:00',19,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882768,'20:02:00','20:02:00',19,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882768,'20:27:00','20:27:00',19,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882768,'20:52:00','20:52:00',19,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882768,'21:16:00','21:16:00',19,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882768,'18:49:00','18:49:00',19,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882768,'19:12:00','19:12:00',19,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882768,'07:32:00','07:32:00',19,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882768,'07:57:00','07:57:00',19,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882768,'08:23:00','08:23:00',19,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882768,'08:49:00','08:49:00',19,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882768,'09:14:00','09:14:00',19,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882768,'09:39:00','09:39:00',19,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882768,'10:04:00','10:04:00',19,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882768,'10:29:00','10:29:00',19,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882768,'10:54:00','10:54:00',19,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882768,'11:19:00','11:19:00',19,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882768,'11:44:00','11:44:00',19,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882768,'12:09:00','12:09:00',19,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882768,'12:34:00','12:34:00',19,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882768,'12:59:00','12:59:00',19,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882768,'13:24:00','13:24:00',19,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882768,'13:49:00','13:49:00',19,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882768,'14:14:00','14:14:00',19,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882768,'14:39:00','14:39:00',19,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882768,'14:59:00','14:59:00',19,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882768,'15:19:00','15:19:00',19,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882768,'15:39:00','15:39:00',19,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882768,'15:59:00','15:59:00',19,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882768,'16:19:00','16:19:00',19,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882768,'16:39:00','16:39:00',19,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882768,'16:59:00','16:59:00',19,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882768,'17:19:00','17:19:00',19,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882768,'17:39:00','17:39:00',19,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882768,'17:59:00','17:59:00',19,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882768,'18:24:00','18:24:00',19,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720881427,'06:18:00','06:18:00',20,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720881427,'06:43:00','06:43:00',20,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720881427,'07:08:00','07:08:00',20,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720881427,'19:39:00','19:39:00',20,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720881427,'20:04:00','20:04:00',20,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720881427,'20:29:00','20:29:00',20,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720881427,'20:53:00','20:53:00',20,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720881427,'21:17:00','21:17:00',20,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720881427,'18:51:00','18:51:00',20,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720881427,'19:14:00','19:14:00',20,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720881427,'07:33:00','07:33:00',20,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720881427,'07:59:00','07:59:00',20,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720881427,'08:25:00','08:25:00',20,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720881427,'08:51:00','08:51:00',20,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720881427,'09:16:00','09:16:00',20,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720881427,'09:41:00','09:41:00',20,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720881427,'10:06:00','10:06:00',20,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720881427,'10:31:00','10:31:00',20,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720881427,'10:56:00','10:56:00',20,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720881427,'11:21:00','11:21:00',20,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720881427,'11:46:00','11:46:00',20,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720881427,'12:11:00','12:11:00',20,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720881427,'12:36:00','12:36:00',20,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720881427,'13:01:00','13:01:00',20,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720881427,'13:26:00','13:26:00',20,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720881427,'13:51:00','13:51:00',20,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720881427,'14:16:00','14:16:00',20,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720881427,'14:41:00','14:41:00',20,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720881427,'15:01:00','15:01:00',20,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720881427,'15:21:00','15:21:00',20,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720881427,'15:41:00','15:41:00',20,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720881427,'16:01:00','16:01:00',20,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720881427,'16:21:00','16:21:00',20,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720881427,'16:41:00','16:41:00',20,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720881427,'17:01:00','17:01:00',20,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720881427,'17:21:00','17:21:00',20,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720881427,'17:41:00','17:41:00',20,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720881427,'18:01:00','18:01:00',20,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720881427,'18:26:00','18:26:00',20,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882764,'06:19:00','06:19:00',21,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882764,'06:45:00','06:45:00',21,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882764,'07:10:00','07:10:00',21,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882764,'19:41:00','19:41:00',21,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882764,'20:06:00','20:06:00',21,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882764,'20:31:00','20:31:00',21,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882764,'20:55:00','20:55:00',21,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882764,'21:19:00','21:19:00',21,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882764,'18:53:00','18:53:00',21,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882764,'19:16:00','19:16:00',21,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882764,'07:35:00','07:35:00',21,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882764,'08:01:00','08:01:00',21,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882764,'08:27:00','08:27:00',21,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882764,'08:53:00','08:53:00',21,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882764,'09:18:00','09:18:00',21,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882764,'09:43:00','09:43:00',21,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882764,'10:08:00','10:08:00',21,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882764,'10:33:00','10:33:00',21,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882764,'10:58:00','10:58:00',21,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882764,'11:23:00','11:23:00',21,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882764,'11:48:00','11:48:00',21,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882764,'12:13:00','12:13:00',21,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882764,'12:38:00','12:38:00',21,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882764,'13:03:00','13:03:00',21,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882764,'13:28:00','13:28:00',21,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882764,'13:53:00','13:53:00',21,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882764,'14:18:00','14:18:00',21,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882764,'14:43:00','14:43:00',21,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882764,'15:03:00','15:03:00',21,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882764,'15:23:00','15:23:00',21,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882764,'15:43:00','15:43:00',21,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882764,'16:03:00','16:03:00',21,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882764,'16:23:00','16:23:00',21,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882764,'16:43:00','16:43:00',21,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882764,'17:03:00','17:03:00',21,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882764,'17:23:00','17:23:00',21,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882764,'17:43:00','17:43:00',21,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882764,'18:03:00','18:03:00',21,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882764,'18:28:00','18:28:00',21,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882761,'06:20:00','06:20:00',22,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882761,'06:45:00','06:45:00',22,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882761,'07:10:00','07:10:00',22,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882761,'19:41:00','19:41:00',22,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882761,'20:06:00','20:06:00',22,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882761,'20:31:00','20:31:00',22,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882761,'20:55:00','20:55:00',22,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882761,'21:19:00','21:19:00',22,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882761,'18:53:00','18:53:00',22,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882761,'19:16:00','19:16:00',22,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882761,'07:35:00','07:35:00',22,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882761,'08:01:00','08:01:00',22,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882761,'08:27:00','08:27:00',22,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882761,'08:53:00','08:53:00',22,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882761,'09:18:00','09:18:00',22,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882761,'09:43:00','09:43:00',22,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882761,'10:08:00','10:08:00',22,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882761,'10:33:00','10:33:00',22,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882761,'10:58:00','10:58:00',22,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882761,'11:23:00','11:23:00',22,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882761,'11:48:00','11:48:00',22,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882761,'12:13:00','12:13:00',22,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882761,'12:38:00','12:38:00',22,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882761,'13:03:00','13:03:00',22,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882761,'13:28:00','13:28:00',22,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882761,'13:53:00','13:53:00',22,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882761,'14:18:00','14:18:00',22,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882761,'14:43:00','14:43:00',22,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882761,'15:03:00','15:03:00',22,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882761,'15:23:00','15:23:00',22,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882761,'15:43:00','15:43:00',22,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882761,'16:03:00','16:03:00',22,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882761,'16:23:00','16:23:00',22,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882761,'16:43:00','16:43:00',22,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882761,'17:03:00','17:03:00',22,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882761,'17:23:00','17:23:00',22,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882761,'17:43:00','17:43:00',22,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882761,'18:03:00','18:03:00',22,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882761,'18:28:00','18:28:00',22,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882758,'06:21:00','06:21:00',23,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882758,'06:46:00','06:46:00',23,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882758,'07:11:00','07:11:00',23,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882758,'19:43:00','19:43:00',23,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882758,'20:08:00','20:08:00',23,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882758,'20:32:00','20:32:00',23,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882758,'20:56:00','20:56:00',23,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882758,'21:20:00','21:20:00',23,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882758,'18:55:00','18:55:00',23,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882758,'19:18:00','19:18:00',23,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882758,'07:37:00','07:37:00',23,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882758,'08:03:00','08:03:00',23,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882758,'08:29:00','08:29:00',23,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882758,'08:55:00','08:55:00',23,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882758,'09:20:00','09:20:00',23,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882758,'09:45:00','09:45:00',23,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882758,'10:10:00','10:10:00',23,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882758,'10:35:00','10:35:00',23,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882758,'11:00:00','11:00:00',23,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882758,'11:25:00','11:25:00',23,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882758,'11:50:00','11:50:00',23,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882758,'12:15:00','12:15:00',23,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882758,'12:40:00','12:40:00',23,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882758,'13:05:00','13:05:00',23,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882758,'13:29:00','13:29:00',23,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882758,'13:54:00','13:54:00',23,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882758,'14:19:00','14:19:00',23,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882758,'14:45:00','14:45:00',23,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882758,'15:05:00','15:05:00',23,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882758,'15:25:00','15:25:00',23,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882758,'15:45:00','15:45:00',23,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882758,'16:05:00','16:05:00',23,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882758,'16:25:00','16:25:00',23,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882758,'16:45:00','16:45:00',23,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882758,'17:05:00','17:05:00',23,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882758,'17:25:00','17:25:00',23,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882758,'17:45:00','17:45:00',23,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882758,'18:05:00','18:05:00',23,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882758,'18:30:00','18:30:00',23,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882755,'06:22:00','06:22:00',24,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882755,'06:47:00','06:47:00',24,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882755,'07:12:00','07:12:00',24,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882755,'19:44:00','19:44:00',24,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882755,'20:09:00','20:09:00',24,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882755,'20:33:00','20:33:00',24,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882755,'20:57:00','20:57:00',24,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882755,'21:21:00','21:21:00',24,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882755,'18:56:00','18:56:00',24,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882755,'19:19:00','19:19:00',24,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882755,'07:38:00','07:38:00',24,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882755,'08:04:00','08:04:00',24,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882755,'08:30:00','08:30:00',24,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882755,'08:56:00','08:56:00',24,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882755,'09:21:00','09:21:00',24,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882755,'09:46:00','09:46:00',24,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882755,'10:11:00','10:11:00',24,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882755,'10:36:00','10:36:00',24,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882755,'11:01:00','11:01:00',24,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882755,'11:26:00','11:26:00',24,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882755,'11:51:00','11:51:00',24,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882755,'12:16:00','12:16:00',24,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882755,'12:41:00','12:41:00',24,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882755,'13:06:00','13:06:00',24,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882755,'13:30:00','13:30:00',24,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882755,'13:55:00','13:55:00',24,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882755,'14:20:00','14:20:00',24,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882755,'14:46:00','14:46:00',24,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882755,'15:06:00','15:06:00',24,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882755,'15:26:00','15:26:00',24,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882755,'15:46:00','15:46:00',24,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882755,'16:06:00','16:06:00',24,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882755,'16:26:00','16:26:00',24,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882755,'16:46:00','16:46:00',24,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882755,'17:06:00','17:06:00',24,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882755,'17:26:00','17:26:00',24,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882755,'17:46:00','17:46:00',24,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882755,'18:06:00','18:06:00',24,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882755,'18:31:00','18:31:00',24,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882754,'06:22:00','06:22:00',25,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882754,'06:48:00','06:48:00',25,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882754,'07:13:00','07:13:00',25,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882754,'19:45:00','19:45:00',25,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882754,'20:10:00','20:10:00',25,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882754,'20:34:00','20:34:00',25,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882754,'20:58:00','20:58:00',25,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882754,'21:22:00','21:22:00',25,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882754,'18:57:00','18:57:00',25,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882754,'19:20:00','19:20:00',25,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882754,'07:39:00','07:39:00',25,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882754,'08:05:00','08:05:00',25,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882754,'08:31:00','08:31:00',25,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882754,'08:57:00','08:57:00',25,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882754,'09:22:00','09:22:00',25,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882754,'09:47:00','09:47:00',25,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882754,'10:12:00','10:12:00',25,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882754,'10:37:00','10:37:00',25,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882754,'11:02:00','11:02:00',25,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882754,'11:27:00','11:27:00',25,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882754,'11:52:00','11:52:00',25,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882754,'12:17:00','12:17:00',25,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882754,'12:42:00','12:42:00',25,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882754,'13:07:00','13:07:00',25,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882754,'13:31:00','13:31:00',25,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882754,'13:56:00','13:56:00',25,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882754,'14:21:00','14:21:00',25,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882754,'14:47:00','14:47:00',25,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882754,'15:07:00','15:07:00',25,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882754,'15:27:00','15:27:00',25,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882754,'15:47:00','15:47:00',25,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882754,'16:07:00','16:07:00',25,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882754,'16:27:00','16:27:00',25,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882754,'16:47:00','16:47:00',25,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882754,'17:07:00','17:07:00',25,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882754,'17:27:00','17:27:00',25,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882754,'17:47:00','17:47:00',25,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882754,'18:07:00','18:07:00',25,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882754,'18:32:00','18:32:00',25,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720882753,'06:23:00','06:23:00',26,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720882753,'06:49:00','06:49:00',26,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720882753,'07:14:00','07:14:00',26,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720882753,'19:46:00','19:46:00',26,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720882753,'20:11:00','20:11:00',26,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720882753,'20:35:00','20:35:00',26,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720882753,'20:59:00','20:59:00',26,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720882753,'21:23:00','21:23:00',26,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720882753,'18:58:00','18:58:00',26,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720882753,'19:21:00','19:21:00',26,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720882753,'07:40:00','07:40:00',26,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720882753,'08:06:00','08:06:00',26,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720882753,'08:32:00','08:32:00',26,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720882753,'08:58:00','08:58:00',26,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720882753,'09:23:00','09:23:00',26,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720882753,'09:48:00','09:48:00',26,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720882753,'10:13:00','10:13:00',26,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720882753,'10:38:00','10:38:00',26,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720882753,'11:03:00','11:03:00',26,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720882753,'11:28:00','11:28:00',26,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720882753,'11:53:00','11:53:00',26,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720882753,'12:18:00','12:18:00',26,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720882753,'12:43:00','12:43:00',26,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720882753,'13:08:00','13:08:00',26,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720882753,'13:32:00','13:32:00',26,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720882753,'13:57:00','13:57:00',26,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720882753,'14:22:00','14:22:00',26,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720882753,'14:48:00','14:48:00',26,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720882753,'15:08:00','15:08:00',26,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720882753,'15:28:00','15:28:00',26,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720882753,'15:48:00','15:48:00',26,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720882753,'16:08:00','16:08:00',26,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720882753,'16:28:00','16:28:00',26,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720882753,'16:48:00','16:48:00',26,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720882753,'17:08:00','17:08:00',26,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720882753,'17:28:00','17:28:00',26,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720882753,'17:48:00','17:48:00',26,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720882753,'18:08:00','18:08:00',26,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720882753,'18:33:00','18:33:00',26,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699720880912,'06:24:00','06:24:00',27,0,4503603928074122);
INSERT INTO "arret" VALUES(3377699720880912,'06:50:00','06:50:00',27,0,4503603928074123);
INSERT INTO "arret" VALUES(3377699720880912,'07:15:00','07:15:00',27,0,4503603928074124);
INSERT INTO "arret" VALUES(3377699720880912,'19:47:00','19:47:00',27,0,4503603928074125);
INSERT INTO "arret" VALUES(3377699720880912,'20:12:00','20:12:00',27,0,4503603928074126);
INSERT INTO "arret" VALUES(3377699720880912,'20:36:00','20:36:00',27,0,4503603928074127);
INSERT INTO "arret" VALUES(3377699720880912,'21:00:00','21:00:00',27,0,4503603928074128);
INSERT INTO "arret" VALUES(3377699720880912,'21:24:00','21:24:00',27,0,4503603928074129);
INSERT INTO "arret" VALUES(3377699720880912,'18:59:00','18:59:00',27,0,4503603928074130);
INSERT INTO "arret" VALUES(3377699720880912,'19:22:00','19:22:00',27,0,4503603928074131);
INSERT INTO "arret" VALUES(3377699720880912,'07:41:00','07:41:00',27,0,4503603928074132);
INSERT INTO "arret" VALUES(3377699720880912,'08:07:00','08:07:00',27,0,4503603928074133);
INSERT INTO "arret" VALUES(3377699720880912,'08:33:00','08:33:00',27,0,4503603928074134);
INSERT INTO "arret" VALUES(3377699720880912,'08:59:00','08:59:00',27,0,4503603928074135);
INSERT INTO "arret" VALUES(3377699720880912,'09:24:00','09:24:00',27,0,4503603928074136);
INSERT INTO "arret" VALUES(3377699720880912,'09:49:00','09:49:00',27,0,4503603928074137);
INSERT INTO "arret" VALUES(3377699720880912,'10:14:00','10:14:00',27,0,4503603928074138);
INSERT INTO "arret" VALUES(3377699720880912,'10:39:00','10:39:00',27,0,4503603928074139);
INSERT INTO "arret" VALUES(3377699720880912,'11:04:00','11:04:00',27,0,4503603928074140);
INSERT INTO "arret" VALUES(3377699720880912,'11:29:00','11:29:00',27,0,4503603928074141);
INSERT INTO "arret" VALUES(3377699720880912,'11:54:00','11:54:00',27,0,4503603928074142);
INSERT INTO "arret" VALUES(3377699720880912,'12:19:00','12:19:00',27,0,4503603928074143);
INSERT INTO "arret" VALUES(3377699720880912,'12:44:00','12:44:00',27,0,4503603928074144);
INSERT INTO "arret" VALUES(3377699720880912,'13:09:00','13:09:00',27,0,4503603928074145);
INSERT INTO "arret" VALUES(3377699720880912,'13:33:00','13:33:00',27,0,4503603928074146);
INSERT INTO "arret" VALUES(3377699720880912,'13:58:00','13:58:00',27,0,4503603928074147);
INSERT INTO "arret" VALUES(3377699720880912,'14:23:00','14:23:00',27,0,4503603928074148);
INSERT INTO "arret" VALUES(3377699720880912,'14:49:00','14:49:00',27,0,4503603928074149);
INSERT INTO "arret" VALUES(3377699720880912,'15:09:00','15:09:00',27,0,4503603928074150);
INSERT INTO "arret" VALUES(3377699720880912,'15:29:00','15:29:00',27,0,4503603928074151);
INSERT INTO "arret" VALUES(3377699720880912,'15:49:00','15:49:00',27,0,4503603928074152);
INSERT INTO "arret" VALUES(3377699720880912,'16:09:00','16:09:00',27,0,4503603928074153);
INSERT INTO "arret" VALUES(3377699720880912,'16:29:00','16:29:00',27,0,4503603928074154);
INSERT INTO "arret" VALUES(3377699720880912,'16:49:00','16:49:00',27,0,4503603928074155);
INSERT INTO "arret" VALUES(3377699720880912,'17:09:00','17:09:00',27,0,4503603928074156);
INSERT INTO "arret" VALUES(3377699720880912,'17:29:00','17:29:00',27,0,4503603928074157);
INSERT INTO "arret" VALUES(3377699720880912,'17:49:00','17:49:00',27,0,4503603928074158);
INSERT INTO "arret" VALUES(3377699720880912,'18:09:00','18:09:00',27,0,4503603928074159);
INSERT INTO "arret" VALUES(3377699720880912,'18:34:00','18:34:00',27,0,4503603928074160);
INSERT INTO "arret" VALUES(3377699722724038,'07:14:00','07:14:00',0,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724037,'07:16:00','07:16:00',1,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724036,'07:18:00','07:18:00',2,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724035,'07:19:00','07:19:00',3,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724034,'07:21:00','07:21:00',4,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724033,'07:23:00','07:23:00',5,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699721034355,'07:26:00','07:26:00',6,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724032,'07:28:00','07:28:00',7,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699720881634,'07:30:00','07:30:00',8,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699721158291,'07:35:00','07:35:00',9,0,4503603922673401);
INSERT INTO "arret" VALUES(3377699722724038,'08:05:00','08:05:00',0,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724037,'08:07:00','08:07:00',1,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724036,'08:09:00','08:09:00',2,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724035,'08:10:00','08:10:00',3,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724034,'08:12:00','08:12:00',4,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724033,'08:14:00','08:14:00',5,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699721034355,'08:17:00','08:17:00',6,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724032,'08:19:00','08:19:00',7,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699720881634,'08:21:00','08:21:00',8,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699721158291,'08:26:00','08:26:00',9,0,4503603922673402);
INSERT INTO "arret" VALUES(3377699722724038,'08:55:00','08:55:00',0,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724037,'08:57:00','08:57:00',1,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724036,'08:59:00','08:59:00',2,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724035,'09:00:00','09:00:00',3,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724034,'09:02:00','09:02:00',4,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724033,'09:04:00','09:04:00',5,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699721034355,'09:07:00','09:07:00',6,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724032,'09:09:00','09:09:00',7,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699720881634,'09:11:00','09:11:00',8,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699721158291,'09:16:00','09:16:00',9,0,4503603922673403);
INSERT INTO "arret" VALUES(3377699722724038,'11:20:00','11:20:00',0,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724037,'11:22:00','11:22:00',1,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724036,'11:24:00','11:24:00',2,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724035,'11:25:00','11:25:00',3,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724034,'11:27:00','11:27:00',4,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724033,'11:29:00','11:29:00',5,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699721034355,'11:32:00','11:32:00',6,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724032,'11:34:00','11:34:00',7,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699720881634,'11:36:00','11:36:00',8,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699721158291,'11:41:00','11:41:00',9,0,4503603922673404);
INSERT INTO "arret" VALUES(3377699722724038,'13:20:00','13:20:00',0,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724037,'13:22:00','13:22:00',1,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724036,'13:24:00','13:24:00',2,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724035,'13:25:00','13:25:00',3,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724034,'13:27:00','13:27:00',4,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724033,'13:29:00','13:29:00',5,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699721034355,'13:32:00','13:32:00',6,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724032,'13:34:00','13:34:00',7,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699720881634,'13:36:00','13:36:00',8,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699721158291,'13:41:00','13:41:00',9,0,4503603922673405);
INSERT INTO "arret" VALUES(3377699722724038,'14:10:00','14:10:00',0,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724037,'14:12:00','14:12:00',1,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724036,'14:14:00','14:14:00',2,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724035,'14:15:00','14:15:00',3,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724034,'14:17:00','14:17:00',4,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724033,'14:19:00','14:19:00',5,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699721034355,'14:22:00','14:22:00',6,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724032,'14:24:00','14:24:00',7,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699720881634,'14:26:00','14:26:00',8,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699721158291,'14:31:00','14:31:00',9,0,4503603922673406);
INSERT INTO "arret" VALUES(3377699722724038,'17:30:00','17:30:00',0,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724037,'17:32:00','17:32:00',1,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724036,'17:34:00','17:34:00',2,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724035,'17:35:00','17:35:00',3,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724034,'17:37:00','17:37:00',4,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724033,'17:39:00','17:39:00',5,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699721034355,'17:42:00','17:42:00',6,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724032,'17:44:00','17:44:00',7,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699720881634,'17:46:00','17:46:00',8,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699721158291,'17:51:00','17:51:00',9,0,4503603922673407);
INSERT INTO "arret" VALUES(3377699722724038,'18:20:00','18:20:00',0,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699722724037,'18:22:00','18:22:00',1,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699722724036,'18:24:00','18:24:00',2,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699722724035,'18:25:00','18:25:00',3,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699722724034,'18:27:00','18:27:00',4,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699722724033,'18:29:00','18:29:00',5,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699721034355,'18:32:00','18:32:00',6,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699722724032,'18:34:00','18:34:00',7,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699720881634,'18:36:00','18:36:00',8,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699721158291,'18:41:00','18:41:00',9,0,4503603922673408);
INSERT INTO "arret" VALUES(3377699721158291,'07:40:00','07:40:00',0,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720881634,'07:43:00','07:43:00',1,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720887720,'07:47:00','07:47:00',2,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720881548,'07:48:00','07:48:00',3,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720886670,'07:51:00','07:51:00',4,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720881546,'07:52:00','07:52:00',5,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720881545,'07:54:00','07:54:00',6,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720886671,'07:56:00','07:56:00',7,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699720888294,'08:00:00','08:00:00',8,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699722724038,'08:01:00','08:01:00',9,0,4503603922673413);
INSERT INTO "arret" VALUES(3377699721158291,'08:30:00','08:30:00',0,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720881634,'08:33:00','08:33:00',1,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720887720,'08:37:00','08:37:00',2,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720881548,'08:38:00','08:38:00',3,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720886670,'08:41:00','08:41:00',4,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720881546,'08:42:00','08:42:00',5,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720881545,'08:44:00','08:44:00',6,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720886671,'08:46:00','08:46:00',7,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699720888294,'08:50:00','08:50:00',8,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699722724038,'08:51:00','08:51:00',9,0,4503603922673414);
INSERT INTO "arret" VALUES(3377699721158291,'09:20:00','09:20:00',0,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720881634,'09:23:00','09:23:00',1,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720887720,'09:27:00','09:27:00',2,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720881548,'09:28:00','09:28:00',3,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720886670,'09:30:00','09:30:00',4,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720881546,'09:30:00','09:30:00',5,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720881545,'09:32:00','09:32:00',6,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720886671,'09:34:00','09:34:00',7,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699720888294,'09:39:00','09:39:00',8,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699722724038,'09:41:00','09:41:00',9,0,4503603922673415);
INSERT INTO "arret" VALUES(3377699721158291,'11:45:00','11:45:00',0,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720881634,'11:48:00','11:48:00',1,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720887720,'11:52:00','11:52:00',2,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720881548,'11:53:00','11:53:00',3,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720886670,'11:55:00','11:55:00',4,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720881546,'11:55:00','11:55:00',5,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720881545,'11:57:00','11:57:00',6,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720886671,'11:59:00','11:59:00',7,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699720888294,'12:04:00','12:04:00',8,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699722724038,'12:06:00','12:06:00',9,0,4503603922673416);
INSERT INTO "arret" VALUES(3377699721158291,'13:45:00','13:45:00',0,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720881634,'13:48:00','13:48:00',1,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720887720,'13:52:00','13:52:00',2,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720881548,'13:53:00','13:53:00',3,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720886670,'13:55:00','13:55:00',4,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720881546,'13:55:00','13:55:00',5,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720881545,'13:57:00','13:57:00',6,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720886671,'13:59:00','13:59:00',7,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699720888294,'14:04:00','14:04:00',8,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699722724038,'14:06:00','14:06:00',9,0,4503603922673417);
INSERT INTO "arret" VALUES(3377699721158291,'14:35:00','14:35:00',0,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720881634,'14:38:00','14:38:00',1,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720887720,'14:42:00','14:42:00',2,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720881548,'14:43:00','14:43:00',3,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720886670,'14:45:00','14:45:00',4,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720881546,'14:45:00','14:45:00',5,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720881545,'14:47:00','14:47:00',6,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720886671,'14:49:00','14:49:00',7,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699720888294,'14:54:00','14:54:00',8,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699722724038,'14:56:00','14:56:00',9,0,4503603922673418);
INSERT INTO "arret" VALUES(3377699721158291,'17:55:00','17:55:00',0,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720881634,'17:58:00','17:58:00',1,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720887720,'18:02:00','18:02:00',2,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720881548,'18:03:00','18:03:00',3,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720886670,'18:05:00','18:05:00',4,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720881546,'18:05:00','18:05:00',5,0,503603922673419);
INSERT INTO "arret" VALUES(3377699720881545,'18:07:00','18:07:00',6,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720886671,'18:09:00','18:09:00',7,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699720888294,'18:14:00','18:14:00',8,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699722724038,'18:16:00','18:16:00',9,0,4503603922673419);
INSERT INTO "arret" VALUES(3377699721158291,'19:00:00','19:00:00',0,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720881634,'19:03:00','19:03:00',1,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720887720,'19:07:00','19:07:00',2,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720881548,'19:08:00','19:08:00',3,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720886670,'19:10:00','19:10:00',4,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720881546,'19:10:00','19:10:00',5,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720881545,'19:12:00','19:12:00',6,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720886671,'19:14:00','19:14:00',7,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699720888294,'19:19:00','19:19:00',8,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699722724038,'19:21:00','19:21:00',9,0,4503603922673420);
INSERT INTO "arret" VALUES(3377699722724038,'07:35:00','07:35:00',0,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724037,'07:37:00','07:37:00',1,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724036,'07:39:00','07:39:00',2,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724035,'07:40:00','07:40:00',3,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724034,'07:42:00','07:42:00',4,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724033,'07:44:00','07:44:00',5,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699721034355,'07:47:00','07:47:00',6,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724032,'07:49:00','07:49:00',7,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699720881634,'07:51:00','07:51:00',8,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699721158291,'07:56:00','07:56:00',9,0,4503603925963979);
INSERT INTO "arret" VALUES(3377699722724038,'08:55:00','08:55:00',0,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724037,'08:57:00','08:57:00',1,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724036,'08:59:00','08:59:00',2,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724035,'09:00:00','09:00:00',3,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724034,'09:02:00','09:02:00',4,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724033,'09:04:00','09:04:00',5,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699721034355,'09:07:00','09:07:00',6,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724032,'09:09:00','09:09:00',7,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699720881634,'09:11:00','09:11:00',8,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699721158291,'09:16:00','09:16:00',9,0,4503603925963980);
INSERT INTO "arret" VALUES(3377699722724038,'11:20:00','11:20:00',0,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724037,'11:22:00','11:22:00',1,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724036,'11:24:00','11:24:00',2,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724035,'11:25:00','11:25:00',3,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724034,'11:27:00','11:27:00',4,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724033,'11:29:00','11:29:00',5,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699721034355,'11:32:00','11:32:00',6,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724032,'11:34:00','11:34:00',7,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699720881634,'11:36:00','11:36:00',8,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699721158291,'11:41:00','11:41:00',9,0,4503603925963981);
INSERT INTO "arret" VALUES(3377699722724038,'16:40:00','16:40:00',0,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699722724037,'16:42:00','16:42:00',1,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699722724036,'16:44:00','16:44:00',2,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699722724035,'16:45:00','16:45:00',3,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699722724034,'16:47:00','16:47:00',4,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699722724033,'16:49:00','16:49:00',5,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699721034355,'16:52:00','16:52:00',6,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699722724032,'16:54:00','16:54:00',7,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699720881634,'16:56:00','16:56:00',8,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699721158291,'17:01:00','17:01:00',9,0,4503603925963982);
INSERT INTO "arret" VALUES(3377699721158291,'08:35:00','08:35:00',0,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720881634,'08:38:00','08:38:00',1,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720887720,'08:42:00','08:42:00',2,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720881548,'08:43:00','08:43:00',3,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720886670,'08:45:00','08:45:00',4,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720881546,'08:45:00','08:45:00',5,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720881545,'08:47:00','08:47:00',6,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720886671,'08:49:00','08:49:00',7,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699720888294,'08:54:00','08:54:00',8,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699722724038,'08:56:00','08:56:00',9,0,4503603925963983);
INSERT INTO "arret" VALUES(3377699721158291,'10:55:00','10:55:00',0,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720881634,'10:58:00','10:58:00',1,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720887720,'11:02:00','11:02:00',2,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720881548,'11:03:00','11:03:00',3,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720886670,'11:05:00','11:05:00',4,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720881546,'11:05:00','11:05:00',5,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720881545,'11:07:00','11:07:00',6,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720886671,'11:09:00','11:09:00',7,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699720888294,'11:14:00','11:14:00',8,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699722724038,'11:16:00','11:16:00',9,0,4503603925963984);
INSERT INTO "arret" VALUES(3377699721158291,'11:45:00','11:45:00',0,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720881634,'11:48:00','11:48:00',1,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720887720,'11:52:00','11:52:00',2,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720881548,'11:53:00','11:53:00',3,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720886670,'11:55:00','11:55:00',4,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720881546,'11:55:00','11:55:00',5,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720881545,'11:57:00','11:57:00',6,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720886671,'11:59:00','11:59:00',7,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699720888294,'12:04:00','12:04:00',8,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699722724038,'12:06:00','12:06:00',9,0,4503603925963985);
INSERT INTO "arret" VALUES(3377699721158291,'17:55:00','17:55:00',0,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720881634,'17:58:00','17:58:00',1,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720887720,'18:02:00','18:02:00',2,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720881548,'18:03:00','18:03:00',3,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720886670,'18:05:00','18:05:00',4,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720881546,'18:05:00','18:05:00',5,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720881545,'18:07:00','18:07:00',6,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720886671,'18:09:00','18:09:00',7,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720888294,'18:14:00','18:14:00',8,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699722724038,'18:16:00','18:16:00',9,0,4503603925963986);
INSERT INTO "arret" VALUES(3377699720888416,'06:20:00','06:20:00',0,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881250,'06:22:00','06:22:00',1,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881248,'06:23:00','06:23:00',2,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881247,'06:24:00','06:24:00',3,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881245,'06:24:00','06:24:00',4,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881234,'06:25:00','06:25:00',5,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720888422,'06:27:00','06:27:00',6,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881242,'06:28:00','06:28:00',7,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720880759,'06:31:00','06:31:00',8,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881237,'06:31:00','06:31:00',9,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881238,'06:32:00','06:32:00',10,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881239,'06:32:00','06:32:00',11,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720881236,'06:32:00','06:32:00',12,0,4503603928072201);
INSERT INTO "arret" VALUES(3377699720888416,'06:57:00','06:57:00',0,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881250,'06:59:00','06:59:00',1,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881248,'07:00:00','07:00:00',2,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881247,'07:01:00','07:01:00',3,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881245,'07:01:00','07:01:00',4,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881234,'07:02:00','07:02:00',5,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720888422,'07:04:00','07:04:00',6,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881242,'07:05:00','07:05:00',7,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720880759,'07:08:00','07:08:00',8,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881237,'07:08:00','07:08:00',9,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881238,'07:09:00','07:09:00',10,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881239,'07:09:00','07:09:00',11,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720881236,'07:09:00','07:09:00',12,0,4503603928072202);
INSERT INTO "arret" VALUES(3377699720888416,'07:17:00','07:17:00',0,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881250,'07:19:00','07:19:00',1,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881248,'07:20:00','07:20:00',2,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881247,'07:21:00','07:21:00',3,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881245,'07:21:00','07:21:00',4,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881234,'07:22:00','07:22:00',5,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720888422,'07:24:00','07:24:00',6,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881242,'07:25:00','07:25:00',7,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720880759,'07:28:00','07:28:00',8,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881237,'07:28:00','07:28:00',9,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881238,'07:29:00','07:29:00',10,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881239,'07:29:00','07:29:00',11,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720881236,'07:29:00','07:29:00',12,0,4503603928072203);
INSERT INTO "arret" VALUES(3377699720888416,'07:37:00','07:37:00',0,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881250,'07:39:00','07:39:00',1,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881248,'07:42:00','07:42:00',2,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881247,'07:43:00','07:43:00',3,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881245,'07:43:00','07:43:00',4,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881234,'07:45:00','07:45:00',5,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720888422,'07:47:00','07:47:00',6,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881242,'07:48:00','07:48:00',7,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720880759,'07:51:00','07:51:00',8,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881237,'07:51:00','07:51:00',9,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881238,'07:52:00','07:52:00',10,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881239,'07:52:00','07:52:00',11,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720881236,'07:52:00','07:52:00',12,0,4503603928072204);
INSERT INTO "arret" VALUES(3377699720888416,'07:59:00','07:59:00',0,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881250,'08:01:00','08:01:00',1,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881248,'08:03:00','08:03:00',2,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881247,'08:04:00','08:04:00',3,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881245,'08:04:00','08:04:00',4,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881234,'08:05:00','08:05:00',5,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720888422,'08:07:00','08:07:00',6,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881242,'08:08:00','08:08:00',7,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720880759,'08:11:00','08:11:00',8,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881237,'08:11:00','08:11:00',9,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881238,'08:12:00','08:12:00',10,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881239,'08:12:00','08:12:00',11,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720881236,'08:12:00','08:12:00',12,0,4503603928072205);
INSERT INTO "arret" VALUES(3377699720888416,'08:21:00','08:21:00',0,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881250,'08:23:00','08:23:00',1,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881248,'08:25:00','08:25:00',2,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881247,'08:26:00','08:26:00',3,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881245,'08:26:00','08:26:00',4,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881234,'08:27:00','08:27:00',5,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720888422,'08:29:00','08:29:00',6,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881242,'08:30:00','08:30:00',7,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720880759,'08:33:00','08:33:00',8,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881237,'08:33:00','08:33:00',9,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881238,'08:34:00','08:34:00',10,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881239,'08:34:00','08:34:00',11,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720881236,'08:34:00','08:34:00',12,0,4503603928072206);
INSERT INTO "arret" VALUES(3377699720888416,'08:43:00','08:43:00',0,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881250,'08:45:00','08:45:00',1,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881248,'08:47:00','08:47:00',2,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881247,'08:48:00','08:48:00',3,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881245,'08:48:00','08:48:00',4,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881234,'08:49:00','08:49:00',5,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720888422,'08:51:00','08:51:00',6,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881242,'08:52:00','08:52:00',7,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720880759,'08:55:00','08:55:00',8,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881237,'08:55:00','08:55:00',9,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881238,'08:56:00','08:56:00',10,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881239,'08:56:00','08:56:00',11,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720881236,'08:56:00','08:56:00',12,0,4503603928072207);
INSERT INTO "arret" VALUES(3377699720888416,'09:05:00','09:05:00',0,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881250,'09:07:00','09:07:00',1,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881248,'09:09:00','09:09:00',2,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881247,'09:10:00','09:10:00',3,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881245,'09:10:00','09:10:00',4,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881234,'09:11:00','09:11:00',5,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720888422,'09:13:00','09:13:00',6,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881242,'09:14:00','09:14:00',7,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720880759,'09:17:00','09:17:00',8,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881237,'09:17:00','09:17:00',9,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881238,'09:18:00','09:18:00',10,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881239,'09:18:00','09:18:00',11,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720881236,'09:18:00','09:18:00',12,0,4503603928072208);
INSERT INTO "arret" VALUES(3377699720888416,'09:49:00','09:49:00',0,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881250,'09:51:00','09:51:00',1,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881248,'09:53:00','09:53:00',2,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881247,'09:54:00','09:54:00',3,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881245,'09:54:00','09:54:00',4,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881234,'09:55:00','09:55:00',5,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720888422,'09:57:00','09:57:00',6,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881242,'09:58:00','09:58:00',7,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720880759,'10:01:00','10:01:00',8,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881237,'10:01:00','10:01:00',9,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881238,'10:02:00','10:02:00',10,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881239,'10:02:00','10:02:00',11,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720881236,'10:02:00','10:02:00',12,0,4503603928072209);
INSERT INTO "arret" VALUES(3377699720888416,'10:33:00','10:33:00',0,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881250,'10:35:00','10:35:00',1,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881248,'10:37:00','10:37:00',2,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881247,'10:38:00','10:38:00',3,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881245,'10:38:00','10:38:00',4,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881234,'10:39:00','10:39:00',5,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720888422,'10:41:00','10:41:00',6,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881242,'10:42:00','10:42:00',7,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720880759,'10:45:00','10:45:00',8,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881237,'10:46:00','10:46:00',9,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881238,'10:46:00','10:46:00',10,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881239,'10:47:00','10:47:00',11,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720881236,'10:47:00','10:47:00',12,0,4503603928072210);
INSERT INTO "arret" VALUES(3377699720888416,'11:17:00','11:17:00',0,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881250,'11:19:00','11:19:00',1,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881248,'11:21:00','11:21:00',2,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881247,'11:22:00','11:22:00',3,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881245,'11:22:00','11:22:00',4,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881234,'11:23:00','11:23:00',5,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720888422,'11:25:00','11:25:00',6,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881242,'11:26:00','11:26:00',7,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720880759,'11:29:00','11:29:00',8,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881237,'11:30:00','11:30:00',9,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881238,'11:30:00','11:30:00',10,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881239,'11:31:00','11:31:00',11,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720881236,'11:31:00','11:31:00',12,0,4503603928072211);
INSERT INTO "arret" VALUES(3377699720888416,'12:01:00','12:01:00',0,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881250,'12:03:00','12:03:00',1,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881248,'12:05:00','12:05:00',2,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881247,'12:06:00','12:06:00',3,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881245,'12:06:00','12:06:00',4,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881234,'12:07:00','12:07:00',5,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720888422,'12:09:00','12:09:00',6,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881242,'12:10:00','12:10:00',7,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720880759,'12:13:00','12:13:00',8,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881237,'12:14:00','12:14:00',9,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881238,'12:14:00','12:14:00',10,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881239,'12:15:00','12:15:00',11,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720881236,'12:15:00','12:15:00',12,0,4503603928072212);
INSERT INTO "arret" VALUES(3377699720888416,'12:46:00','12:46:00',0,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881250,'12:48:00','12:48:00',1,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881248,'12:50:00','12:50:00',2,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881247,'12:51:00','12:51:00',3,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881245,'12:51:00','12:51:00',4,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881234,'12:52:00','12:52:00',5,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720888422,'12:54:00','12:54:00',6,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881242,'12:55:00','12:55:00',7,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720880759,'12:58:00','12:58:00',8,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881237,'12:59:00','12:59:00',9,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881238,'12:59:00','12:59:00',10,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881239,'13:00:00','13:00:00',11,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720881236,'13:00:00','13:00:00',12,0,4503603928072213);
INSERT INTO "arret" VALUES(3377699720888416,'13:31:00','13:31:00',0,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881250,'13:34:00','13:34:00',1,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881248,'13:36:00','13:36:00',2,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881247,'13:38:00','13:38:00',3,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881245,'13:38:00','13:38:00',4,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881234,'13:39:00','13:39:00',5,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720888422,'13:41:00','13:41:00',6,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881242,'13:42:00','13:42:00',7,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720880759,'13:45:00','13:45:00',8,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881237,'13:46:00','13:46:00',9,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881238,'13:46:00','13:46:00',10,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881239,'13:47:00','13:47:00',11,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720881236,'13:47:00','13:47:00',12,0,4503603928072214);
INSERT INTO "arret" VALUES(3377699720888416,'14:16:00','14:16:00',0,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881250,'14:18:00','14:18:00',1,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881248,'14:20:00','14:20:00',2,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881247,'14:21:00','14:21:00',3,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881245,'14:21:00','14:21:00',4,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881234,'14:22:00','14:22:00',5,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720888422,'14:24:00','14:24:00',6,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881242,'14:25:00','14:25:00',7,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720880759,'14:28:00','14:28:00',8,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881237,'14:29:00','14:29:00',9,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881238,'14:29:00','14:29:00',10,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881239,'14:30:00','14:30:00',11,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720881236,'14:30:00','14:30:00',12,0,4503603928072215);
INSERT INTO "arret" VALUES(3377699720888416,'17:40:00','17:40:00',0,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881250,'17:42:00','17:42:00',1,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881248,'17:45:00','17:45:00',2,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881247,'17:46:00','17:46:00',3,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881245,'17:46:00','17:46:00',4,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881234,'17:47:00','17:47:00',5,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720888422,'17:49:00','17:49:00',6,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881242,'17:50:00','17:50:00',7,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720880759,'17:54:00','17:54:00',8,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881237,'17:54:00','17:54:00',9,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881238,'17:55:00','17:55:00',10,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881239,'17:55:00','17:55:00',11,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720881236,'17:56:00','17:56:00',12,0,4503603928072216);
INSERT INTO "arret" VALUES(3377699720888416,'18:03:00','18:03:00',0,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881250,'18:05:00','18:05:00',1,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881248,'18:08:00','18:08:00',2,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881247,'18:09:00','18:09:00',3,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881245,'18:09:00','18:09:00',4,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881234,'18:10:00','18:10:00',5,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720888422,'18:12:00','18:12:00',6,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881242,'18:13:00','18:13:00',7,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720880759,'18:17:00','18:17:00',8,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881237,'18:17:00','18:17:00',9,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881238,'18:18:00','18:18:00',10,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881239,'18:18:00','18:18:00',11,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720881236,'18:19:00','18:19:00',12,0,4503603928072217);
INSERT INTO "arret" VALUES(3377699720888416,'18:26:00','18:26:00',0,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881250,'18:28:00','18:28:00',1,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881248,'18:30:00','18:30:00',2,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881247,'18:31:00','18:31:00',3,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881245,'18:31:00','18:31:00',4,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881234,'18:32:00','18:32:00',5,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720888422,'18:34:00','18:34:00',6,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881242,'18:35:00','18:35:00',7,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720880759,'18:39:00','18:39:00',8,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881237,'18:39:00','18:39:00',9,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881238,'18:40:00','18:40:00',10,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881239,'18:40:00','18:40:00',11,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720881236,'18:41:00','18:41:00',12,0,4503603928072218);
INSERT INTO "arret" VALUES(3377699720888416,'18:47:00','18:47:00',0,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881250,'18:49:00','18:49:00',1,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881248,'18:51:00','18:51:00',2,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881247,'18:52:00','18:52:00',3,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881245,'18:52:00','18:52:00',4,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881234,'18:53:00','18:53:00',5,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720888422,'18:55:00','18:55:00',6,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881242,'18:56:00','18:56:00',7,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720880759,'18:59:00','18:59:00',8,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881237,'19:00:00','19:00:00',9,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881238,'19:00:00','19:00:00',10,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881239,'19:01:00','19:01:00',11,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720881236,'19:01:00','19:01:00',12,0,4503603928072219);
INSERT INTO "arret" VALUES(3377699720888416,'15:01:00','15:01:00',0,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881250,'15:03:00','15:03:00',1,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881248,'15:05:00','15:05:00',2,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881247,'15:06:00','15:06:00',3,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881245,'15:06:00','15:06:00',4,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881234,'15:07:00','15:07:00',5,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720888422,'15:09:00','15:09:00',6,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881242,'15:10:00','15:10:00',7,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720880759,'15:13:00','15:13:00',8,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881237,'15:14:00','15:14:00',9,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881238,'15:14:00','15:14:00',10,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881239,'15:15:00','15:15:00',11,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720881236,'15:15:00','15:15:00',12,0,4503603928072220);
INSERT INTO "arret" VALUES(3377699720888416,'15:46:00','15:46:00',0,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881250,'15:48:00','15:48:00',1,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881248,'15:50:00','15:50:00',2,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881247,'15:51:00','15:51:00',3,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881245,'15:51:00','15:51:00',4,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881234,'15:52:00','15:52:00',5,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720888422,'15:54:00','15:54:00',6,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881242,'15:55:00','15:55:00',7,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720880759,'15:58:00','15:58:00',8,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881237,'15:59:00','15:59:00',9,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881238,'15:59:00','15:59:00',10,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881239,'16:00:00','16:00:00',11,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720881236,'16:00:00','16:00:00',12,0,4503603928072221);
INSERT INTO "arret" VALUES(3377699720888416,'16:08:00','16:08:00',0,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881250,'16:10:00','16:10:00',1,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881248,'16:12:00','16:12:00',2,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881247,'16:13:00','16:13:00',3,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881245,'16:13:00','16:13:00',4,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881234,'16:14:00','16:14:00',5,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720888422,'16:16:00','16:16:00',6,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881242,'16:17:00','16:17:00',7,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720880759,'16:20:00','16:20:00',8,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881237,'16:21:00','16:21:00',9,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881238,'16:21:00','16:21:00',10,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881239,'16:22:00','16:22:00',11,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720881236,'16:22:00','16:22:00',12,0,4503603928072222);
INSERT INTO "arret" VALUES(3377699720888416,'16:31:00','16:31:00',0,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881250,'16:33:00','16:33:00',1,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881248,'16:35:00','16:35:00',2,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881247,'16:36:00','16:36:00',3,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881245,'16:36:00','16:36:00',4,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881234,'16:37:00','16:37:00',5,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720888422,'16:39:00','16:39:00',6,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881242,'16:40:00','16:40:00',7,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720880759,'16:44:00','16:44:00',8,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881237,'16:44:00','16:44:00',9,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881238,'16:45:00','16:45:00',10,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881239,'16:45:00','16:45:00',11,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720881236,'16:46:00','16:46:00',12,0,4503603928072223);
INSERT INTO "arret" VALUES(3377699720888416,'17:17:00','17:17:00',0,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881250,'17:19:00','17:19:00',1,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881248,'17:22:00','17:22:00',2,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881247,'17:23:00','17:23:00',3,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881245,'17:23:00','17:23:00',4,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881234,'17:25:00','17:25:00',5,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720888422,'17:27:00','17:27:00',6,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881242,'17:28:00','17:28:00',7,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720880759,'17:32:00','17:32:00',8,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881237,'17:32:00','17:32:00',9,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881238,'17:33:00','17:33:00',10,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881239,'17:33:00','17:33:00',11,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720881236,'17:34:00','17:34:00',12,0,4503603928072224);
INSERT INTO "arret" VALUES(3377699720888416,'16:54:00','16:54:00',0,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881250,'16:56:00','16:56:00',1,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881248,'16:58:00','16:58:00',2,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881247,'16:59:00','16:59:00',3,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881245,'16:59:00','16:59:00',4,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881234,'17:00:00','17:00:00',5,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720888422,'17:02:00','17:02:00',6,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881242,'17:03:00','17:03:00',7,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720880759,'17:07:00','17:07:00',8,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881237,'17:07:00','17:07:00',9,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881238,'17:08:00','17:08:00',10,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881239,'17:08:00','17:08:00',11,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720881236,'17:09:00','17:09:00',12,0,4503603928072225);
INSERT INTO "arret" VALUES(3377699720888416,'19:30:00','19:30:00',0,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881250,'19:32:00','19:32:00',1,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881248,'19:34:00','19:34:00',2,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881247,'19:35:00','19:35:00',3,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881245,'19:35:00','19:35:00',4,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881234,'19:36:00','19:36:00',5,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720888422,'19:38:00','19:38:00',6,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881242,'19:39:00','19:39:00',7,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720880759,'19:42:00','19:42:00',8,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881237,'19:43:00','19:43:00',9,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881238,'19:43:00','19:43:00',10,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881239,'19:44:00','19:44:00',11,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720881236,'19:44:00','19:44:00',12,0,4503603928072226);
INSERT INTO "arret" VALUES(3377699720888416,'20:20:00','20:20:00',0,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881250,'20:22:00','20:22:00',1,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881248,'20:24:00','20:24:00',2,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881247,'20:25:00','20:25:00',3,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881245,'20:25:00','20:25:00',4,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881234,'20:26:00','20:26:00',5,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720888422,'20:28:00','20:28:00',6,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881242,'20:28:00','20:28:00',7,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720880759,'20:31:00','20:31:00',8,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881237,'20:32:00','20:32:00',9,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881238,'20:32:00','20:32:00',10,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881239,'20:33:00','20:33:00',11,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881236,'20:33:00','20:33:00',12,0,4503603928072227);
INSERT INTO "arret" VALUES(3377699720881236,'06:00:00','06:00:00',0,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720880758,'06:01:00','06:01:00',1,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881241,'06:03:00','06:03:00',2,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881235,'06:06:00','06:06:00',3,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881244,'06:07:00','06:07:00',4,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881246,'06:08:00','06:08:00',5,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881249,'06:09:00','06:09:00',6,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881251,'06:11:00','06:11:00',7,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720888416,'06:13:00','06:13:00',8,0,4503603928072228);
INSERT INTO "arret" VALUES(3377699720881236,'06:39:00','06:39:00',0,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720880758,'06:40:00','06:40:00',1,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881241,'06:42:00','06:42:00',2,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881235,'06:45:00','06:45:00',3,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881244,'06:46:00','06:46:00',4,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881246,'06:48:00','06:48:00',5,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881249,'06:49:00','06:49:00',6,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881251,'06:51:00','06:51:00',7,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720888416,'06:53:00','06:53:00',8,0,4503603928072229);
INSERT INTO "arret" VALUES(3377699720881236,'06:57:00','06:57:00',0,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720880758,'06:58:00','06:58:00',1,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881241,'07:00:00','07:00:00',2,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881235,'07:03:00','07:03:00',3,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881244,'07:04:00','07:04:00',4,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881246,'07:06:00','07:06:00',5,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881249,'07:07:00','07:07:00',6,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881251,'07:09:00','07:09:00',7,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720888416,'07:11:00','07:11:00',8,0,4503603928072230);
INSERT INTO "arret" VALUES(3377699720881236,'07:15:00','07:15:00',0,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720880758,'07:16:00','07:16:00',1,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881241,'07:18:00','07:18:00',2,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881235,'07:22:00','07:22:00',3,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881244,'07:23:00','07:23:00',4,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881246,'07:25:00','07:25:00',5,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881249,'07:26:00','07:26:00',6,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881251,'07:28:00','07:28:00',7,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720888416,'07:30:00','07:30:00',8,0,4503603928072231);
INSERT INTO "arret" VALUES(3377699720881236,'07:37:00','07:37:00',0,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720880758,'07:38:00','07:38:00',1,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881241,'07:40:00','07:40:00',2,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881235,'07:44:00','07:44:00',3,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881244,'07:45:00','07:45:00',4,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881246,'07:47:00','07:47:00',5,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881249,'07:48:00','07:48:00',6,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881251,'07:50:00','07:50:00',7,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720888416,'07:52:00','07:52:00',8,0,4503603928072232);
INSERT INTO "arret" VALUES(3377699720881236,'07:59:00','07:59:00',0,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720880758,'08:00:00','08:00:00',1,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881241,'08:02:00','08:02:00',2,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881235,'08:06:00','08:06:00',3,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881244,'08:07:00','08:07:00',4,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881246,'08:09:00','08:09:00',5,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881249,'08:10:00','08:10:00',6,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881251,'08:13:00','08:13:00',7,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720888416,'08:15:00','08:15:00',8,0,4503603928072233);
INSERT INTO "arret" VALUES(3377699720881236,'08:21:00','08:21:00',0,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720880758,'08:22:00','08:22:00',1,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881241,'08:24:00','08:24:00',2,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881235,'08:28:00','08:28:00',3,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881244,'08:29:00','08:29:00',4,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881246,'08:31:00','08:31:00',5,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881249,'08:32:00','08:32:00',6,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881251,'08:35:00','08:35:00',7,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720888416,'08:37:00','08:37:00',8,0,4503603928072234);
INSERT INTO "arret" VALUES(3377699720881236,'08:43:00','08:43:00',0,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720880758,'08:44:00','08:44:00',1,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881241,'08:46:00','08:46:00',2,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881235,'08:50:00','08:50:00',3,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881244,'08:51:00','08:51:00',4,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881246,'08:53:00','08:53:00',5,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881249,'08:54:00','08:54:00',6,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881251,'08:57:00','08:57:00',7,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720888416,'08:59:00','08:59:00',8,0,4503603928072235);
INSERT INTO "arret" VALUES(3377699720881236,'09:05:00','09:05:00',0,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720880758,'09:06:00','09:06:00',1,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881241,'09:08:00','09:08:00',2,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881235,'09:12:00','09:12:00',3,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881244,'09:13:00','09:13:00',4,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881246,'09:15:00','09:15:00',5,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881249,'09:16:00','09:16:00',6,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881251,'09:19:00','09:19:00',7,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720888416,'09:21:00','09:21:00',8,0,4503603928072236);
INSERT INTO "arret" VALUES(3377699720881236,'09:27:00','09:27:00',0,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720880758,'09:28:00','09:28:00',1,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881241,'09:30:00','09:30:00',2,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881235,'09:34:00','09:34:00',3,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881244,'09:35:00','09:35:00',4,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881246,'09:37:00','09:37:00',5,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881249,'09:38:00','09:38:00',6,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881251,'09:40:00','09:40:00',7,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720888416,'09:42:00','09:42:00',8,0,4503603928072237);
INSERT INTO "arret" VALUES(3377699720881236,'10:11:00','10:11:00',0,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720880758,'10:12:00','10:12:00',1,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881241,'10:14:00','10:14:00',2,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881235,'10:18:00','10:18:00',3,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881244,'10:19:00','10:19:00',4,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881246,'10:21:00','10:21:00',5,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881249,'10:22:00','10:22:00',6,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881251,'10:24:00','10:24:00',7,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720888416,'10:26:00','10:26:00',8,0,4503603928072238);
INSERT INTO "arret" VALUES(3377699720881236,'11:39:00','11:39:00',0,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720880758,'11:40:00','11:40:00',1,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881241,'11:42:00','11:42:00',2,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881235,'11:46:00','11:46:00',3,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881244,'11:47:00','11:47:00',4,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881246,'11:49:00','11:49:00',5,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881249,'11:50:00','11:50:00',6,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881251,'11:52:00','11:52:00',7,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720888416,'11:54:00','11:54:00',8,0,4503603928072239);
INSERT INTO "arret" VALUES(3377699720881236,'12:24:00','12:24:00',0,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720880758,'12:25:00','12:25:00',1,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881241,'12:27:00','12:27:00',2,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881235,'12:31:00','12:31:00',3,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881244,'12:32:00','12:32:00',4,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881246,'12:34:00','12:34:00',5,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881249,'12:35:00','12:35:00',6,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881251,'12:37:00','12:37:00',7,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720888416,'12:39:00','12:39:00',8,0,4503603928072240);
INSERT INTO "arret" VALUES(3377699720881236,'13:09:00','13:09:00',0,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720880758,'13:10:00','13:10:00',1,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881241,'13:12:00','13:12:00',2,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881235,'13:16:00','13:16:00',3,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881244,'13:17:00','13:17:00',4,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881246,'13:19:00','13:19:00',5,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881249,'13:20:00','13:20:00',6,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881251,'13:22:00','13:22:00',7,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720888416,'13:24:00','13:24:00',8,0,4503603928072241);
INSERT INTO "arret" VALUES(3377699720881236,'13:54:00','13:54:00',0,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720880758,'13:55:00','13:55:00',1,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881241,'13:58:00','13:58:00',2,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881235,'14:02:00','14:02:00',3,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881244,'14:03:00','14:03:00',4,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881246,'14:05:00','14:05:00',5,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881249,'14:06:00','14:06:00',6,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881251,'14:09:00','14:09:00',7,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720888416,'14:11:00','14:11:00',8,0,4503603928072242);
INSERT INTO "arret" VALUES(3377699720881236,'16:54:00','16:54:00',0,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720880758,'16:55:00','16:55:00',1,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881241,'16:58:00','16:58:00',2,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881235,'17:02:00','17:02:00',3,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881244,'17:03:00','17:03:00',4,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881246,'17:05:00','17:05:00',5,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881249,'17:06:00','17:06:00',6,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881251,'17:08:00','17:08:00',7,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720888416,'17:10:00','17:10:00',8,0,4503603928072243);
INSERT INTO "arret" VALUES(3377699720881236,'17:40:00','17:40:00',0,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720880758,'17:41:00','17:41:00',1,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881241,'17:44:00','17:44:00',2,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881235,'17:48:00','17:48:00',3,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881244,'17:49:00','17:49:00',4,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881246,'17:51:00','17:51:00',5,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881249,'17:52:00','17:52:00',6,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881251,'17:54:00','17:54:00',7,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720888416,'17:56:00','17:56:00',8,0,4503603928072244);
INSERT INTO "arret" VALUES(3377699720881236,'18:03:00','18:03:00',0,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720880758,'18:04:00','18:04:00',1,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881241,'18:07:00','18:07:00',2,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881235,'18:11:00','18:11:00',3,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881244,'18:12:00','18:12:00',4,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881246,'18:14:00','18:14:00',5,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881249,'18:15:00','18:15:00',6,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881251,'18:17:00','18:17:00',7,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720888416,'18:19:00','18:19:00',8,0,4503603928072245);
INSERT INTO "arret" VALUES(3377699720881236,'18:26:00','18:26:00',0,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720880758,'18:27:00','18:27:00',1,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881241,'18:30:00','18:30:00',2,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881235,'18:34:00','18:34:00',3,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881244,'18:35:00','18:35:00',4,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881246,'18:37:00','18:37:00',5,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881249,'18:38:00','18:38:00',6,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881251,'18:40:00','18:40:00',7,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720888416,'18:42:00','18:42:00',8,0,4503603928072246);
INSERT INTO "arret" VALUES(3377699720881236,'19:10:00','19:10:00',0,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720880758,'19:11:00','19:11:00',1,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881241,'19:13:00','19:13:00',2,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881235,'19:17:00','19:17:00',3,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881244,'19:18:00','19:18:00',4,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881246,'19:20:00','19:20:00',5,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881249,'19:21:00','19:21:00',6,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881251,'19:23:00','19:23:00',7,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720888416,'19:25:00','19:25:00',8,0,4503603928072247);
INSERT INTO "arret" VALUES(3377699720881236,'19:50:00','19:50:00',0,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720880758,'19:51:00','19:51:00',1,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881241,'19:53:00','19:53:00',2,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881235,'19:57:00','19:57:00',3,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881244,'19:58:00','19:58:00',4,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881246,'20:00:00','20:00:00',5,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881249,'20:01:00','20:01:00',6,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881251,'20:03:00','20:03:00',7,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720888416,'20:05:00','20:05:00',8,0,4503603928072248);
INSERT INTO "arret" VALUES(3377699720881236,'10:55:00','10:55:00',0,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720880758,'10:56:00','10:56:00',1,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881241,'10:58:00','10:58:00',2,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881235,'11:02:00','11:02:00',3,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881244,'11:03:00','11:03:00',4,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881246,'11:05:00','11:05:00',5,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881249,'11:06:00','11:06:00',6,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881251,'11:08:00','11:08:00',7,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720888416,'11:10:00','11:10:00',8,0,4503603928072249);
INSERT INTO "arret" VALUES(3377699720881236,'14:39:00','14:39:00',0,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720880758,'14:40:00','14:40:00',1,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881241,'14:43:00','14:43:00',2,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881235,'14:47:00','14:47:00',3,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881244,'14:48:00','14:48:00',4,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881246,'14:50:00','14:50:00',5,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881249,'14:51:00','14:51:00',6,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881251,'14:54:00','14:54:00',7,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720888416,'14:56:00','14:56:00',8,0,4503603928072250);
INSERT INTO "arret" VALUES(3377699720881236,'15:24:00','15:24:00',0,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720880758,'15:25:00','15:25:00',1,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881241,'15:28:00','15:28:00',2,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881235,'15:32:00','15:32:00',3,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881244,'15:33:00','15:33:00',4,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881246,'15:35:00','15:35:00',5,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881249,'15:36:00','15:36:00',6,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881251,'15:39:00','15:39:00',7,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720888416,'15:41:00','15:41:00',8,0,4503603928072251);
INSERT INTO "arret" VALUES(3377699720881236,'16:09:00','16:09:00',0,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720880758,'16:10:00','16:10:00',1,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881241,'16:13:00','16:13:00',2,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881235,'16:17:00','16:17:00',3,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881244,'16:18:00','16:18:00',4,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881246,'16:20:00','16:20:00',5,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881249,'16:21:00','16:21:00',6,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881251,'16:23:00','16:23:00',7,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720888416,'16:25:00','16:25:00',8,0,4503603928072252);
INSERT INTO "arret" VALUES(3377699720881236,'16:31:00','16:31:00',0,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720880758,'16:32:00','16:32:00',1,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881241,'16:35:00','16:35:00',2,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881235,'16:39:00','16:39:00',3,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881244,'16:40:00','16:40:00',4,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881246,'16:42:00','16:42:00',5,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881249,'16:43:00','16:43:00',6,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881251,'16:45:00','16:45:00',7,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720888416,'16:47:00','16:47:00',8,0,4503603928072253);
INSERT INTO "arret" VALUES(3377699720881236,'17:17:00','17:17:00',0,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720880758,'17:18:00','17:18:00',1,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720881241,'17:21:00','17:21:00',2,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720881235,'17:25:00','17:25:00',3,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720881244,'17:26:00','17:26:00',4,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720881246,'17:28:00','17:28:00',5,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720881249,'17:29:00','17:29:00',6,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720881251,'17:31:00','17:31:00',7,0,4503603928072254);
INSERT INTO "arret" VALUES(3377699720888416,'17:33:00','17:33:00',8,0,4503603928072254);
CREATE TABLE `lieu` (
  `idArret` bigint(20) NOT NULL,
  `codeArret` int(11) NOT NULL,
  `nomLieu` varchar(160) DEFAULT NULL,
  `latitude` varchar(160) DEFAULT NULL,
  `longitude` varchar(160) DEFAULT NULL,
  `typeLieu` binary(1) DEFAULT NULL,
  `stationParente` bigint(20) NOT NULL,
  PRIMARY KEY (`idArret`)
);
INSERT INTO "lieu" VALUES(3377699720880908,6760,'St Cyprien - République','43.5986','1.43027',0,1970324837184772);
INSERT INTO "lieu" VALUES(3377699720880909,6763,'St Cyprien - République','43.5975','1.43093',0,1970324837184772);
INSERT INTO "lieu" VALUES(3377699720880912,6765,'St Cyprien - République','43.5979','1.43175',0,1970324837184772);
INSERT INTO "lieu" VALUES(3377699720880914,6761,'St Cyprien - République','43.5971','1.43122',0,1970324837184772);
INSERT INTO "lieu" VALUES(3377699720880940,6840,'Palais de Justice','43.5932','1.44495',0,1970324837184792);
INSERT INTO "lieu" VALUES(3377699720880988,423,'Bagatelle','43.5802','1.41168',0,1970324837184809);
INSERT INTO "lieu" VALUES(3377699720880989,420,'Bagatelle','43.5797','1.41181',0,1970324837184809);
INSERT INTO "lieu" VALUES(3377699720881173,2431,'Esquirol','43.6005','1.44393',0,1970324837184892);
INSERT INTO "lieu" VALUES(3377699720881174,2430,'Esquirol','43.6004','1.4447',0,1970324837184892);
INSERT INTO "lieu" VALUES(3377699720881193,5591,'Pont Neuf','43.5999','1.4415',0,1970324837184897);
INSERT INTO "lieu" VALUES(3377699720881194,5590,'Pont Neuf','43.5997','1.44091',0,1970324837184897);
INSERT INTO "lieu" VALUES(3377699720881231,221,'Arsenal','43.6056','1.43366',0,1970324837184915);
INSERT INTO "lieu" VALUES(3377699720881298,3183,'Grand Rond','43.5964','1.45401',0,1970324837184947);
INSERT INTO "lieu" VALUES(3377699720881299,3180,'Grand Rond','43.5939','1.45238',0,1970324837184947);
INSERT INTO "lieu" VALUES(3377699720881301,3181,'Grand Rond','43.595','1.45364',0,1970324837184947);
INSERT INTO "lieu" VALUES(3377699720881404,1728,'Cours Dillon','43.5988','1.43744',0,1970324837184995);
INSERT INTO "lieu" VALUES(3377699720881409,1721,'Cours Dillon','43.5988','1.43722',0,1970324837184995);
INSERT INTO "lieu" VALUES(3377699720881427,2831,'Fontaine Lestang','43.5878','1.41857',0,1970324837185007);
INSERT INTO "lieu" VALUES(3377699720881428,2830,'Fontaine Lestang','43.5878','1.41871',0,1970324837185007);
INSERT INTO "lieu" VALUES(3377699720881489,3410,'Héraclès','43.6086','1.42952',0,1970324837185029);
INSERT INTO "lieu" VALUES(3377699720881490,3411,'Héraclès','43.6086','1.42901',0,1970324837185029);
INSERT INTO "lieu" VALUES(3377699720881911,7021,'Trois Fours','43.5875','1.46147',0,1970324837185312);
INSERT INTO "lieu" VALUES(3377699720881912,7020,'Trois Fours','43.5872','1.46192',0,1970324837185312);
INSERT INTO "lieu" VALUES(3377699720881918,5581,'Montaudran','43.5716','1.4977',0,1970324837185315);
INSERT INTO "lieu" VALUES(3377699720881919,5580,'Montaudran','43.5708','1.49923',0,1970324837185315);
INSERT INTO "lieu" VALUES(3377699720882004,4121,'Leclerc','43.6094','1.43143',0,1970324837185358);
INSERT INTO "lieu" VALUES(3377699720882275,6743,'François Verdier','43.6005','1.45144',0,1970324837185541);
INSERT INTO "lieu" VALUES(3377699720882277,6742,'François Verdier','43.6006','1.45119',0,1970324837185541);
INSERT INTO "lieu" VALUES(3377699720882283,5870,'Quartier Général','43.598','1.45215',0,1970324837185542);
INSERT INTO "lieu" VALUES(3377699720882287,2762,'Fer à Cheval','43.5939','1.43375',0,1970324837185543);
INSERT INTO "lieu" VALUES(3377699720882288,2763,'Fer à Cheval','43.5938','1.43371',0,1970324837185543);
INSERT INTO "lieu" VALUES(3377699720882315,1750,'Crampel','43.5881','1.45927',0,1970324837185566);
INSERT INTO "lieu" VALUES(3377699720882316,1751,'Crampel','43.5883','1.45895',0,1970324837185566);
INSERT INTO "lieu" VALUES(3377699720882317,1711,'Courrège','43.5842','1.46923',0,1970324837185567);
INSERT INTO "lieu" VALUES(3377699720882318,1710,'Courrège','43.5841','1.46952',0,1970324837185567);
INSERT INTO "lieu" VALUES(3377699720882750,6980,'Teinturiers','43.5954','1.43244',0,1970324837185912);
INSERT INTO "lieu" VALUES(3377699720882751,6981,'Teinturiers','43.5957','1.43244',0,1970324837185912);
INSERT INTO "lieu" VALUES(3377699720882752,2140,'Delpy','43.5934','1.43087',0,1970324837185913);
INSERT INTO "lieu" VALUES(3377699720882753,1851,'Cugnaux','43.5956','1.43143',0,1970324837185914);
INSERT INTO "lieu" VALUES(3377699720882754,6401,'Ste-Lucie','43.5939','1.42958',0,1970324837185915);
INSERT INTO "lieu" VALUES(3377699720882755,6111,'Rodin','43.5925','1.42744',0,1970324837185916);
INSERT INTO "lieu" VALUES(3377699720882756,6110,'Rodin','43.5924','1.42739',0,1970324837185916);
INSERT INTO "lieu" VALUES(3377699720882757,7110,'Valats','43.5911','1.4249',0,1970324837185917);
INSERT INTO "lieu" VALUES(3377699720882758,7111,'Valats','43.5912','1.42514',0,1970324837185917);
INSERT INTO "lieu" VALUES(3377699720882761,1971,'Déodat de Séverac','43.5898','1.42253',0,1970324837185918);
INSERT INTO "lieu" VALUES(3377699720882762,1970,'Déodat de Séverac','43.59','1.42277',0,1970324837185918);
INSERT INTO "lieu" VALUES(3377699720882763,3020,'Gamelin','43.5888','1.42123',0,1970324837185919);
INSERT INTO "lieu" VALUES(3377699720882764,3021,'Gamelin','43.5889','1.42142',0,1970324837185919);
INSERT INTO "lieu" VALUES(3377699720882766,4700,'Mont Dore','43.5846','1.41579',0,1970324837185920);
INSERT INTO "lieu" VALUES(3377699720882767,6920,'Tellier','43.5857','1.41371',0,1970324837185921);
INSERT INTO "lieu" VALUES(3377699720882768,6921,'Tellier','43.5854','1.41241',0,1970324837185921);
INSERT INTO "lieu" VALUES(3377699720882775,4270,'Place du Morvan','43.5807','1.40946',0,1970324837185925);
INSERT INTO "lieu" VALUES(3377699720882776,4271,'Place du Morvan','43.5809','1.40894',0,1970324837185925);
INSERT INTO "lieu" VALUES(3377699720882777,3281,'Guyenne','43.5772','1.40984',0,1970324837185926);
INSERT INTO "lieu" VALUES(3377699720882778,3280,'Guyenne','43.577','1.41047',0,1970324837185926);
INSERT INTO "lieu" VALUES(3377699720882779,3510,'Ile de France','43.576','1.41165',0,1970324837185927);
INSERT INTO "lieu" VALUES(3377699720882780,3511,'Ile de France','43.5764','1.41223',0,1970324837185927);
INSERT INTO "lieu" VALUES(3377699720882781,671,'Bigorre','43.5748','1.41107',0,1970324837185928);
INSERT INTO "lieu" VALUES(3377699720882782,1661,'Ch. Papus','43.5742','1.41195',0,1970324837185929);
INSERT INTO "lieu" VALUES(3377699720882785,5620,'Ile du Ramier','43.5923','1.44044',0,1970324840530407);
INSERT INTO "lieu" VALUES(3377699720882786,5621,'Ile du Ramier','43.5922','1.44035',0,1970324840530407);
INSERT INTO "lieu" VALUES(3377699720882787,3651,'Jardin Royal','43.5948','1.44961',0,1970324837185933);
INSERT INTO "lieu" VALUES(3377699720882788,3650,'Jardin Royal','43.5948','1.4495',0,1970324837185933);
INSERT INTO "lieu" VALUES(3377699720882798,91,'Amidonniers','43.6061','1.42818',0,1970324837185937);
INSERT INTO "lieu" VALUES(3377699720882799,90,'Amidonniers','43.6066','1.42821',0,1970324837185937);
INSERT INTO "lieu" VALUES(3377699720882800,11,'Les Abattoirs','43.6009','1.42851',0,1970324837185938);
INSERT INTO "lieu" VALUES(3377699720882871,1961,'Demouilles','43.5893','1.45665',0,1970324837185971);
INSERT INTO "lieu" VALUES(3377699720882872,1960,'Demouilles','43.5888','1.45763',0,1970324837185971);
INSERT INTO "lieu" VALUES(3377699720882873,2911,'Frizac','43.5908','1.45354',0,1970324837185972);
INSERT INTO "lieu" VALUES(3377699720882874,2910,'Frizac','43.5905','1.4538',0,1970324837185972);
INSERT INTO "lieu" VALUES(3377699720882875,3641,'Jardin des Plantes','43.5928','1.4532',0,1970324837185973);
INSERT INTO "lieu" VALUES(3377699720882876,3640,'Jardin des Plantes','43.5925','1.45265',0,1970324837185973);
INSERT INTO "lieu" VALUES(3377699720882906,720,'Bordelongue','43.5709','1.41678',0,1970324837185987);
INSERT INTO "lieu" VALUES(3377699720882907,721,'Bordelongue','43.5711','1.41724',0,1970324837185987);
INSERT INTO "lieu" VALUES(3377699720883024,451,'Barcelone Leclerc','43.607','1.43069',0,1970324837186054);
INSERT INTO "lieu" VALUES(3377699720883103,6913,'Tahiti','43.5799','1.48064',0,1970324837186092);
INSERT INTO "lieu" VALUES(3377699720883112,6611,'Sciences Sociales','43.6063','1.43473',0,1970324837186096);
INSERT INTO "lieu" VALUES(3377699720883336,3130,'Gironis','43.5638','1.42527',0,1970324837186218);
INSERT INTO "lieu" VALUES(3377699720883337,3131,'Gironis','43.5637','1.42535',0,1970324837186218);
INSERT INTO "lieu" VALUES(3377699720883338,4451,'Marchant','43.5594','1.42474',0,1970324837186219);
INSERT INTO "lieu" VALUES(3377699720883339,4450,'Marchant','43.5594','1.42474',0,1970324837186219);
INSERT INTO "lieu" VALUES(3377699720884466,6421,'Dufour','43.5855','1.4659',0,1970324837186812);
INSERT INTO "lieu" VALUES(3377699720884467,6420,'Dufour','43.585','1.4672',0,1970324837186812);
INSERT INTO "lieu" VALUES(3377699720884468,1700,'Cottages','43.5833','1.47143',0,1970324837186813);
INSERT INTO "lieu" VALUES(3377699720884469,1701,'Cottages','43.5835','1.47093',0,1970324837186813);
INSERT INTO "lieu" VALUES(3377699720884470,801,'Buissonnets','43.5827','1.47301',0,1970324837186814);
INSERT INTO "lieu" VALUES(3377699720884471,3680,'Jean-Paul Laurens','43.5822','1.47417',0,1970324837186815);
INSERT INTO "lieu" VALUES(3377699720884472,3681,'Jean-Paul Laurens','43.5819','1.47489',0,1970324837186815);
INSERT INTO "lieu" VALUES(3377699720884473,6700,'Six Avril','43.5809','1.47746',0,1970324837186816);
INSERT INTO "lieu" VALUES(3377699720884474,6701,'Six Avril','43.5807','1.47823',0,1970324837186816);
INSERT INTO "lieu" VALUES(3377699720884475,7341,'Clinique Languedoc','43.5777','1.48561',0,1970324837186817);
INSERT INTO "lieu" VALUES(3377699720884476,7340,'Clinique Languedoc','43.5775','1.4857',0,1970324837186817);
INSERT INTO "lieu" VALUES(3377699720884477,5151,'Ormeau','43.5791','1.48331',0,1970324837186818);
INSERT INTO "lieu" VALUES(3377699720884478,2261,'Ecole Montaudran','43.5766','1.48724',0,1970324837186819);
INSERT INTO "lieu" VALUES(3377699720884479,850,'Bajac','43.5758','1.48847',0,1970324837186820);
INSERT INTO "lieu" VALUES(3377699720884480,851,'Bajac','43.5757','1.48869',0,1970324837186820);
INSERT INTO "lieu" VALUES(3377699720884481,7331,'Lafaurie','43.5745','1.49048',0,1970324837186821);
INSERT INTO "lieu" VALUES(3377699720884482,7330,'Lafaurie','43.5738','1.4915',0,1970324837186821);
INSERT INTO "lieu" VALUES(3377699720884483,6241,'Route de Revel','43.5689','1.50366',0,1970324837186822);
INSERT INTO "lieu" VALUES(3377699720884484,6240,'Route de Revel','43.5693','1.50271',0,1970324837186822);
INSERT INTO "lieu" VALUES(3377699720888538,10,'Les Abattoirs','43.6012','1.42847',0,1970324837185938);
INSERT INTO "lieu" VALUES(3377699720888764,6914,'Tahiti','43.5795','1.48176',0,1970324837186092);
INSERT INTO "lieu" VALUES(3377699721872252,4350,'Boulbonne','43.6006','1.44749',0,1970324838318971);
INSERT INTO "lieu" VALUES(3377699721872253,4351,'Boulbonne','43.6006','1.44799',0,1970324838318971);
INSERT INTO "lieu" VALUES(3377699721902064,2561,'Compans-Caffarelli','43.6099','1.43488',0,1970324837184671);
INSERT INTO "lieu" VALUES(3377699721902071,6843,'Palais de Justice','43.5928','1.44408',0,1970324837184792);
INSERT INTO "lieu" VALUES(3377699722238902,23101,'Ch. des Martyrs','43.5705','1.41991',0,1970324839637228);
INSERT INTO "lieu" VALUES(3377699723132164,1660,'Ch. Papus','43.574','1.41266',0,1970324837185929);
INSERT INTO "lieu" VALUES(3377699723132175,23040,'Hubert Curien','43.5578','1.42701',0,1970324839578894);
INSERT INTO "lieu" VALUES(3377699723132177,23041,'Hubert Curien','43.5578','1.42701',0,1970324839578894);
INSERT INTO "lieu" VALUES(3377699723135387,23051,'Oncopole','43.5542','1.43185',0,1970324839361574);
INSERT INTO "lieu" VALUES(3377699723135401,670,'Bigorre','43.5748','1.41099',0,1970324837185928);
INSERT INTO "lieu" VALUES(3377699723135406,23020,'Landes','43.5729','1.41694',0,1970324839582125);
INSERT INTO "lieu" VALUES(3377699723135408,23021,'Landes','43.5731','1.41612',0,1970324839582125);
INSERT INTO "lieu" VALUES(3377699723154117,23030,'Courtois de Viçose','43.5698','1.42287',0,1970324839600836);
INSERT INTO "lieu" VALUES(3377699723154118,23031,'Courtois de Viçose','43.5698','1.42274',0,1970324839600836);
INSERT INTO "lieu" VALUES(3377699723190509,23100,'Ch. des Martyrs','43.5705','1.41978',0,1970324839637228);
INSERT INTO "lieu" VALUES(3377699723937619,20270,'Maison Commune','43.5575','1.43009',0,1970324840384338);
INSERT INTO "lieu" VALUES(3377699723937620,20271,'Maison Commune','43.5575','1.43043',0,1970324840384338);
INSERT INTO "lieu" VALUES(3377699724083641,6582,'Rond-Point Langlade','43.5668','1.42501',0,1970324837185088);
INSERT INTO "lieu" VALUES(3377699724083642,6583,'Rond-Point Langlade','43.5668','1.425',0,1970324837185088);
INSERT INTO "lieu" VALUES(3377699724118456,4120,'Leclerc','43.6094','1.43161',0,1970324837185358);
INSERT INTO "lieu" VALUES(3377704015495172,1130,'Cher','43.5816','1.40795',0,1970329131941891);
INSERT INTO "lieu" VALUES(3377704015495173,1131,'Cher','43.582','1.40782',0,1970329131941891);
INSERT INTO "lieu" VALUES(3377704015495204,6150,'Ronsard','43.5833','1.40695',0,1970329131941910);
INSERT INTO "lieu" VALUES(3377704015495205,6151,'Ronsard','43.5834','1.40692',0,1970329131941910);
INSERT INTO "lieu" VALUES(3377704015495208,6432,'St-Gaudens','43.5851','1.41021',0,1970329131941911);
INSERT INTO "lieu" VALUES(3377704015495209,6433,'St-Gaudens','43.5851','1.41035',0,1970329131941911);
INSERT INTO "lieu" VALUES(3377704015495511,27552,'Malepère','43.5671','1.50643',0,1970324837186852);
INSERT INTO "lieu" VALUES(3377704015495519,27551,'Malepère','43.567','1.50573',0,1970324837186852);
INSERT INTO "lieu" VALUES(3377699722724038,19961,'Brax le Château','43.6169','1.2403',0,1970324837185068);
INSERT INTO "lieu" VALUES(3377699722724037,19951,'La Chauge','43.6155','1.25',0,1970324837190345);
INSERT INTO "lieu" VALUES(3377699722724036,19941,'Château Cru','43.6127','1.26828',0,1970324837188856);
INSERT INTO "lieu" VALUES(3377699722724035,19931,'Stade','43.6153','1.27652',0,1970324837185071);
INSERT INTO "lieu" VALUES(3377699722724034,19921,'Basilique','43.6177','1.28334',0,1970324837185072);
INSERT INTO "lieu" VALUES(3377699722724033,19911,'Tuilerie','43.6162','1.29006',0,1970324837188855);
INSERT INTO "lieu" VALUES(3377699721034355,19901,'Lycée International','43.6122','1.31031',0,1970324837185074);
INSERT INTO "lieu" VALUES(3377699722724032,19891,'Piquemil','43.6123','1.31955',0,1970324837189860);
INSERT INTO "lieu" VALUES(3377699720881634,16240,'Passerelle','43.6117','1.33032',0,1970324837186554);
INSERT INTO "lieu" VALUES(3377699721158291,19735,'Colomiers Gare SNCF','43.6042','1.3347',0,1970324837184752);
INSERT INTO "lieu" VALUES(3377699720888416,343,'Argoulets','43.6245','1.47742',0,1970324837190453);
INSERT INTO "lieu" VALUES(3377699720881250,1800,'Cambard','43.6294','1.47642',0,1970324837184924);
INSERT INTO "lieu" VALUES(3377699720881248,7250,'Vasseur','43.6363','1.47279',0,1970324837184923);
INSERT INTO "lieu" VALUES(3377699720881247,5160,'Ohnet','43.6389','1.471',0,1970324837184922);
INSERT INTO "lieu" VALUES(3377699720881245,1900,'Caunes','43.6403','1.46965',0,1970324837184921);
INSERT INTO "lieu" VALUES(3377699720881234,6570,'Atlanta','43.6424','1.46744',0,1970324837184917);
INSERT INTO "lieu" VALUES(3377699720888422,19070,'St-Caprais','43.6475','1.47079',0,1970324837190454);
INSERT INTO "lieu" VALUES(3377699720881242,10110,'Bayonne','43.6503','1.47231',0,1970324837184920);
INSERT INTO "lieu" VALUES(3377699720880759,10160,'Ctre Cial Union','43.6565','1.47985',0,1970324837184690);
INSERT INTO "lieu" VALUES(3377699720881237,10180,'Union Somport','43.655','1.48246',0,1970324837184918);
INSERT INTO "lieu" VALUES(3377699720881238,10190,'Montcalm','43.6535','1.48441',0,1970324837184919);
INSERT INTO "lieu" VALUES(3377699720881239,10192,'Montcalm','43.6533','1.48471',0,1970324837184919);
INSERT INTO "lieu" VALUES(3377699720881236,10181,'Union Somport','43.6553','1.4819',0,1970324837184918);
INSERT INTO "lieu" VALUES(3377699720880758,10163,'Ctre Cial Union','43.6566','1.47932',0,1970324837184690);
INSERT INTO "lieu" VALUES(3377699720881241,10111,'Bayonne','43.6492','1.47125',0,1970324837184920);
INSERT INTO "lieu" VALUES(3377699720881235,6571,'Atlanta','43.6433','1.46783',0,1970324837184917);
INSERT INTO "lieu" VALUES(3377699720881244,1901,'Caunes','43.6405','1.46937',0,1970324837184921);
INSERT INTO "lieu" VALUES(3377699720881246,5161,'Ohnet','43.6384','1.47152',0,1970324837184922);
INSERT INTO "lieu" VALUES(3377699720881249,7251,'Vasseur','43.6351','1.47323',0,1970324837184923);
INSERT INTO "lieu" VALUES(3377699720881251,1801,'Cambard','43.6293','1.47632',0,1970324837184924);
INSERT INTO "lieu" VALUES(3377699720887720,19890,'Piquemil','43.6125','1.31949',0,1970324837189860);
INSERT INTO "lieu" VALUES(3377699720881548,19900,'Lycée International','43.6124','1.3103',0,1970324837185074);
INSERT INTO "lieu" VALUES(3377699720886670,19910,'Tuilerie','43.6165','1.29011',0,1970324837188855);
INSERT INTO "lieu" VALUES(3377699720881546,19920,'Basilique','43.6179','1.28327',0,1970324837185072);
INSERT INTO "lieu" VALUES(3377699720881545,19930,'Stade','43.6154','1.27604',0,1970324837185071);
INSERT INTO "lieu" VALUES(3377699720886671,19940,'Château Cru','43.6129','1.26819',0,1970324837188856);
INSERT INTO "lieu" VALUES(3377699720888294,19950,'La Chauge','43.6157','1.24983',0,1970324837190345);
CREATE TABLE itineraire (
    "idItineraire" BIGINT(20) NOT NULL,
    "destination" VARCHAR(160) DEFAULT ('NULL'),
    "direction" BINARY(1) DEFAULT ('NULL'),
    "idCalendrier" BIGINT(20) DEFAULT ('NULL'),
    "idLigne" BIGINT(20) DEFAULT ('NULL')
);
INSERT INTO "itineraire" VALUES(4503603928074023,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074024,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074025,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074026,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074027,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074028,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074029,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074030,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074031,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074032,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074033,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074034,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074035,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074036,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074037,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074038,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074039,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074040,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074041,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074042,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074043,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074044,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074045,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074046,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074047,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074048,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074049,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074050,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074051,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074052,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074053,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074054,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074055,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074056,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074057,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074058,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074059,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074060,'Oncopole TOULOUSE',1,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074122,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074123,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074124,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074125,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074126,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074127,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074128,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074129,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074130,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074131,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074132,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074133,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074134,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074135,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074136,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074137,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074138,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074139,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074140,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074141,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074142,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074143,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074144,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074145,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074146,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074147,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074148,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074149,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074150,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074151,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074152,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074153,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074154,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074155,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074156,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074157,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074158,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074159,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603928074160,'Saint Cyprien - République TOULOUSE',0,4503603928071438,11821949021891617);
INSERT INTO "itineraire" VALUES(4503603922673401,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673402,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673403,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673404,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673405,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673406,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673407,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673408,'Colomiers Gare SNCF COLOMIERS',0,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673413,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673414,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673415,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673416,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673417,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673418,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673419,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603922673420,'Brax le Château BRAX',1,4503599631512310,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963979,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963980,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963981,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963982,'Colomiers Gare SNCF COLOMIERS',0,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963983,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963984,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963985,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603925963986,'Brax le Château BRAX',1,4503603925963979,11821949021891635);
INSERT INTO "itineraire" VALUES(4503603928072201,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072202,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072203,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072204,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072205,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072206,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072207,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072208,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072209,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072210,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072211,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072212,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072213,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072214,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072215,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072216,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072217,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072218,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072219,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072220,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072221,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072222,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072223,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072224,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072225,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072226,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072227,'Union Somport UNION',1,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072228,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072229,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072230,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072231,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072232,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072233,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072234,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072235,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072236,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072237,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072238,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072239,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072240,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072241,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072242,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072243,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072244,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072245,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072246,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072247,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072248,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072249,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072250,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072251,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072252,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072253,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
INSERT INTO "itineraire" VALUES(4503603928072254,'Argoulets TOULOUSE',0,4503603928071505,11821949021891637);
CREATE TABLE `service` (
  `idService` bigint(20) NOT NULL,
  `codeConducteur` smallint(4) DEFAULT NULL,
  `idVehicule` smallint(3) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `heureDebut` time DEFAULT NULL,
  `dateFin` date DEFAULT NULL,  
  `heureFin` time DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idService`),  
  CONSTRAINT fk_service_codeConducteur
  FOREIGN KEY (codeConducteur)
  REFERENCES conducteur(codeConducteur),
  CONSTRAINT fk_service_idVehicule
  FOREIGN KEY (idVehicule)
  REFERENCES vehicule(idVehicule)
);
INSERT INTO "service" VALUES(1,1234,155,'2015-07-11','07:00:00','','',0);
INSERT INTO "service" VALUES(2,195,155,'2015-07-11','10:00:00','','',0);
INSERT INTO "service" VALUES(3,1993,123,'2015-07-11','07:00:00','','',0);
INSERT INTO "service" VALUES(4,2121,123,'2015-07-11','09:00:00','','',0);
INSERT INTO "service" VALUES(5,7275,193,'2015-07-11','07:00:00','','',0);
INSERT INTO "service" VALUES(6,6340,193,'2015-07-11','09:00:00','','',0);
CREATE TABLE `course` (
  `idItineraire` bigint(20) NOT NULL,
  `idService` smallint(3) DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idItineraire`, `idService`),
  CONSTRAINT fk_course_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_course_idService
  FOREIGN KEY (idService)
  REFERENCES service(idService)
);
INSERT INTO "course" VALUES(4503603928074122,1,0);
INSERT INTO "course" VALUES(4503603928074024,1,0);
INSERT INTO "course" VALUES(4503603928074132,1,0);
INSERT INTO "course" VALUES(4503603928074032,1,0);
INSERT INTO "course" VALUES(4503603928074135,1,0);
INSERT INTO "course" VALUES(4503603928074035,1,0);
INSERT INTO "course" VALUES(4503603928074146,1,0);
INSERT INTO "course" VALUES(4503603928074052,1,0);
INSERT INTO "course" VALUES(4503603928074149,1,0);
INSERT INTO "course" VALUES(4503603928074055,1,0);
INSERT INTO "course" VALUES(4503603928074131,1,0);
INSERT INTO "course" VALUES(4503603928074138,2,0);
INSERT INTO "course" VALUES(4503603928074038,2,0);
INSERT INTO "course" VALUES(4503603928074141,2,0);
INSERT INTO "course" VALUES(4503603928074041,2,0);
INSERT INTO "course" VALUES(4503603928074144,2,0);
INSERT INTO "course" VALUES(4503603928074044,2,0);
INSERT INTO "course" VALUES(4503603928074153,2,0);
INSERT INTO "course" VALUES(4503603928074050,2,0);
INSERT INTO "course" VALUES(4503603928074157,2,0);
INSERT INTO "course" VALUES(4503603928074057,2,0);
INSERT INTO "course" VALUES(4503603928074129,1,0);
INSERT INTO "course" VALUES(4503603922673401,3,0);
INSERT INTO "course" VALUES(4503603922673413,3,0);
INSERT INTO "course" VALUES(4503603922673402,3,0);
INSERT INTO "course" VALUES(4503603922673414,3,0);
INSERT INTO "course" VALUES(4503603922673403,3,0);
INSERT INTO "course" VALUES(4503603922673415,3,0);
INSERT INTO "course" VALUES(4503603922673404,3,0);
INSERT INTO "course" VALUES(4503603922673416,3,0);
INSERT INTO "course" VALUES(4503603922673405,3,0);
INSERT INTO "course" VALUES(4503603922673417,3,0);
INSERT INTO "course" VALUES(4503603922673406,4,0);
INSERT INTO "course" VALUES(4503603922673418,4,0);
INSERT INTO "course" VALUES(4503603922673407,4,0);
INSERT INTO "course" VALUES(4503603922673419,4,0);
INSERT INTO "course" VALUES(4503603922673408,4,0);
INSERT INTO "course" VALUES(4503603922673420,4,0);
INSERT INTO "course" VALUES(4503603928072228,5,0);
INSERT INTO "course" VALUES(4503603928072201,5,0);
INSERT INTO "course" VALUES(4503603928072229,5,0);
INSERT INTO "course" VALUES(4503603928072202,5,0);
INSERT INTO "course" VALUES(4503603928072230,5,0);
INSERT INTO "course" VALUES(4503603928072203,5,0);
INSERT INTO "course" VALUES(4503603928072231,5,0);
INSERT INTO "course" VALUES(4503603928072204,5,0);
INSERT INTO "course" VALUES(4503603928072232,5,0);
INSERT INTO "course" VALUES(4503603928072205,5,0);
INSERT INTO "course" VALUES(4503603928072233,5,0);
INSERT INTO "course" VALUES(4503603928072206,5,0);
INSERT INTO "course" VALUES(4503603928072252,6,0);
INSERT INTO "course" VALUES(4503603928072225,6,0);
INSERT INTO "course" VALUES(4503603928072253,6,0);
INSERT INTO "course" VALUES(4503603928072226,6,0);
INSERT INTO "course" VALUES(4503603928072254,6,0);
INSERT INTO "course" VALUES(4503603928072227,6,0);
CREATE TABLE `trace` (
  `idTrace` bigint(20) NOT NULL,
  `pt_lat` real DEFAULT NULL,
  `pt_lon` real DEFAULT NULL,
  `pt_sequence` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idTrace`, `pt_sequence`)
);
INSERT INTO "trace" VALUES(4503603928031644,43.5975,1.43099,0);
INSERT INTO "trace" VALUES(4503603928031644,43.5973,1.43113,1);
INSERT INTO "trace" VALUES(4503603928031644,43.5972,1.43122,2);
INSERT INTO "trace" VALUES(4503603928031644,43.5971,1.43133,3);
INSERT INTO "trace" VALUES(4503603928031644,43.5971,1.43134,4);
INSERT INTO "trace" VALUES(4503603928031644,43.5963,1.43193,5);
INSERT INTO "trace" VALUES(4503603928031644,43.5963,1.43198,6);
INSERT INTO "trace" VALUES(4503603928031644,43.5962,1.43203,7);
INSERT INTO "trace" VALUES(4503603928031644,43.596,1.43216,8);
INSERT INTO "trace" VALUES(4503603928031644,43.5958,1.43235,9);
INSERT INTO "trace" VALUES(4503603928031644,43.5957,1.43241,10);
INSERT INTO "trace" VALUES(4503603928031644,43.5956,1.43244,11);
INSERT INTO "trace" VALUES(4503603928031644,43.5955,1.43257,12);
INSERT INTO "trace" VALUES(4503603928031644,43.5952,1.43277,13);
INSERT INTO "trace" VALUES(4503603928031644,43.5951,1.43284,14);
INSERT INTO "trace" VALUES(4503603928031644,43.5949,1.433,15);
INSERT INTO "trace" VALUES(4503603928031644,43.5945,1.43323,16);
INSERT INTO "trace" VALUES(4503603928031644,43.5943,1.43338,17);
INSERT INTO "trace" VALUES(4503603928031644,43.5941,1.43359,18);
INSERT INTO "trace" VALUES(4503603928031644,43.5939,1.43367,19);
INSERT INTO "trace" VALUES(4503603928031644,43.5939,1.43373,20);
INSERT INTO "trace" VALUES(4503603928031644,43.5938,1.43377,21);
INSERT INTO "trace" VALUES(4503603928031644,43.5936,1.43395,22);
INSERT INTO "trace" VALUES(4503603928031644,43.5933,1.43413,23);
INSERT INTO "trace" VALUES(4503603928031644,43.5932,1.43422,24);
INSERT INTO "trace" VALUES(4503603928031644,43.593,1.43442,25);
INSERT INTO "trace" VALUES(4503603928031644,43.5929,1.43436,26);
INSERT INTO "trace" VALUES(4503603928031644,43.5929,1.43429,27);
INSERT INTO "trace" VALUES(4503603928031644,43.5928,1.43425,28);
INSERT INTO "trace" VALUES(4503603928031644,43.5928,1.43425,29);
INSERT INTO "trace" VALUES(4503603928031644,43.5927,1.43427,30);
INSERT INTO "trace" VALUES(4503603928031644,43.5927,1.43395,31);
INSERT INTO "trace" VALUES(4503603928031644,43.593,1.43268,32);
INSERT INTO "trace" VALUES(4503603928031644,43.593,1.43238,33);
INSERT INTO "trace" VALUES(4503603928031644,43.5931,1.43182,34);
INSERT INTO "trace" VALUES(4503603928031644,43.5933,1.43105,35);
INSERT INTO "trace" VALUES(4503603928031644,43.5933,1.43085,36);
INSERT INTO "trace" VALUES(4503603928031644,43.5934,1.43027,37);
INSERT INTO "trace" VALUES(4503603928031644,43.5935,1.42989,38);
INSERT INTO "trace" VALUES(4503603928031644,43.5936,1.42947,39);
INSERT INTO "trace" VALUES(4503603928031644,43.5936,1.42948,40);
INSERT INTO "trace" VALUES(4503603928031644,43.5937,1.42947,41);
INSERT INTO "trace" VALUES(4503603928031644,43.5937,1.42943,42);
INSERT INTO "trace" VALUES(4503603928031644,43.5937,1.42938,43);
INSERT INTO "trace" VALUES(4503603928031644,43.5937,1.42933,44);
INSERT INTO "trace" VALUES(4503603928031644,43.5937,1.42929,45);
INSERT INTO "trace" VALUES(4503603928031644,43.5936,1.42928,46);
INSERT INTO "trace" VALUES(4503603928031644,43.5936,1.42929,47);
INSERT INTO "trace" VALUES(4503603928031644,43.5931,1.42852,48);
INSERT INTO "trace" VALUES(4503603928031644,43.5926,1.42782,49);
INSERT INTO "trace" VALUES(4503603928031644,43.5925,1.42768,50);
INSERT INTO "trace" VALUES(4503603928031644,43.5924,1.4274,51);
INSERT INTO "trace" VALUES(4503603928031644,43.5922,1.42707,52);
INSERT INTO "trace" VALUES(4503603928031644,43.5919,1.42659,53);
INSERT INTO "trace" VALUES(4503603928031644,43.5911,1.42491,54);
INSERT INTO "trace" VALUES(4503603928031644,43.5911,1.42484,55);
INSERT INTO "trace" VALUES(4503603928031644,43.591,1.42467,56);
INSERT INTO "trace" VALUES(4503603928031644,43.5904,1.42354,57);
INSERT INTO "trace" VALUES(4503603928031644,43.5902,1.42332,58);
INSERT INTO "trace" VALUES(4503603928031644,43.59,1.42278,59);
INSERT INTO "trace" VALUES(4503603928031644,43.5899,1.42261,60);
INSERT INTO "trace" VALUES(4503603928031644,43.5894,1.42191,61);
INSERT INTO "trace" VALUES(4503603928031644,43.5888,1.42122,62);
INSERT INTO "trace" VALUES(4503603928031644,43.5887,1.42114,63);
INSERT INTO "trace" VALUES(4503603928031644,43.5886,1.42099,64);
INSERT INTO "trace" VALUES(4503603928031644,43.5885,1.42084,65);
INSERT INTO "trace" VALUES(4503603928031644,43.5878,1.41868,66);
INSERT INTO "trace" VALUES(4503603928031644,43.5877,1.41823,67);
INSERT INTO "trace" VALUES(4503603928031644,43.5876,1.41816,68);
INSERT INTO "trace" VALUES(4503603928031644,43.5876,1.41813,69);
INSERT INTO "trace" VALUES(4503603928031644,43.5862,1.41714,70);
INSERT INTO "trace" VALUES(4503603928031644,43.5854,1.41648,71);
INSERT INTO "trace" VALUES(4503603928031644,43.5851,1.4162,72);
INSERT INTO "trace" VALUES(4503603928031644,43.585,1.41612,73);
INSERT INTO "trace" VALUES(4503603928031644,43.5846,1.41576,74);
INSERT INTO "trace" VALUES(4503603928031644,43.5844,1.4156,75);
INSERT INTO "trace" VALUES(4503603928031644,43.5848,1.41481,76);
INSERT INTO "trace" VALUES(4503603928031644,43.5851,1.41437,77);
INSERT INTO "trace" VALUES(4503603928031644,43.5855,1.41393,78);
INSERT INTO "trace" VALUES(4503603928031644,43.5857,1.41373,79);
INSERT INTO "trace" VALUES(4503603928031644,43.5859,1.41356,80);
INSERT INTO "trace" VALUES(4503603928031644,43.5857,1.41316,81);
INSERT INTO "trace" VALUES(4503603928031644,43.5856,1.41274,82);
INSERT INTO "trace" VALUES(4503603928031644,43.5855,1.41236,83);
INSERT INTO "trace" VALUES(4503603928031644,43.5854,1.41198,84);
INSERT INTO "trace" VALUES(4503603928031644,43.5852,1.41099,85);
INSERT INTO "trace" VALUES(4503603928031644,43.5851,1.41052,86);
INSERT INTO "trace" VALUES(4503603928031644,43.5851,1.41034,87);
INSERT INTO "trace" VALUES(4503603928031644,43.5851,1.41021,88);
INSERT INTO "trace" VALUES(4503603928031644,43.585,1.41001,89);
INSERT INTO "trace" VALUES(4503603928031644,43.585,1.40982,90);
INSERT INTO "trace" VALUES(4503603928031644,43.5848,1.40896,91);
INSERT INTO "trace" VALUES(4503603928031644,43.5847,1.40844,92);
INSERT INTO "trace" VALUES(4503603928031644,43.5846,1.40817,93);
INSERT INTO "trace" VALUES(4503603928031644,43.5844,1.40794,94);
INSERT INTO "trace" VALUES(4503603928031644,43.5843,1.40784,95);
INSERT INTO "trace" VALUES(4503603928031644,43.5843,1.40762,96);
INSERT INTO "trace" VALUES(4503603928031644,43.5842,1.40746,97);
INSERT INTO "trace" VALUES(4503603928031644,43.5842,1.40734,98);
INSERT INTO "trace" VALUES(4503603928031644,43.5841,1.40723,99);
INSERT INTO "trace" VALUES(4503603928031644,43.5839,1.40675,100);
INSERT INTO "trace" VALUES(4503603928031644,43.5838,1.40666,101);
INSERT INTO "trace" VALUES(4503603928031644,43.5838,1.40654,102);
INSERT INTO "trace" VALUES(4503603928031644,43.5832,1.40687,103);
INSERT INTO "trace" VALUES(4503603928031644,43.5829,1.40707,104);
INSERT INTO "trace" VALUES(4503603928031644,43.5829,1.40712,105);
INSERT INTO "trace" VALUES(4503603928031644,43.5828,1.40723,106);
INSERT INTO "trace" VALUES(4503603928031644,43.5826,1.40734,107);
INSERT INTO "trace" VALUES(4503603928031644,43.5826,1.40728,108);
INSERT INTO "trace" VALUES(4503603928031644,43.5826,1.40724,109);
INSERT INTO "trace" VALUES(4503603928031644,43.5825,1.40722,110);
INSERT INTO "trace" VALUES(4503603928031644,43.5825,1.40723,111);
INSERT INTO "trace" VALUES(4503603928031644,43.5824,1.40726,112);
INSERT INTO "trace" VALUES(4503603928031644,43.5824,1.4073,113);
INSERT INTO "trace" VALUES(4503603928031644,43.5824,1.40736,114);
INSERT INTO "trace" VALUES(4503603928031644,43.5824,1.40742,115);
INSERT INTO "trace" VALUES(4503603928031644,43.5824,1.40746,116);
INSERT INTO "trace" VALUES(4503603928031644,43.5819,1.40776,117);
INSERT INTO "trace" VALUES(4503603928031644,43.5816,1.40793,118);
INSERT INTO "trace" VALUES(4503603928031644,43.5813,1.4081,119);
INSERT INTO "trace" VALUES(4503603928031644,43.5813,1.40814,120);
INSERT INTO "trace" VALUES(4503603928031644,43.5812,1.40811,121);
INSERT INTO "trace" VALUES(4503603928031644,43.5812,1.40809,122);
INSERT INTO "trace" VALUES(4503603928031644,43.5812,1.40809,123);
INSERT INTO "trace" VALUES(4503603928031644,43.5811,1.4081,124);
INSERT INTO "trace" VALUES(4503603928031644,43.5811,1.40813,125);
INSERT INTO "trace" VALUES(4503603928031644,43.5811,1.40818,126);
INSERT INTO "trace" VALUES(4503603928031644,43.5811,1.40823,127);
INSERT INTO "trace" VALUES(4503603928031644,43.5811,1.40828,128);
INSERT INTO "trace" VALUES(4503603928031644,43.5811,1.40833,129);
INSERT INTO "trace" VALUES(4503603928031644,43.581,1.40839,130);
INSERT INTO "trace" VALUES(4503603928031644,43.5809,1.40896,131);
INSERT INTO "trace" VALUES(4503603928031644,43.5807,1.40947,132);
INSERT INTO "trace" VALUES(4503603928031644,43.5807,1.40948,133);
INSERT INTO "trace" VALUES(4503603928031644,43.5807,1.40949,134);
INSERT INTO "trace" VALUES(4503603928031644,43.5805,1.41024,135);
INSERT INTO "trace" VALUES(4503603928031644,43.5803,1.41111,136);
INSERT INTO "trace" VALUES(4503603928031644,43.58,1.41225,137);
INSERT INTO "trace" VALUES(4503603928031644,43.5797,1.41195,138);
INSERT INTO "trace" VALUES(4503603928031644,43.5797,1.41189,139);
INSERT INTO "trace" VALUES(4503603928031644,43.5794,1.41146,140);
INSERT INTO "trace" VALUES(4503603928031644,43.5792,1.41118,141);
INSERT INTO "trace" VALUES(4503603928031644,43.5792,1.41109,142);
INSERT INTO "trace" VALUES(4503603928031644,43.5792,1.41103,143);
INSERT INTO "trace" VALUES(4503603928031644,43.5791,1.41096,144);
INSERT INTO "trace" VALUES(4503603928031644,43.5788,1.41027,145);
INSERT INTO "trace" VALUES(4503603928031644,43.5784,1.40961,146);
INSERT INTO "trace" VALUES(4503603928031644,43.5779,1.40857,147);
INSERT INTO "trace" VALUES(4503603928031644,43.5778,1.40861,148);
INSERT INTO "trace" VALUES(4503603928031644,43.5776,1.40871,149);
INSERT INTO "trace" VALUES(4503603928031644,43.5776,1.40888,150);
INSERT INTO "trace" VALUES(4503603928031644,43.5775,1.40912,151);
INSERT INTO "trace" VALUES(4503603928031644,43.577,1.4105,152);
INSERT INTO "trace" VALUES(4503603928031644,43.5769,1.41091,153);
INSERT INTO "trace" VALUES(4503603928031644,43.5766,1.41202,154);
INSERT INTO "trace" VALUES(4503603928031644,43.5762,1.41183,155);
INSERT INTO "trace" VALUES(4503603928031644,43.576,1.4117,156);
INSERT INTO "trace" VALUES(4503603928031644,43.5758,1.41159,157);
INSERT INTO "trace" VALUES(4503603928031644,43.5755,1.41141,158);
INSERT INTO "trace" VALUES(4503603928031644,43.5751,1.41117,159);
INSERT INTO "trace" VALUES(4503603928031644,43.5748,1.41101,160);
INSERT INTO "trace" VALUES(4503603928031644,43.5745,1.41081,161);
INSERT INTO "trace" VALUES(4503603928031644,43.5741,1.41231,162);
INSERT INTO "trace" VALUES(4503603928031644,43.574,1.41266,163);
INSERT INTO "trace" VALUES(4503603928031644,43.5737,1.41377,164);
INSERT INTO "trace" VALUES(4503603928031644,43.5735,1.41466,165);
INSERT INTO "trace" VALUES(4503603928031644,43.5733,1.41529,166);
INSERT INTO "trace" VALUES(4503603928031644,43.5732,1.41553,167);
INSERT INTO "trace" VALUES(4503603928031644,43.5731,1.41594,168);
INSERT INTO "trace" VALUES(4503603928031644,43.573,1.41656,169);
INSERT INTO "trace" VALUES(4503603928031644,43.5729,1.41695,170);
INSERT INTO "trace" VALUES(4503603928031644,43.5728,1.41723,171);
INSERT INTO "trace" VALUES(4503603928031644,43.5728,1.41732,172);
INSERT INTO "trace" VALUES(4503603928031644,43.5727,1.41765,173);
INSERT INTO "trace" VALUES(4503603928031644,43.5725,1.41842,174);
INSERT INTO "trace" VALUES(4503603928031644,43.5721,1.41811,175);
INSERT INTO "trace" VALUES(4503603928031644,43.5719,1.41797,176);
INSERT INTO "trace" VALUES(4503603928031644,43.5715,1.41767,177);
INSERT INTO "trace" VALUES(4503603928031644,43.5713,1.41745,178);
INSERT INTO "trace" VALUES(4503603928031644,43.5708,1.41685,179);
INSERT INTO "trace" VALUES(4503603928031644,43.5707,1.41668,180);
INSERT INTO "trace" VALUES(4503603928031644,43.5707,1.4166,181);
INSERT INTO "trace" VALUES(4503603928031644,43.5703,1.41619,182);
INSERT INTO "trace" VALUES(4503603928031644,43.5702,1.41647,183);
INSERT INTO "trace" VALUES(4503603928031644,43.5701,1.41678,184);
INSERT INTO "trace" VALUES(4503603928031644,43.57,1.4174,185);
INSERT INTO "trace" VALUES(4503603928031644,43.5698,1.41789,186);
INSERT INTO "trace" VALUES(4503603928031644,43.5696,1.41899,187);
INSERT INTO "trace" VALUES(4503603928031644,43.5699,1.41916,188);
INSERT INTO "trace" VALUES(4503603928031644,43.5703,1.41934,189);
INSERT INTO "trace" VALUES(4503603928031644,43.5707,1.41955,190);
INSERT INTO "trace" VALUES(4503603928031644,43.5706,1.41969,191);
INSERT INTO "trace" VALUES(4503603928031644,43.5706,1.41983,192);
INSERT INTO "trace" VALUES(4503603928031644,43.5705,1.42005,193);
INSERT INTO "trace" VALUES(4503603928031644,43.5704,1.42046,194);
INSERT INTO "trace" VALUES(4503603928031644,43.5699,1.42272,195);
INSERT INTO "trace" VALUES(4503603928031644,43.5698,1.42289,196);
INSERT INTO "trace" VALUES(4503603928031644,43.5697,1.42299,197);
INSERT INTO "trace" VALUES(4503603928031644,43.5697,1.42307,198);
INSERT INTO "trace" VALUES(4503603928031644,43.5697,1.4232,199);
INSERT INTO "trace" VALUES(4503603928031644,43.5696,1.42355,200);
INSERT INTO "trace" VALUES(4503603928031644,43.5697,1.42378,201);
INSERT INTO "trace" VALUES(4503603928031644,43.5698,1.42395,202);
INSERT INTO "trace" VALUES(4503603928031644,43.5699,1.42409,203);
INSERT INTO "trace" VALUES(4503603928031644,43.57,1.42418,204);
INSERT INTO "trace" VALUES(4503603928031644,43.57,1.42431,205);
INSERT INTO "trace" VALUES(4503603928031644,43.57,1.42437,206);
INSERT INTO "trace" VALUES(4503603928031644,43.5699,1.42442,207);
INSERT INTO "trace" VALUES(4503603928031644,43.5697,1.42439,208);
INSERT INTO "trace" VALUES(4503603928031644,43.5697,1.42438,209);
INSERT INTO "trace" VALUES(4503603928031644,43.5695,1.42438,210);
INSERT INTO "trace" VALUES(4503603928031644,43.5693,1.42443,211);
INSERT INTO "trace" VALUES(4503603928031644,43.5692,1.42439,212);
INSERT INTO "trace" VALUES(4503603928031644,43.5692,1.42438,213);
INSERT INTO "trace" VALUES(4503603928031644,43.5691,1.42438,214);
INSERT INTO "trace" VALUES(4503603928031644,43.5691,1.42441,215);
INSERT INTO "trace" VALUES(4503603928031644,43.569,1.42446,216);
INSERT INTO "trace" VALUES(4503603928031644,43.569,1.42453,217);
INSERT INTO "trace" VALUES(4503603928031644,43.569,1.42459,218);
INSERT INTO "trace" VALUES(4503603928031644,43.5685,1.42465,219);
INSERT INTO "trace" VALUES(4503603928031644,43.5684,1.42465,220);
INSERT INTO "trace" VALUES(4503603928031644,43.5684,1.42465,221);
INSERT INTO "trace" VALUES(4503603928031644,43.5683,1.42463,222);
INSERT INTO "trace" VALUES(4503603928031644,43.5679,1.42469,223);
INSERT INTO "trace" VALUES(4503603928031644,43.5676,1.42472,224);
INSERT INTO "trace" VALUES(4503603928031644,43.5676,1.42472,225);
INSERT INTO "trace" VALUES(4503603928031644,43.5675,1.42472,226);
INSERT INTO "trace" VALUES(4503603928031644,43.5674,1.42473,227);
INSERT INTO "trace" VALUES(4503603928031644,43.5674,1.42478,228);
INSERT INTO "trace" VALUES(4503603928031644,43.5673,1.42483,229);
INSERT INTO "trace" VALUES(4503603928031644,43.5673,1.42496,230);
INSERT INTO "trace" VALUES(4503603928031644,43.5672,1.42503,231);
INSERT INTO "trace" VALUES(4503603928031644,43.5672,1.42506,232);
INSERT INTO "trace" VALUES(4503603928031644,43.5672,1.42507,233);
INSERT INTO "trace" VALUES(4503603928031644,43.5671,1.42508,234);
INSERT INTO "trace" VALUES(4503603928031644,43.5671,1.42507,235);
INSERT INTO "trace" VALUES(4503603928031644,43.567,1.42504,236);
INSERT INTO "trace" VALUES(4503603928031644,43.5668,1.42505,237);
INSERT INTO "trace" VALUES(4503603928031644,43.5638,1.42532,238);
INSERT INTO "trace" VALUES(4503603928031644,43.5636,1.42533,239);
INSERT INTO "trace" VALUES(4503603928031644,43.5635,1.42534,240);
INSERT INTO "trace" VALUES(4503603928031644,43.5634,1.42538,241);
INSERT INTO "trace" VALUES(4503603928031644,43.5634,1.42546,242);
INSERT INTO "trace" VALUES(4503603928031644,43.5633,1.42559,243);
INSERT INTO "trace" VALUES(4503603928031644,43.5632,1.42568,244);
INSERT INTO "trace" VALUES(4503603928031644,43.5631,1.42573,245);
INSERT INTO "trace" VALUES(4503603928031644,43.563,1.42577,246);
INSERT INTO "trace" VALUES(4503603928031644,43.563,1.42577,247);
INSERT INTO "trace" VALUES(4503603928031644,43.5629,1.42576,248);
INSERT INTO "trace" VALUES(4503603928031644,43.5628,1.42568,249);
INSERT INTO "trace" VALUES(4503603928031644,43.5626,1.42554,250);
INSERT INTO "trace" VALUES(4503603928031644,43.5626,1.42544,251);
INSERT INTO "trace" VALUES(4503603928031644,43.5625,1.42541,252);
INSERT INTO "trace" VALUES(4503603928031644,43.5621,1.42535,253);
INSERT INTO "trace" VALUES(4503603928031644,43.5608,1.42503,254);
INSERT INTO "trace" VALUES(4503603928031644,43.5598,1.42481,255);
INSERT INTO "trace" VALUES(4503603928031644,43.5594,1.42471,256);
INSERT INTO "trace" VALUES(4503603928031644,43.5593,1.42469,257);
INSERT INTO "trace" VALUES(4503603928031644,43.559,1.42461,258);
INSERT INTO "trace" VALUES(4503603928031644,43.5589,1.42461,259);
INSERT INTO "trace" VALUES(4503603928031644,43.5589,1.42465,260);
INSERT INTO "trace" VALUES(4503603928031644,43.5584,1.42509,261);
INSERT INTO "trace" VALUES(4503603928031644,43.5581,1.42533,262);
INSERT INTO "trace" VALUES(4503603928031644,43.558,1.42542,263);
INSERT INTO "trace" VALUES(4503603928031644,43.558,1.42547,264);
INSERT INTO "trace" VALUES(4503603928031644,43.5579,1.42556,265);
INSERT INTO "trace" VALUES(4503603928031644,43.5579,1.42617,266);
INSERT INTO "trace" VALUES(4503603928031644,43.5578,1.42701,267);
INSERT INTO "trace" VALUES(4503603928031644,43.5578,1.42702,268);
INSERT INTO "trace" VALUES(4503603928031644,43.5576,1.42979,269);
INSERT INTO "trace" VALUES(4503603928031644,43.5576,1.4301,270);
INSERT INTO "trace" VALUES(4503603928031644,43.5575,1.43043,271);
INSERT INTO "trace" VALUES(4503603928031644,43.5574,1.43157,272);
INSERT INTO "trace" VALUES(4503603928031644,43.5574,1.4317,273);
INSERT INTO "trace" VALUES(4503603928031644,43.5574,1.43177,274);
INSERT INTO "trace" VALUES(4503603928031644,43.5573,1.43188,275);
INSERT INTO "trace" VALUES(4503603928031644,43.5572,1.43191,276);
INSERT INTO "trace" VALUES(4503603928031644,43.5571,1.43193,277);
INSERT INTO "trace" VALUES(4503603928031644,43.5568,1.43193,278);
INSERT INTO "trace" VALUES(4503603928031644,43.5566,1.43193,279);
INSERT INTO "trace" VALUES(4503603928031644,43.5563,1.43188,280);
INSERT INTO "trace" VALUES(4503603928031644,43.5558,1.4318,281);
INSERT INTO "trace" VALUES(4503603928031644,43.5556,1.43177,282);
INSERT INTO "trace" VALUES(4503603928031644,43.5555,1.4318,283);
INSERT INTO "trace" VALUES(4503603928031644,43.5555,1.43188,284);
INSERT INTO "trace" VALUES(4503603928031644,43.5554,1.43199,285);
INSERT INTO "trace" VALUES(4503603928031644,43.5553,1.43326,286);
INSERT INTO "trace" VALUES(4503603928031644,43.5553,1.43331,287);
INSERT INTO "trace" VALUES(4503603928031644,43.5553,1.43336,288);
INSERT INTO "trace" VALUES(4503603928031644,43.5552,1.43338,289);
INSERT INTO "trace" VALUES(4503603928031644,43.5552,1.43338,290);
INSERT INTO "trace" VALUES(4503603928031644,43.5542,1.43321,291);
INSERT INTO "trace" VALUES(4503603928031644,43.5542,1.43319,292);
INSERT INTO "trace" VALUES(4503603928031644,43.5541,1.43315,293);
INSERT INTO "trace" VALUES(4503603928031644,43.5541,1.43307,294);
INSERT INTO "trace" VALUES(4503603928031644,43.5542,1.43217,295);
INSERT INTO "trace" VALUES(4503603928031644,43.5542,1.43207,296);
INSERT INTO "trace" VALUES(4503603928031644,43.5543,1.432,297);
INSERT INTO "trace" VALUES(4503603928031644,43.5543,1.43197,298);
INSERT INTO "trace" VALUES(4503603928031668,43.5543,1.43197,0);
INSERT INTO "trace" VALUES(4503603928031668,43.5544,1.43185,1);
INSERT INTO "trace" VALUES(4503603928031668,43.5545,1.43185,2);
INSERT INTO "trace" VALUES(4503603928031668,43.5547,1.43188,3);
INSERT INTO "trace" VALUES(4503603928031668,43.5547,1.43189,4);
INSERT INTO "trace" VALUES(4503603928031668,43.5548,1.4319,5);
INSERT INTO "trace" VALUES(4503603928031668,43.5549,1.43191,6);
INSERT INTO "trace" VALUES(4503603928031668,43.5549,1.4319,7);
INSERT INTO "trace" VALUES(4503603928031668,43.5549,1.43187,8);
INSERT INTO "trace" VALUES(4503603928031668,43.555,1.43183,9);
INSERT INTO "trace" VALUES(4503603928031668,43.555,1.43175,10);
INSERT INTO "trace" VALUES(4503603928031668,43.555,1.43169,11);
INSERT INTO "trace" VALUES(4503603928031668,43.5556,1.43177,12);
INSERT INTO "trace" VALUES(4503603928031668,43.5558,1.4318,13);
INSERT INTO "trace" VALUES(4503603928031668,43.5563,1.43188,14);
INSERT INTO "trace" VALUES(4503603928031668,43.5566,1.43193,15);
INSERT INTO "trace" VALUES(4503603928031668,43.5568,1.43193,16);
INSERT INTO "trace" VALUES(4503603928031668,43.5571,1.43193,17);
INSERT INTO "trace" VALUES(4503603928031668,43.5572,1.43191,18);
INSERT INTO "trace" VALUES(4503603928031668,43.5573,1.43188,19);
INSERT INTO "trace" VALUES(4503603928031668,43.5574,1.43177,20);
INSERT INTO "trace" VALUES(4503603928031668,43.5574,1.4317,21);
INSERT INTO "trace" VALUES(4503603928031668,43.5574,1.43157,22);
INSERT INTO "trace" VALUES(4503603928031668,43.5575,1.43043,23);
INSERT INTO "trace" VALUES(4503603928031668,43.5576,1.4301,24);
INSERT INTO "trace" VALUES(4503603928031668,43.5576,1.42979,25);
INSERT INTO "trace" VALUES(4503603928031668,43.5578,1.42702,26);
INSERT INTO "trace" VALUES(4503603928031668,43.5578,1.42701,27);
INSERT INTO "trace" VALUES(4503603928031668,43.5579,1.42617,28);
INSERT INTO "trace" VALUES(4503603928031668,43.5579,1.42556,29);
INSERT INTO "trace" VALUES(4503603928031668,43.558,1.42547,30);
INSERT INTO "trace" VALUES(4503603928031668,43.558,1.42542,31);
INSERT INTO "trace" VALUES(4503603928031668,43.5581,1.42533,32);
INSERT INTO "trace" VALUES(4503603928031668,43.5584,1.42509,33);
INSERT INTO "trace" VALUES(4503603928031668,43.5589,1.42465,34);
INSERT INTO "trace" VALUES(4503603928031668,43.5589,1.42461,35);
INSERT INTO "trace" VALUES(4503603928031668,43.559,1.42461,36);
INSERT INTO "trace" VALUES(4503603928031668,43.5593,1.42469,37);
INSERT INTO "trace" VALUES(4503603928031668,43.5594,1.42471,38);
INSERT INTO "trace" VALUES(4503603928031668,43.5594,1.42471,39);
INSERT INTO "trace" VALUES(4503603928031668,43.5598,1.42481,40);
INSERT INTO "trace" VALUES(4503603928031668,43.5608,1.42503,41);
INSERT INTO "trace" VALUES(4503603928031668,43.5621,1.42535,42);
INSERT INTO "trace" VALUES(4503603928031668,43.5625,1.42541,43);
INSERT INTO "trace" VALUES(4503603928031668,43.5626,1.42544,44);
INSERT INTO "trace" VALUES(4503603928031668,43.5626,1.42554,45);
INSERT INTO "trace" VALUES(4503603928031668,43.5628,1.42568,46);
INSERT INTO "trace" VALUES(4503603928031668,43.5629,1.42576,47);
INSERT INTO "trace" VALUES(4503603928031668,43.563,1.42577,48);
INSERT INTO "trace" VALUES(4503603928031668,43.563,1.42577,49);
INSERT INTO "trace" VALUES(4503603928031668,43.5631,1.42573,50);
INSERT INTO "trace" VALUES(4503603928031668,43.5632,1.42568,51);
INSERT INTO "trace" VALUES(4503603928031668,43.5633,1.42559,52);
INSERT INTO "trace" VALUES(4503603928031668,43.5634,1.42546,53);
INSERT INTO "trace" VALUES(4503603928031668,43.5634,1.42538,54);
INSERT INTO "trace" VALUES(4503603928031668,43.5635,1.42534,55);
INSERT INTO "trace" VALUES(4503603928031668,43.5636,1.42533,56);
INSERT INTO "trace" VALUES(4503603928031668,43.5638,1.42532,57);
INSERT INTO "trace" VALUES(4503603928031668,43.5668,1.42505,58);
INSERT INTO "trace" VALUES(4503603928031668,43.567,1.42504,59);
INSERT INTO "trace" VALUES(4503603928031668,43.5671,1.42507,60);
INSERT INTO "trace" VALUES(4503603928031668,43.5671,1.42508,61);
INSERT INTO "trace" VALUES(4503603928031668,43.5672,1.42507,62);
INSERT INTO "trace" VALUES(4503603928031668,43.5672,1.42506,63);
INSERT INTO "trace" VALUES(4503603928031668,43.5672,1.42503,64);
INSERT INTO "trace" VALUES(4503603928031668,43.5673,1.42496,65);
INSERT INTO "trace" VALUES(4503603928031668,43.5673,1.42483,66);
INSERT INTO "trace" VALUES(4503603928031668,43.5674,1.42478,67);
INSERT INTO "trace" VALUES(4503603928031668,43.5674,1.42473,68);
INSERT INTO "trace" VALUES(4503603928031668,43.5675,1.42472,69);
INSERT INTO "trace" VALUES(4503603928031668,43.5676,1.42472,70);
INSERT INTO "trace" VALUES(4503603928031668,43.5676,1.42472,71);
INSERT INTO "trace" VALUES(4503603928031668,43.5679,1.42469,72);
INSERT INTO "trace" VALUES(4503603928031668,43.5683,1.42463,73);
INSERT INTO "trace" VALUES(4503603928031668,43.5684,1.42465,74);
INSERT INTO "trace" VALUES(4503603928031668,43.5684,1.42465,75);
INSERT INTO "trace" VALUES(4503603928031668,43.5685,1.42465,76);
INSERT INTO "trace" VALUES(4503603928031668,43.569,1.42459,77);
INSERT INTO "trace" VALUES(4503603928031668,43.5691,1.42469,78);
INSERT INTO "trace" VALUES(4503603928031668,43.5691,1.42473,79);
INSERT INTO "trace" VALUES(4503603928031668,43.5691,1.42475,80);
INSERT INTO "trace" VALUES(4503603928031668,43.5692,1.42475,81);
INSERT INTO "trace" VALUES(4503603928031668,43.5692,1.42474,82);
INSERT INTO "trace" VALUES(4503603928031668,43.5693,1.4247,83);
INSERT INTO "trace" VALUES(4503603928031668,43.5693,1.42462,84);
INSERT INTO "trace" VALUES(4503603928031668,43.5695,1.42464,85);
INSERT INTO "trace" VALUES(4503603928031668,43.5696,1.42464,86);
INSERT INTO "trace" VALUES(4503603928031668,43.5697,1.42462,87);
INSERT INTO "trace" VALUES(4503603928031668,43.5699,1.42457,88);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.42462,89);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.42467,90);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.42468,91);
INSERT INTO "trace" VALUES(4503603928031668,43.5701,1.42467,92);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.42465,93);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.42459,94);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.4245,95);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.42444,96);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.42438,97);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.42433,98);
INSERT INTO "trace" VALUES(4503603928031668,43.5701,1.4243,99);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.4243,100);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.42431,101);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.42418,102);
INSERT INTO "trace" VALUES(4503603928031668,43.5699,1.42409,103);
INSERT INTO "trace" VALUES(4503603928031668,43.5698,1.42395,104);
INSERT INTO "trace" VALUES(4503603928031668,43.5697,1.42378,105);
INSERT INTO "trace" VALUES(4503603928031668,43.5696,1.42355,106);
INSERT INTO "trace" VALUES(4503603928031668,43.5697,1.4232,107);
INSERT INTO "trace" VALUES(4503603928031668,43.5697,1.42307,108);
INSERT INTO "trace" VALUES(4503603928031668,43.5697,1.42299,109);
INSERT INTO "trace" VALUES(4503603928031668,43.5698,1.42289,110);
INSERT INTO "trace" VALUES(4503603928031668,43.5699,1.42275,111);
INSERT INTO "trace" VALUES(4503603928031668,43.5699,1.42272,112);
INSERT INTO "trace" VALUES(4503603928031668,43.5704,1.42046,113);
INSERT INTO "trace" VALUES(4503603928031668,43.5705,1.42005,114);
INSERT INTO "trace" VALUES(4503603928031668,43.5706,1.41992,115);
INSERT INTO "trace" VALUES(4503603928031668,43.5706,1.41983,116);
INSERT INTO "trace" VALUES(4503603928031668,43.5706,1.41969,117);
INSERT INTO "trace" VALUES(4503603928031668,43.5707,1.41955,118);
INSERT INTO "trace" VALUES(4503603928031668,43.5703,1.41934,119);
INSERT INTO "trace" VALUES(4503603928031668,43.5699,1.41916,120);
INSERT INTO "trace" VALUES(4503603928031668,43.5696,1.41899,121);
INSERT INTO "trace" VALUES(4503603928031668,43.5698,1.41789,122);
INSERT INTO "trace" VALUES(4503603928031668,43.57,1.4174,123);
INSERT INTO "trace" VALUES(4503603928031668,43.5701,1.41678,124);
INSERT INTO "trace" VALUES(4503603928031668,43.5702,1.41647,125);
INSERT INTO "trace" VALUES(4503603928031668,43.5703,1.41619,126);
INSERT INTO "trace" VALUES(4503603928031668,43.5707,1.4166,127);
INSERT INTO "trace" VALUES(4503603928031668,43.5707,1.41668,128);
INSERT INTO "trace" VALUES(4503603928031668,43.5708,1.41685,129);
INSERT INTO "trace" VALUES(4503603928031668,43.5711,1.4172,130);
INSERT INTO "trace" VALUES(4503603928031668,43.5713,1.41745,131);
INSERT INTO "trace" VALUES(4503603928031668,43.5715,1.41767,132);
INSERT INTO "trace" VALUES(4503603928031668,43.5719,1.41797,133);
INSERT INTO "trace" VALUES(4503603928031668,43.5721,1.41811,134);
INSERT INTO "trace" VALUES(4503603928031668,43.5725,1.41842,135);
INSERT INTO "trace" VALUES(4503603928031668,43.5727,1.41765,136);
INSERT INTO "trace" VALUES(4503603928031668,43.5728,1.41732,137);
INSERT INTO "trace" VALUES(4503603928031668,43.5728,1.41723,138);
INSERT INTO "trace" VALUES(4503603928031668,43.5729,1.41695,139);
INSERT INTO "trace" VALUES(4503603928031668,43.573,1.41656,140);
INSERT INTO "trace" VALUES(4503603928031668,43.5731,1.41614,141);
INSERT INTO "trace" VALUES(4503603928031668,43.5731,1.41594,142);
INSERT INTO "trace" VALUES(4503603928031668,43.5732,1.41553,143);
INSERT INTO "trace" VALUES(4503603928031668,43.5733,1.41529,144);
INSERT INTO "trace" VALUES(4503603928031668,43.5735,1.41466,145);
INSERT INTO "trace" VALUES(4503603928031668,43.5737,1.41377,146);
INSERT INTO "trace" VALUES(4503603928031668,43.574,1.41266,147);
INSERT INTO "trace" VALUES(4503603928031668,43.5741,1.41231,148);
INSERT INTO "trace" VALUES(4503603928031668,43.5742,1.41195,149);
INSERT INTO "trace" VALUES(4503603928031668,43.5745,1.41081,150);
INSERT INTO "trace" VALUES(4503603928031668,43.5748,1.411,151);
INSERT INTO "trace" VALUES(4503603928031668,43.5748,1.41101,152);
INSERT INTO "trace" VALUES(4503603928031668,43.5751,1.41117,153);
INSERT INTO "trace" VALUES(4503603928031668,43.5755,1.41141,154);
INSERT INTO "trace" VALUES(4503603928031668,43.5758,1.41159,155);
INSERT INTO "trace" VALUES(4503603928031668,43.576,1.4117,156);
INSERT INTO "trace" VALUES(4503603928031668,43.5762,1.41183,157);
INSERT INTO "trace" VALUES(4503603928031668,43.5761,1.41223,158);
INSERT INTO "trace" VALUES(4503603928031668,43.5764,1.41218,159);
INSERT INTO "trace" VALUES(4503603928031668,43.5765,1.41216,160);
INSERT INTO "trace" VALUES(4503603928031668,43.5766,1.4121,161);
INSERT INTO "trace" VALUES(4503603928031668,43.5766,1.41202,162);
INSERT INTO "trace" VALUES(4503603928031668,43.5769,1.41091,163);
INSERT INTO "trace" VALUES(4503603928031668,43.5773,1.40984,164);
INSERT INTO "trace" VALUES(4503603928031668,43.5774,1.4093,165);
INSERT INTO "trace" VALUES(4503603928031668,43.5775,1.40912,166);
INSERT INTO "trace" VALUES(4503603928031668,43.5776,1.40888,167);
INSERT INTO "trace" VALUES(4503603928031668,43.5776,1.40871,168);
INSERT INTO "trace" VALUES(4503603928031668,43.5778,1.40861,169);
INSERT INTO "trace" VALUES(4503603928031668,43.5783,1.40967,170);
INSERT INTO "trace" VALUES(4503603928031668,43.5787,1.41034,171);
INSERT INTO "trace" VALUES(4503603928031668,43.5791,1.41105,172);
INSERT INTO "trace" VALUES(4503603928031668,43.5791,1.41109,173);
INSERT INTO "trace" VALUES(4503603928031668,43.5792,1.41109,174);
INSERT INTO "trace" VALUES(4503603928031668,43.5792,1.41118,175);
INSERT INTO "trace" VALUES(4503603928031668,43.5794,1.41146,176);
INSERT INTO "trace" VALUES(4503603928031668,43.5797,1.41189,177);
INSERT INTO "trace" VALUES(4503603928031668,43.5797,1.41195,178);
INSERT INTO "trace" VALUES(4503603928031668,43.58,1.41225,179);
INSERT INTO "trace" VALUES(4503603928031668,43.5801,1.41164,180);
INSERT INTO "trace" VALUES(4503603928031668,43.5803,1.41111,181);
INSERT INTO "trace" VALUES(4503603928031668,43.5805,1.41024,182);
INSERT INTO "trace" VALUES(4503603928031668,43.5807,1.40948,183);
INSERT INTO "trace" VALUES(4503603928031668,43.5807,1.40947,184);
INSERT INTO "trace" VALUES(4503603928031668,43.5809,1.40896,185);
INSERT INTO "trace" VALUES(4503603928031668,43.581,1.40839,186);
INSERT INTO "trace" VALUES(4503603928031668,43.5811,1.40833,187);
INSERT INTO "trace" VALUES(4503603928031668,43.5811,1.40837,188);
INSERT INTO "trace" VALUES(4503603928031668,43.5812,1.40839,189);
INSERT INTO "trace" VALUES(4503603928031668,43.5812,1.40839,190);
INSERT INTO "trace" VALUES(4503603928031668,43.5812,1.40838,191);
INSERT INTO "trace" VALUES(4503603928031668,43.5813,1.40835,192);
INSERT INTO "trace" VALUES(4503603928031668,43.5813,1.4083,193);
INSERT INTO "trace" VALUES(4503603928031668,43.5813,1.40825,194);
INSERT INTO "trace" VALUES(4503603928031668,43.5813,1.4082,195);
INSERT INTO "trace" VALUES(4503603928031668,43.5813,1.40814,196);
INSERT INTO "trace" VALUES(4503603928031668,43.5813,1.4081,197);
INSERT INTO "trace" VALUES(4503603928031668,43.5816,1.40793,198);
INSERT INTO "trace" VALUES(4503603928031668,43.5819,1.40776,199);
INSERT INTO "trace" VALUES(4503603928031668,43.5819,1.40773,200);
INSERT INTO "trace" VALUES(4503603928031668,43.5824,1.40746,201);
INSERT INTO "trace" VALUES(4503603928031668,43.5824,1.40749,202);
INSERT INTO "trace" VALUES(4503603928031668,43.5824,1.40754,203);
INSERT INTO "trace" VALUES(4503603928031668,43.5824,1.40758,204);
INSERT INTO "trace" VALUES(4503603928031668,43.5825,1.4076,205);
INSERT INTO "trace" VALUES(4503603928031668,43.5825,1.40759,206);
INSERT INTO "trace" VALUES(4503603928031668,43.5826,1.40756,207);
INSERT INTO "trace" VALUES(4503603928031668,43.5826,1.40752,208);
INSERT INTO "trace" VALUES(4503603928031668,43.5826,1.40746,209);
INSERT INTO "trace" VALUES(4503603928031668,43.5826,1.4074,210);
INSERT INTO "trace" VALUES(4503603928031668,43.5826,1.40734,211);
INSERT INTO "trace" VALUES(4503603928031668,43.5828,1.40723,212);
INSERT INTO "trace" VALUES(4503603928031668,43.5829,1.40725,213);
INSERT INTO "trace" VALUES(4503603928031668,43.583,1.40725,214);
INSERT INTO "trace" VALUES(4503603928031668,43.5834,1.40694,215);
INSERT INTO "trace" VALUES(4503603928031668,43.5838,1.40666,216);
INSERT INTO "trace" VALUES(4503603928031668,43.5839,1.40675,217);
INSERT INTO "trace" VALUES(4503603928031668,43.5841,1.40723,218);
INSERT INTO "trace" VALUES(4503603928031668,43.5842,1.40734,219);
INSERT INTO "trace" VALUES(4503603928031668,43.5842,1.40746,220);
INSERT INTO "trace" VALUES(4503603928031668,43.5843,1.40762,221);
INSERT INTO "trace" VALUES(4503603928031668,43.5843,1.40784,222);
INSERT INTO "trace" VALUES(4503603928031668,43.5844,1.40794,223);
INSERT INTO "trace" VALUES(4503603928031668,43.5846,1.40817,224);
INSERT INTO "trace" VALUES(4503603928031668,43.5847,1.40844,225);
INSERT INTO "trace" VALUES(4503603928031668,43.5848,1.40896,226);
INSERT INTO "trace" VALUES(4503603928031668,43.585,1.40982,227);
INSERT INTO "trace" VALUES(4503603928031668,43.585,1.41001,228);
INSERT INTO "trace" VALUES(4503603928031668,43.5851,1.41021,229);
INSERT INTO "trace" VALUES(4503603928031668,43.5851,1.41034,230);
INSERT INTO "trace" VALUES(4503603928031668,43.5851,1.41052,231);
INSERT INTO "trace" VALUES(4503603928031668,43.5852,1.41099,232);
INSERT INTO "trace" VALUES(4503603928031668,43.5854,1.41198,233);
INSERT INTO "trace" VALUES(4503603928031668,43.5855,1.41236,234);
INSERT INTO "trace" VALUES(4503603928031668,43.5856,1.41274,235);
INSERT INTO "trace" VALUES(4503603928031668,43.5857,1.41316,236);
INSERT INTO "trace" VALUES(4503603928031668,43.5859,1.41356,237);
INSERT INTO "trace" VALUES(4503603928031668,43.586,1.4139,238);
INSERT INTO "trace" VALUES(4503603928031668,43.5862,1.41437,239);
INSERT INTO "trace" VALUES(4503603928031668,43.5866,1.4154,240);
INSERT INTO "trace" VALUES(4503603928031668,43.5872,1.41675,241);
INSERT INTO "trace" VALUES(4503603928031668,43.5874,1.4174,242);
INSERT INTO "trace" VALUES(4503603928031668,43.5876,1.41816,243);
INSERT INTO "trace" VALUES(4503603928031668,43.5877,1.41823,244);
INSERT INTO "trace" VALUES(4503603928031668,43.5878,1.41858,245);
INSERT INTO "trace" VALUES(4503603928031668,43.5878,1.41868,246);
INSERT INTO "trace" VALUES(4503603928031668,43.5883,1.42044,247);
INSERT INTO "trace" VALUES(4503603928031668,43.5885,1.42084,248);
INSERT INTO "trace" VALUES(4503603928031668,43.5886,1.42099,249);
INSERT INTO "trace" VALUES(4503603928031668,43.5887,1.42114,250);
INSERT INTO "trace" VALUES(4503603928031668,43.5889,1.42136,251);
INSERT INTO "trace" VALUES(4503603928031668,43.5894,1.42191,252);
INSERT INTO "trace" VALUES(4503603928031668,43.5898,1.42252,253);
INSERT INTO "trace" VALUES(4503603928031668,43.5899,1.42261,254);
INSERT INTO "trace" VALUES(4503603928031668,43.59,1.42278,255);
INSERT INTO "trace" VALUES(4503603928031668,43.5902,1.42332,256);
INSERT INTO "trace" VALUES(4503603928031668,43.5904,1.42354,257);
INSERT INTO "trace" VALUES(4503603928031668,43.591,1.42467,258);
INSERT INTO "trace" VALUES(4503603928031668,43.5911,1.42484,259);
INSERT INTO "trace" VALUES(4503603928031668,43.5911,1.42491,260);
INSERT INTO "trace" VALUES(4503603928031668,43.5912,1.42515,261);
INSERT INTO "trace" VALUES(4503603928031668,43.5919,1.42659,262);
INSERT INTO "trace" VALUES(4503603928031668,43.5922,1.42707,263);
INSERT INTO "trace" VALUES(4503603928031668,43.5924,1.4274,264);
INSERT INTO "trace" VALUES(4503603928031668,43.5924,1.42748,265);
INSERT INTO "trace" VALUES(4503603928031668,43.5925,1.42768,266);
INSERT INTO "trace" VALUES(4503603928031668,43.5926,1.42782,267);
INSERT INTO "trace" VALUES(4503603928031668,43.5931,1.42852,268);
INSERT INTO "trace" VALUES(4503603928031668,43.5936,1.42929,269);
INSERT INTO "trace" VALUES(4503603928031668,43.5936,1.42933,270);
INSERT INTO "trace" VALUES(4503603928031668,43.5936,1.42938,271);
INSERT INTO "trace" VALUES(4503603928031668,43.5936,1.42943,272);
INSERT INTO "trace" VALUES(4503603928031668,43.5936,1.42947,273);
INSERT INTO "trace" VALUES(4503603928031668,43.5936,1.42948,274);
INSERT INTO "trace" VALUES(4503603928031668,43.5937,1.42947,275);
INSERT INTO "trace" VALUES(4503603928031668,43.5937,1.42943,276);
INSERT INTO "trace" VALUES(4503603928031668,43.5938,1.42953,277);
INSERT INTO "trace" VALUES(4503603928031668,43.5939,1.42962,278);
INSERT INTO "trace" VALUES(4503603928031668,43.5941,1.42992,279);
INSERT INTO "trace" VALUES(4503603928031668,43.5942,1.43006,280);
INSERT INTO "trace" VALUES(4503603928031668,43.5942,1.43012,281);
INSERT INTO "trace" VALUES(4503603928031668,43.5943,1.43018,282);
INSERT INTO "trace" VALUES(4503603928031668,43.5943,1.43026,283);
INSERT INTO "trace" VALUES(4503603928031668,43.5945,1.43048,284);
INSERT INTO "trace" VALUES(4503603928031668,43.5946,1.43056,285);
INSERT INTO "trace" VALUES(4503603928031668,43.5947,1.43065,286);
INSERT INTO "trace" VALUES(4503603928031668,43.5948,1.4307,287);
INSERT INTO "trace" VALUES(4503603928031668,43.5949,1.43079,288);
INSERT INTO "trace" VALUES(4503603928031668,43.5952,1.431,289);
INSERT INTO "trace" VALUES(4503603928031668,43.5954,1.43121,290);
INSERT INTO "trace" VALUES(4503603928031668,43.5956,1.43132,291);
INSERT INTO "trace" VALUES(4503603928031668,43.5956,1.43134,292);
INSERT INTO "trace" VALUES(4503603928031668,43.5957,1.43136,293);
INSERT INTO "trace" VALUES(4503603928031668,43.5957,1.43138,294);
INSERT INTO "trace" VALUES(4503603928031668,43.5958,1.43142,295);
INSERT INTO "trace" VALUES(4503603928031668,43.596,1.43216,296);
INSERT INTO "trace" VALUES(4503603928031668,43.5962,1.43203,297);
INSERT INTO "trace" VALUES(4503603928031668,43.5963,1.43198,298);
INSERT INTO "trace" VALUES(4503603928031668,43.5963,1.43193,299);
INSERT INTO "trace" VALUES(4503603928031668,43.5965,1.43188,300);
INSERT INTO "trace" VALUES(4503603928031668,43.5971,1.43147,301);
INSERT INTO "trace" VALUES(4503603928031668,43.5975,1.43119,302);
INSERT INTO "trace" VALUES(4503603928031668,43.5976,1.43108,303);
INSERT INTO "trace" VALUES(4503603928031668,43.5978,1.43097,304);
INSERT INTO "trace" VALUES(4503603928031668,43.5979,1.43135,305);
INSERT INTO "trace" VALUES(4503603928031668,43.5979,1.43175,306);
INSERT INTO "trace" VALUES(4503603928031668,43.598,1.43205,307);
INSERT INTO "trace" VALUES(4503603928031668,43.5981,1.43211,308);
INSERT INTO "trace" VALUES(4503603928031668,43.5981,1.43201,309);
INSERT INTO "trace" VALUES(4503603928031668,43.598,1.4313,310);
INSERT INTO "trace" VALUES(4503603928031668,43.598,1.43085,311);
INSERT INTO "trace" VALUES(4503603928031668,43.5979,1.4308,312);
INSERT INTO "trace" VALUES(4503603928031668,43.5979,1.43076,313);
INSERT INTO "trace" VALUES(4503603928031668,43.5979,1.43073,314);
INSERT INTO "trace" VALUES(4503603928031668,43.5979,1.4307,315);
INSERT INTO "trace" VALUES(4503603928031668,43.5978,1.43069,316);
INSERT INTO "trace" VALUES(4503603928031668,43.5976,1.4309,317);
INSERT INTO "trace" VALUES(4503603928031668,43.5975,1.43099,318);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.24032,0);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.24032,1);
INSERT INTO "trace" VALUES(4503603922673401,43.6168,1.24029,2);
INSERT INTO "trace" VALUES(4503603922673401,43.6167,1.24026,3);
INSERT INTO "trace" VALUES(4503603922673401,43.6167,1.24043,4);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.24068,5);
INSERT INTO "trace" VALUES(4503603922673401,43.617,1.24082,6);
INSERT INTO "trace" VALUES(4503603922673401,43.6171,1.24073,7);
INSERT INTO "trace" VALUES(4503603922673401,43.6171,1.24111,8);
INSERT INTO "trace" VALUES(4503603922673401,43.6171,1.24145,9);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.24275,10);
INSERT INTO "trace" VALUES(4503603922673401,43.6166,1.24444,11);
INSERT INTO "trace" VALUES(4503603922673401,43.6165,1.24484,12);
INSERT INTO "trace" VALUES(4503603922673401,43.6161,1.24617,13);
INSERT INTO "trace" VALUES(4503603922673401,43.616,1.24657,14);
INSERT INTO "trace" VALUES(4503603922673401,43.6159,1.24731,15);
INSERT INTO "trace" VALUES(4503603922673401,43.6159,1.24794,16);
INSERT INTO "trace" VALUES(4503603922673401,43.6159,1.24839,17);
INSERT INTO "trace" VALUES(4503603922673401,43.6159,1.2486,18);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.24909,19);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.2496,20);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.24978,21);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25002,22);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25003,23);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.2501,24);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25017,25);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25035,26);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25055,27);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.25098,28);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.25116,29);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.25147,30);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.25162,31);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25246,32);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25277,33);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25384,34);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.25412,35);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.25489,36);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.2557,37);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.25596,38);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.25641,39);
INSERT INTO "trace" VALUES(4503603922673401,43.6159,1.25703,40);
INSERT INTO "trace" VALUES(4503603922673401,43.6163,1.25795,41);
INSERT INTO "trace" VALUES(4503603922673401,43.6165,1.25841,42);
INSERT INTO "trace" VALUES(4503603922673401,43.6163,1.2588,43);
INSERT INTO "trace" VALUES(4503603922673401,43.6161,1.25898,44);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.25958,45);
INSERT INTO "trace" VALUES(4503603922673401,43.6154,1.25989,46);
INSERT INTO "trace" VALUES(4503603922673401,43.6151,1.26007,47);
INSERT INTO "trace" VALUES(4503603922673401,43.6141,1.26054,48);
INSERT INTO "trace" VALUES(4503603922673401,43.6137,1.26081,49);
INSERT INTO "trace" VALUES(4503603922673401,43.6134,1.26108,50);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.26193,51);
INSERT INTO "trace" VALUES(4503603922673401,43.6107,1.26376,52);
INSERT INTO "trace" VALUES(4503603922673401,43.6101,1.26448,53);
INSERT INTO "trace" VALUES(4503603922673401,43.6101,1.26443,54);
INSERT INTO "trace" VALUES(4503603922673401,43.61,1.2644,55);
INSERT INTO "trace" VALUES(4503603922673401,43.6099,1.26444,56);
INSERT INTO "trace" VALUES(4503603922673401,43.6098,1.2645,57);
INSERT INTO "trace" VALUES(4503603922673401,43.6098,1.26464,58);
INSERT INTO "trace" VALUES(4503603922673401,43.6098,1.26476,59);
INSERT INTO "trace" VALUES(4503603922673401,43.6099,1.26481,60);
INSERT INTO "trace" VALUES(4503603922673401,43.61,1.26484,61);
INSERT INTO "trace" VALUES(4503603922673401,43.61,1.26483,62);
INSERT INTO "trace" VALUES(4503603922673401,43.6101,1.26479,63);
INSERT INTO "trace" VALUES(4503603922673401,43.6103,1.26525,64);
INSERT INTO "trace" VALUES(4503603922673401,43.6105,1.26544,65);
INSERT INTO "trace" VALUES(4503603922673401,43.6114,1.2665,66);
INSERT INTO "trace" VALUES(4503603922673401,43.6121,1.26725,67);
INSERT INTO "trace" VALUES(4503603922673401,43.6122,1.26744,68);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.26774,69);
INSERT INTO "trace" VALUES(4503603922673401,43.6127,1.26808,70);
INSERT INTO "trace" VALUES(4503603922673401,43.6128,1.26825,71);
INSERT INTO "trace" VALUES(4503603922673401,43.6128,1.26829,72);
INSERT INTO "trace" VALUES(4503603922673401,43.613,1.26863,73);
INSERT INTO "trace" VALUES(4503603922673401,43.6131,1.26899,74);
INSERT INTO "trace" VALUES(4503603922673401,43.6131,1.26925,75);
INSERT INTO "trace" VALUES(4503603922673401,43.6133,1.26974,76);
INSERT INTO "trace" VALUES(4503603922673401,43.6134,1.27046,77);
INSERT INTO "trace" VALUES(4503603922673401,43.6137,1.27107,78);
INSERT INTO "trace" VALUES(4503603922673401,43.6142,1.27227,79);
INSERT INTO "trace" VALUES(4503603922673401,43.6145,1.27297,80);
INSERT INTO "trace" VALUES(4503603922673401,43.6148,1.27401,81);
INSERT INTO "trace" VALUES(4503603922673401,43.615,1.27489,82);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27489,83);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.2749,84);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27493,85);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27497,86);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.275,87);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27506,88);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27511,89);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27513,90);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.27516,91);
INSERT INTO "trace" VALUES(4503603922673401,43.615,1.27517,92);
INSERT INTO "trace" VALUES(4503603922673401,43.615,1.27515,93);
INSERT INTO "trace" VALUES(4503603922673401,43.6153,1.27609,94);
INSERT INTO "trace" VALUES(4503603922673401,43.6153,1.27613,95);
INSERT INTO "trace" VALUES(4503603922673401,43.6154,1.27648,96);
INSERT INTO "trace" VALUES(4503603922673401,43.6155,1.2768,97);
INSERT INTO "trace" VALUES(4503603922673401,43.6156,1.27737,98);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.27757,99);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.27763,100);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.27771,101);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.27778,102);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.27781,103);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.27784,104);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.27786,105);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.27785,106);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.27785,107);
INSERT INTO "trace" VALUES(4503603922673401,43.6158,1.27783,108);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.27992,109);
INSERT INTO "trace" VALUES(4503603922673401,43.6168,1.28002,110);
INSERT INTO "trace" VALUES(4503603922673401,43.6168,1.28008,111);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.28015,112);
INSERT INTO "trace" VALUES(4503603922673401,43.617,1.28016,113);
INSERT INTO "trace" VALUES(4503603922673401,43.617,1.28073,114);
INSERT INTO "trace" VALUES(4503603922673401,43.617,1.28107,115);
INSERT INTO "trace" VALUES(4503603922673401,43.6172,1.28184,116);
INSERT INTO "trace" VALUES(4503603922673401,43.6173,1.28221,117);
INSERT INTO "trace" VALUES(4503603922673401,43.6175,1.28285,118);
INSERT INTO "trace" VALUES(4503603922673401,43.6177,1.28335,119);
INSERT INTO "trace" VALUES(4503603922673401,43.6177,1.28337,120);
INSERT INTO "trace" VALUES(4503603922673401,43.6177,1.2834,121);
INSERT INTO "trace" VALUES(4503603922673401,43.6178,1.28356,122);
INSERT INTO "trace" VALUES(4503603922673401,43.6178,1.28372,123);
INSERT INTO "trace" VALUES(4503603922673401,43.6178,1.28389,124);
INSERT INTO "trace" VALUES(4503603922673401,43.6178,1.28406,125);
INSERT INTO "trace" VALUES(4503603922673401,43.6177,1.28425,126);
INSERT INTO "trace" VALUES(4503603922673401,43.6182,1.28471,127);
INSERT INTO "trace" VALUES(4503603922673401,43.6185,1.28504,128);
INSERT INTO "trace" VALUES(4503603922673401,43.6179,1.28581,129);
INSERT INTO "trace" VALUES(4503603922673401,43.6173,1.28665,130);
INSERT INTO "trace" VALUES(4503603922673401,43.6169,1.28723,131);
INSERT INTO "trace" VALUES(4503603922673401,43.6168,1.28742,132);
INSERT INTO "trace" VALUES(4503603922673401,43.6167,1.28778,133);
INSERT INTO "trace" VALUES(4503603922673401,43.6166,1.28841,134);
INSERT INTO "trace" VALUES(4503603922673401,43.6164,1.28951,135);
INSERT INTO "trace" VALUES(4503603922673401,43.6163,1.29008,136);
INSERT INTO "trace" VALUES(4503603922673401,43.6163,1.29009,137);
INSERT INTO "trace" VALUES(4503603922673401,43.6162,1.29081,138);
INSERT INTO "trace" VALUES(4503603922673401,43.616,1.29207,139);
INSERT INTO "trace" VALUES(4503603922673401,43.6159,1.29304,140);
INSERT INTO "trace" VALUES(4503603922673401,43.6157,1.29432,141);
INSERT INTO "trace" VALUES(4503603922673401,43.6153,1.29681,142);
INSERT INTO "trace" VALUES(4503603922673401,43.6153,1.29718,143);
INSERT INTO "trace" VALUES(4503603922673401,43.6152,1.29754,144);
INSERT INTO "trace" VALUES(4503603922673401,43.6151,1.29789,145);
INSERT INTO "trace" VALUES(4503603922673401,43.6149,1.2985,146);
INSERT INTO "trace" VALUES(4503603922673401,43.6147,1.29905,147);
INSERT INTO "trace" VALUES(4503603922673401,43.6146,1.29959,148);
INSERT INTO "trace" VALUES(4503603922673401,43.6145,1.3,149);
INSERT INTO "trace" VALUES(4503603922673401,43.6145,1.30072,150);
INSERT INTO "trace" VALUES(4503603922673401,43.6145,1.30185,151);
INSERT INTO "trace" VALUES(4503603922673401,43.6145,1.30219,152);
INSERT INTO "trace" VALUES(4503603922673401,43.6144,1.3022,153);
INSERT INTO "trace" VALUES(4503603922673401,43.6143,1.30225,154);
INSERT INTO "trace" VALUES(4503603922673401,43.6143,1.30236,155);
INSERT INTO "trace" VALUES(4503603922673401,43.6143,1.30236,156);
INSERT INTO "trace" VALUES(4503603922673401,43.6143,1.30245,157);
INSERT INTO "trace" VALUES(4503603922673401,43.6143,1.30257,158);
INSERT INTO "trace" VALUES(4503603922673401,43.6144,1.30259,159);
INSERT INTO "trace" VALUES(4503603922673401,43.6144,1.3026,160);
INSERT INTO "trace" VALUES(4503603922673401,43.6141,1.30411,161);
INSERT INTO "trace" VALUES(4503603922673401,43.6139,1.30538,162);
INSERT INTO "trace" VALUES(4503603922673401,43.6138,1.30574,163);
INSERT INTO "trace" VALUES(4503603922673401,43.6138,1.30601,164);
INSERT INTO "trace" VALUES(4503603922673401,43.6135,1.30703,165);
INSERT INTO "trace" VALUES(4503603922673401,43.6134,1.30721,166);
INSERT INTO "trace" VALUES(4503603922673401,43.6132,1.30765,167);
INSERT INTO "trace" VALUES(4503603922673401,43.613,1.30797,168);
INSERT INTO "trace" VALUES(4503603922673401,43.6128,1.30835,169);
INSERT INTO "trace" VALUES(4503603922673401,43.6127,1.30865,170);
INSERT INTO "trace" VALUES(4503603922673401,43.6126,1.30863,171);
INSERT INTO "trace" VALUES(4503603922673401,43.6126,1.30865,172);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.30874,173);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.30888,174);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.30899,175);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.30912,176);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.30923,177);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.30932,178);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.30993,179);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.31032,180);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31056,181);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31224,182);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31315,183);
INSERT INTO "trace" VALUES(4503603922673401,43.6122,1.31424,184);
INSERT INTO "trace" VALUES(4503603922673401,43.6122,1.31465,185);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31502,186);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.31612,187);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.3165,188);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.31684,189);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.31721,190);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.31743,191);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.31759,192);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31767,193);
INSERT INTO "trace" VALUES(4503603922673401,43.6122,1.318,194);
INSERT INTO "trace" VALUES(4503603922673401,43.6121,1.31806,195);
INSERT INTO "trace" VALUES(4503603922673401,43.6121,1.31816,196);
INSERT INTO "trace" VALUES(4503603922673401,43.6121,1.31824,197);
INSERT INTO "trace" VALUES(4503603922673401,43.6122,1.31831,198);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31833,199);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31847,200);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31867,201);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31897,202);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.31912,203);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.31942,204);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.3195,205);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.31955,206);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.31974,207);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.32,208);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.32033,209);
INSERT INTO "trace" VALUES(4503603922673401,43.6127,1.32077,210);
INSERT INTO "trace" VALUES(4503603922673401,43.6128,1.32115,211);
INSERT INTO "trace" VALUES(4503603922673401,43.613,1.32152,212);
INSERT INTO "trace" VALUES(4503603922673401,43.613,1.32171,213);
INSERT INTO "trace" VALUES(4503603922673401,43.613,1.3221,214);
INSERT INTO "trace" VALUES(4503603922673401,43.6131,1.32232,215);
INSERT INTO "trace" VALUES(4503603922673401,43.6131,1.32253,216);
INSERT INTO "trace" VALUES(4503603922673401,43.6132,1.32263,217);
INSERT INTO "trace" VALUES(4503603922673401,43.6132,1.32267,218);
INSERT INTO "trace" VALUES(4503603922673401,43.6131,1.32274,219);
INSERT INTO "trace" VALUES(4503603922673401,43.6132,1.32286,220);
INSERT INTO "trace" VALUES(4503603922673401,43.613,1.32275,221);
INSERT INTO "trace" VALUES(4503603922673401,43.6126,1.3226,222);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.32247,223);
INSERT INTO "trace" VALUES(4503603922673401,43.612,1.32236,224);
INSERT INTO "trace" VALUES(4503603922673401,43.6116,1.32234,225);
INSERT INTO "trace" VALUES(4503603922673401,43.6113,1.32242,226);
INSERT INTO "trace" VALUES(4503603922673401,43.611,1.32253,227);
INSERT INTO "trace" VALUES(4503603922673401,43.6108,1.32283,228);
INSERT INTO "trace" VALUES(4503603922673401,43.6107,1.32306,229);
INSERT INTO "trace" VALUES(4503603922673401,43.6106,1.32321,230);
INSERT INTO "trace" VALUES(4503603922673401,43.6105,1.32351,231);
INSERT INTO "trace" VALUES(4503603922673401,43.6104,1.32368,232);
INSERT INTO "trace" VALUES(4503603922673401,43.6103,1.32388,233);
INSERT INTO "trace" VALUES(4503603922673401,43.6094,1.32609,234);
INSERT INTO "trace" VALUES(4503603922673401,43.6093,1.32621,235);
INSERT INTO "trace" VALUES(4503603922673401,43.6092,1.32629,236);
INSERT INTO "trace" VALUES(4503603922673401,43.6091,1.32633,237);
INSERT INTO "trace" VALUES(4503603922673401,43.609,1.32635,238);
INSERT INTO "trace" VALUES(4503603922673401,43.6089,1.32643,239);
INSERT INTO "trace" VALUES(4503603922673401,43.6087,1.32656,240);
INSERT INTO "trace" VALUES(4503603922673401,43.6087,1.32667,241);
INSERT INTO "trace" VALUES(4503603922673401,43.6086,1.32684,242);
INSERT INTO "trace" VALUES(4503603922673401,43.6086,1.32705,243);
INSERT INTO "trace" VALUES(4503603922673401,43.6087,1.32722,244);
INSERT INTO "trace" VALUES(4503603922673401,43.6088,1.3274,245);
INSERT INTO "trace" VALUES(4503603922673401,43.6089,1.32748,246);
INSERT INTO "trace" VALUES(4503603922673401,43.6091,1.32747,247);
INSERT INTO "trace" VALUES(4503603922673401,43.6092,1.32739,248);
INSERT INTO "trace" VALUES(4503603922673401,43.6093,1.32747,249);
INSERT INTO "trace" VALUES(4503603922673401,43.6098,1.32801,250);
INSERT INTO "trace" VALUES(4503603922673401,43.61,1.32828,251);
INSERT INTO "trace" VALUES(4503603922673401,43.6102,1.32847,252);
INSERT INTO "trace" VALUES(4503603922673401,43.6105,1.32883,253);
INSERT INTO "trace" VALUES(4503603922673401,43.6106,1.32905,254);
INSERT INTO "trace" VALUES(4503603922673401,43.6107,1.32912,255);
INSERT INTO "trace" VALUES(4503603922673401,43.6107,1.32924,256);
INSERT INTO "trace" VALUES(4503603922673401,43.6107,1.32936,257);
INSERT INTO "trace" VALUES(4503603922673401,43.6108,1.32944,258);
INSERT INTO "trace" VALUES(4503603922673401,43.6108,1.32947,259);
INSERT INTO "trace" VALUES(4503603922673401,43.6109,1.32944,260);
INSERT INTO "trace" VALUES(4503603922673401,43.611,1.32953,261);
INSERT INTO "trace" VALUES(4503603922673401,43.6113,1.32986,262);
INSERT INTO "trace" VALUES(4503603922673401,43.6115,1.33013,263);
INSERT INTO "trace" VALUES(4503603922673401,43.6117,1.33033,264);
INSERT INTO "trace" VALUES(4503603922673401,43.6117,1.33034,265);
INSERT INTO "trace" VALUES(4503603922673401,43.6118,1.33052,266);
INSERT INTO "trace" VALUES(4503603922673401,43.612,1.3307,267);
INSERT INTO "trace" VALUES(4503603922673401,43.6122,1.33082,268);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.33091,269);
INSERT INTO "trace" VALUES(4503603922673401,43.6125,1.33101,270);
INSERT INTO "trace" VALUES(4503603922673401,43.6126,1.33115,271);
INSERT INTO "trace" VALUES(4503603922673401,43.6126,1.3313,272);
INSERT INTO "trace" VALUES(4503603922673401,43.6127,1.33156,273);
INSERT INTO "trace" VALUES(4503603922673401,43.6127,1.3317,274);
INSERT INTO "trace" VALUES(4503603922673401,43.6128,1.33184,275);
INSERT INTO "trace" VALUES(4503603922673401,43.6127,1.3324,276);
INSERT INTO "trace" VALUES(4503603922673401,43.6126,1.3326,277);
INSERT INTO "trace" VALUES(4503603922673401,43.6124,1.33354,278);
INSERT INTO "trace" VALUES(4503603922673401,43.6123,1.33414,279);
INSERT INTO "trace" VALUES(4503603922673401,43.6115,1.33636,280);
INSERT INTO "trace" VALUES(4503603922673401,43.6113,1.33632,281);
INSERT INTO "trace" VALUES(4503603922673401,43.6112,1.33637,282);
INSERT INTO "trace" VALUES(4503603922673401,43.6112,1.33641,283);
INSERT INTO "trace" VALUES(4503603922673401,43.6111,1.33646,284);
INSERT INTO "trace" VALUES(4503603922673401,43.6111,1.33656,285);
INSERT INTO "trace" VALUES(4503603922673401,43.6111,1.3367,286);
INSERT INTO "trace" VALUES(4503603922673401,43.6104,1.33657,287);
INSERT INTO "trace" VALUES(4503603922673401,43.6097,1.33636,288);
INSERT INTO "trace" VALUES(4503603922673401,43.6094,1.3363,289);
INSERT INTO "trace" VALUES(4503603922673401,43.6091,1.33624,290);
INSERT INTO "trace" VALUES(4503603922673401,43.6091,1.33623,291);
INSERT INTO "trace" VALUES(4503603922673401,43.6088,1.33616,292);
INSERT INTO "trace" VALUES(4503603922673401,43.6088,1.33607,293);
INSERT INTO "trace" VALUES(4503603922673401,43.6088,1.33596,294);
INSERT INTO "trace" VALUES(4503603922673401,43.6087,1.33591,295);
INSERT INTO "trace" VALUES(4503603922673401,43.6086,1.33588,296);
INSERT INTO "trace" VALUES(4503603922673401,43.6086,1.33589,297);
INSERT INTO "trace" VALUES(4503603922673401,43.6085,1.33597,298);
INSERT INTO "trace" VALUES(4503603922673401,43.6085,1.33606,299);
INSERT INTO "trace" VALUES(4503603922673401,43.6081,1.33595,300);
INSERT INTO "trace" VALUES(4503603922673401,43.608,1.33591,301);
INSERT INTO "trace" VALUES(4503603922673401,43.6078,1.33585,302);
INSERT INTO "trace" VALUES(4503603922673401,43.6075,1.33576,303);
INSERT INTO "trace" VALUES(4503603922673401,43.6073,1.33564,304);
INSERT INTO "trace" VALUES(4503603922673401,43.6072,1.33551,305);
INSERT INTO "trace" VALUES(4503603922673401,43.6072,1.33544,306);
INSERT INTO "trace" VALUES(4503603922673401,43.6071,1.3353,307);
INSERT INTO "trace" VALUES(4503603922673401,43.6067,1.33516,308);
INSERT INTO "trace" VALUES(4503603922673401,43.6066,1.33512,309);
INSERT INTO "trace" VALUES(4503603922673401,43.6062,1.33499,310);
INSERT INTO "trace" VALUES(4503603922673401,43.6061,1.33496,311);
INSERT INTO "trace" VALUES(4503603922673401,43.606,1.33491,312);
INSERT INTO "trace" VALUES(4503603922673401,43.6053,1.33471,313);
INSERT INTO "trace" VALUES(4503603922673401,43.605,1.33476,314);
INSERT INTO "trace" VALUES(4503603922673401,43.605,1.33473,315);
INSERT INTO "trace" VALUES(4503603922673401,43.6049,1.33474,316);
INSERT INTO "trace" VALUES(4503603922673401,43.6048,1.33476,317);
INSERT INTO "trace" VALUES(4503603922673401,43.6048,1.33482,318);
INSERT INTO "trace" VALUES(4503603922673401,43.6045,1.33466,319);
INSERT INTO "trace" VALUES(4503603922673401,43.6044,1.33474,320);
INSERT INTO "trace" VALUES(4503603922673401,43.6044,1.33481,321);
INSERT INTO "trace" VALUES(4503603922673401,43.6043,1.33484,322);
INSERT INTO "trace" VALUES(4503603922673401,43.604,1.33478,323);
INSERT INTO "trace" VALUES(4503603922673401,43.604,1.33477,324);
INSERT INTO "trace" VALUES(4503603922673401,43.6039,1.33476,325);
INSERT INTO "trace" VALUES(4503603922673401,43.6039,1.33475,326);
INSERT INTO "trace" VALUES(4503603922673401,43.6038,1.33472,327);
INSERT INTO "trace" VALUES(4503603922673401,43.6038,1.33464,328);
INSERT INTO "trace" VALUES(4503603922673401,43.6038,1.33453,329);
INSERT INTO "trace" VALUES(4503603922673401,43.6039,1.33446,330);
INSERT INTO "trace" VALUES(4503603922673401,43.604,1.33446,331);
INSERT INTO "trace" VALUES(4503603922673401,43.6043,1.33456,332);
INSERT INTO "trace" VALUES(4503603922673413,43.6043,1.33456,0);
INSERT INTO "trace" VALUES(4503603922673413,43.6044,1.33462,1);
INSERT INTO "trace" VALUES(4503603922673413,43.6045,1.33466,2);
INSERT INTO "trace" VALUES(4503603922673413,43.6048,1.33482,3);
INSERT INTO "trace" VALUES(4503603922673413,43.6047,1.33488,4);
INSERT INTO "trace" VALUES(4503603922673413,43.6047,1.33497,5);
INSERT INTO "trace" VALUES(4503603922673413,43.6047,1.33507,6);
INSERT INTO "trace" VALUES(4503603922673413,43.6047,1.33516,7);
INSERT INTO "trace" VALUES(4503603922673413,43.6047,1.33528,8);
INSERT INTO "trace" VALUES(4503603922673413,43.6047,1.33535,9);
INSERT INTO "trace" VALUES(4503603922673413,43.6048,1.33542,10);
INSERT INTO "trace" VALUES(4503603922673413,43.6048,1.33546,11);
INSERT INTO "trace" VALUES(4503603922673413,43.6049,1.33549,12);
INSERT INTO "trace" VALUES(4503603922673413,43.605,1.33548,13);
INSERT INTO "trace" VALUES(4503603922673413,43.6059,1.33574,14);
INSERT INTO "trace" VALUES(4503603922673413,43.606,1.33576,15);
INSERT INTO "trace" VALUES(4503603922673413,43.6061,1.33579,16);
INSERT INTO "trace" VALUES(4503603922673413,43.6065,1.3359,17);
INSERT INTO "trace" VALUES(4503603922673413,43.6066,1.33591,18);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.33597,19);
INSERT INTO "trace" VALUES(4503603922673413,43.607,1.33596,20);
INSERT INTO "trace" VALUES(4503603922673413,43.6071,1.3359,21);
INSERT INTO "trace" VALUES(4503603922673413,43.6072,1.33576,22);
INSERT INTO "trace" VALUES(4503603922673413,43.6072,1.33551,23);
INSERT INTO "trace" VALUES(4503603922673413,43.6072,1.33544,24);
INSERT INTO "trace" VALUES(4503603922673413,43.6071,1.3353,25);
INSERT INTO "trace" VALUES(4503603922673413,43.607,1.33511,26);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.33436,27);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.33328,28);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.33282,29);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.33103,30);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.33024,31);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.32916,32);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.32856,33);
INSERT INTO "trace" VALUES(4503603922673413,43.6068,1.32839,34);
INSERT INTO "trace" VALUES(4503603922673413,43.6068,1.32827,35);
INSERT INTO "trace" VALUES(4503603922673413,43.6068,1.32752,36);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.32732,37);
INSERT INTO "trace" VALUES(4503603922673413,43.6069,1.32688,38);
INSERT INTO "trace" VALUES(4503603922673413,43.607,1.32653,39);
INSERT INTO "trace" VALUES(4503603922673413,43.6071,1.32605,40);
INSERT INTO "trace" VALUES(4503603922673413,43.6072,1.32598,41);
INSERT INTO "trace" VALUES(4503603922673413,43.6072,1.32593,42);
INSERT INTO "trace" VALUES(4503603922673413,43.6073,1.32588,43);
INSERT INTO "trace" VALUES(4503603922673413,43.6073,1.32579,44);
INSERT INTO "trace" VALUES(4503603922673413,43.6074,1.32567,45);
INSERT INTO "trace" VALUES(4503603922673413,43.6075,1.32567,46);
INSERT INTO "trace" VALUES(4503603922673413,43.6076,1.32571,47);
INSERT INTO "trace" VALUES(4503603922673413,43.6078,1.32584,48);
INSERT INTO "trace" VALUES(4503603922673413,43.6081,1.32621,49);
INSERT INTO "trace" VALUES(4503603922673413,43.6085,1.3266,50);
INSERT INTO "trace" VALUES(4503603922673413,43.6086,1.32684,51);
INSERT INTO "trace" VALUES(4503603922673413,43.6086,1.32705,52);
INSERT INTO "trace" VALUES(4503603922673413,43.6087,1.32722,53);
INSERT INTO "trace" VALUES(4503603922673413,43.6088,1.3274,54);
INSERT INTO "trace" VALUES(4503603922673413,43.6089,1.32748,55);
INSERT INTO "trace" VALUES(4503603922673413,43.6091,1.32747,56);
INSERT INTO "trace" VALUES(4503603922673413,43.6092,1.32739,57);
INSERT INTO "trace" VALUES(4503603922673413,43.6093,1.32747,58);
INSERT INTO "trace" VALUES(4503603922673413,43.6098,1.32801,59);
INSERT INTO "trace" VALUES(4503603922673413,43.61,1.32828,60);
INSERT INTO "trace" VALUES(4503603922673413,43.6102,1.32847,61);
INSERT INTO "trace" VALUES(4503603922673413,43.6105,1.32883,62);
INSERT INTO "trace" VALUES(4503603922673413,43.6106,1.32905,63);
INSERT INTO "trace" VALUES(4503603922673413,43.6107,1.32912,64);
INSERT INTO "trace" VALUES(4503603922673413,43.6107,1.32924,65);
INSERT INTO "trace" VALUES(4503603922673413,43.6107,1.32936,66);
INSERT INTO "trace" VALUES(4503603922673413,43.6108,1.32944,67);
INSERT INTO "trace" VALUES(4503603922673413,43.6108,1.32947,68);
INSERT INTO "trace" VALUES(4503603922673413,43.6109,1.32944,69);
INSERT INTO "trace" VALUES(4503603922673413,43.611,1.32953,70);
INSERT INTO "trace" VALUES(4503603922673413,43.6113,1.32986,71);
INSERT INTO "trace" VALUES(4503603922673413,43.6115,1.33013,72);
INSERT INTO "trace" VALUES(4503603922673413,43.6117,1.33033,73);
INSERT INTO "trace" VALUES(4503603922673413,43.6117,1.33034,74);
INSERT INTO "trace" VALUES(4503603922673413,43.6118,1.33052,75);
INSERT INTO "trace" VALUES(4503603922673413,43.612,1.3307,76);
INSERT INTO "trace" VALUES(4503603922673413,43.6122,1.33082,77);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.33091,78);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.33101,79);
INSERT INTO "trace" VALUES(4503603922673413,43.6126,1.33115,80);
INSERT INTO "trace" VALUES(4503603922673413,43.6126,1.3313,81);
INSERT INTO "trace" VALUES(4503603922673413,43.6127,1.33156,82);
INSERT INTO "trace" VALUES(4503603922673413,43.6127,1.3317,83);
INSERT INTO "trace" VALUES(4503603922673413,43.6128,1.33184,84);
INSERT INTO "trace" VALUES(4503603922673413,43.613,1.33185,85);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.33175,86);
INSERT INTO "trace" VALUES(4503603922673413,43.6132,1.33161,87);
INSERT INTO "trace" VALUES(4503603922673413,43.6133,1.33125,88);
INSERT INTO "trace" VALUES(4503603922673413,43.6133,1.33104,89);
INSERT INTO "trace" VALUES(4503603922673413,43.6132,1.33083,90);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.33072,91);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.33069,92);
INSERT INTO "trace" VALUES(4503603922673413,43.6132,1.3302,93);
INSERT INTO "trace" VALUES(4503603922673413,43.6133,1.32972,94);
INSERT INTO "trace" VALUES(4503603922673413,43.6134,1.32971,95);
INSERT INTO "trace" VALUES(4503603922673413,43.6134,1.32965,96);
INSERT INTO "trace" VALUES(4503603922673413,43.6135,1.32959,97);
INSERT INTO "trace" VALUES(4503603922673413,43.6135,1.32949,98);
INSERT INTO "trace" VALUES(4503603922673413,43.6137,1.32923,99);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.32906,100);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.32899,101);
INSERT INTO "trace" VALUES(4503603922673413,43.6147,1.329,102);
INSERT INTO "trace" VALUES(4503603922673413,43.6147,1.32901,103);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.32899,104);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.32894,105);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.32888,106);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.3288,107);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.32874,108);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.32857,109);
INSERT INTO "trace" VALUES(4503603922673413,43.6152,1.32816,110);
INSERT INTO "trace" VALUES(4503603922673413,43.6152,1.32806,111);
INSERT INTO "trace" VALUES(4503603922673413,43.6152,1.32801,112);
INSERT INTO "trace" VALUES(4503603922673413,43.6153,1.32779,113);
INSERT INTO "trace" VALUES(4503603922673413,43.6154,1.32766,114);
INSERT INTO "trace" VALUES(4503603922673413,43.6155,1.32732,115);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.327,116);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.32694,117);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.32649,118);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.32636,119);
INSERT INTO "trace" VALUES(4503603922673413,43.616,1.32638,120);
INSERT INTO "trace" VALUES(4503603922673413,43.616,1.32638,121);
INSERT INTO "trace" VALUES(4503603922673413,43.6161,1.32633,122);
INSERT INTO "trace" VALUES(4503603922673413,43.6161,1.32626,123);
INSERT INTO "trace" VALUES(4503603922673413,43.6161,1.32618,124);
INSERT INTO "trace" VALUES(4503603922673413,43.6161,1.32611,125);
INSERT INTO "trace" VALUES(4503603922673413,43.616,1.32608,126);
INSERT INTO "trace" VALUES(4503603922673413,43.616,1.32608,127);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.32614,128);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.32568,129);
INSERT INTO "trace" VALUES(4503603922673413,43.6154,1.32545,130);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.32482,131);
INSERT INTO "trace" VALUES(4503603922673413,43.6144,1.32427,132);
INSERT INTO "trace" VALUES(4503603922673413,43.6141,1.32389,133);
INSERT INTO "trace" VALUES(4503603922673413,43.6138,1.32355,134);
INSERT INTO "trace" VALUES(4503603922673413,43.6136,1.32288,135);
INSERT INTO "trace" VALUES(4503603922673413,43.6135,1.32278,136);
INSERT INTO "trace" VALUES(4503603922673413,43.6135,1.32274,137);
INSERT INTO "trace" VALUES(4503603922673413,43.6133,1.32262,138);
INSERT INTO "trace" VALUES(4503603922673413,43.6132,1.32263,139);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.32253,140);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.32232,141);
INSERT INTO "trace" VALUES(4503603922673413,43.613,1.3221,142);
INSERT INTO "trace" VALUES(4503603922673413,43.613,1.32171,143);
INSERT INTO "trace" VALUES(4503603922673413,43.613,1.32152,144);
INSERT INTO "trace" VALUES(4503603922673413,43.6128,1.32115,145);
INSERT INTO "trace" VALUES(4503603922673413,43.6127,1.32077,146);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.32033,147);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.32,148);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31974,149);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.3195,150);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31942,151);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31912,152);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31897,153);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31867,154);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31847,155);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31833,156);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31827,157);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.3182,158);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31811,159);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31803,160);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31797,161);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.3177,162);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31759,163);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31743,164);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.31721,165);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.31684,166);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.3165,167);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.31612,168);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31502,169);
INSERT INTO "trace" VALUES(4503603922673413,43.6122,1.31465,170);
INSERT INTO "trace" VALUES(4503603922673413,43.6122,1.31424,171);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31315,172);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31224,173);
INSERT INTO "trace" VALUES(4503603922673413,43.6123,1.31056,174);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31032,175);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.31029,176);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.30993,177);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.30932,178);
INSERT INTO "trace" VALUES(4503603922673413,43.6126,1.30938,179);
INSERT INTO "trace" VALUES(4503603922673413,43.6127,1.30937,180);
INSERT INTO "trace" VALUES(4503603922673413,43.6128,1.30928,181);
INSERT INTO "trace" VALUES(4503603922673413,43.6129,1.30916,182);
INSERT INTO "trace" VALUES(4503603922673413,43.6129,1.309,183);
INSERT INTO "trace" VALUES(4503603922673413,43.6129,1.30883,184);
INSERT INTO "trace" VALUES(4503603922673413,43.6128,1.30871,185);
INSERT INTO "trace" VALUES(4503603922673413,43.6127,1.30865,186);
INSERT INTO "trace" VALUES(4503603922673413,43.6128,1.30835,187);
INSERT INTO "trace" VALUES(4503603922673413,43.613,1.30797,188);
INSERT INTO "trace" VALUES(4503603922673413,43.6132,1.30765,189);
INSERT INTO "trace" VALUES(4503603922673413,43.6134,1.30721,190);
INSERT INTO "trace" VALUES(4503603922673413,43.6135,1.30703,191);
INSERT INTO "trace" VALUES(4503603922673413,43.6138,1.30601,192);
INSERT INTO "trace" VALUES(4503603922673413,43.6138,1.30574,193);
INSERT INTO "trace" VALUES(4503603922673413,43.6139,1.30538,194);
INSERT INTO "trace" VALUES(4503603922673413,43.6141,1.30411,195);
INSERT INTO "trace" VALUES(4503603922673413,43.6144,1.30261,196);
INSERT INTO "trace" VALUES(4503603922673413,43.6144,1.30261,197);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.30259,198);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.30252,199);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.30245,200);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.30238,201);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.30237,202);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.3023,203);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.30223,204);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.3022,205);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.30219,206);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.30185,207);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.30072,208);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.3,209);
INSERT INTO "trace" VALUES(4503603922673413,43.6146,1.29959,210);
INSERT INTO "trace" VALUES(4503603922673413,43.6147,1.29905,211);
INSERT INTO "trace" VALUES(4503603922673413,43.6149,1.2985,212);
INSERT INTO "trace" VALUES(4503603922673413,43.6151,1.29789,213);
INSERT INTO "trace" VALUES(4503603922673413,43.6152,1.29754,214);
INSERT INTO "trace" VALUES(4503603922673413,43.6153,1.29718,215);
INSERT INTO "trace" VALUES(4503603922673413,43.6153,1.29681,216);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.29432,217);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.29304,218);
INSERT INTO "trace" VALUES(4503603922673413,43.616,1.29207,219);
INSERT INTO "trace" VALUES(4503603922673413,43.6162,1.29081,220);
INSERT INTO "trace" VALUES(4503603922673413,43.6163,1.29008,221);
INSERT INTO "trace" VALUES(4503603922673413,43.6164,1.28951,222);
INSERT INTO "trace" VALUES(4503603922673413,43.6166,1.28841,223);
INSERT INTO "trace" VALUES(4503603922673413,43.6167,1.28778,224);
INSERT INTO "trace" VALUES(4503603922673413,43.6168,1.28742,225);
INSERT INTO "trace" VALUES(4503603922673413,43.6169,1.28723,226);
INSERT INTO "trace" VALUES(4503603922673413,43.6173,1.28665,227);
INSERT INTO "trace" VALUES(4503603922673413,43.6179,1.28581,228);
INSERT INTO "trace" VALUES(4503603922673413,43.6185,1.28504,229);
INSERT INTO "trace" VALUES(4503603922673413,43.6182,1.28471,230);
INSERT INTO "trace" VALUES(4503603922673413,43.6177,1.28425,231);
INSERT INTO "trace" VALUES(4503603922673413,43.6178,1.28406,232);
INSERT INTO "trace" VALUES(4503603922673413,43.6178,1.28389,233);
INSERT INTO "trace" VALUES(4503603922673413,43.6178,1.28372,234);
INSERT INTO "trace" VALUES(4503603922673413,43.6178,1.28356,235);
INSERT INTO "trace" VALUES(4503603922673413,43.6177,1.2834,236);
INSERT INTO "trace" VALUES(4503603922673413,43.6177,1.28337,237);
INSERT INTO "trace" VALUES(4503603922673413,43.6175,1.28285,238);
INSERT INTO "trace" VALUES(4503603922673413,43.6173,1.28221,239);
INSERT INTO "trace" VALUES(4503603922673413,43.6172,1.28184,240);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.28107,241);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.28073,242);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.28016,243);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.28011,244);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.28003,245);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.27995,246);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.27992,247);
INSERT INTO "trace" VALUES(4503603922673413,43.6169,1.27989,248);
INSERT INTO "trace" VALUES(4503603922673413,43.6169,1.27992,249);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.27783,250);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.27777,251);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.27769,252);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.27765,253);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.27756,254);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.27754,255);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.27757,256);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.27737,257);
INSERT INTO "trace" VALUES(4503603922673413,43.6155,1.2768,258);
INSERT INTO "trace" VALUES(4503603922673413,43.6153,1.27613,259);
INSERT INTO "trace" VALUES(4503603922673413,43.6153,1.27609,260);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.27515,261);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.27513,262);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.27509,263);
INSERT INTO "trace" VALUES(4503603922673413,43.6151,1.27504,264);
INSERT INTO "trace" VALUES(4503603922673413,43.6151,1.275,265);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.27494,266);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.27492,267);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.2749,268);
INSERT INTO "trace" VALUES(4503603922673413,43.615,1.27489,269);
INSERT INTO "trace" VALUES(4503603922673413,43.6148,1.27401,270);
INSERT INTO "trace" VALUES(4503603922673413,43.6145,1.27297,271);
INSERT INTO "trace" VALUES(4503603922673413,43.6142,1.27227,272);
INSERT INTO "trace" VALUES(4503603922673413,43.6137,1.27107,273);
INSERT INTO "trace" VALUES(4503603922673413,43.6134,1.27046,274);
INSERT INTO "trace" VALUES(4503603922673413,43.6133,1.26974,275);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.26925,276);
INSERT INTO "trace" VALUES(4503603922673413,43.6131,1.26899,277);
INSERT INTO "trace" VALUES(4503603922673413,43.613,1.26863,278);
INSERT INTO "trace" VALUES(4503603922673413,43.6128,1.26829,279);
INSERT INTO "trace" VALUES(4503603922673413,43.6127,1.26808,280);
INSERT INTO "trace" VALUES(4503603922673413,43.6124,1.26774,281);
INSERT INTO "trace" VALUES(4503603922673413,43.6122,1.26744,282);
INSERT INTO "trace" VALUES(4503603922673413,43.6121,1.26725,283);
INSERT INTO "trace" VALUES(4503603922673413,43.6114,1.2665,284);
INSERT INTO "trace" VALUES(4503603922673413,43.6105,1.26544,285);
INSERT INTO "trace" VALUES(4503603922673413,43.6103,1.26525,286);
INSERT INTO "trace" VALUES(4503603922673413,43.6101,1.26479,287);
INSERT INTO "trace" VALUES(4503603922673413,43.6101,1.26475,288);
INSERT INTO "trace" VALUES(4503603922673413,43.6101,1.26463,289);
INSERT INTO "trace" VALUES(4503603922673413,43.6101,1.26448,290);
INSERT INTO "trace" VALUES(4503603922673413,43.6107,1.26376,291);
INSERT INTO "trace" VALUES(4503603922673413,43.6125,1.26193,292);
INSERT INTO "trace" VALUES(4503603922673413,43.6134,1.26108,293);
INSERT INTO "trace" VALUES(4503603922673413,43.6137,1.26081,294);
INSERT INTO "trace" VALUES(4503603922673413,43.6141,1.26054,295);
INSERT INTO "trace" VALUES(4503603922673413,43.6151,1.26007,296);
INSERT INTO "trace" VALUES(4503603922673413,43.6154,1.25989,297);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.25958,298);
INSERT INTO "trace" VALUES(4503603922673413,43.6161,1.25898,299);
INSERT INTO "trace" VALUES(4503603922673413,43.6163,1.2588,300);
INSERT INTO "trace" VALUES(4503603922673413,43.6165,1.25841,301);
INSERT INTO "trace" VALUES(4503603922673413,43.6163,1.25795,302);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.25703,303);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.25641,304);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.25596,305);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.2557,306);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.25489,307);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25412,308);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25384,309);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25277,310);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25246,311);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.25162,312);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.25147,313);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.25116,314);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.25098,315);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25055,316);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25035,317);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25017,318);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.2501,319);
INSERT INTO "trace" VALUES(4503603922673413,43.6156,1.25002,320);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.24978,321);
INSERT INTO "trace" VALUES(4503603922673413,43.6157,1.2496,322);
INSERT INTO "trace" VALUES(4503603922673413,43.6158,1.24909,323);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.2486,324);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.24839,325);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.24794,326);
INSERT INTO "trace" VALUES(4503603922673413,43.6159,1.24731,327);
INSERT INTO "trace" VALUES(4503603922673413,43.616,1.24657,328);
INSERT INTO "trace" VALUES(4503603922673413,43.6161,1.24617,329);
INSERT INTO "trace" VALUES(4503603922673413,43.6165,1.24484,330);
INSERT INTO "trace" VALUES(4503603922673413,43.6166,1.24444,331);
INSERT INTO "trace" VALUES(4503603922673413,43.6169,1.24275,332);
INSERT INTO "trace" VALUES(4503603922673413,43.6171,1.24145,333);
INSERT INTO "trace" VALUES(4503603922673413,43.6171,1.24111,334);
INSERT INTO "trace" VALUES(4503603922673413,43.6171,1.24073,335);
INSERT INTO "trace" VALUES(4503603922673413,43.6172,1.24038,336);
INSERT INTO "trace" VALUES(4503603922673413,43.617,1.24034,337);
INSERT INTO "trace" VALUES(4503603922673413,43.6169,1.24032,338);
INSERT INTO "trace" VALUES(4503603928072201,43.6244,1.47735,0);
INSERT INTO "trace" VALUES(4503603928072201,43.6245,1.47726,1);
INSERT INTO "trace" VALUES(4503603928072201,43.6245,1.47719,2);
INSERT INTO "trace" VALUES(4503603928072201,43.6248,1.47695,3);
INSERT INTO "trace" VALUES(4503603928072201,43.6249,1.47679,4);
INSERT INTO "trace" VALUES(4503603928072201,43.6251,1.47661,5);
INSERT INTO "trace" VALUES(4503603928072201,43.6253,1.47655,6);
INSERT INTO "trace" VALUES(4503603928072201,43.6255,1.47655,7);
INSERT INTO "trace" VALUES(4503603928072201,43.6257,1.47664,8);
INSERT INTO "trace" VALUES(4503603928072201,43.6259,1.47677,9);
INSERT INTO "trace" VALUES(4503603928072201,43.6261,1.47688,10);
INSERT INTO "trace" VALUES(4503603928072201,43.6262,1.47705,11);
INSERT INTO "trace" VALUES(4503603928072201,43.6264,1.47737,12);
INSERT INTO "trace" VALUES(4503603928072201,43.6265,1.47761,13);
INSERT INTO "trace" VALUES(4503603928072201,43.6266,1.47766,14);
INSERT INTO "trace" VALUES(4503603928072201,43.6267,1.47767,15);
INSERT INTO "trace" VALUES(4503603928072201,43.6268,1.47769,16);
INSERT INTO "trace" VALUES(4503603928072201,43.6268,1.47775,17);
INSERT INTO "trace" VALUES(4503603928072201,43.6269,1.47779,18);
INSERT INTO "trace" VALUES(4503603928072201,43.6269,1.47781,19);
INSERT INTO "trace" VALUES(4503603928072201,43.627,1.4778,20);
INSERT INTO "trace" VALUES(4503603928072201,43.6271,1.47776,21);
INSERT INTO "trace" VALUES(4503603928072201,43.6271,1.47768,22);
INSERT INTO "trace" VALUES(4503603928072201,43.6271,1.47764,23);
INSERT INTO "trace" VALUES(4503603928072201,43.6272,1.47755,24);
INSERT INTO "trace" VALUES(4503603928072201,43.6272,1.47747,25);
INSERT INTO "trace" VALUES(4503603928072201,43.6274,1.47731,26);
INSERT INTO "trace" VALUES(4503603928072201,43.6281,1.47694,27);
INSERT INTO "trace" VALUES(4503603928072201,43.6286,1.47672,28);
INSERT INTO "trace" VALUES(4503603928072201,43.6288,1.47664,29);
INSERT INTO "trace" VALUES(4503603928072201,43.629,1.47656,30);
INSERT INTO "trace" VALUES(4503603928072201,43.6294,1.4764,31);
INSERT INTO "trace" VALUES(4503603928072201,43.6294,1.47639,32);
INSERT INTO "trace" VALUES(4503603928072201,43.6307,1.47572,33);
INSERT INTO "trace" VALUES(4503603928072201,43.6311,1.47548,34);
INSERT INTO "trace" VALUES(4503603928072201,43.632,1.47497,35);
INSERT INTO "trace" VALUES(4503603928072201,43.6333,1.47427,36);
INSERT INTO "trace" VALUES(4503603928072201,43.6334,1.47417,37);
INSERT INTO "trace" VALUES(4503603928072201,43.6336,1.47406,38);
INSERT INTO "trace" VALUES(4503603928072201,43.6338,1.47399,39);
INSERT INTO "trace" VALUES(4503603928072201,43.6339,1.47387,40);
INSERT INTO "trace" VALUES(4503603928072201,43.6356,1.473,41);
INSERT INTO "trace" VALUES(4503603928072201,43.6358,1.47291,42);
INSERT INTO "trace" VALUES(4503603928072201,43.6359,1.47284,43);
INSERT INTO "trace" VALUES(4503603928072201,43.6363,1.47273,44);
INSERT INTO "trace" VALUES(4503603928072201,43.6368,1.47258,45);
INSERT INTO "trace" VALUES(4503603928072201,43.6372,1.47248,46);
INSERT INTO "trace" VALUES(4503603928072201,43.6375,1.47236,47);
INSERT INTO "trace" VALUES(4503603928072201,43.6378,1.47223,48);
INSERT INTO "trace" VALUES(4503603928072201,43.638,1.47208,49);
INSERT INTO "trace" VALUES(4503603928072201,43.6382,1.47179,50);
INSERT INTO "trace" VALUES(4503603928072201,43.6385,1.47153,51);
INSERT INTO "trace" VALUES(4503603928072201,43.6387,1.47121,52);
INSERT INTO "trace" VALUES(4503603928072201,43.6389,1.47095,53);
INSERT INTO "trace" VALUES(4503603928072201,43.639,1.47076,54);
INSERT INTO "trace" VALUES(4503603928072201,43.6394,1.47033,55);
INSERT INTO "trace" VALUES(4503603928072201,43.6399,1.4699,56);
INSERT INTO "trace" VALUES(4503603928072201,43.6402,1.46966,57);
INSERT INTO "trace" VALUES(4503603928072201,43.6403,1.4696,58);
INSERT INTO "trace" VALUES(4503603928072201,43.6404,1.46947,59);
INSERT INTO "trace" VALUES(4503603928072201,43.6406,1.46928,60);
INSERT INTO "trace" VALUES(4503603928072201,43.6409,1.46898,61);
INSERT INTO "trace" VALUES(4503603928072201,43.6412,1.46859,62);
INSERT INTO "trace" VALUES(4503603928072201,43.6414,1.46814,63);
INSERT INTO "trace" VALUES(4503603928072201,43.6418,1.46752,64);
INSERT INTO "trace" VALUES(4503603928072201,43.642,1.46726,65);
INSERT INTO "trace" VALUES(4503603928072201,43.642,1.46723,66);
INSERT INTO "trace" VALUES(4503603928072201,43.6423,1.46734,67);
INSERT INTO "trace" VALUES(4503603928072201,43.6424,1.46737,68);
INSERT INTO "trace" VALUES(4503603928072201,43.6428,1.46761,69);
INSERT INTO "trace" VALUES(4503603928072201,43.6432,1.46785,70);
INSERT INTO "trace" VALUES(4503603928072201,43.6435,1.46814,71);
INSERT INTO "trace" VALUES(4503603928072201,43.6439,1.46845,72);
INSERT INTO "trace" VALUES(4503603928072201,43.6441,1.46865,73);
INSERT INTO "trace" VALUES(4503603928072201,43.6442,1.46873,74);
INSERT INTO "trace" VALUES(4503603928072201,43.6445,1.46892,75);
INSERT INTO "trace" VALUES(4503603928072201,43.6447,1.4691,76);
INSERT INTO "trace" VALUES(4503603928072201,43.6448,1.46919,77);
INSERT INTO "trace" VALUES(4503603928072201,43.6452,1.46943,78);
INSERT INTO "trace" VALUES(4503603928072201,43.6453,1.46952,79);
INSERT INTO "trace" VALUES(4503603928072201,43.6456,1.46971,80);
INSERT INTO "trace" VALUES(4503603928072201,43.646,1.46991,81);
INSERT INTO "trace" VALUES(4503603928072201,43.6463,1.47006,82);
INSERT INTO "trace" VALUES(4503603928072201,43.6465,1.47018,83);
INSERT INTO "trace" VALUES(4503603928072201,43.6467,1.47029,84);
INSERT INTO "trace" VALUES(4503603928072201,43.6469,1.4704,85);
INSERT INTO "trace" VALUES(4503603928072201,43.6471,1.47047,86);
INSERT INTO "trace" VALUES(4503603928072201,43.6471,1.47053,87);
INSERT INTO "trace" VALUES(4503603928072201,43.6471,1.47057,88);
INSERT INTO "trace" VALUES(4503603928072201,43.6472,1.4706,89);
INSERT INTO "trace" VALUES(4503603928072201,43.6472,1.47061,90);
INSERT INTO "trace" VALUES(4503603928072201,43.6473,1.4706,91);
INSERT INTO "trace" VALUES(4503603928072201,43.6475,1.47067,92);
INSERT INTO "trace" VALUES(4503603928072201,43.6475,1.47071,93);
INSERT INTO "trace" VALUES(4503603928072201,43.6481,1.47098,94);
INSERT INTO "trace" VALUES(4503603928072201,43.6486,1.47124,95);
INSERT INTO "trace" VALUES(4503603928072201,43.6488,1.47135,96);
INSERT INTO "trace" VALUES(4503603928072201,43.649,1.47147,97);
INSERT INTO "trace" VALUES(4503603928072201,43.6492,1.47157,98);
INSERT INTO "trace" VALUES(4503603928072201,43.6495,1.47178,99);
INSERT INTO "trace" VALUES(4503603928072201,43.6498,1.472,100);
INSERT INTO "trace" VALUES(4503603928072201,43.65,1.47215,101);
INSERT INTO "trace" VALUES(4503603928072201,43.6503,1.4723,102);
INSERT INTO "trace" VALUES(4503603928072201,43.6503,1.47231,103);
INSERT INTO "trace" VALUES(4503603928072201,43.6504,1.47239,104);
INSERT INTO "trace" VALUES(4503603928072201,43.6507,1.47258,105);
INSERT INTO "trace" VALUES(4503603928072201,43.6509,1.47264,106);
INSERT INTO "trace" VALUES(4503603928072201,43.6515,1.47302,107);
INSERT INTO "trace" VALUES(4503603928072201,43.6521,1.4735,108);
INSERT INTO "trace" VALUES(4503603928072201,43.6528,1.47409,109);
INSERT INTO "trace" VALUES(4503603928072201,43.6533,1.47445,110);
INSERT INTO "trace" VALUES(4503603928072201,43.6536,1.47474,111);
INSERT INTO "trace" VALUES(4503603928072201,43.6538,1.47494,112);
INSERT INTO "trace" VALUES(4503603928072201,43.654,1.47512,113);
INSERT INTO "trace" VALUES(4503603928072201,43.6541,1.47528,114);
INSERT INTO "trace" VALUES(4503603928072201,43.6543,1.47554,115);
INSERT INTO "trace" VALUES(4503603928072201,43.6544,1.47592,116);
INSERT INTO "trace" VALUES(4503603928072201,43.6545,1.47637,117);
INSERT INTO "trace" VALUES(4503603928072201,43.6546,1.4767,118);
INSERT INTO "trace" VALUES(4503603928072201,43.6547,1.47693,119);
INSERT INTO "trace" VALUES(4503603928072201,43.6549,1.47712,120);
INSERT INTO "trace" VALUES(4503603928072201,43.6551,1.47739,121);
INSERT INTO "trace" VALUES(4503603928072201,43.6551,1.47742,122);
INSERT INTO "trace" VALUES(4503603928072201,43.6551,1.47746,123);
INSERT INTO "trace" VALUES(4503603928072201,43.6551,1.47751,124);
INSERT INTO "trace" VALUES(4503603928072201,43.6552,1.47752,125);
INSERT INTO "trace" VALUES(4503603928072201,43.6552,1.47751,126);
INSERT INTO "trace" VALUES(4503603928072201,43.6552,1.4775,127);
INSERT INTO "trace" VALUES(4503603928072201,43.6554,1.47772,128);
INSERT INTO "trace" VALUES(4503603928072201,43.6555,1.47797,129);
INSERT INTO "trace" VALUES(4503603928072201,43.6557,1.47823,130);
INSERT INTO "trace" VALUES(4503603928072201,43.6565,1.47928,131);
INSERT INTO "trace" VALUES(4503603928072201,43.6567,1.47956,132);
INSERT INTO "trace" VALUES(4503603928072201,43.6568,1.47968,133);
INSERT INTO "trace" VALUES(4503603928072201,43.6566,1.47993,134);
INSERT INTO "trace" VALUES(4503603928072201,43.6565,1.47997,135);
INSERT INTO "trace" VALUES(4503603928072201,43.6565,1.48008,136);
INSERT INTO "trace" VALUES(4503603928072201,43.6561,1.48062,137);
INSERT INTO "trace" VALUES(4503603928072201,43.6559,1.48101,138);
INSERT INTO "trace" VALUES(4503603928072201,43.655,1.48246,139);
INSERT INTO "trace" VALUES(4503603928072201,43.6548,1.48285,140);
INSERT INTO "trace" VALUES(4503603928072201,43.6546,1.48263,141);
INSERT INTO "trace" VALUES(4503603928072201,43.6545,1.4828,142);
INSERT INTO "trace" VALUES(4503603928072201,43.6541,1.48334,143);
INSERT INTO "trace" VALUES(4503603928072201,43.6539,1.48383,144);
INSERT INTO "trace" VALUES(4503603928072201,43.6537,1.48415,145);
INSERT INTO "trace" VALUES(4503603928072201,43.6535,1.48444,146);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.48485,147);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.48498,148);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.48494,149);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.4849,150);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.48487,151);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.48485,152);
INSERT INTO "trace" VALUES(4503603928072201,43.6532,1.48485,153);
INSERT INTO "trace" VALUES(4503603928072201,43.6533,1.4847,154);
INSERT INTO "trace" VALUES(4503603928072201,43.6537,1.48415,155);
INSERT INTO "trace" VALUES(4503603928072201,43.6539,1.48383,156);
INSERT INTO "trace" VALUES(4503603928072201,43.6541,1.48334,157);
INSERT INTO "trace" VALUES(4503603928072201,43.6545,1.4828,158);
INSERT INTO "trace" VALUES(4503603928072201,43.6546,1.48263,159);
INSERT INTO "trace" VALUES(4503603928072201,43.6548,1.48285,160);
INSERT INTO "trace" VALUES(4503603928072201,43.6553,1.48196,161);
INSERT INTO "trace" VALUES(4503603928072228,43.6553,1.48196,0);
INSERT INTO "trace" VALUES(4503603928072228,43.6559,1.48101,1);
INSERT INTO "trace" VALUES(4503603928072228,43.6561,1.48062,2);
INSERT INTO "trace" VALUES(4503603928072228,43.6565,1.48008,3);
INSERT INTO "trace" VALUES(4503603928072228,43.6565,1.47997,4);
INSERT INTO "trace" VALUES(4503603928072228,43.6566,1.47993,5);
INSERT INTO "trace" VALUES(4503603928072228,43.6568,1.47968,6);
INSERT INTO "trace" VALUES(4503603928072228,43.6567,1.47956,7);
INSERT INTO "trace" VALUES(4503603928072228,43.6566,1.47936,8);
INSERT INTO "trace" VALUES(4503603928072228,43.6565,1.47928,9);
INSERT INTO "trace" VALUES(4503603928072228,43.6557,1.47823,10);
INSERT INTO "trace" VALUES(4503603928072228,43.6555,1.47797,11);
INSERT INTO "trace" VALUES(4503603928072228,43.6554,1.47772,12);
INSERT INTO "trace" VALUES(4503603928072228,43.6552,1.4775,13);
INSERT INTO "trace" VALUES(4503603928072228,43.6552,1.47745,14);
INSERT INTO "trace" VALUES(4503603928072228,43.6552,1.4774,15);
INSERT INTO "trace" VALUES(4503603928072228,43.6552,1.47736,16);
INSERT INTO "trace" VALUES(4503603928072228,43.6552,1.47735,17);
INSERT INTO "trace" VALUES(4503603928072228,43.6551,1.47736,18);
INSERT INTO "trace" VALUES(4503603928072228,43.6551,1.47739,19);
INSERT INTO "trace" VALUES(4503603928072228,43.6549,1.47712,20);
INSERT INTO "trace" VALUES(4503603928072228,43.6547,1.47693,21);
INSERT INTO "trace" VALUES(4503603928072228,43.6546,1.4767,22);
INSERT INTO "trace" VALUES(4503603928072228,43.6545,1.47637,23);
INSERT INTO "trace" VALUES(4503603928072228,43.6544,1.47592,24);
INSERT INTO "trace" VALUES(4503603928072228,43.6543,1.47554,25);
INSERT INTO "trace" VALUES(4503603928072228,43.6541,1.47528,26);
INSERT INTO "trace" VALUES(4503603928072228,43.654,1.47512,27);
INSERT INTO "trace" VALUES(4503603928072228,43.6538,1.47494,28);
INSERT INTO "trace" VALUES(4503603928072228,43.6536,1.47474,29);
INSERT INTO "trace" VALUES(4503603928072228,43.6533,1.47445,30);
INSERT INTO "trace" VALUES(4503603928072228,43.6528,1.47409,31);
INSERT INTO "trace" VALUES(4503603928072228,43.6521,1.4735,32);
INSERT INTO "trace" VALUES(4503603928072228,43.6515,1.47302,33);
INSERT INTO "trace" VALUES(4503603928072228,43.6509,1.47264,34);
INSERT INTO "trace" VALUES(4503603928072228,43.6508,1.4725,35);
INSERT INTO "trace" VALUES(4503603928072228,43.6506,1.47231,36);
INSERT INTO "trace" VALUES(4503603928072228,43.6504,1.47216,37);
INSERT INTO "trace" VALUES(4503603928072228,43.6501,1.47197,38);
INSERT INTO "trace" VALUES(4503603928072228,43.6499,1.47178,39);
INSERT INTO "trace" VALUES(4503603928072228,43.6496,1.47156,40);
INSERT INTO "trace" VALUES(4503603928072228,43.6493,1.47138,41);
INSERT INTO "trace" VALUES(4503603928072228,43.6492,1.47133,42);
INSERT INTO "trace" VALUES(4503603928072228,43.6487,1.47111,43);
INSERT INTO "trace" VALUES(4503603928072228,43.6479,1.47073,44);
INSERT INTO "trace" VALUES(4503603928072228,43.6476,1.47058,45);
INSERT INTO "trace" VALUES(4503603928072228,43.6475,1.47048,46);
INSERT INTO "trace" VALUES(4503603928072228,43.6474,1.47038,47);
INSERT INTO "trace" VALUES(4503603928072228,43.6473,1.4703,48);
INSERT INTO "trace" VALUES(4503603928072228,43.6473,1.47025,49);
INSERT INTO "trace" VALUES(4503603928072228,43.6472,1.47021,50);
INSERT INTO "trace" VALUES(4503603928072228,43.6472,1.4702,51);
INSERT INTO "trace" VALUES(4503603928072228,43.6471,1.47021,52);
INSERT INTO "trace" VALUES(4503603928072228,43.647,1.47015,53);
INSERT INTO "trace" VALUES(4503603928072228,43.6467,1.47001,54);
INSERT INTO "trace" VALUES(4503603928072228,43.6465,1.46988,55);
INSERT INTO "trace" VALUES(4503603928072228,43.6461,1.4696,56);
INSERT INTO "trace" VALUES(4503603928072228,43.6458,1.46943,57);
INSERT INTO "trace" VALUES(4503603928072228,43.6456,1.46931,58);
INSERT INTO "trace" VALUES(4503603928072228,43.6455,1.46926,59);
INSERT INTO "trace" VALUES(4503603928072228,43.6453,1.46915,60);
INSERT INTO "trace" VALUES(4503603928072228,43.6452,1.4691,61);
INSERT INTO "trace" VALUES(4503603928072228,43.645,1.46891,62);
INSERT INTO "trace" VALUES(4503603928072228,43.6448,1.46884,63);
INSERT INTO "trace" VALUES(4503603928072228,43.6446,1.46873,64);
INSERT INTO "trace" VALUES(4503603928072228,43.6443,1.46849,65);
INSERT INTO "trace" VALUES(4503603928072228,43.6442,1.46842,66);
INSERT INTO "trace" VALUES(4503603928072228,43.6438,1.46825,67);
INSERT INTO "trace" VALUES(4503603928072228,43.6434,1.46797,68);
INSERT INTO "trace" VALUES(4503603928072228,43.6433,1.46789,69);
INSERT INTO "trace" VALUES(4503603928072228,43.6432,1.46785,70);
INSERT INTO "trace" VALUES(4503603928072228,43.6428,1.46761,71);
INSERT INTO "trace" VALUES(4503603928072228,43.6424,1.46737,72);
INSERT INTO "trace" VALUES(4503603928072228,43.6423,1.46734,73);
INSERT INTO "trace" VALUES(4503603928072228,43.642,1.46706,74);
INSERT INTO "trace" VALUES(4503603928072228,43.642,1.46699,75);
INSERT INTO "trace" VALUES(4503603928072228,43.642,1.46695,76);
INSERT INTO "trace" VALUES(4503603928072228,43.6419,1.46694,77);
INSERT INTO "trace" VALUES(4503603928072228,43.6419,1.46695,78);
INSERT INTO "trace" VALUES(4503603928072228,43.6418,1.46698,79);
INSERT INTO "trace" VALUES(4503603928072228,43.6418,1.46702,80);
INSERT INTO "trace" VALUES(4503603928072228,43.6418,1.46709,81);
INSERT INTO "trace" VALUES(4503603928072228,43.6418,1.46716,82);
INSERT INTO "trace" VALUES(4503603928072228,43.6418,1.46721,83);
INSERT INTO "trace" VALUES(4503603928072228,43.6418,1.46752,84);
INSERT INTO "trace" VALUES(4503603928072228,43.6414,1.46814,85);
INSERT INTO "trace" VALUES(4503603928072228,43.6412,1.46859,86);
INSERT INTO "trace" VALUES(4503603928072228,43.6409,1.46898,87);
INSERT INTO "trace" VALUES(4503603928072228,43.6406,1.46928,88);
INSERT INTO "trace" VALUES(4503603928072228,43.6405,1.46937,89);
INSERT INTO "trace" VALUES(4503603928072228,43.6404,1.46947,90);
INSERT INTO "trace" VALUES(4503603928072228,43.6403,1.4696,91);
INSERT INTO "trace" VALUES(4503603928072228,43.6402,1.46966,92);
INSERT INTO "trace" VALUES(4503603928072228,43.6399,1.4699,93);
INSERT INTO "trace" VALUES(4503603928072228,43.6394,1.47033,94);
INSERT INTO "trace" VALUES(4503603928072228,43.639,1.47076,95);
INSERT INTO "trace" VALUES(4503603928072228,43.6389,1.47095,96);
INSERT INTO "trace" VALUES(4503603928072228,43.6387,1.47121,97);
INSERT INTO "trace" VALUES(4503603928072228,43.6385,1.47153,98);
INSERT INTO "trace" VALUES(4503603928072228,43.6384,1.47159,99);
INSERT INTO "trace" VALUES(4503603928072228,43.6382,1.47179,100);
INSERT INTO "trace" VALUES(4503603928072228,43.638,1.47208,101);
INSERT INTO "trace" VALUES(4503603928072228,43.6378,1.47223,102);
INSERT INTO "trace" VALUES(4503603928072228,43.6375,1.47236,103);
INSERT INTO "trace" VALUES(4503603928072228,43.6372,1.47248,104);
INSERT INTO "trace" VALUES(4503603928072228,43.6368,1.47258,105);
INSERT INTO "trace" VALUES(4503603928072228,43.6359,1.47284,106);
INSERT INTO "trace" VALUES(4503603928072228,43.6358,1.47291,107);
INSERT INTO "trace" VALUES(4503603928072228,43.6356,1.473,108);
INSERT INTO "trace" VALUES(4503603928072228,43.6352,1.47317,109);
INSERT INTO "trace" VALUES(4503603928072228,43.6351,1.47322,110);
INSERT INTO "trace" VALUES(4503603928072228,43.6339,1.47387,111);
INSERT INTO "trace" VALUES(4503603928072228,43.6338,1.4739,112);
INSERT INTO "trace" VALUES(4503603928072228,43.6336,1.47398,113);
INSERT INTO "trace" VALUES(4503603928072228,43.6334,1.47409,114);
INSERT INTO "trace" VALUES(4503603928072228,43.6333,1.47417,115);
INSERT INTO "trace" VALUES(4503603928072228,43.632,1.47483,116);
INSERT INTO "trace" VALUES(4503603928072228,43.631,1.47536,117);
INSERT INTO "trace" VALUES(4503603928072228,43.6306,1.47561,118);
INSERT INTO "trace" VALUES(4503603928072228,43.6298,1.4761,119);
INSERT INTO "trace" VALUES(4503603928072228,43.6293,1.47628,120);
INSERT INTO "trace" VALUES(4503603928072228,43.6291,1.47637,121);
INSERT INTO "trace" VALUES(4503603928072228,43.629,1.47642,122);
INSERT INTO "trace" VALUES(4503603928072228,43.6289,1.47648,123);
INSERT INTO "trace" VALUES(4503603928072228,43.6283,1.47674,124);
INSERT INTO "trace" VALUES(4503603928072228,43.6279,1.47697,125);
INSERT INTO "trace" VALUES(4503603928072228,43.6277,1.47705,126);
INSERT INTO "trace" VALUES(4503603928072228,43.6273,1.47718,127);
INSERT INTO "trace" VALUES(4503603928072228,43.6271,1.47725,128);
INSERT INTO "trace" VALUES(4503603928072228,43.627,1.47721,129);
INSERT INTO "trace" VALUES(4503603928072228,43.6269,1.47721,130);
INSERT INTO "trace" VALUES(4503603928072228,43.6269,1.47725,131);
INSERT INTO "trace" VALUES(4503603928072228,43.6268,1.47732,132);
INSERT INTO "trace" VALUES(4503603928072228,43.6268,1.4774,133);
INSERT INTO "trace" VALUES(4503603928072228,43.6268,1.47747,134);
INSERT INTO "trace" VALUES(4503603928072228,43.6267,1.47747,135);
INSERT INTO "trace" VALUES(4503603928072228,43.6266,1.4775,136);
INSERT INTO "trace" VALUES(4503603928072228,43.6265,1.47761,137);
INSERT INTO "trace" VALUES(4503603928072228,43.6264,1.47737,138);
INSERT INTO "trace" VALUES(4503603928072228,43.6262,1.47705,139);
INSERT INTO "trace" VALUES(4503603928072228,43.6261,1.47688,140);
INSERT INTO "trace" VALUES(4503603928072228,43.6259,1.47677,141);
INSERT INTO "trace" VALUES(4503603928072228,43.6257,1.47664,142);
INSERT INTO "trace" VALUES(4503603928072228,43.6255,1.47655,143);
INSERT INTO "trace" VALUES(4503603928072228,43.6253,1.47655,144);
INSERT INTO "trace" VALUES(4503603928072228,43.6251,1.47661,145);
INSERT INTO "trace" VALUES(4503603928072228,43.6249,1.47679,146);
INSERT INTO "trace" VALUES(4503603928072228,43.6248,1.47695,147);
INSERT INTO "trace" VALUES(4503603928072228,43.6245,1.47719,148);
INSERT INTO "trace" VALUES(4503603928072228,43.6245,1.47726,149);
INSERT INTO "trace" VALUES(4503603928072228,43.6244,1.47735,150);
CREATE TABLE `traces` (
  `idItineraire` bigint(20) NOT NULL,
  `idTrace` bigint(20) NOT NULL,
  PRIMARY KEY (`idItineraire`, `idTrace`),
  CONSTRAINT fk_traces_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_traces_idTrace
  FOREIGN KEY (idTrace)
  REFERENCES trace(idTrace)
);
INSERT INTO "traces" VALUES(4503603928074023,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074024,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074025,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074026,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074027,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074028,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074029,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074030,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074031,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074032,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074033,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074034,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074035,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074036,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074037,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074038,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074039,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074040,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074041,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074042,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074043,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074044,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074045,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074046,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074047,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074048,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074049,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074050,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074051,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074052,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074053,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074054,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074055,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074056,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074057,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074058,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074059,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074060,4503603928031644);
INSERT INTO "traces" VALUES(4503603928074122,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074123,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074124,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074125,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074126,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074127,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074128,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074129,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074130,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074131,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074132,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074133,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074134,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074135,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074136,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074137,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074138,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074139,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074140,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074141,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074142,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074143,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074144,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074145,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074146,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074147,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074148,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074149,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074150,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074151,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074152,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074153,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074154,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074155,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074156,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074157,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074158,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074159,4503603928031668);
INSERT INTO "traces" VALUES(4503603928074160,4503603928031668);
INSERT INTO "traces" VALUES(4503603922673401,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673402,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673403,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673404,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673405,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673406,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673407,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673408,4503603922673401);
INSERT INTO "traces" VALUES(4503603922673413,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673414,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673415,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673416,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673417,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673418,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673419,4503603922673413);
INSERT INTO "traces" VALUES(4503603922673420,4503603922673413);
INSERT INTO "traces" VALUES(4503603925963979,4503603922673401);
INSERT INTO "traces" VALUES(4503603925963980,4503603922673401);
INSERT INTO "traces" VALUES(4503603925963981,4503603922673401);
INSERT INTO "traces" VALUES(4503603925963982,4503603922673401);
INSERT INTO "traces" VALUES(4503603925963983,4503603922673413);
INSERT INTO "traces" VALUES(4503603925963984,4503603922673413);
INSERT INTO "traces" VALUES(4503603925963985,4503603922673413);
INSERT INTO "traces" VALUES(4503603925963986,4503603922673413);
INSERT INTO "traces" VALUES(4503603928072201,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072202,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072203,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072204,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072205,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072206,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072207,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072208,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072209,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072210,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072211,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072212,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072213,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072214,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072215,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072216,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072217,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072218,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072219,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072220,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072221,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072222,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072223,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072224,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072225,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072226,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072227,4503603928072201);
INSERT INTO "traces" VALUES(4503603928072228,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072229,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072230,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072231,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072232,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072233,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072234,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072235,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072236,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072237,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072238,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072239,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072240,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072241,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072242,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072243,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072244,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072245,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072246,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072247,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072248,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072249,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072250,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072251,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072252,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072253,4503603928072228);
INSERT INTO "traces" VALUES(4503603928072254,4503603928072228);
COMMIT;
