-- --------------------------------------------------------
--
-- Structure de la table `organisme`
--

CREATE TABLE `organisme` (
  `idOrganisme` bigint(20) NOT NULL,
  `nomOrganisme` varchar(160) DEFAULT NULL,
  `telephone` varchar(10) DEFAULT NULL,
  `fuseauHoraire` varchar(160) DEFAULT NULL,
  `langue` varchar(160) DEFAULT NULL,
  `url` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`idOrganisme`)
);

--
-- Contenu de la table `organisme`
--

INSERT INTO `organisme` (`idOrganisme`, `nomOrganisme`, `telephone`, `fuseauHoraire`, `langue`, `url`) VALUES
(6192449487677451, 'Tisséo', '0561417070', 'Europe/Paris', 'fr', 'http://www.tisseo.fr');

-- --------------------------------------------------------
--
-- Structure de la table `conducteur`
--

CREATE TABLE `conducteur` (
  `codeConducteur` smallint(4) NOT NULL,
  `nomConducteur` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`codeConducteur`)
);

--
-- Contenu de la table `conducteur`
--

INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1, 'denis darmon');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (195, 'richard boue');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1234, 'fabrice allaire');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1962, 'nicolas lepretre');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1993, 'jean lapierre');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (2121, 'cyril salomon');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (3082, 'olivier piquet');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (3553, 'laurine thibault');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (6340, 'marc gross');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (7275, 'fanny delaunay');

-- --------------------------------------------------------
--
-- Structure de la table `vehicule`
--

CREATE TABLE `vehicule` (
  `idVehicule` smallint(3) NOT NULL,
  `typeVehicule` varchar(160) DEFAULT NULL,
  `capacite` smallint(3) DEFAULT NULL,
  PRIMARY KEY (`idVehicule`)
);

--
-- Contenu de la table `vehicule`
--

INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (82, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (123, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (155, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (171, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (193, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (204, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (287, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (345, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (615, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (679, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (766, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (986, 'articulé', 148);

-- --------------------------------------------------------
--
-- Structure de la table `ligne`
--

CREATE TABLE `ligne` (
  `idLigne` bigint(20) NOT NULL DEFAULT '0',
  `nomLong` varchar(160) DEFAULT NULL,
  `nomCourt` int(11) DEFAULT NULL,
  `description` varchar(160) DEFAULT NULL,
  `type` varchar(160) DEFAULT NULL,
  `couleurLigne` varchar(6) DEFAULT '000000',
  `couleurTexte` varchar(6) DEFAULT '000000',
  `idOrganisme` bigint(20) NOT NULL,
  PRIMARY KEY (`idLigne`),
  CONSTRAINT fk_ligne_idOrganisme
  FOREIGN KEY (idOrganisme)
  REFERENCES organisme(idOrganisme)
);

--
-- Contenu de la table `ligne`
--

INSERT INTO `ligne` (`idLigne`, `nomLong`, `nomCourt`, `description`, `type`, `couleurLigne`, `couleurTexte`, `idOrganisme`) VALUES 
(11821949021891617, 'St Cyprien - République / Oncopole', 3, 'Ligne St Cyprien - République / Oncopole', '3', '660099', 'FFFFFF', 6192449487677451);

-- --------------------------------------------------------
--
-- Structure de la table `calendrier`
--

CREATE TABLE `calendrier` (
  `idCalendrier` bigint(20) NOT NULL,
  `lundi` binary(1) DEFAULT NULL,
  `mardi` binary(1) DEFAULT NULL,
  `mercredi` binary(1) DEFAULT NULL,
  `jeudi` binary(1) DEFAULT NULL,
  `vendredi` binary(1) DEFAULT NULL,
  `samedi` binary(1) DEFAULT NULL,
  `dimanche` binary(1) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `dateFin` date DEFAULT NULL,
  PRIMARY KEY (`idCalendrier`)
);

--
-- Contenu de la table `calendrier`
--

INSERT INTO `calendrier` (`idCalendrier`, `lundi`, `mardi`, `mercredi`, `jeudi`, `vendredi`, `samedi`, `dimanche`, `dateDebut`, `dateFin`) VALUES (4503603928071438, '1', '1', '1', '1', '1', '1', '0', '2015-01-01', '2016-12-31');

-- --------------------------------------------------------
--
-- Structure de la table `itineraire`
--

CREATE TABLE `itineraire` (
  `idItineraire` bigint(20) NOT NULL,
  `destination` varchar(160) DEFAULT NULL,
  `direction` binary(1) DEFAULT NULL,
  `idCalendrier` bigint(20) DEFAULT NULL,
  `idLigne` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`idItineraire`),
  CONSTRAINT fk_itineraire_idCalendrier
  FOREIGN KEY (idCalendrier)
  REFERENCES calendrier(idCalendrier),
  CONSTRAINT fk_itineraire_idLigne
  FOREIGN KEY (idLigne)
  REFERENCES ligne(idLigne)
);

--
-- Contenu de la table `itineraire`
--

INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074023, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074024, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074025, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074026, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074027, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074028, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074029, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074030, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074031, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074032, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074033, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074034, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074035, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074036, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074037, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074038, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074039, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074040, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074041, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074042, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074043, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074044, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074045, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074046, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074047, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074048, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074049, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074050, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074051, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074052, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074053, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074054, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074055, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074056, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074057, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074058, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074059, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074060, 'Oncopole TOULOUSE', '1', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074122, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074123, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074124, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074125, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074126, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074127, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074128, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074129, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074130, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074131, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074132, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074133, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074134, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074135, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074136, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074137, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074138, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074139, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074140, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074141, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074142, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074143, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074144, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074145, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074146, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074147, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074148, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074149, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074150, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074151, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074152, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074153, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074154, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074155, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074156, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074157, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074158, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074159, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);
INSERT INTO `itineraire` (`idItineraire`, `destination`, `direction`, `idCalendrier`, `idLigne`) VALUES (4503603928074160, 'Saint Cyprien - République TOULOUSE', '0', 4503603928071438, 11821949021891617);

-- --------------------------------------------------------
--
-- Structure de la table `arret`
--

CREATE TABLE `arret` (
  `idArret` bigint(20) NOT NULL,
  `heureArrivee` time DEFAULT NULL,
  `heureDepart` time DEFAULT NULL,
  `numeroSequence` int(11) DEFAULT NULL,
  `informationVoyageur` int(11) DEFAULT NULL,
  `idItineraire` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idArret`,`idItineraire`),
  CONSTRAINT fk_arret_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire)
);

--
-- Contenu de la table `arret`
--

INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '20:25:00', '20:25:00', 0, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '06:40:00', '06:40:00', 0, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '19:10:00', '19:10:00', 0, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '19:35:00', '19:35:00', 0, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '20:00:00', '20:00:00', 0, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '06:15:00', '06:15:00', 0, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '20:50:00', '20:50:00', 0, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '07:05:00', '07:05:00', 0, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '07:30:00', '07:30:00', 0, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '07:55:00', '07:55:00', 0, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '08:20:00', '08:20:00', 0, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '08:45:00', '08:45:00', 0, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '09:10:00', '09:10:00', 0, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '09:35:00', '09:35:00', 0, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '10:00:00', '10:00:00', 0, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '10:25:00', '10:25:00', 0, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '10:50:00', '10:50:00', 0, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '11:15:00', '11:15:00', 0, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '11:40:00', '11:40:00', 0, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '12:05:00', '12:05:00', 0, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '12:30:00', '12:30:00', 0, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '12:55:00', '12:55:00', 0, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '18:20:00', '18:20:00', 0, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '16:40:00', '16:40:00', 0, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '16:00:00', '16:00:00', 0, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '15:40:00', '15:40:00', 0, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '17:20:00', '17:20:00', 0, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '16:20:00', '16:20:00', 0, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '13:20:00', '13:20:00', 0, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '13:45:00', '13:45:00', 0, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '14:10:00', '14:10:00', 0, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '14:35:00', '14:35:00', 0, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '15:00:00', '15:00:00', 0, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '15:20:00', '15:20:00', 0, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '17:40:00', '17:40:00', 0, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '18:00:00', '18:00:00', 0, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '17:00:00', '17:00:00', 0, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '18:45:00', '18:45:00', 0, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '20:26:00', '20:26:00', 1, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '06:41:00', '06:41:00', 1, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '19:11:00', '19:11:00', 1, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '19:36:00', '19:36:00', 1, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '20:01:00', '20:01:00', 1, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '06:16:00', '06:16:00', 1, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '20:51:00', '20:51:00', 1, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '07:06:00', '07:06:00', 1, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '07:31:00', '07:31:00', 1, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '07:56:00', '07:56:00', 1, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '08:21:00', '08:21:00', 1, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '08:46:00', '08:46:00', 1, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '09:11:00', '09:11:00', 1, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '09:36:00', '09:36:00', 1, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '10:01:00', '10:01:00', 1, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '10:26:00', '10:26:00', 1, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '10:51:00', '10:51:00', 1, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '11:16:00', '11:16:00', 1, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '11:41:00', '11:41:00', 1, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '12:06:00', '12:06:00', 1, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '12:31:00', '12:31:00', 1, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '12:56:00', '12:56:00', 1, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '18:21:00', '18:21:00', 1, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '16:41:00', '16:41:00', 1, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '16:01:00', '16:01:00', 1, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '15:41:00', '15:41:00', 1, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '17:21:00', '17:21:00', 1, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '16:21:00', '16:21:00', 1, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '13:21:00', '13:21:00', 1, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '13:46:00', '13:46:00', 1, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '14:11:00', '14:11:00', 1, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '14:36:00', '14:36:00', 1, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '15:01:00', '15:01:00', 1, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '15:21:00', '15:21:00', 1, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '17:41:00', '17:41:00', 1, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '18:01:00', '18:01:00', 1, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '17:01:00', '17:01:00', 1, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882751, '18:46:00', '18:46:00', 1, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '20:27:00', '20:27:00', 2, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '06:42:00', '06:42:00', 2, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '19:12:00', '19:12:00', 2, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '19:37:00', '19:37:00', 2, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '20:02:00', '20:02:00', 2, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '06:17:00', '06:17:00', 2, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '20:52:00', '20:52:00', 2, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '07:07:00', '07:07:00', 2, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '07:32:00', '07:32:00', 2, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '07:57:00', '07:57:00', 2, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '08:22:00', '08:22:00', 2, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '08:47:00', '08:47:00', 2, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '09:12:00', '09:12:00', 2, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '09:37:00', '09:37:00', 2, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '10:02:00', '10:02:00', 2, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '10:27:00', '10:27:00', 2, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '10:52:00', '10:52:00', 2, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '11:17:00', '11:17:00', 2, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '11:42:00', '11:42:00', 2, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '12:07:00', '12:07:00', 2, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '12:32:00', '12:32:00', 2, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '12:57:00', '12:57:00', 2, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '18:22:00', '18:22:00', 2, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '16:42:00', '16:42:00', 2, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '16:02:00', '16:02:00', 2, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '15:42:00', '15:42:00', 2, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '17:22:00', '17:22:00', 2, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '16:22:00', '16:22:00', 2, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '13:22:00', '13:22:00', 2, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '13:47:00', '13:47:00', 2, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '14:12:00', '14:12:00', 2, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '14:37:00', '14:37:00', 2, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '15:02:00', '15:02:00', 2, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '15:22:00', '15:22:00', 2, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '17:42:00', '17:42:00', 2, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '18:02:00', '18:02:00', 2, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '17:02:00', '17:02:00', 2, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882288, '18:47:00', '18:47:00', 2, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '20:28:00', '20:28:00', 3, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '06:43:00', '06:43:00', 3, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '19:13:00', '19:13:00', 3, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '19:38:00', '19:38:00', 3, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '20:03:00', '20:03:00', 3, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '06:18:00', '06:18:00', 3, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '20:53:00', '20:53:00', 3, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '07:08:00', '07:08:00', 3, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '07:33:00', '07:33:00', 3, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '07:58:00', '07:58:00', 3, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '08:23:00', '08:23:00', 3, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '08:48:00', '08:48:00', 3, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '09:13:00', '09:13:00', 3, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '09:38:00', '09:38:00', 3, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '10:03:00', '10:03:00', 3, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '10:28:00', '10:28:00', 3, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '10:53:00', '10:53:00', 3, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '11:18:00', '11:18:00', 3, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '11:43:00', '11:43:00', 3, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '12:08:00', '12:08:00', 3, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '12:33:00', '12:33:00', 3, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '12:58:00', '12:58:00', 3, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '18:23:00', '18:23:00', 3, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '16:43:00', '16:43:00', 3, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '16:03:00', '16:03:00', 3, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '15:43:00', '15:43:00', 3, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '17:23:00', '17:23:00', 3, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '16:23:00', '16:23:00', 3, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '13:23:00', '13:23:00', 3, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '13:48:00', '13:48:00', 3, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '14:13:00', '14:13:00', 3, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '14:38:00', '14:38:00', 3, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '15:03:00', '15:03:00', 3, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '15:23:00', '15:23:00', 3, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '17:43:00', '17:43:00', 3, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '18:03:00', '18:03:00', 3, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '17:03:00', '17:03:00', 3, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882752, '18:48:00', '18:48:00', 3, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '20:29:00', '20:29:00', 4, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '06:43:00', '06:43:00', 4, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '19:15:00', '19:15:00', 4, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '19:40:00', '19:40:00', 4, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '20:04:00', '20:04:00', 4, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '06:18:00', '06:18:00', 4, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '20:54:00', '20:54:00', 4, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '07:08:00', '07:08:00', 4, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '07:34:00', '07:34:00', 4, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '07:59:00', '07:59:00', 4, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '08:25:00', '08:25:00', 4, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '08:50:00', '08:50:00', 4, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '09:15:00', '09:15:00', 4, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '09:40:00', '09:40:00', 4, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '10:05:00', '10:05:00', 4, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '10:30:00', '10:30:00', 4, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '10:55:00', '10:55:00', 4, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '11:20:00', '11:20:00', 4, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '11:45:00', '11:45:00', 4, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '12:10:00', '12:10:00', 4, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '12:35:00', '12:35:00', 4, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '12:59:00', '12:59:00', 4, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '18:25:00', '18:25:00', 4, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '16:45:00', '16:45:00', 4, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '16:05:00', '16:05:00', 4, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '15:45:00', '15:45:00', 4, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '17:25:00', '17:25:00', 4, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '16:25:00', '16:25:00', 4, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '13:24:00', '13:24:00', 4, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '13:49:00', '13:49:00', 4, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '14:14:00', '14:14:00', 4, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '14:39:00', '14:39:00', 4, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '15:05:00', '15:05:00', 4, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '15:25:00', '15:25:00', 4, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '17:45:00', '17:45:00', 4, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '18:05:00', '18:05:00', 4, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '17:05:00', '17:05:00', 4, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882756, '18:50:00', '18:50:00', 4, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '20:30:00', '20:30:00', 5, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '06:44:00', '06:44:00', 5, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '19:15:00', '19:15:00', 5, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '19:40:00', '19:40:00', 5, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '20:05:00', '20:05:00', 5, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '06:19:00', '06:19:00', 5, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '20:55:00', '20:55:00', 5, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '07:09:00', '07:09:00', 5, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '07:35:00', '07:35:00', 5, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '08:00:00', '08:00:00', 5, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '08:25:00', '08:25:00', 5, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '08:50:00', '08:50:00', 5, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '09:15:00', '09:15:00', 5, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '09:40:00', '09:40:00', 5, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '10:05:00', '10:05:00', 5, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '10:30:00', '10:30:00', 5, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '10:55:00', '10:55:00', 5, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '11:20:00', '11:20:00', 5, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '11:45:00', '11:45:00', 5, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '12:10:00', '12:10:00', 5, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '12:35:00', '12:35:00', 5, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '13:00:00', '13:00:00', 5, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '18:25:00', '18:25:00', 5, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '16:45:00', '16:45:00', 5, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '16:05:00', '16:05:00', 5, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '15:45:00', '15:45:00', 5, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '17:25:00', '17:25:00', 5, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '16:25:00', '16:25:00', 5, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '13:25:00', '13:25:00', 5, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '13:50:00', '13:50:00', 5, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '14:15:00', '14:15:00', 5, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '14:40:00', '14:40:00', 5, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '15:05:00', '15:05:00', 5, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '15:25:00', '15:25:00', 5, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '17:45:00', '17:45:00', 5, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '18:05:00', '18:05:00', 5, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '17:05:00', '17:05:00', 5, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882757, '18:50:00', '18:50:00', 5, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '20:30:00', '20:30:00', 6, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '06:44:00', '06:44:00', 6, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '19:16:00', '19:16:00', 6, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '19:41:00', '19:41:00', 6, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '20:05:00', '20:05:00', 6, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '06:19:00', '06:19:00', 6, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '20:55:00', '20:55:00', 6, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '07:09:00', '07:09:00', 6, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '07:35:00', '07:35:00', 6, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '08:00:00', '08:00:00', 6, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '08:26:00', '08:26:00', 6, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '08:51:00', '08:51:00', 6, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '09:16:00', '09:16:00', 6, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '09:41:00', '09:41:00', 6, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '10:06:00', '10:06:00', 6, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '10:31:00', '10:31:00', 6, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '10:56:00', '10:56:00', 6, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '11:21:00', '11:21:00', 6, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '11:46:00', '11:46:00', 6, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '12:11:00', '12:11:00', 6, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '12:36:00', '12:36:00', 6, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '13:00:00', '13:00:00', 6, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '18:26:00', '18:26:00', 6, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '16:46:00', '16:46:00', 6, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '16:06:00', '16:06:00', 6, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '15:46:00', '15:46:00', 6, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '17:26:00', '17:26:00', 6, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '16:26:00', '16:26:00', 6, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '13:25:00', '13:25:00', 6, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '13:50:00', '13:50:00', 6, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '14:15:00', '14:15:00', 6, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '14:40:00', '14:40:00', 6, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '15:06:00', '15:06:00', 6, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '15:26:00', '15:26:00', 6, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '17:46:00', '17:46:00', 6, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '18:06:00', '18:06:00', 6, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '17:06:00', '17:06:00', 6, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882762, '18:51:00', '18:51:00', 6, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '20:31:00', '20:31:00', 7, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '06:45:00', '06:45:00', 7, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '19:17:00', '19:17:00', 7, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '19:42:00', '19:42:00', 7, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '20:06:00', '20:06:00', 7, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '06:20:00', '06:20:00', 7, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '20:56:00', '20:56:00', 7, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '07:10:00', '07:10:00', 7, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '07:36:00', '07:36:00', 7, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '08:01:00', '08:01:00', 7, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '08:27:00', '08:27:00', 7, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '08:52:00', '08:52:00', 7, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '09:17:00', '09:17:00', 7, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '09:42:00', '09:42:00', 7, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '10:07:00', '10:07:00', 7, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '10:32:00', '10:32:00', 7, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '10:57:00', '10:57:00', 7, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '11:22:00', '11:22:00', 7, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '11:47:00', '11:47:00', 7, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '12:12:00', '12:12:00', 7, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '12:37:00', '12:37:00', 7, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '13:01:00', '13:01:00', 7, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '18:27:00', '18:27:00', 7, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '16:47:00', '16:47:00', 7, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '16:07:00', '16:07:00', 7, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '15:47:00', '15:47:00', 7, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '17:27:00', '17:27:00', 7, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '16:27:00', '16:27:00', 7, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '13:26:00', '13:26:00', 7, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '13:51:00', '13:51:00', 7, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '14:16:00', '14:16:00', 7, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '14:41:00', '14:41:00', 7, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '15:07:00', '15:07:00', 7, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '15:27:00', '15:27:00', 7, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '17:47:00', '17:47:00', 7, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '18:07:00', '18:07:00', 7, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '17:07:00', '17:07:00', 7, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882763, '18:52:00', '18:52:00', 7, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '20:31:00', '20:31:00', 8, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '06:45:00', '06:45:00', 8, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '19:17:00', '19:17:00', 8, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '19:42:00', '19:42:00', 8, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '20:06:00', '20:06:00', 8, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '06:20:00', '06:20:00', 8, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '20:56:00', '20:56:00', 8, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '07:10:00', '07:10:00', 8, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '07:36:00', '07:36:00', 8, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '08:01:00', '08:01:00', 8, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '08:27:00', '08:27:00', 8, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '08:52:00', '08:52:00', 8, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '09:17:00', '09:17:00', 8, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '09:42:00', '09:42:00', 8, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '10:07:00', '10:07:00', 8, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '10:32:00', '10:32:00', 8, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '10:57:00', '10:57:00', 8, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '11:22:00', '11:22:00', 8, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '11:47:00', '11:47:00', 8, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '12:12:00', '12:12:00', 8, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '12:37:00', '12:37:00', 8, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '13:01:00', '13:01:00', 8, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '18:27:00', '18:27:00', 8, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '16:47:00', '16:47:00', 8, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '16:07:00', '16:07:00', 8, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '15:47:00', '15:47:00', 8, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '17:27:00', '17:27:00', 8, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '16:27:00', '16:27:00', 8, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '13:26:00', '13:26:00', 8, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '13:51:00', '13:51:00', 8, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '14:16:00', '14:16:00', 8, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '14:41:00', '14:41:00', 8, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '15:07:00', '15:07:00', 8, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '15:27:00', '15:27:00', 8, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '17:47:00', '17:47:00', 8, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '18:07:00', '18:07:00', 8, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '17:07:00', '17:07:00', 8, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881428, '18:52:00', '18:52:00', 8, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '20:33:00', '20:33:00', 9, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '06:47:00', '06:47:00', 9, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '19:19:00', '19:19:00', 9, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '19:44:00', '19:44:00', 9, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '20:08:00', '20:08:00', 9, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '06:22:00', '06:22:00', 9, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '20:58:00', '20:58:00', 9, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '07:12:00', '07:12:00', 9, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '07:38:00', '07:38:00', 9, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '08:03:00', '08:03:00', 9, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '08:29:00', '08:29:00', 9, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '08:54:00', '08:54:00', 9, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '09:19:00', '09:19:00', 9, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '09:44:00', '09:44:00', 9, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '10:09:00', '10:09:00', 9, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '10:34:00', '10:34:00', 9, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '10:59:00', '10:59:00', 9, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '11:24:00', '11:24:00', 9, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '11:49:00', '11:49:00', 9, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '12:14:00', '12:14:00', 9, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '12:39:00', '12:39:00', 9, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '13:03:00', '13:03:00', 9, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '18:29:00', '18:29:00', 9, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '16:49:00', '16:49:00', 9, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '16:09:00', '16:09:00', 9, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '15:49:00', '15:49:00', 9, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '17:29:00', '17:29:00', 9, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '16:29:00', '16:29:00', 9, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '13:28:00', '13:28:00', 9, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '13:53:00', '13:53:00', 9, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '14:18:00', '14:18:00', 9, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '14:43:00', '14:43:00', 9, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '15:09:00', '15:09:00', 9, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '15:29:00', '15:29:00', 9, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '17:49:00', '17:49:00', 9, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '18:09:00', '18:09:00', 9, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '17:09:00', '17:09:00', 9, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882766, '18:54:00', '18:54:00', 9, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '20:34:00', '20:34:00', 10, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '06:47:00', '06:47:00', 10, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '19:20:00', '19:20:00', 10, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '19:45:00', '19:45:00', 10, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '20:09:00', '20:09:00', 10, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '06:22:00', '06:22:00', 10, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '20:59:00', '20:59:00', 10, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '07:13:00', '07:13:00', 10, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '07:39:00', '07:39:00', 10, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '08:04:00', '08:04:00', 10, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '08:30:00', '08:30:00', 10, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '08:55:00', '08:55:00', 10, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '09:20:00', '09:20:00', 10, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '09:45:00', '09:45:00', 10, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '10:10:00', '10:10:00', 10, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '10:35:00', '10:35:00', 10, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '11:00:00', '11:00:00', 10, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '11:25:00', '11:25:00', 10, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '11:50:00', '11:50:00', 10, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '12:15:00', '12:15:00', 10, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '12:40:00', '12:40:00', 10, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '13:04:00', '13:04:00', 10, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '18:30:00', '18:30:00', 10, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '16:50:00', '16:50:00', 10, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '16:10:00', '16:10:00', 10, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '15:50:00', '15:50:00', 10, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '17:30:00', '17:30:00', 10, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '16:30:00', '16:30:00', 10, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '13:29:00', '13:29:00', 10, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '13:54:00', '13:54:00', 10, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '14:19:00', '14:19:00', 10, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '14:44:00', '14:44:00', 10, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '15:10:00', '15:10:00', 10, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '15:30:00', '15:30:00', 10, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '17:50:00', '17:50:00', 10, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '18:10:00', '18:10:00', 10, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '17:10:00', '17:10:00', 10, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882767, '18:55:00', '18:55:00', 10, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '20:34:00', '20:34:00', 11, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '06:48:00', '06:48:00', 11, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '19:21:00', '19:21:00', 11, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '19:46:00', '19:46:00', 11, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '20:09:00', '20:09:00', 11, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '06:23:00', '06:23:00', 11, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '20:59:00', '20:59:00', 11, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '07:13:00', '07:13:00', 11, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '07:39:00', '07:39:00', 11, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '08:05:00', '08:05:00', 11, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '08:31:00', '08:31:00', 11, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '08:56:00', '08:56:00', 11, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '09:21:00', '09:21:00', 11, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '09:46:00', '09:46:00', 11, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '10:11:00', '10:11:00', 11, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '10:36:00', '10:36:00', 11, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '11:01:00', '11:01:00', 11, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '11:26:00', '11:26:00', 11, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '11:51:00', '11:51:00', 11, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '12:16:00', '12:16:00', 11, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '12:41:00', '12:41:00', 11, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '13:05:00', '13:05:00', 11, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '18:31:00', '18:31:00', 11, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '16:51:00', '16:51:00', 11, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '16:11:00', '16:11:00', 11, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '15:51:00', '15:51:00', 11, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '17:31:00', '17:31:00', 11, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '16:31:00', '16:31:00', 11, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '13:30:00', '13:30:00', 11, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '13:55:00', '13:55:00', 11, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '14:20:00', '14:20:00', 11, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '14:45:00', '14:45:00', 11, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '15:11:00', '15:11:00', 11, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '15:31:00', '15:31:00', 11, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '17:51:00', '17:51:00', 11, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '18:11:00', '18:11:00', 11, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '17:11:00', '17:11:00', 11, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495208, '18:56:00', '18:56:00', 11, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '20:36:00', '20:36:00', 12, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '06:49:00', '06:49:00', 12, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '19:22:00', '19:22:00', 12, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '19:47:00', '19:47:00', 12, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '20:11:00', '20:11:00', 12, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '06:24:00', '06:24:00', 12, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '21:01:00', '21:01:00', 12, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '07:15:00', '07:15:00', 12, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '07:41:00', '07:41:00', 12, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '08:06:00', '08:06:00', 12, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '08:32:00', '08:32:00', 12, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '08:57:00', '08:57:00', 12, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '09:22:00', '09:22:00', 12, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '09:47:00', '09:47:00', 12, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '10:12:00', '10:12:00', 12, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '10:37:00', '10:37:00', 12, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '11:02:00', '11:02:00', 12, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '11:27:00', '11:27:00', 12, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '11:52:00', '11:52:00', 12, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '12:17:00', '12:17:00', 12, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '12:42:00', '12:42:00', 12, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '13:06:00', '13:06:00', 12, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '18:32:00', '18:32:00', 12, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '16:52:00', '16:52:00', 12, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '16:12:00', '16:12:00', 12, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '15:52:00', '15:52:00', 12, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '17:32:00', '17:32:00', 12, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '16:32:00', '16:32:00', 12, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '13:31:00', '13:31:00', 12, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '13:56:00', '13:56:00', 12, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '14:21:00', '14:21:00', 12, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '14:46:00', '14:46:00', 12, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '15:12:00', '15:12:00', 12, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '15:32:00', '15:32:00', 12, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '17:52:00', '17:52:00', 12, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '18:12:00', '18:12:00', 12, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '17:12:00', '17:12:00', 12, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495204, '18:57:00', '18:57:00', 12, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '20:36:00', '20:36:00', 13, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '06:49:00', '06:49:00', 13, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '19:23:00', '19:23:00', 13, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '19:48:00', '19:48:00', 13, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '20:11:00', '20:11:00', 13, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '06:24:00', '06:24:00', 13, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '21:01:00', '21:01:00', 13, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '07:15:00', '07:15:00', 13, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '07:41:00', '07:41:00', 13, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '08:07:00', '08:07:00', 13, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '08:33:00', '08:33:00', 13, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '08:58:00', '08:58:00', 13, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '09:23:00', '09:23:00', 13, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '09:48:00', '09:48:00', 13, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '10:13:00', '10:13:00', 13, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '10:38:00', '10:38:00', 13, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '11:03:00', '11:03:00', 13, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '11:28:00', '11:28:00', 13, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '11:53:00', '11:53:00', 13, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '12:18:00', '12:18:00', 13, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '12:43:00', '12:43:00', 13, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '13:07:00', '13:07:00', 13, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '18:33:00', '18:33:00', 13, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '16:53:00', '16:53:00', 13, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '16:13:00', '16:13:00', 13, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '15:53:00', '15:53:00', 13, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '17:33:00', '17:33:00', 13, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '16:33:00', '16:33:00', 13, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '13:32:00', '13:32:00', 13, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '13:57:00', '13:57:00', 13, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '14:22:00', '14:22:00', 13, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '14:47:00', '14:47:00', 13, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '15:13:00', '15:13:00', 13, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '15:33:00', '15:33:00', 13, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '17:53:00', '17:53:00', 13, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '18:13:00', '18:13:00', 13, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '17:13:00', '17:13:00', 13, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495172, '18:58:00', '18:58:00', 13, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '20:37:00', '20:37:00', 14, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '06:50:00', '06:50:00', 14, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '19:24:00', '19:24:00', 14, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '19:49:00', '19:49:00', 14, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '20:12:00', '20:12:00', 14, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '06:25:00', '06:25:00', 14, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '21:02:00', '21:02:00', 14, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '07:16:00', '07:16:00', 14, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '07:42:00', '07:42:00', 14, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '08:08:00', '08:08:00', 14, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '08:34:00', '08:34:00', 14, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '08:59:00', '08:59:00', 14, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '09:24:00', '09:24:00', 14, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '09:49:00', '09:49:00', 14, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '10:14:00', '10:14:00', 14, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '10:39:00', '10:39:00', 14, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '11:04:00', '11:04:00', 14, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '11:29:00', '11:29:00', 14, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '11:54:00', '11:54:00', 14, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '12:19:00', '12:19:00', 14, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '12:44:00', '12:44:00', 14, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '13:08:00', '13:08:00', 14, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '18:34:00', '18:34:00', 14, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '16:54:00', '16:54:00', 14, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '16:14:00', '16:14:00', 14, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '15:54:00', '15:54:00', 14, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '17:34:00', '17:34:00', 14, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '16:34:00', '16:34:00', 14, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '13:33:00', '13:33:00', 14, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '13:58:00', '13:58:00', 14, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '14:23:00', '14:23:00', 14, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '14:48:00', '14:48:00', 14, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '15:14:00', '15:14:00', 14, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '15:34:00', '15:34:00', 14, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '17:54:00', '17:54:00', 14, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '18:14:00', '18:14:00', 14, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '17:14:00', '17:14:00', 14, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882775, '18:59:00', '18:59:00', 14, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '20:37:00', '20:37:00', 15, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '06:50:00', '06:50:00', 15, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '19:24:00', '19:24:00', 15, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '19:49:00', '19:49:00', 15, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '20:12:00', '20:12:00', 15, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '06:25:00', '06:25:00', 15, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '21:02:00', '21:02:00', 15, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '07:16:00', '07:16:00', 15, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '07:42:00', '07:42:00', 15, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '08:08:00', '08:08:00', 15, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '08:34:00', '08:34:00', 15, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '08:59:00', '08:59:00', 15, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '09:24:00', '09:24:00', 15, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '09:49:00', '09:49:00', 15, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '10:14:00', '10:14:00', 15, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '10:39:00', '10:39:00', 15, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '11:04:00', '11:04:00', 15, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '11:29:00', '11:29:00', 15, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '11:54:00', '11:54:00', 15, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '12:19:00', '12:19:00', 15, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '12:44:00', '12:44:00', 15, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '13:08:00', '13:08:00', 15, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '18:34:00', '18:34:00', 15, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '16:54:00', '16:54:00', 15, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '16:14:00', '16:14:00', 15, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '15:54:00', '15:54:00', 15, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '17:34:00', '17:34:00', 15, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '16:34:00', '16:34:00', 15, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '13:33:00', '13:33:00', 15, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '13:58:00', '13:58:00', 15, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '14:23:00', '14:23:00', 15, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '14:48:00', '14:48:00', 15, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '15:14:00', '15:14:00', 15, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '15:34:00', '15:34:00', 15, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '17:54:00', '17:54:00', 15, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '18:14:00', '18:14:00', 15, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '17:14:00', '17:14:00', 15, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880989, '18:59:00', '18:59:00', 15, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '20:40:00', '20:40:00', 16, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '06:52:00', '06:52:00', 16, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '19:27:00', '19:27:00', 16, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '19:52:00', '19:52:00', 16, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '20:15:00', '20:15:00', 16, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '06:27:00', '06:27:00', 16, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '21:04:00', '21:04:00', 16, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '07:18:00', '07:18:00', 16, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '07:44:00', '07:44:00', 16, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '08:10:00', '08:10:00', 16, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '08:36:00', '08:36:00', 16, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '09:01:00', '09:01:00', 16, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '09:26:00', '09:26:00', 16, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '09:52:00', '09:52:00', 16, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '10:17:00', '10:17:00', 16, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '10:42:00', '10:42:00', 16, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '11:07:00', '11:07:00', 16, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '11:32:00', '11:32:00', 16, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '11:57:00', '11:57:00', 16, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '12:22:00', '12:22:00', 16, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '12:47:00', '12:47:00', 16, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '13:11:00', '13:11:00', 16, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '18:37:00', '18:37:00', 16, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '16:57:00', '16:57:00', 16, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '16:17:00', '16:17:00', 16, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '15:57:00', '15:57:00', 16, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '17:37:00', '17:37:00', 16, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '16:37:00', '16:37:00', 16, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '13:36:00', '13:36:00', 16, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '14:01:00', '14:01:00', 16, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '14:26:00', '14:26:00', 16, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '14:51:00', '14:51:00', 16, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '15:17:00', '15:17:00', 16, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '15:37:00', '15:37:00', 16, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '17:57:00', '17:57:00', 16, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '18:17:00', '18:17:00', 16, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '17:17:00', '17:17:00', 16, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882778, '19:02:00', '19:02:00', 16, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '20:40:00', '20:40:00', 17, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '06:53:00', '06:53:00', 17, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '19:27:00', '19:27:00', 17, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '19:52:00', '19:52:00', 17, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '20:15:00', '20:15:00', 17, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '06:28:00', '06:28:00', 17, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '21:05:00', '21:05:00', 17, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '07:19:00', '07:19:00', 17, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '07:45:00', '07:45:00', 17, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '08:11:00', '08:11:00', 17, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '08:37:00', '08:37:00', 17, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '09:02:00', '09:02:00', 17, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '09:27:00', '09:27:00', 17, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '09:52:00', '09:52:00', 17, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '10:17:00', '10:17:00', 17, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '10:42:00', '10:42:00', 17, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '11:07:00', '11:07:00', 17, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '11:32:00', '11:32:00', 17, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '11:57:00', '11:57:00', 17, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '12:22:00', '12:22:00', 17, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '12:47:00', '12:47:00', 17, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '13:11:00', '13:11:00', 17, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '18:37:00', '18:37:00', 17, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '16:57:00', '16:57:00', 17, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '16:17:00', '16:17:00', 17, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '15:57:00', '15:57:00', 17, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '17:37:00', '17:37:00', 17, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '16:37:00', '16:37:00', 17, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '13:36:00', '13:36:00', 17, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '14:01:00', '14:01:00', 17, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '14:26:00', '14:26:00', 17, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '14:51:00', '14:51:00', 17, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '15:17:00', '15:17:00', 17, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '15:37:00', '15:37:00', 17, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '17:57:00', '17:57:00', 17, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '18:17:00', '18:17:00', 17, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '17:17:00', '17:17:00', 17, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882779, '19:02:00', '19:02:00', 17, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '20:41:00', '20:41:00', 18, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '06:53:00', '06:53:00', 18, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '19:28:00', '19:28:00', 18, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '19:53:00', '19:53:00', 18, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '20:16:00', '20:16:00', 18, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '06:28:00', '06:28:00', 18, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '21:05:00', '21:05:00', 18, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '07:19:00', '07:19:00', 18, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '07:45:00', '07:45:00', 18, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '08:11:00', '08:11:00', 18, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '08:37:00', '08:37:00', 18, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '09:02:00', '09:02:00', 18, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '09:27:00', '09:27:00', 18, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '09:53:00', '09:53:00', 18, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '10:18:00', '10:18:00', 18, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '10:43:00', '10:43:00', 18, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '11:08:00', '11:08:00', 18, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '11:33:00', '11:33:00', 18, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '11:58:00', '11:58:00', 18, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '12:23:00', '12:23:00', 18, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '12:48:00', '12:48:00', 18, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '13:12:00', '13:12:00', 18, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '18:38:00', '18:38:00', 18, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '16:58:00', '16:58:00', 18, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '16:18:00', '16:18:00', 18, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '15:58:00', '15:58:00', 18, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '17:38:00', '17:38:00', 18, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '16:38:00', '16:38:00', 18, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '13:37:00', '13:37:00', 18, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '14:02:00', '14:02:00', 18, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '14:27:00', '14:27:00', 18, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '14:52:00', '14:52:00', 18, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '15:18:00', '15:18:00', 18, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '15:38:00', '15:38:00', 18, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '17:58:00', '17:58:00', 18, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '18:18:00', '18:18:00', 18, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '17:18:00', '17:18:00', 18, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135401, '19:03:00', '19:03:00', 18, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '20:42:00', '20:42:00', 19, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '06:54:00', '06:54:00', 19, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '19:29:00', '19:29:00', 19, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '19:54:00', '19:54:00', 19, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '20:17:00', '20:17:00', 19, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '06:29:00', '06:29:00', 19, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '21:06:00', '21:06:00', 19, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '07:20:00', '07:20:00', 19, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '07:46:00', '07:46:00', 19, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '08:12:00', '08:12:00', 19, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '08:38:00', '08:38:00', 19, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '09:03:00', '09:03:00', 19, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '09:28:00', '09:28:00', 19, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '09:54:00', '09:54:00', 19, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '10:19:00', '10:19:00', 19, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '10:44:00', '10:44:00', 19, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '11:09:00', '11:09:00', 19, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '11:34:00', '11:34:00', 19, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '11:59:00', '11:59:00', 19, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '12:24:00', '12:24:00', 19, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '12:49:00', '12:49:00', 19, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '13:13:00', '13:13:00', 19, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '18:39:00', '18:39:00', 19, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '16:59:00', '16:59:00', 19, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '16:19:00', '16:19:00', 19, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '15:59:00', '15:59:00', 19, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '17:39:00', '17:39:00', 19, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '16:39:00', '16:39:00', 19, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '13:38:00', '13:38:00', 19, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '14:03:00', '14:03:00', 19, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '14:28:00', '14:28:00', 19, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '14:53:00', '14:53:00', 19, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '15:19:00', '15:19:00', 19, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '15:39:00', '15:39:00', 19, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '17:59:00', '17:59:00', 19, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '18:19:00', '18:19:00', 19, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '17:19:00', '17:19:00', 19, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132164, '19:04:00', '19:04:00', 19, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '20:43:00', '20:43:00', 20, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '06:55:00', '06:55:00', 20, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '19:30:00', '19:30:00', 20, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '19:55:00', '19:55:00', 20, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '20:18:00', '20:18:00', 20, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '06:30:00', '06:30:00', 20, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '21:07:00', '21:07:00', 20, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '07:21:00', '07:21:00', 20, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '07:47:00', '07:47:00', 20, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '08:13:00', '08:13:00', 20, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '08:39:00', '08:39:00', 20, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '09:04:00', '09:04:00', 20, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '09:29:00', '09:29:00', 20, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '09:55:00', '09:55:00', 20, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '10:20:00', '10:20:00', 20, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '10:45:00', '10:45:00', 20, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '11:10:00', '11:10:00', 20, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '11:35:00', '11:35:00', 20, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '12:00:00', '12:00:00', 20, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '12:25:00', '12:25:00', 20, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '12:50:00', '12:50:00', 20, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '13:14:00', '13:14:00', 20, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '18:40:00', '18:40:00', 20, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '17:00:00', '17:00:00', 20, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '16:20:00', '16:20:00', 20, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '16:00:00', '16:00:00', 20, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '17:40:00', '17:40:00', 20, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '16:40:00', '16:40:00', 20, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '13:39:00', '13:39:00', 20, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '14:04:00', '14:04:00', 20, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '14:29:00', '14:29:00', 20, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '14:54:00', '14:54:00', 20, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '15:20:00', '15:20:00', 20, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '15:40:00', '15:40:00', 20, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '18:00:00', '18:00:00', 20, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '18:20:00', '18:20:00', 20, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '17:20:00', '17:20:00', 20, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135406, '19:05:00', '19:05:00', 20, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '20:44:00', '20:44:00', 21, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '06:56:00', '06:56:00', 21, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '19:31:00', '19:31:00', 21, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '19:56:00', '19:56:00', 21, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '20:19:00', '20:19:00', 21, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '06:30:00', '06:30:00', 21, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '21:08:00', '21:08:00', 21, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '07:22:00', '07:22:00', 21, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '07:48:00', '07:48:00', 21, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '08:14:00', '08:14:00', 21, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '08:40:00', '08:40:00', 21, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '09:05:00', '09:05:00', 21, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '09:30:00', '09:30:00', 21, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '09:56:00', '09:56:00', 21, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '10:21:00', '10:21:00', 21, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '10:46:00', '10:46:00', 21, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '11:11:00', '11:11:00', 21, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '11:36:00', '11:36:00', 21, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '12:01:00', '12:01:00', 21, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '12:26:00', '12:26:00', 21, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '12:51:00', '12:51:00', 21, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '13:15:00', '13:15:00', 21, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '18:41:00', '18:41:00', 21, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '17:01:00', '17:01:00', 21, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '16:21:00', '16:21:00', 21, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '16:01:00', '16:01:00', 21, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '17:41:00', '17:41:00', 21, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '16:41:00', '16:41:00', 21, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '13:40:00', '13:40:00', 21, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '14:05:00', '14:05:00', 21, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '14:30:00', '14:30:00', 21, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '14:55:00', '14:55:00', 21, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '15:21:00', '15:21:00', 21, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '15:41:00', '15:41:00', 21, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '18:01:00', '18:01:00', 21, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '18:21:00', '18:21:00', 21, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '17:21:00', '17:21:00', 21, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882906, '19:06:00', '19:06:00', 21, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '20:46:00', '20:46:00', 22, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '06:58:00', '06:58:00', 22, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '19:33:00', '19:33:00', 22, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '19:58:00', '19:58:00', 22, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '20:21:00', '20:21:00', 22, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '06:32:00', '06:32:00', 22, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '21:10:00', '21:10:00', 22, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '07:24:00', '07:24:00', 22, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '07:50:00', '07:50:00', 22, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '08:16:00', '08:16:00', 22, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '08:42:00', '08:42:00', 22, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '09:07:00', '09:07:00', 22, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '09:32:00', '09:32:00', 22, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '09:58:00', '09:58:00', 22, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '10:23:00', '10:23:00', 22, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '10:48:00', '10:48:00', 22, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '11:13:00', '11:13:00', 22, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '11:38:00', '11:38:00', 22, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '12:03:00', '12:03:00', 22, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '12:28:00', '12:28:00', 22, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '12:53:00', '12:53:00', 22, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '13:17:00', '13:17:00', 22, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '18:43:00', '18:43:00', 22, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '17:03:00', '17:03:00', 22, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '16:23:00', '16:23:00', 22, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '16:03:00', '16:03:00', 22, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '17:43:00', '17:43:00', 22, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '16:43:00', '16:43:00', 22, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '13:42:00', '13:42:00', 22, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '14:07:00', '14:07:00', 22, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '14:32:00', '14:32:00', 22, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '14:57:00', '14:57:00', 22, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '15:23:00', '15:23:00', 22, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '15:43:00', '15:43:00', 22, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '18:03:00', '18:03:00', 22, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '18:23:00', '18:23:00', 22, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '17:23:00', '17:23:00', 22, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723190509, '19:08:00', '19:08:00', 22, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '20:46:00', '20:46:00', 23, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '06:58:00', '06:58:00', 23, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '19:34:00', '19:34:00', 23, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '19:58:00', '19:58:00', 23, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '20:21:00', '20:21:00', 23, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '06:32:00', '06:32:00', 23, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '21:10:00', '21:10:00', 23, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '07:24:00', '07:24:00', 23, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '07:51:00', '07:51:00', 23, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '08:17:00', '08:17:00', 23, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '08:43:00', '08:43:00', 23, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '09:08:00', '09:08:00', 23, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '09:33:00', '09:33:00', 23, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '09:59:00', '09:59:00', 23, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '10:24:00', '10:24:00', 23, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '10:49:00', '10:49:00', 23, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '11:14:00', '11:14:00', 23, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '11:39:00', '11:39:00', 23, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '12:04:00', '12:04:00', 23, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '12:29:00', '12:29:00', 23, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '12:54:00', '12:54:00', 23, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '13:18:00', '13:18:00', 23, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '18:44:00', '18:44:00', 23, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '17:04:00', '17:04:00', 23, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '16:23:00', '16:23:00', 23, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '16:03:00', '16:03:00', 23, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '17:44:00', '17:44:00', 23, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '16:43:00', '16:43:00', 23, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '13:43:00', '13:43:00', 23, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '14:08:00', '14:08:00', 23, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '14:32:00', '14:32:00', 23, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '14:58:00', '14:58:00', 23, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '15:24:00', '15:24:00', 23, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '15:43:00', '15:43:00', 23, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '18:04:00', '18:04:00', 23, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '18:24:00', '18:24:00', 23, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '17:24:00', '17:24:00', 23, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154117, '19:09:00', '19:09:00', 23, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '20:47:00', '20:47:00', 24, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '06:59:00', '06:59:00', 24, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '19:35:00', '19:35:00', 24, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '19:59:00', '19:59:00', 24, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '20:22:00', '20:22:00', 24, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '06:33:00', '06:33:00', 24, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '21:11:00', '21:11:00', 24, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '07:25:00', '07:25:00', 24, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '07:52:00', '07:52:00', 24, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '08:18:00', '08:18:00', 24, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '08:44:00', '08:44:00', 24, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '09:09:00', '09:09:00', 24, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '09:34:00', '09:34:00', 24, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '10:00:00', '10:00:00', 24, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '10:25:00', '10:25:00', 24, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '10:50:00', '10:50:00', 24, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '11:15:00', '11:15:00', 24, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '11:40:00', '11:40:00', 24, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '12:05:00', '12:05:00', 24, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '12:30:00', '12:30:00', 24, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '12:55:00', '12:55:00', 24, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '13:19:00', '13:19:00', 24, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '18:45:00', '18:45:00', 24, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '17:05:00', '17:05:00', 24, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '16:24:00', '16:24:00', 24, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '16:04:00', '16:04:00', 24, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '17:45:00', '17:45:00', 24, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '16:44:00', '16:44:00', 24, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '13:44:00', '13:44:00', 24, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '14:09:00', '14:09:00', 24, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '14:33:00', '14:33:00', 24, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '14:59:00', '14:59:00', 24, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '15:25:00', '15:25:00', 24, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '15:44:00', '15:44:00', 24, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '18:05:00', '18:05:00', 24, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '18:25:00', '18:25:00', 24, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '17:25:00', '17:25:00', 24, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083641, '19:10:00', '19:10:00', 24, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '20:48:00', '20:48:00', 25, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '07:00:00', '07:00:00', 25, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '19:36:00', '19:36:00', 25, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '20:00:00', '20:00:00', 25, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '20:23:00', '20:23:00', 25, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '06:34:00', '06:34:00', 25, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '21:12:00', '21:12:00', 25, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '07:26:00', '07:26:00', 25, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '07:53:00', '07:53:00', 25, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '08:19:00', '08:19:00', 25, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '08:45:00', '08:45:00', 25, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '09:10:00', '09:10:00', 25, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '09:35:00', '09:35:00', 25, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '10:01:00', '10:01:00', 25, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '10:26:00', '10:26:00', 25, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '10:51:00', '10:51:00', 25, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '11:16:00', '11:16:00', 25, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '11:41:00', '11:41:00', 25, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '12:06:00', '12:06:00', 25, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '12:31:00', '12:31:00', 25, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '12:56:00', '12:56:00', 25, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '13:20:00', '13:20:00', 25, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '18:46:00', '18:46:00', 25, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '17:06:00', '17:06:00', 25, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '16:25:00', '16:25:00', 25, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '16:05:00', '16:05:00', 25, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '17:46:00', '17:46:00', 25, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '16:45:00', '16:45:00', 25, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '13:45:00', '13:45:00', 25, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '14:10:00', '14:10:00', 25, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '14:34:00', '14:34:00', 25, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '15:00:00', '15:00:00', 25, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '15:26:00', '15:26:00', 25, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '15:45:00', '15:45:00', 25, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '18:06:00', '18:06:00', 25, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '18:26:00', '18:26:00', 25, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '17:26:00', '17:26:00', 25, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883336, '19:11:00', '19:11:00', 25, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '20:49:00', '20:49:00', 26, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '07:01:00', '07:01:00', 26, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '19:37:00', '19:37:00', 26, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '20:01:00', '20:01:00', 26, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '20:24:00', '20:24:00', 26, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '06:35:00', '06:35:00', 26, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '21:13:00', '21:13:00', 26, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '07:27:00', '07:27:00', 26, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '07:54:00', '07:54:00', 26, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '08:20:00', '08:20:00', 26, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '08:46:00', '08:46:00', 26, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '09:11:00', '09:11:00', 26, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '09:36:00', '09:36:00', 26, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '10:02:00', '10:02:00', 26, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '10:27:00', '10:27:00', 26, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '10:52:00', '10:52:00', 26, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '11:17:00', '11:17:00', 26, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '11:42:00', '11:42:00', 26, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '12:07:00', '12:07:00', 26, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '12:32:00', '12:32:00', 26, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '12:57:00', '12:57:00', 26, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '13:21:00', '13:21:00', 26, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '18:47:00', '18:47:00', 26, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '17:07:00', '17:07:00', 26, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '16:26:00', '16:26:00', 26, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '16:06:00', '16:06:00', 26, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '17:47:00', '17:47:00', 26, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '16:46:00', '16:46:00', 26, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '13:46:00', '13:46:00', 26, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '14:11:00', '14:11:00', 26, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '14:35:00', '14:35:00', 26, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '15:01:00', '15:01:00', 26, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '15:27:00', '15:27:00', 26, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '15:46:00', '15:46:00', 26, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '18:07:00', '18:07:00', 26, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '18:27:00', '18:27:00', 26, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '17:27:00', '17:27:00', 26, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883339, '19:12:00', '19:12:00', 26, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '20:50:00', '20:50:00', 27, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '07:02:00', '07:02:00', 27, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '19:38:00', '19:38:00', 27, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '20:02:00', '20:02:00', 27, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '20:25:00', '20:25:00', 27, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '06:36:00', '06:36:00', 27, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '21:14:00', '21:14:00', 27, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '07:28:00', '07:28:00', 27, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '07:55:00', '07:55:00', 27, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '08:21:00', '08:21:00', 27, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '08:47:00', '08:47:00', 27, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '09:12:00', '09:12:00', 27, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '09:37:00', '09:37:00', 27, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '10:03:00', '10:03:00', 27, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '10:28:00', '10:28:00', 27, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '10:53:00', '10:53:00', 27, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '11:18:00', '11:18:00', 27, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '11:43:00', '11:43:00', 27, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '12:08:00', '12:08:00', 27, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '12:33:00', '12:33:00', 27, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '12:58:00', '12:58:00', 27, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '13:22:00', '13:22:00', 27, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '18:48:00', '18:48:00', 27, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '17:08:00', '17:08:00', 27, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '16:27:00', '16:27:00', 27, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '16:07:00', '16:07:00', 27, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '17:48:00', '17:48:00', 27, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '16:47:00', '16:47:00', 27, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '13:47:00', '13:47:00', 27, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '14:12:00', '14:12:00', 27, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '14:36:00', '14:36:00', 27, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '15:02:00', '15:02:00', 27, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '15:28:00', '15:28:00', 27, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '15:47:00', '15:47:00', 27, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '18:08:00', '18:08:00', 27, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '18:28:00', '18:28:00', 27, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '17:28:00', '17:28:00', 27, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132175, '19:13:00', '19:13:00', 27, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '20:51:00', '20:51:00', 28, 0, 4503603928074023);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '07:03:00', '07:03:00', 28, 0, 4503603928074024);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '19:39:00', '19:39:00', 28, 0, 4503603928074025);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '20:03:00', '20:03:00', 28, 0, 4503603928074026);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '20:26:00', '20:26:00', 28, 0, 4503603928074027);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '06:37:00', '06:37:00', 28, 0, 4503603928074028);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '21:15:00', '21:15:00', 28, 0, 4503603928074029);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '07:29:00', '07:29:00', 28, 0, 4503603928074030);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '07:56:00', '07:56:00', 28, 0, 4503603928074031);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '08:22:00', '08:22:00', 28, 0, 4503603928074032);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '08:48:00', '08:48:00', 28, 0, 4503603928074033);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '09:13:00', '09:13:00', 28, 0, 4503603928074034);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '09:38:00', '09:38:00', 28, 0, 4503603928074035);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '10:04:00', '10:04:00', 28, 0, 4503603928074036);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '10:29:00', '10:29:00', 28, 0, 4503603928074037);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '10:54:00', '10:54:00', 28, 0, 4503603928074038);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '11:19:00', '11:19:00', 28, 0, 4503603928074039);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '11:44:00', '11:44:00', 28, 0, 4503603928074040);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '12:09:00', '12:09:00', 28, 0, 4503603928074041);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '12:34:00', '12:34:00', 28, 0, 4503603928074042);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '12:59:00', '12:59:00', 28, 0, 4503603928074043);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '13:23:00', '13:23:00', 28, 0, 4503603928074044);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '18:49:00', '18:49:00', 28, 0, 4503603928074045);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '17:09:00', '17:09:00', 28, 0, 4503603928074046);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '16:28:00', '16:28:00', 28, 0, 4503603928074047);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '16:08:00', '16:08:00', 28, 0, 4503603928074048);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '17:49:00', '17:49:00', 28, 0, 4503603928074049);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '16:48:00', '16:48:00', 28, 0, 4503603928074050);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '13:48:00', '13:48:00', 28, 0, 4503603928074051);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '14:13:00', '14:13:00', 28, 0, 4503603928074052);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '14:37:00', '14:37:00', 28, 0, 4503603928074053);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '15:03:00', '15:03:00', 28, 0, 4503603928074054);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '15:29:00', '15:29:00', 28, 0, 4503603928074055);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '15:48:00', '15:48:00', 28, 0, 4503603928074056);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '18:09:00', '18:09:00', 28, 0, 4503603928074057);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '18:29:00', '18:29:00', 28, 0, 4503603928074058);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '17:29:00', '17:29:00', 28, 0, 4503603928074059);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '19:14:00', '19:14:00', 28, 0, 4503603928074060);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '06:00:00', '06:00:00', 0, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '06:25:00', '06:25:00', 0, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '06:50:00', '06:50:00', 0, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '19:20:00', '19:20:00', 0, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '19:45:00', '19:45:00', 0, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '20:10:00', '20:10:00', 0, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '20:35:00', '20:35:00', 0, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '21:00:00', '21:00:00', 0, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '18:30:00', '18:30:00', 0, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '18:55:00', '18:55:00', 0, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '07:15:00', '07:15:00', 0, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '07:40:00', '07:40:00', 0, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '08:05:00', '08:05:00', 0, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '08:30:00', '08:30:00', 0, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '08:55:00', '08:55:00', 0, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '09:20:00', '09:20:00', 0, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '09:45:00', '09:45:00', 0, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '10:10:00', '10:10:00', 0, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '10:35:00', '10:35:00', 0, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '11:00:00', '11:00:00', 0, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '11:25:00', '11:25:00', 0, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '11:50:00', '11:50:00', 0, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '12:15:00', '12:15:00', 0, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '12:40:00', '12:40:00', 0, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '13:05:00', '13:05:00', 0, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '13:30:00', '13:30:00', 0, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '13:55:00', '13:55:00', 0, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '14:20:00', '14:20:00', 0, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '14:40:00', '14:40:00', 0, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '15:00:00', '15:00:00', 0, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '15:20:00', '15:20:00', 0, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '15:40:00', '15:40:00', 0, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '16:00:00', '16:00:00', 0, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '16:20:00', '16:20:00', 0, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '16:40:00', '16:40:00', 0, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '17:00:00', '17:00:00', 0, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '17:20:00', '17:20:00', 0, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '17:40:00', '17:40:00', 0, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135387, '18:05:00', '18:05:00', 0, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '06:01:00', '06:01:00', 1, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '06:26:00', '06:26:00', 1, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '06:51:00', '06:51:00', 1, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '19:21:00', '19:21:00', 1, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '19:46:00', '19:46:00', 1, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '20:11:00', '20:11:00', 1, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '20:36:00', '20:36:00', 1, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '21:01:00', '21:01:00', 1, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '18:31:00', '18:31:00', 1, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '18:56:00', '18:56:00', 1, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '07:16:00', '07:16:00', 1, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '07:41:00', '07:41:00', 1, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '08:06:00', '08:06:00', 1, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '08:31:00', '08:31:00', 1, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '08:56:00', '08:56:00', 1, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '09:21:00', '09:21:00', 1, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '09:46:00', '09:46:00', 1, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '10:11:00', '10:11:00', 1, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '10:36:00', '10:36:00', 1, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '11:01:00', '11:01:00', 1, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '11:26:00', '11:26:00', 1, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '11:51:00', '11:51:00', 1, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '12:16:00', '12:16:00', 1, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '12:41:00', '12:41:00', 1, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '13:06:00', '13:06:00', 1, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '13:31:00', '13:31:00', 1, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '13:56:00', '13:56:00', 1, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '14:21:00', '14:21:00', 1, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '14:41:00', '14:41:00', 1, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '15:01:00', '15:01:00', 1, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '15:21:00', '15:21:00', 1, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '15:41:00', '15:41:00', 1, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '16:01:00', '16:01:00', 1, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '16:21:00', '16:21:00', 1, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '16:41:00', '16:41:00', 1, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '17:01:00', '17:01:00', 1, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '17:21:00', '17:21:00', 1, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '17:41:00', '17:41:00', 1, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723937620, '18:06:00', '18:06:00', 1, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '06:02:00', '06:02:00', 2, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '06:27:00', '06:27:00', 2, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '06:52:00', '06:52:00', 2, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '19:22:00', '19:22:00', 2, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '19:47:00', '19:47:00', 2, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '20:12:00', '20:12:00', 2, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '20:37:00', '20:37:00', 2, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '21:02:00', '21:02:00', 2, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '18:32:00', '18:32:00', 2, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '18:57:00', '18:57:00', 2, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '07:17:00', '07:17:00', 2, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '07:42:00', '07:42:00', 2, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '08:07:00', '08:07:00', 2, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '08:32:00', '08:32:00', 2, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '08:57:00', '08:57:00', 2, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '09:22:00', '09:22:00', 2, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '09:47:00', '09:47:00', 2, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '10:12:00', '10:12:00', 2, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '10:37:00', '10:37:00', 2, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '11:02:00', '11:02:00', 2, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '11:27:00', '11:27:00', 2, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '11:52:00', '11:52:00', 2, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '12:17:00', '12:17:00', 2, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '12:42:00', '12:42:00', 2, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '13:07:00', '13:07:00', 2, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '13:32:00', '13:32:00', 2, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '13:57:00', '13:57:00', 2, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '14:22:00', '14:22:00', 2, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '14:42:00', '14:42:00', 2, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '15:02:00', '15:02:00', 2, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '15:22:00', '15:22:00', 2, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '15:42:00', '15:42:00', 2, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '16:02:00', '16:02:00', 2, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '16:22:00', '16:22:00', 2, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '16:42:00', '16:42:00', 2, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '17:02:00', '17:02:00', 2, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '17:22:00', '17:22:00', 2, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '17:42:00', '17:42:00', 2, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723132177, '18:07:00', '18:07:00', 2, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '06:02:00', '06:02:00', 3, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '06:27:00', '06:27:00', 3, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '06:52:00', '06:52:00', 3, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '19:22:00', '19:22:00', 3, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '19:47:00', '19:47:00', 3, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '20:12:00', '20:12:00', 3, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '20:37:00', '20:37:00', 3, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '21:02:00', '21:02:00', 3, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '18:32:00', '18:32:00', 3, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '18:57:00', '18:57:00', 3, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '07:17:00', '07:17:00', 3, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '07:42:00', '07:42:00', 3, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '08:07:00', '08:07:00', 3, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '08:32:00', '08:32:00', 3, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '08:57:00', '08:57:00', 3, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '09:22:00', '09:22:00', 3, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '09:47:00', '09:47:00', 3, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '10:12:00', '10:12:00', 3, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '10:37:00', '10:37:00', 3, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '11:02:00', '11:02:00', 3, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '11:27:00', '11:27:00', 3, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '11:52:00', '11:52:00', 3, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '12:17:00', '12:17:00', 3, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '12:42:00', '12:42:00', 3, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '13:07:00', '13:07:00', 3, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '13:32:00', '13:32:00', 3, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '13:57:00', '13:57:00', 3, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '14:22:00', '14:22:00', 3, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '14:42:00', '14:42:00', 3, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '15:02:00', '15:02:00', 3, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '15:22:00', '15:22:00', 3, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '15:42:00', '15:42:00', 3, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '16:02:00', '16:02:00', 3, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '16:22:00', '16:22:00', 3, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '16:42:00', '16:42:00', 3, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '17:02:00', '17:02:00', 3, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '17:22:00', '17:22:00', 3, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '17:42:00', '17:42:00', 3, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883338, '18:07:00', '18:07:00', 3, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '06:03:00', '06:03:00', 4, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '06:28:00', '06:28:00', 4, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '06:53:00', '06:53:00', 4, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '19:23:00', '19:23:00', 4, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '19:48:00', '19:48:00', 4, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '20:13:00', '20:13:00', 4, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '20:38:00', '20:38:00', 4, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '21:03:00', '21:03:00', 4, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '18:33:00', '18:33:00', 4, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '18:58:00', '18:58:00', 4, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '07:18:00', '07:18:00', 4, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '07:43:00', '07:43:00', 4, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '08:08:00', '08:08:00', 4, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '08:33:00', '08:33:00', 4, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '08:58:00', '08:58:00', 4, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '09:23:00', '09:23:00', 4, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '09:48:00', '09:48:00', 4, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '10:13:00', '10:13:00', 4, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '10:38:00', '10:38:00', 4, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '11:03:00', '11:03:00', 4, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '11:28:00', '11:28:00', 4, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '11:53:00', '11:53:00', 4, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '12:18:00', '12:18:00', 4, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '12:43:00', '12:43:00', 4, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '13:08:00', '13:08:00', 4, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '13:33:00', '13:33:00', 4, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '13:58:00', '13:58:00', 4, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '14:23:00', '14:23:00', 4, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '14:43:00', '14:43:00', 4, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '15:03:00', '15:03:00', 4, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '15:23:00', '15:23:00', 4, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '15:43:00', '15:43:00', 4, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '16:03:00', '16:03:00', 4, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '16:23:00', '16:23:00', 4, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '16:43:00', '16:43:00', 4, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '17:03:00', '17:03:00', 4, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '17:23:00', '17:23:00', 4, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '17:43:00', '17:43:00', 4, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720883337, '18:08:00', '18:08:00', 4, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '06:03:00', '06:03:00', 5, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '06:28:00', '06:28:00', 5, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '06:53:00', '06:53:00', 5, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '19:23:00', '19:23:00', 5, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '19:48:00', '19:48:00', 5, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '20:13:00', '20:13:00', 5, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '20:38:00', '20:38:00', 5, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '21:03:00', '21:03:00', 5, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '18:33:00', '18:33:00', 5, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '18:58:00', '18:58:00', 5, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '07:18:00', '07:18:00', 5, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '07:43:00', '07:43:00', 5, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '08:08:00', '08:08:00', 5, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '08:33:00', '08:33:00', 5, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '08:58:00', '08:58:00', 5, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '09:23:00', '09:23:00', 5, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '09:48:00', '09:48:00', 5, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '10:13:00', '10:13:00', 5, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '10:38:00', '10:38:00', 5, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '11:03:00', '11:03:00', 5, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '11:28:00', '11:28:00', 5, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '11:53:00', '11:53:00', 5, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '12:18:00', '12:18:00', 5, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '12:43:00', '12:43:00', 5, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '13:08:00', '13:08:00', 5, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '13:33:00', '13:33:00', 5, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '13:58:00', '13:58:00', 5, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '14:23:00', '14:23:00', 5, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '14:43:00', '14:43:00', 5, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '15:03:00', '15:03:00', 5, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '15:23:00', '15:23:00', 5, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '15:43:00', '15:43:00', 5, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '16:03:00', '16:03:00', 5, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '16:23:00', '16:23:00', 5, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '16:43:00', '16:43:00', 5, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '17:03:00', '17:03:00', 5, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '17:23:00', '17:23:00', 5, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '17:43:00', '17:43:00', 5, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699724083642, '18:08:00', '18:08:00', 5, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '06:05:00', '06:05:00', 6, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '06:30:00', '06:30:00', 6, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '06:55:00', '06:55:00', 6, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '19:25:00', '19:25:00', 6, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '19:50:00', '19:50:00', 6, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '20:15:00', '20:15:00', 6, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '20:40:00', '20:40:00', 6, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '21:05:00', '21:05:00', 6, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '18:35:00', '18:35:00', 6, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '19:00:00', '19:00:00', 6, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '07:20:00', '07:20:00', 6, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '07:45:00', '07:45:00', 6, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '08:10:00', '08:10:00', 6, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '08:35:00', '08:35:00', 6, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '09:00:00', '09:00:00', 6, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '09:25:00', '09:25:00', 6, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '09:50:00', '09:50:00', 6, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '10:15:00', '10:15:00', 6, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '10:40:00', '10:40:00', 6, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '11:05:00', '11:05:00', 6, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '11:30:00', '11:30:00', 6, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '11:55:00', '11:55:00', 6, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '12:20:00', '12:20:00', 6, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '12:45:00', '12:45:00', 6, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '13:10:00', '13:10:00', 6, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '13:35:00', '13:35:00', 6, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '14:00:00', '14:00:00', 6, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '14:25:00', '14:25:00', 6, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '14:45:00', '14:45:00', 6, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '15:05:00', '15:05:00', 6, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '15:25:00', '15:25:00', 6, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '15:45:00', '15:45:00', 6, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '16:05:00', '16:05:00', 6, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '16:25:00', '16:25:00', 6, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '16:45:00', '16:45:00', 6, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '17:05:00', '17:05:00', 6, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '17:25:00', '17:25:00', 6, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '17:45:00', '17:45:00', 6, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723154118, '18:10:00', '18:10:00', 6, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '06:05:00', '06:05:00', 7, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '06:30:00', '06:30:00', 7, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '06:55:00', '06:55:00', 7, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '19:26:00', '19:26:00', 7, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '19:51:00', '19:51:00', 7, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '20:16:00', '20:16:00', 7, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '20:41:00', '20:41:00', 7, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '21:05:00', '21:05:00', 7, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '18:36:00', '18:36:00', 7, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '19:01:00', '19:01:00', 7, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '07:20:00', '07:20:00', 7, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '07:45:00', '07:45:00', 7, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '08:10:00', '08:10:00', 7, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '08:36:00', '08:36:00', 7, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '09:01:00', '09:01:00', 7, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '09:26:00', '09:26:00', 7, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '09:51:00', '09:51:00', 7, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '10:16:00', '10:16:00', 7, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '10:41:00', '10:41:00', 7, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '11:06:00', '11:06:00', 7, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '11:31:00', '11:31:00', 7, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '11:56:00', '11:56:00', 7, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '12:21:00', '12:21:00', 7, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '12:46:00', '12:46:00', 7, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '13:11:00', '13:11:00', 7, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '13:36:00', '13:36:00', 7, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '14:01:00', '14:01:00', 7, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '14:26:00', '14:26:00', 7, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '14:46:00', '14:46:00', 7, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '15:06:00', '15:06:00', 7, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '15:26:00', '15:26:00', 7, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '15:46:00', '15:46:00', 7, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '16:06:00', '16:06:00', 7, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '16:26:00', '16:26:00', 7, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '16:46:00', '16:46:00', 7, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '17:06:00', '17:06:00', 7, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '17:26:00', '17:26:00', 7, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '17:46:00', '17:46:00', 7, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699722238902, '18:11:00', '18:11:00', 7, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '06:06:00', '06:06:00', 8, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '06:31:00', '06:31:00', 8, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '06:56:00', '06:56:00', 8, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '19:27:00', '19:27:00', 8, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '19:52:00', '19:52:00', 8, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '20:17:00', '20:17:00', 8, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '20:42:00', '20:42:00', 8, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '21:06:00', '21:06:00', 8, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '18:37:00', '18:37:00', 8, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '19:02:00', '19:02:00', 8, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '07:21:00', '07:21:00', 8, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '07:46:00', '07:46:00', 8, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '08:11:00', '08:11:00', 8, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '08:37:00', '08:37:00', 8, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '09:02:00', '09:02:00', 8, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '09:27:00', '09:27:00', 8, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '09:52:00', '09:52:00', 8, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '10:17:00', '10:17:00', 8, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '10:42:00', '10:42:00', 8, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '11:07:00', '11:07:00', 8, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '11:32:00', '11:32:00', 8, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '11:57:00', '11:57:00', 8, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '12:22:00', '12:22:00', 8, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '12:47:00', '12:47:00', 8, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '13:12:00', '13:12:00', 8, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '13:37:00', '13:37:00', 8, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '14:02:00', '14:02:00', 8, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '14:27:00', '14:27:00', 8, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '14:47:00', '14:47:00', 8, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '15:07:00', '15:07:00', 8, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '15:27:00', '15:27:00', 8, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '15:47:00', '15:47:00', 8, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '16:07:00', '16:07:00', 8, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '16:27:00', '16:27:00', 8, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '16:47:00', '16:47:00', 8, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '17:07:00', '17:07:00', 8, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '17:27:00', '17:27:00', 8, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '17:47:00', '17:47:00', 8, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882907, '18:12:00', '18:12:00', 8, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '06:08:00', '06:08:00', 9, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '06:33:00', '06:33:00', 9, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '06:58:00', '06:58:00', 9, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '19:29:00', '19:29:00', 9, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '19:54:00', '19:54:00', 9, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '20:19:00', '20:19:00', 9, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '20:44:00', '20:44:00', 9, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '21:08:00', '21:08:00', 9, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '18:39:00', '18:39:00', 9, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '19:04:00', '19:04:00', 9, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '07:23:00', '07:23:00', 9, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '07:48:00', '07:48:00', 9, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '08:13:00', '08:13:00', 9, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '08:39:00', '08:39:00', 9, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '09:04:00', '09:04:00', 9, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '09:29:00', '09:29:00', 9, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '09:54:00', '09:54:00', 9, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '10:19:00', '10:19:00', 9, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '10:44:00', '10:44:00', 9, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '11:09:00', '11:09:00', 9, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '11:34:00', '11:34:00', 9, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '11:59:00', '11:59:00', 9, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '12:24:00', '12:24:00', 9, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '12:49:00', '12:49:00', 9, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '13:14:00', '13:14:00', 9, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '13:39:00', '13:39:00', 9, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '14:04:00', '14:04:00', 9, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '14:29:00', '14:29:00', 9, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '14:49:00', '14:49:00', 9, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '15:09:00', '15:09:00', 9, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '15:29:00', '15:29:00', 9, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '15:49:00', '15:49:00', 9, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '16:09:00', '16:09:00', 9, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '16:29:00', '16:29:00', 9, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '16:49:00', '16:49:00', 9, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '17:09:00', '17:09:00', 9, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '17:29:00', '17:29:00', 9, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '17:49:00', '17:49:00', 9, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699723135408, '18:14:00', '18:14:00', 9, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '06:09:00', '06:09:00', 10, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '06:34:00', '06:34:00', 10, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '06:59:00', '06:59:00', 10, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '19:30:00', '19:30:00', 10, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '19:55:00', '19:55:00', 10, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '20:20:00', '20:20:00', 10, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '20:45:00', '20:45:00', 10, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '21:09:00', '21:09:00', 10, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '18:40:00', '18:40:00', 10, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '19:05:00', '19:05:00', 10, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '07:24:00', '07:24:00', 10, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '07:49:00', '07:49:00', 10, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '08:14:00', '08:14:00', 10, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '08:40:00', '08:40:00', 10, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '09:05:00', '09:05:00', 10, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '09:30:00', '09:30:00', 10, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '09:55:00', '09:55:00', 10, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '10:20:00', '10:20:00', 10, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '10:45:00', '10:45:00', 10, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '11:10:00', '11:10:00', 10, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '11:35:00', '11:35:00', 10, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '12:00:00', '12:00:00', 10, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '12:25:00', '12:25:00', 10, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '12:50:00', '12:50:00', 10, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '13:15:00', '13:15:00', 10, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '13:40:00', '13:40:00', 10, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '14:05:00', '14:05:00', 10, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '14:30:00', '14:30:00', 10, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '14:50:00', '14:50:00', 10, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '15:10:00', '15:10:00', 10, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '15:30:00', '15:30:00', 10, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '15:50:00', '15:50:00', 10, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '16:10:00', '16:10:00', 10, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '16:30:00', '16:30:00', 10, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '16:50:00', '16:50:00', 10, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '17:10:00', '17:10:00', 10, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '17:30:00', '17:30:00', 10, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '17:50:00', '17:50:00', 10, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882782, '18:15:00', '18:15:00', 10, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '06:10:00', '06:10:00', 11, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '06:35:00', '06:35:00', 11, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '07:00:00', '07:00:00', 11, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '19:30:00', '19:30:00', 11, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '19:55:00', '19:55:00', 11, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '20:20:00', '20:20:00', 11, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '20:45:00', '20:45:00', 11, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '21:09:00', '21:09:00', 11, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '18:41:00', '18:41:00', 11, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '19:05:00', '19:05:00', 11, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '07:25:00', '07:25:00', 11, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '07:50:00', '07:50:00', 11, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '08:15:00', '08:15:00', 11, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '08:41:00', '08:41:00', 11, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '09:06:00', '09:06:00', 11, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '09:31:00', '09:31:00', 11, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '09:56:00', '09:56:00', 11, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '10:21:00', '10:21:00', 11, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '10:46:00', '10:46:00', 11, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '11:11:00', '11:11:00', 11, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '11:36:00', '11:36:00', 11, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '12:01:00', '12:01:00', 11, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '12:26:00', '12:26:00', 11, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '12:51:00', '12:51:00', 11, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '13:16:00', '13:16:00', 11, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '13:41:00', '13:41:00', 11, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '14:06:00', '14:06:00', 11, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '14:31:00', '14:31:00', 11, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '14:51:00', '14:51:00', 11, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '15:11:00', '15:11:00', 11, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '15:31:00', '15:31:00', 11, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '15:51:00', '15:51:00', 11, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '16:11:00', '16:11:00', 11, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '16:31:00', '16:31:00', 11, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '16:51:00', '16:51:00', 11, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '17:11:00', '17:11:00', 11, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '17:31:00', '17:31:00', 11, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '17:51:00', '17:51:00', 11, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882781, '18:16:00', '18:16:00', 11, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '06:11:00', '06:11:00', 12, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '06:36:00', '06:36:00', 12, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '07:01:00', '07:01:00', 12, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '19:31:00', '19:31:00', 12, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '19:56:00', '19:56:00', 12, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '20:21:00', '20:21:00', 12, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '20:46:00', '20:46:00', 12, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '21:10:00', '21:10:00', 12, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '18:42:00', '18:42:00', 12, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '19:06:00', '19:06:00', 12, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '07:26:00', '07:26:00', 12, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '07:51:00', '07:51:00', 12, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '08:16:00', '08:16:00', 12, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '08:42:00', '08:42:00', 12, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '09:07:00', '09:07:00', 12, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '09:32:00', '09:32:00', 12, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '09:57:00', '09:57:00', 12, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '10:22:00', '10:22:00', 12, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '10:47:00', '10:47:00', 12, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '11:12:00', '11:12:00', 12, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '11:37:00', '11:37:00', 12, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '12:02:00', '12:02:00', 12, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '12:27:00', '12:27:00', 12, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '12:52:00', '12:52:00', 12, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '13:17:00', '13:17:00', 12, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '13:42:00', '13:42:00', 12, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '14:07:00', '14:07:00', 12, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '14:32:00', '14:32:00', 12, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '14:52:00', '14:52:00', 12, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '15:12:00', '15:12:00', 12, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '15:32:00', '15:32:00', 12, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '15:52:00', '15:52:00', 12, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '16:12:00', '16:12:00', 12, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '16:32:00', '16:32:00', 12, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '16:52:00', '16:52:00', 12, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '17:12:00', '17:12:00', 12, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '17:32:00', '17:32:00', 12, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '17:52:00', '17:52:00', 12, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882780, '18:17:00', '18:17:00', 12, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '06:11:00', '06:11:00', 13, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '06:36:00', '06:36:00', 13, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '07:01:00', '07:01:00', 13, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '19:32:00', '19:32:00', 13, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '19:57:00', '19:57:00', 13, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '20:22:00', '20:22:00', 13, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '20:47:00', '20:47:00', 13, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '21:11:00', '21:11:00', 13, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '18:42:00', '18:42:00', 13, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '19:07:00', '19:07:00', 13, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '07:26:00', '07:26:00', 13, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '07:51:00', '07:51:00', 13, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '08:16:00', '08:16:00', 13, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '08:42:00', '08:42:00', 13, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '09:07:00', '09:07:00', 13, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '09:32:00', '09:32:00', 13, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '09:57:00', '09:57:00', 13, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '10:22:00', '10:22:00', 13, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '10:47:00', '10:47:00', 13, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '11:12:00', '11:12:00', 13, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '11:37:00', '11:37:00', 13, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '12:02:00', '12:02:00', 13, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '12:27:00', '12:27:00', 13, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '12:52:00', '12:52:00', 13, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '13:17:00', '13:17:00', 13, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '13:42:00', '13:42:00', 13, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '14:07:00', '14:07:00', 13, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '14:32:00', '14:32:00', 13, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '14:52:00', '14:52:00', 13, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '15:12:00', '15:12:00', 13, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '15:32:00', '15:32:00', 13, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '15:52:00', '15:52:00', 13, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '16:12:00', '16:12:00', 13, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '16:32:00', '16:32:00', 13, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '16:52:00', '16:52:00', 13, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '17:12:00', '17:12:00', 13, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '17:32:00', '17:32:00', 13, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '17:52:00', '17:52:00', 13, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882777, '18:17:00', '18:17:00', 13, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '06:13:00', '06:13:00', 14, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '06:38:00', '06:38:00', 14, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '07:03:00', '07:03:00', 14, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '19:33:00', '19:33:00', 14, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '19:58:00', '19:58:00', 14, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '20:23:00', '20:23:00', 14, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '20:48:00', '20:48:00', 14, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '21:12:00', '21:12:00', 14, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '18:44:00', '18:44:00', 14, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '19:08:00', '19:08:00', 14, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '07:28:00', '07:28:00', 14, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '07:53:00', '07:53:00', 14, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '08:18:00', '08:18:00', 14, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '08:44:00', '08:44:00', 14, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '09:09:00', '09:09:00', 14, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '09:34:00', '09:34:00', 14, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '09:59:00', '09:59:00', 14, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '10:24:00', '10:24:00', 14, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '10:49:00', '10:49:00', 14, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '11:14:00', '11:14:00', 14, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '11:39:00', '11:39:00', 14, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '12:04:00', '12:04:00', 14, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '12:29:00', '12:29:00', 14, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '12:54:00', '12:54:00', 14, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '13:19:00', '13:19:00', 14, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '13:44:00', '13:44:00', 14, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '14:09:00', '14:09:00', 14, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '14:34:00', '14:34:00', 14, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '14:54:00', '14:54:00', 14, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '15:14:00', '15:14:00', 14, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '15:34:00', '15:34:00', 14, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '15:54:00', '15:54:00', 14, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '16:14:00', '16:14:00', 14, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '16:34:00', '16:34:00', 14, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '16:54:00', '16:54:00', 14, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '17:14:00', '17:14:00', 14, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '17:34:00', '17:34:00', 14, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '17:54:00', '17:54:00', 14, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880988, '18:19:00', '18:19:00', 14, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '06:14:00', '06:14:00', 15, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '06:39:00', '06:39:00', 15, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '07:04:00', '07:04:00', 15, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '19:34:00', '19:34:00', 15, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '19:59:00', '19:59:00', 15, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '20:24:00', '20:24:00', 15, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '20:49:00', '20:49:00', 15, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '21:13:00', '21:13:00', 15, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '18:45:00', '18:45:00', 15, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '19:09:00', '19:09:00', 15, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '07:29:00', '07:29:00', 15, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '07:54:00', '07:54:00', 15, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '08:19:00', '08:19:00', 15, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '08:45:00', '08:45:00', 15, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '09:10:00', '09:10:00', 15, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '09:35:00', '09:35:00', 15, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '10:00:00', '10:00:00', 15, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '10:25:00', '10:25:00', 15, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '10:50:00', '10:50:00', 15, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '11:15:00', '11:15:00', 15, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '11:40:00', '11:40:00', 15, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '12:05:00', '12:05:00', 15, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '12:30:00', '12:30:00', 15, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '12:55:00', '12:55:00', 15, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '13:20:00', '13:20:00', 15, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '13:45:00', '13:45:00', 15, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '14:10:00', '14:10:00', 15, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '14:35:00', '14:35:00', 15, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '14:55:00', '14:55:00', 15, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '15:15:00', '15:15:00', 15, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '15:35:00', '15:35:00', 15, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '15:55:00', '15:55:00', 15, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '16:15:00', '16:15:00', 15, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '16:35:00', '16:35:00', 15, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '16:55:00', '16:55:00', 15, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '17:15:00', '17:15:00', 15, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '17:35:00', '17:35:00', 15, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '17:55:00', '17:55:00', 15, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882776, '18:20:00', '18:20:00', 15, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '06:15:00', '06:15:00', 16, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '06:40:00', '06:40:00', 16, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '07:05:00', '07:05:00', 16, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '19:35:00', '19:35:00', 16, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '20:00:00', '20:00:00', 16, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '20:25:00', '20:25:00', 16, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '20:50:00', '20:50:00', 16, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '21:14:00', '21:14:00', 16, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '18:46:00', '18:46:00', 16, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '19:10:00', '19:10:00', 16, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '07:30:00', '07:30:00', 16, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '07:55:00', '07:55:00', 16, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '08:20:00', '08:20:00', 16, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '08:46:00', '08:46:00', 16, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '09:11:00', '09:11:00', 16, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '09:36:00', '09:36:00', 16, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '10:01:00', '10:01:00', 16, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '10:26:00', '10:26:00', 16, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '10:51:00', '10:51:00', 16, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '11:16:00', '11:16:00', 16, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '11:41:00', '11:41:00', 16, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '12:06:00', '12:06:00', 16, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '12:31:00', '12:31:00', 16, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '12:56:00', '12:56:00', 16, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '13:21:00', '13:21:00', 16, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '13:46:00', '13:46:00', 16, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '14:11:00', '14:11:00', 16, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '14:36:00', '14:36:00', 16, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '14:56:00', '14:56:00', 16, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '15:16:00', '15:16:00', 16, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '15:36:00', '15:36:00', 16, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '15:56:00', '15:56:00', 16, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '16:16:00', '16:16:00', 16, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '16:36:00', '16:36:00', 16, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '16:56:00', '16:56:00', 16, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '17:16:00', '17:16:00', 16, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '17:36:00', '17:36:00', 16, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '17:56:00', '17:56:00', 16, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495173, '18:21:00', '18:21:00', 16, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '06:15:00', '06:15:00', 17, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '06:40:00', '06:40:00', 17, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '07:05:00', '07:05:00', 17, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '19:36:00', '19:36:00', 17, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '20:01:00', '20:01:00', 17, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '20:26:00', '20:26:00', 17, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '20:50:00', '20:50:00', 17, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '21:14:00', '21:14:00', 17, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '18:47:00', '18:47:00', 17, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '19:11:00', '19:11:00', 17, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '07:30:00', '07:30:00', 17, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '07:56:00', '07:56:00', 17, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '08:21:00', '08:21:00', 17, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '08:47:00', '08:47:00', 17, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '09:12:00', '09:12:00', 17, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '09:37:00', '09:37:00', 17, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '10:02:00', '10:02:00', 17, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '10:27:00', '10:27:00', 17, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '10:52:00', '10:52:00', 17, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '11:17:00', '11:17:00', 17, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '11:42:00', '11:42:00', 17, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '12:07:00', '12:07:00', 17, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '12:32:00', '12:32:00', 17, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '12:57:00', '12:57:00', 17, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '13:22:00', '13:22:00', 17, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '13:47:00', '13:47:00', 17, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '14:12:00', '14:12:00', 17, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '14:37:00', '14:37:00', 17, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '14:57:00', '14:57:00', 17, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '15:17:00', '15:17:00', 17, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '15:37:00', '15:37:00', 17, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '15:57:00', '15:57:00', 17, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '16:17:00', '16:17:00', 17, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '16:37:00', '16:37:00', 17, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '16:57:00', '16:57:00', 17, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '17:17:00', '17:17:00', 17, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '17:37:00', '17:37:00', 17, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '17:57:00', '17:57:00', 17, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495205, '18:22:00', '18:22:00', 17, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '06:16:00', '06:16:00', 18, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '06:41:00', '06:41:00', 18, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '07:06:00', '07:06:00', 18, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '19:37:00', '19:37:00', 18, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '20:02:00', '20:02:00', 18, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '20:27:00', '20:27:00', 18, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '20:51:00', '20:51:00', 18, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '21:15:00', '21:15:00', 18, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '18:48:00', '18:48:00', 18, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '19:12:00', '19:12:00', 18, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '07:31:00', '07:31:00', 18, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '07:57:00', '07:57:00', 18, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '08:22:00', '08:22:00', 18, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '08:48:00', '08:48:00', 18, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '09:13:00', '09:13:00', 18, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '09:38:00', '09:38:00', 18, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '10:03:00', '10:03:00', 18, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '10:28:00', '10:28:00', 18, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '10:53:00', '10:53:00', 18, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '11:18:00', '11:18:00', 18, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '11:43:00', '11:43:00', 18, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '12:08:00', '12:08:00', 18, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '12:33:00', '12:33:00', 18, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '12:58:00', '12:58:00', 18, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '13:23:00', '13:23:00', 18, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '13:48:00', '13:48:00', 18, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '14:13:00', '14:13:00', 18, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '14:38:00', '14:38:00', 18, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '14:58:00', '14:58:00', 18, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '15:18:00', '15:18:00', 18, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '15:38:00', '15:38:00', 18, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '15:58:00', '15:58:00', 18, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '16:18:00', '16:18:00', 18, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '16:38:00', '16:38:00', 18, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '16:58:00', '16:58:00', 18, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '17:18:00', '17:18:00', 18, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '17:38:00', '17:38:00', 18, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '17:58:00', '17:58:00', 18, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377704015495209, '18:23:00', '18:23:00', 18, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '06:17:00', '06:17:00', 19, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '06:42:00', '06:42:00', 19, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '07:07:00', '07:07:00', 19, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '19:37:00', '19:37:00', 19, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '20:02:00', '20:02:00', 19, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '20:27:00', '20:27:00', 19, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '20:52:00', '20:52:00', 19, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '21:16:00', '21:16:00', 19, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '18:49:00', '18:49:00', 19, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '19:12:00', '19:12:00', 19, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '07:32:00', '07:32:00', 19, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '07:57:00', '07:57:00', 19, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '08:23:00', '08:23:00', 19, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '08:49:00', '08:49:00', 19, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '09:14:00', '09:14:00', 19, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '09:39:00', '09:39:00', 19, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '10:04:00', '10:04:00', 19, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '10:29:00', '10:29:00', 19, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '10:54:00', '10:54:00', 19, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '11:19:00', '11:19:00', 19, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '11:44:00', '11:44:00', 19, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '12:09:00', '12:09:00', 19, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '12:34:00', '12:34:00', 19, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '12:59:00', '12:59:00', 19, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '13:24:00', '13:24:00', 19, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '13:49:00', '13:49:00', 19, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '14:14:00', '14:14:00', 19, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '14:39:00', '14:39:00', 19, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '14:59:00', '14:59:00', 19, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '15:19:00', '15:19:00', 19, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '15:39:00', '15:39:00', 19, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '15:59:00', '15:59:00', 19, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '16:19:00', '16:19:00', 19, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '16:39:00', '16:39:00', 19, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '16:59:00', '16:59:00', 19, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '17:19:00', '17:19:00', 19, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '17:39:00', '17:39:00', 19, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '17:59:00', '17:59:00', 19, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882768, '18:24:00', '18:24:00', 19, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '06:18:00', '06:18:00', 20, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '06:43:00', '06:43:00', 20, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '07:08:00', '07:08:00', 20, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '19:39:00', '19:39:00', 20, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '20:04:00', '20:04:00', 20, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '20:29:00', '20:29:00', 20, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '20:53:00', '20:53:00', 20, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '21:17:00', '21:17:00', 20, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '18:51:00', '18:51:00', 20, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '19:14:00', '19:14:00', 20, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '07:33:00', '07:33:00', 20, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '07:59:00', '07:59:00', 20, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '08:25:00', '08:25:00', 20, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '08:51:00', '08:51:00', 20, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '09:16:00', '09:16:00', 20, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '09:41:00', '09:41:00', 20, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '10:06:00', '10:06:00', 20, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '10:31:00', '10:31:00', 20, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '10:56:00', '10:56:00', 20, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '11:21:00', '11:21:00', 20, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '11:46:00', '11:46:00', 20, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '12:11:00', '12:11:00', 20, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '12:36:00', '12:36:00', 20, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '13:01:00', '13:01:00', 20, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '13:26:00', '13:26:00', 20, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '13:51:00', '13:51:00', 20, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '14:16:00', '14:16:00', 20, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '14:41:00', '14:41:00', 20, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '15:01:00', '15:01:00', 20, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '15:21:00', '15:21:00', 20, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '15:41:00', '15:41:00', 20, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '16:01:00', '16:01:00', 20, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '16:21:00', '16:21:00', 20, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '16:41:00', '16:41:00', 20, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '17:01:00', '17:01:00', 20, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '17:21:00', '17:21:00', 20, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '17:41:00', '17:41:00', 20, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '18:01:00', '18:01:00', 20, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720881427, '18:26:00', '18:26:00', 20, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '06:19:00', '06:19:00', 21, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '06:45:00', '06:45:00', 21, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '07:10:00', '07:10:00', 21, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '19:41:00', '19:41:00', 21, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '20:06:00', '20:06:00', 21, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '20:31:00', '20:31:00', 21, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '20:55:00', '20:55:00', 21, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '21:19:00', '21:19:00', 21, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '18:53:00', '18:53:00', 21, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '19:16:00', '19:16:00', 21, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '07:35:00', '07:35:00', 21, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '08:01:00', '08:01:00', 21, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '08:27:00', '08:27:00', 21, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '08:53:00', '08:53:00', 21, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '09:18:00', '09:18:00', 21, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '09:43:00', '09:43:00', 21, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '10:08:00', '10:08:00', 21, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '10:33:00', '10:33:00', 21, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '10:58:00', '10:58:00', 21, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '11:23:00', '11:23:00', 21, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '11:48:00', '11:48:00', 21, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '12:13:00', '12:13:00', 21, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '12:38:00', '12:38:00', 21, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '13:03:00', '13:03:00', 21, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '13:28:00', '13:28:00', 21, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '13:53:00', '13:53:00', 21, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '14:18:00', '14:18:00', 21, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '14:43:00', '14:43:00', 21, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '15:03:00', '15:03:00', 21, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '15:23:00', '15:23:00', 21, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '15:43:00', '15:43:00', 21, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '16:03:00', '16:03:00', 21, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '16:23:00', '16:23:00', 21, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '16:43:00', '16:43:00', 21, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '17:03:00', '17:03:00', 21, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '17:23:00', '17:23:00', 21, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '17:43:00', '17:43:00', 21, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '18:03:00', '18:03:00', 21, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882764, '18:28:00', '18:28:00', 21, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '06:20:00', '06:20:00', 22, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '06:45:00', '06:45:00', 22, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '07:10:00', '07:10:00', 22, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '19:41:00', '19:41:00', 22, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '20:06:00', '20:06:00', 22, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '20:31:00', '20:31:00', 22, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '20:55:00', '20:55:00', 22, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '21:19:00', '21:19:00', 22, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '18:53:00', '18:53:00', 22, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '19:16:00', '19:16:00', 22, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '07:35:00', '07:35:00', 22, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '08:01:00', '08:01:00', 22, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '08:27:00', '08:27:00', 22, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '08:53:00', '08:53:00', 22, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '09:18:00', '09:18:00', 22, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '09:43:00', '09:43:00', 22, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '10:08:00', '10:08:00', 22, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '10:33:00', '10:33:00', 22, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '10:58:00', '10:58:00', 22, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '11:23:00', '11:23:00', 22, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '11:48:00', '11:48:00', 22, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '12:13:00', '12:13:00', 22, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '12:38:00', '12:38:00', 22, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '13:03:00', '13:03:00', 22, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '13:28:00', '13:28:00', 22, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '13:53:00', '13:53:00', 22, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '14:18:00', '14:18:00', 22, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '14:43:00', '14:43:00', 22, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '15:03:00', '15:03:00', 22, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '15:23:00', '15:23:00', 22, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '15:43:00', '15:43:00', 22, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '16:03:00', '16:03:00', 22, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '16:23:00', '16:23:00', 22, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '16:43:00', '16:43:00', 22, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '17:03:00', '17:03:00', 22, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '17:23:00', '17:23:00', 22, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '17:43:00', '17:43:00', 22, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '18:03:00', '18:03:00', 22, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882761, '18:28:00', '18:28:00', 22, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '06:21:00', '06:21:00', 23, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '06:46:00', '06:46:00', 23, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '07:11:00', '07:11:00', 23, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '19:43:00', '19:43:00', 23, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '20:08:00', '20:08:00', 23, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '20:32:00', '20:32:00', 23, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '20:56:00', '20:56:00', 23, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '21:20:00', '21:20:00', 23, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '18:55:00', '18:55:00', 23, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '19:18:00', '19:18:00', 23, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '07:37:00', '07:37:00', 23, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '08:03:00', '08:03:00', 23, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '08:29:00', '08:29:00', 23, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '08:55:00', '08:55:00', 23, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '09:20:00', '09:20:00', 23, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '09:45:00', '09:45:00', 23, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '10:10:00', '10:10:00', 23, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '10:35:00', '10:35:00', 23, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '11:00:00', '11:00:00', 23, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '11:25:00', '11:25:00', 23, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '11:50:00', '11:50:00', 23, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '12:15:00', '12:15:00', 23, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '12:40:00', '12:40:00', 23, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '13:05:00', '13:05:00', 23, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '13:29:00', '13:29:00', 23, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '13:54:00', '13:54:00', 23, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '14:19:00', '14:19:00', 23, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '14:45:00', '14:45:00', 23, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '15:05:00', '15:05:00', 23, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '15:25:00', '15:25:00', 23, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '15:45:00', '15:45:00', 23, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '16:05:00', '16:05:00', 23, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '16:25:00', '16:25:00', 23, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '16:45:00', '16:45:00', 23, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '17:05:00', '17:05:00', 23, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '17:25:00', '17:25:00', 23, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '17:45:00', '17:45:00', 23, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '18:05:00', '18:05:00', 23, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882758, '18:30:00', '18:30:00', 23, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '06:22:00', '06:22:00', 24, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '06:47:00', '06:47:00', 24, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '07:12:00', '07:12:00', 24, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '19:44:00', '19:44:00', 24, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '20:09:00', '20:09:00', 24, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '20:33:00', '20:33:00', 24, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '20:57:00', '20:57:00', 24, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '21:21:00', '21:21:00', 24, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '18:56:00', '18:56:00', 24, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '19:19:00', '19:19:00', 24, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '07:38:00', '07:38:00', 24, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '08:04:00', '08:04:00', 24, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '08:30:00', '08:30:00', 24, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '08:56:00', '08:56:00', 24, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '09:21:00', '09:21:00', 24, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '09:46:00', '09:46:00', 24, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '10:11:00', '10:11:00', 24, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '10:36:00', '10:36:00', 24, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '11:01:00', '11:01:00', 24, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '11:26:00', '11:26:00', 24, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '11:51:00', '11:51:00', 24, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '12:16:00', '12:16:00', 24, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '12:41:00', '12:41:00', 24, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '13:06:00', '13:06:00', 24, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '13:30:00', '13:30:00', 24, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '13:55:00', '13:55:00', 24, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '14:20:00', '14:20:00', 24, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '14:46:00', '14:46:00', 24, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '15:06:00', '15:06:00', 24, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '15:26:00', '15:26:00', 24, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '15:46:00', '15:46:00', 24, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '16:06:00', '16:06:00', 24, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '16:26:00', '16:26:00', 24, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '16:46:00', '16:46:00', 24, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '17:06:00', '17:06:00', 24, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '17:26:00', '17:26:00', 24, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '17:46:00', '17:46:00', 24, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '18:06:00', '18:06:00', 24, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882755, '18:31:00', '18:31:00', 24, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '06:22:00', '06:22:00', 25, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '06:48:00', '06:48:00', 25, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '07:13:00', '07:13:00', 25, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '19:45:00', '19:45:00', 25, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '20:10:00', '20:10:00', 25, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '20:34:00', '20:34:00', 25, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '20:58:00', '20:58:00', 25, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '21:22:00', '21:22:00', 25, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '18:57:00', '18:57:00', 25, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '19:20:00', '19:20:00', 25, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '07:39:00', '07:39:00', 25, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '08:05:00', '08:05:00', 25, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '08:31:00', '08:31:00', 25, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '08:57:00', '08:57:00', 25, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '09:22:00', '09:22:00', 25, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '09:47:00', '09:47:00', 25, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '10:12:00', '10:12:00', 25, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '10:37:00', '10:37:00', 25, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '11:02:00', '11:02:00', 25, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '11:27:00', '11:27:00', 25, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '11:52:00', '11:52:00', 25, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '12:17:00', '12:17:00', 25, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '12:42:00', '12:42:00', 25, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '13:07:00', '13:07:00', 25, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '13:31:00', '13:31:00', 25, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '13:56:00', '13:56:00', 25, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '14:21:00', '14:21:00', 25, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '14:47:00', '14:47:00', 25, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '15:07:00', '15:07:00', 25, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '15:27:00', '15:27:00', 25, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '15:47:00', '15:47:00', 25, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '16:07:00', '16:07:00', 25, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '16:27:00', '16:27:00', 25, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '16:47:00', '16:47:00', 25, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '17:07:00', '17:07:00', 25, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '17:27:00', '17:27:00', 25, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '17:47:00', '17:47:00', 25, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '18:07:00', '18:07:00', 25, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882754, '18:32:00', '18:32:00', 25, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '06:23:00', '06:23:00', 26, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '06:49:00', '06:49:00', 26, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '07:14:00', '07:14:00', 26, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '19:46:00', '19:46:00', 26, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '20:11:00', '20:11:00', 26, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '20:35:00', '20:35:00', 26, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '20:59:00', '20:59:00', 26, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '21:23:00', '21:23:00', 26, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '18:58:00', '18:58:00', 26, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '19:21:00', '19:21:00', 26, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '07:40:00', '07:40:00', 26, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '08:06:00', '08:06:00', 26, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '08:32:00', '08:32:00', 26, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '08:58:00', '08:58:00', 26, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '09:23:00', '09:23:00', 26, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '09:48:00', '09:48:00', 26, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '10:13:00', '10:13:00', 26, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '10:38:00', '10:38:00', 26, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '11:03:00', '11:03:00', 26, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '11:28:00', '11:28:00', 26, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '11:53:00', '11:53:00', 26, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '12:18:00', '12:18:00', 26, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '12:43:00', '12:43:00', 26, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '13:08:00', '13:08:00', 26, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '13:32:00', '13:32:00', 26, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '13:57:00', '13:57:00', 26, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '14:22:00', '14:22:00', 26, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '14:48:00', '14:48:00', 26, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '15:08:00', '15:08:00', 26, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '15:28:00', '15:28:00', 26, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '15:48:00', '15:48:00', 26, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '16:08:00', '16:08:00', 26, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '16:28:00', '16:28:00', 26, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '16:48:00', '16:48:00', 26, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '17:08:00', '17:08:00', 26, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '17:28:00', '17:28:00', 26, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '17:48:00', '17:48:00', 26, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '18:08:00', '18:08:00', 26, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720882753, '18:33:00', '18:33:00', 26, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '06:24:00', '06:24:00', 27, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '06:50:00', '06:50:00', 27, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '07:15:00', '07:15:00', 27, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '19:47:00', '19:47:00', 27, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '20:12:00', '20:12:00', 27, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '20:36:00', '20:36:00', 27, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '21:00:00', '21:00:00', 27, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '21:24:00', '21:24:00', 27, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '18:59:00', '18:59:00', 27, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '19:22:00', '19:22:00', 27, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '07:41:00', '07:41:00', 27, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '08:07:00', '08:07:00', 27, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '08:33:00', '08:33:00', 27, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '08:59:00', '08:59:00', 27, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '09:24:00', '09:24:00', 27, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '09:49:00', '09:49:00', 27, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '10:14:00', '10:14:00', 27, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '10:39:00', '10:39:00', 27, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '11:04:00', '11:04:00', 27, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '11:29:00', '11:29:00', 27, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '11:54:00', '11:54:00', 27, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '12:19:00', '12:19:00', 27, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '12:44:00', '12:44:00', 27, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '13:09:00', '13:09:00', 27, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '13:33:00', '13:33:00', 27, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '13:58:00', '13:58:00', 27, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '14:23:00', '14:23:00', 27, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '14:49:00', '14:49:00', 27, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '15:09:00', '15:09:00', 27, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '15:29:00', '15:29:00', 27, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '15:49:00', '15:49:00', 27, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '16:09:00', '16:09:00', 27, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '16:29:00', '16:29:00', 27, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '16:49:00', '16:49:00', 27, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '17:09:00', '17:09:00', 27, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '17:29:00', '17:29:00', 27, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '17:49:00', '17:49:00', 27, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '18:09:00', '18:09:00', 27, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880912, '18:34:00', '18:34:00', 27, 0, 4503603928074160);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '06:25:00', '06:25:00', 28, 0, 4503603928074122);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '06:51:00', '06:51:00', 28, 0, 4503603928074123);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '07:16:00', '07:16:00', 28, 0, 4503603928074124);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '19:48:00', '19:48:00', 28, 0, 4503603928074125);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '20:13:00', '20:13:00', 28, 0, 4503603928074126);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '20:37:00', '20:37:00', 28, 0, 4503603928074127);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '21:01:00', '21:01:00', 28, 0, 4503603928074128);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '21:25:00', '21:25:00', 28, 0, 4503603928074129);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '19:00:00', '19:00:00', 28, 0, 4503603928074130);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '19:23:00', '19:23:00', 28, 0, 4503603928074131);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '07:42:00', '07:42:00', 28, 0, 4503603928074132);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '08:08:00', '08:08:00', 28, 0, 4503603928074133);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '08:34:00', '08:34:00', 28, 0, 4503603928074134);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '09:00:00', '09:00:00', 28, 0, 4503603928074135);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '09:25:00', '09:25:00', 28, 0, 4503603928074136);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '09:50:00', '09:50:00', 28, 0, 4503603928074137);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '10:15:00', '10:15:00', 28, 0, 4503603928074138);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '10:40:00', '10:40:00', 28, 0, 4503603928074139);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '11:05:00', '11:05:00', 28, 0, 4503603928074140);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '11:30:00', '11:30:00', 28, 0, 4503603928074141);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '11:55:00', '11:55:00', 28, 0, 4503603928074142);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '12:20:00', '12:20:00', 28, 0, 4503603928074143);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '12:45:00', '12:45:00', 28, 0, 4503603928074144);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '13:10:00', '13:10:00', 28, 0, 4503603928074145);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '13:34:00', '13:34:00', 28, 0, 4503603928074146);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '13:59:00', '13:59:00', 28, 0, 4503603928074147);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '14:24:00', '14:24:00', 28, 0, 4503603928074148);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '14:51:00', '14:51:00', 28, 0, 4503603928074149);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '15:11:00', '15:11:00', 28, 0, 4503603928074150);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '15:31:00', '15:31:00', 28, 0, 4503603928074151);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '15:51:00', '15:51:00', 28, 0, 4503603928074152);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '16:11:00', '16:11:00', 28, 0, 4503603928074153);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '16:31:00', '16:31:00', 28, 0, 4503603928074154);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '16:51:00', '16:51:00', 28, 0, 4503603928074155);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '17:11:00', '17:11:00', 28, 0, 4503603928074156);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '17:31:00', '17:31:00', 28, 0, 4503603928074157);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '17:51:00', '17:51:00', 28, 0, 4503603928074158);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '18:10:00', '18:10:00', 28, 0, 4503603928074159);
INSERT INTO `arret` (`idArret`, `heureArrivee`, `heureDepart`, `numeroSequence`, `informationVoyageur`, `idItineraire`) VALUES (3377699720880909, '18:35:00', '18:35:00', 28, 0, 4503603928074160);

-- --------------------------------------------------------
--
-- Structure de la table `lieu`
--

CREATE TABLE `lieu` (
  `idArret` bigint(20) NOT NULL,
  `codeArret` int(11) NOT NULL,
  `nomLieu` varchar(160) DEFAULT NULL,
  `latitude` varchar(160) DEFAULT NULL,
  `longitude` varchar(160) DEFAULT NULL,
  `typeLieu` binary(1) DEFAULT NULL,
  `stationParente` bigint(20) NOT NULL,
  PRIMARY KEY (`idArret`)
);

--
-- Contenu de la table `lieu`
--

INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880908, 6760, 'St Cyprien - République', '43.5986', '1.43027', '0', 1970324837184772);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880909, 6763, 'St Cyprien - République', '43.5975', '1.43093', '0', 1970324837184772);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880912, 6765, 'St Cyprien - République', '43.5979', '1.43175', '0', 1970324837184772);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880914, 6761, 'St Cyprien - République', '43.5971', '1.43122', '0', 1970324837184772);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880940, 6840, 'Palais de Justice', '43.5932', '1.44495', '0', 1970324837184792);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880988, 423, 'Bagatelle', '43.5802', '1.41168', '0', 1970324837184809);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880989, 420, 'Bagatelle', '43.5797', '1.41181', '0', 1970324837184809);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881173, 2431, 'Esquirol', '43.6005', '1.44393', '0', 1970324837184892);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881174, 2430, 'Esquirol', '43.6004', '1.4447', '0', 1970324837184892);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881193, 5591, 'Pont Neuf', '43.5999', '1.4415', '0', 1970324837184897);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881194, 5590, 'Pont Neuf', '43.5997', '1.44091', '0', 1970324837184897);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881231, 221, 'Arsenal', '43.6056', '1.43366', '0', 1970324837184915);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881298, 3183, 'Grand Rond', '43.5964', '1.45401', '0', 1970324837184947);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881299, 3180, 'Grand Rond', '43.5939', '1.45238', '0', 1970324837184947);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881301, 3181, 'Grand Rond', '43.595', '1.45364', '0', 1970324837184947);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881404, 1728, 'Cours Dillon', '43.5988', '1.43744', '0', 1970324837184995);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881409, 1721, 'Cours Dillon', '43.5988', '1.43722', '0', 1970324837184995);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881427, 2831, 'Fontaine Lestang', '43.5878', '1.41857', '0', 1970324837185007);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881428, 2830, 'Fontaine Lestang', '43.5878', '1.41871', '0', 1970324837185007);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881489, 3410, 'Héraclès', '43.6086', '1.42952', '0', 1970324837185029);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881490, 3411, 'Héraclès', '43.6086', '1.42901', '0', 1970324837185029);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881911, 7021, 'Trois Fours', '43.5875', '1.46147', '0', 1970324837185312);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881912, 7020, 'Trois Fours', '43.5872', '1.46192', '0', 1970324837185312);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881918, 5581, 'Montaudran', '43.5716', '1.4977', '0', 1970324837185315);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881919, 5580, 'Montaudran', '43.5708', '1.49923', '0', 1970324837185315);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882004, 4121, 'Leclerc', '43.6094', '1.43143', '0', 1970324837185358);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882275, 6743, 'François Verdier', '43.6005', '1.45144', '0', 1970324837185541);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882277, 6742, 'François Verdier', '43.6006', '1.45119', '0', 1970324837185541);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882283, 5870, 'Quartier Général', '43.598', '1.45215', '0', 1970324837185542);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882287, 2762, 'Fer à Cheval', '43.5939', '1.43375', '0', 1970324837185543);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882288, 2763, 'Fer à Cheval', '43.5938', '1.43371', '0', 1970324837185543);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882315, 1750, 'Crampel', '43.5881', '1.45927', '0', 1970324837185566);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882316, 1751, 'Crampel', '43.5883', '1.45895', '0', 1970324837185566);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882317, 1711, 'Courrège', '43.5842', '1.46923', '0', 1970324837185567);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882318, 1710, 'Courrège', '43.5841', '1.46952', '0', 1970324837185567);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882750, 6980, 'Teinturiers', '43.5954', '1.43244', '0', 1970324837185912);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882751, 6981, 'Teinturiers', '43.5957', '1.43244', '0', 1970324837185912);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882752, 2140, 'Delpy', '43.5934', '1.43087', '0', 1970324837185913);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882753, 1851, 'Cugnaux', '43.5956', '1.43143', '0', 1970324837185914);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882754, 6401, 'Ste-Lucie', '43.5939', '1.42958', '0', 1970324837185915);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882755, 6111, 'Rodin', '43.5925', '1.42744', '0', 1970324837185916);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882756, 6110, 'Rodin', '43.5924', '1.42739', '0', 1970324837185916);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882757, 7110, 'Valats', '43.5911', '1.4249', '0', 1970324837185917);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882758, 7111, 'Valats', '43.5912', '1.42514', '0', 1970324837185917);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882761, 1971, 'Déodat de Séverac', '43.5898', '1.42253', '0', 1970324837185918);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882762, 1970, 'Déodat de Séverac', '43.59', '1.42277', '0', 1970324837185918);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882763, 3020, 'Gamelin', '43.5888', '1.42123', '0', 1970324837185919);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882764, 3021, 'Gamelin', '43.5889', '1.42142', '0', 1970324837185919);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882766, 4700, 'Mont Dore', '43.5846', '1.41579', '0', 1970324837185920);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882767, 6920, 'Tellier', '43.5857', '1.41371', '0', 1970324837185921);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882768, 6921, 'Tellier', '43.5854', '1.41241', '0', 1970324837185921);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882775, 4270, 'Place du Morvan', '43.5807', '1.40946', '0', 1970324837185925);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882776, 4271, 'Place du Morvan', '43.5809', '1.40894', '0', 1970324837185925);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882777, 3281, 'Guyenne', '43.5772', '1.40984', '0', 1970324837185926);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882778, 3280, 'Guyenne', '43.577', '1.41047', '0', 1970324837185926);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882779, 3510, 'Ile de France', '43.576', '1.41165', '0', 1970324837185927);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882780, 3511, 'Ile de France', '43.5764', '1.41223', '0', 1970324837185927);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882781, 671, 'Bigorre', '43.5748', '1.41107', '0', 1970324837185928);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882782, 1661, 'Ch. Papus', '43.5742', '1.41195', '0', 1970324837185929);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882785, 5620, 'Ile du Ramier', '43.5923', '1.44044', '0', 1970324840530407);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882786, 5621, 'Ile du Ramier', '43.5922', '1.44035', '0', 1970324840530407);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882787, 3651, 'Jardin Royal', '43.5948', '1.44961', '0', 1970324837185933);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882788, 3650, 'Jardin Royal', '43.5948', '1.4495', '0', 1970324837185933);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882798, 91, 'Amidonniers', '43.6061', '1.42818', '0', 1970324837185937);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882799, 90, 'Amidonniers', '43.6066', '1.42821', '0', 1970324837185937);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882800, 11, 'Les Abattoirs', '43.6009', '1.42851', '0', 1970324837185938);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882871, 1961, 'Demouilles', '43.5893', '1.45665', '0', 1970324837185971);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882872, 1960, 'Demouilles', '43.5888', '1.45763', '0', 1970324837185971);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882873, 2911, 'Frizac', '43.5908', '1.45354', '0', 1970324837185972);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882874, 2910, 'Frizac', '43.5905', '1.4538', '0', 1970324837185972);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882875, 3641, 'Jardin des Plantes', '43.5928', '1.4532', '0', 1970324837185973);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882876, 3640, 'Jardin des Plantes', '43.5925', '1.45265', '0', 1970324837185973);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882906, 720, 'Bordelongue', '43.5709', '1.41678', '0', 1970324837185987);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720882907, 721, 'Bordelongue', '43.5711', '1.41724', '0', 1970324837185987);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883024, 451, 'Barcelone Leclerc', '43.607', '1.43069', '0', 1970324837186054);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883103, 6913, 'Tahiti', '43.5799', '1.48064', '0', 1970324837186092);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883112, 6611, 'Sciences Sociales', '43.6063', '1.43473', '0', 1970324837186096);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883336, 3130, 'Gironis', '43.5638', '1.42527', '0', 1970324837186218);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883337, 3131, 'Gironis', '43.5637', '1.42535', '0', 1970324837186218);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883338, 4451, 'Marchant', '43.5594', '1.42474', '0', 1970324837186219);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720883339, 4450, 'Marchant', '43.5594', '1.42474', '0', 1970324837186219);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884466, 6421, 'Dufour', '43.5855', '1.4659', '0', 1970324837186812);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884467, 6420, 'Dufour', '43.585', '1.4672', '0', 1970324837186812);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884468, 1700, 'Cottages', '43.5833', '1.47143', '0', 1970324837186813);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884469, 1701, 'Cottages', '43.5835', '1.47093', '0', 1970324837186813);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884470, 801, 'Buissonnets', '43.5827', '1.47301', '0', 1970324837186814);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884471, 3680, 'Jean-Paul Laurens', '43.5822', '1.47417', '0', 1970324837186815);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884472, 3681, 'Jean-Paul Laurens', '43.5819', '1.47489', '0', 1970324837186815);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884473, 6700, 'Six Avril', '43.5809', '1.47746', '0', 1970324837186816);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884474, 6701, 'Six Avril', '43.5807', '1.47823', '0', 1970324837186816);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884475, 7341, 'Clinique Languedoc', '43.5777', '1.48561', '0', 1970324837186817);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884476, 7340, 'Clinique Languedoc', '43.5775', '1.4857', '0', 1970324837186817);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884477, 5151, 'Ormeau', '43.5791', '1.48331', '0', 1970324837186818);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884478, 2261, 'Ecole Montaudran', '43.5766', '1.48724', '0', 1970324837186819);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884479, 850, 'Bajac', '43.5758', '1.48847', '0', 1970324837186820);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884480, 851, 'Bajac', '43.5757', '1.48869', '0', 1970324837186820);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884481, 7331, 'Lafaurie', '43.5745', '1.49048', '0', 1970324837186821);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884482, 7330, 'Lafaurie', '43.5738', '1.4915', '0', 1970324837186821);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884483, 6241, 'Route de Revel', '43.5689', '1.50366', '0', 1970324837186822);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720884484, 6240, 'Route de Revel', '43.5693', '1.50271', '0', 1970324837186822);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720888538, 10, 'Les Abattoirs', '43.6012', '1.42847', '0', 1970324837185938);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720888764, 6914, 'Tahiti', '43.5795', '1.48176', '0', 1970324837186092);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699721872252, 4350, 'Boulbonne', '43.6006', '1.44749', '0', 1970324838318971);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699721872253, 4351, 'Boulbonne', '43.6006', '1.44799', '0', 1970324838318971);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699721902064, 2561, 'Compans-Caffarelli', '43.6099', '1.43488', '0', 1970324837184671);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699721902071, 6843, 'Palais de Justice', '43.5928', '1.44408', '0', 1970324837184792);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699722238902, 23101, 'Ch. des Martyrs', '43.5705', '1.41991', '0', 1970324839637228);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723132164, 1660, 'Ch. Papus', '43.574', '1.41266', '0', 1970324837185929);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723132175, 23040, 'Hubert Curien', '43.5578', '1.42701', '0', 1970324839578894);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723132177, 23041, 'Hubert Curien', '43.5578', '1.42701', '0', 1970324839578894);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723135387, 23051, 'Oncopole', '43.5542', '1.43185', '0', 1970324839361574);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723135401, 670, 'Bigorre', '43.5748', '1.41099', '0', 1970324837185928);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723135406, 23020, 'Landes', '43.5729', '1.41694', '0', 1970324839582125);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723135408, 23021, 'Landes', '43.5731', '1.41612', '0', 1970324839582125);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723154117, 23030, 'Courtois de Viçose', '43.5698', '1.42287', '0', 1970324839600836);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723154118, 23031, 'Courtois de Viçose', '43.5698', '1.42274', '0', 1970324839600836);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723190509, 23100, 'Ch. des Martyrs', '43.5705', '1.41978', '0', 1970324839637228);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723937619, 20270, 'Maison Commune', '43.5575', '1.43009', '0', 1970324840384338);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699723937620, 20271, 'Maison Commune', '43.5575', '1.43043', '0', 1970324840384338);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699724083641, 6582, 'Rond-Point Langlade', '43.5668', '1.42501', '0', 1970324837185088);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699724083642, 6583, 'Rond-Point Langlade', '43.5668', '1.425', '0', 1970324837185088);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699724118456, 4120, 'Leclerc', '43.6094', '1.43161', '0', 1970324837185358);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495172, 1130, 'Cher', '43.5816', '1.40795', '0', 1970329131941891);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495173, 1131, 'Cher', '43.582', '1.40782', '0', 1970329131941891);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495204, 6150, 'Ronsard', '43.5833', '1.40695', '0', 1970329131941910);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495205, 6151, 'Ronsard', '43.5834', '1.40692', '0', 1970329131941910);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495208, 6432, 'St-Gaudens', '43.5851', '1.41021', '0', 1970329131941911);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495209, 6433, 'St-Gaudens', '43.5851', '1.41035', '0', 1970329131941911);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495511, 27552, 'Malepère', '43.5671', '1.50643', '0', 1970324837186852);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377704015495519, 27551, 'Malepère', '43.567', '1.50573', '0', 1970324837186852);

-- --------------------------------------------------------
--
-- Structure de la table `service`
--

CREATE TABLE `service` (
  `idService` bigint(20) NOT NULL,
  `codeConducteur` smallint(4) DEFAULT NULL,
  `idVehicule` smallint(3) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `heureDebut` time DEFAULT NULL,
  `dateFin` date DEFAULT NULL,  
  `heureFin` time DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idService`),  
  CONSTRAINT fk_service_codeConducteur
  FOREIGN KEY (codeConducteur)
  REFERENCES conducteur(codeConducteur),
  CONSTRAINT fk_service_idVehicule
  FOREIGN KEY (idVehicule)
  REFERENCES vehicule(idVehicule)
);

--
-- Contenu de la table `service`
--

INSERT INTO `service` (`idService`, `codeConducteur`, `idVehicule`, `dateDebut`, `heureDebut`, `dateFin`, `heureFin` , `effectue`) VALUES (1, 1234, 155, '2015-07-11', '07:00:00', '', '', 0);
INSERT INTO `service` (`idService`, `codeConducteur`, `idVehicule`, `dateDebut`, `heureDebut`, `dateFin`, `heureFin` , `effectue`) VALUES (2, 195, 155, '2015-07-11', '10:00:00', '', '', 0);

-- --------------------------------------------------------
--
-- Structure de la table `course`
--

CREATE TABLE `course` (
  `idItineraire` bigint(20) NOT NULL,
  `idService` smallint(3) DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idItineraire`, `idService`),
  CONSTRAINT fk_course_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_course_idService
  FOREIGN KEY (idService)
  REFERENCES service(idService)
);

--
-- Contenu de la table `course`
--

INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074122, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074024, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074132, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074032, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074135, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074035, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074146, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074052, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074149, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074055, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074131, 1, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074129, 1, 0);

INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074138, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074038, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074141, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074041, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074144, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074044, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074153, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074050, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074157, 2, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928074057, 2, 0);

-- --------------------------------------------------------
--
-- Structure de la table `trace`
--

CREATE TABLE `trace` (
  `idTrace` bigint(20) NOT NULL,
  `pt_lat` real DEFAULT NULL,
  `pt_lon` real DEFAULT NULL,
  `pt_sequence` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idTrace`, `pt_sequence`)
);

--
-- Contenu de la table `trace`
--

INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5975,1.43099,0);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5973,1.43113,1);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5972,1.43122,2);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5971,1.43133,3);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5971,1.43134,4);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5963,1.43193,5);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5963,1.43198,6);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5962,1.43203,7);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.596,1.43216,8);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5958,1.43235,9);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5957,1.43241,10);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5956,1.43244,11);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5955,1.43257,12);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5952,1.43277,13);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5951,1.43284,14);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5949,1.433,15);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5945,1.43323,16);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5943,1.43338,17);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5941,1.43359,18);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5939,1.43367,19);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5939,1.43373,20);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5938,1.43377,21);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5936,1.43395,22);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5933,1.43413,23);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5932,1.43422,24);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.593,1.43442,25);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5929,1.43436,26);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5929,1.43429,27);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5928,1.43425,28);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5928,1.43425,29);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5927,1.43427,30);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5927,1.43395,31);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.593,1.43268,32);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.593,1.43238,33);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5931,1.43182,34);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5933,1.43105,35);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5933,1.43085,36);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5934,1.43027,37);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5935,1.42989,38);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5936,1.42947,39);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5936,1.42948,40);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5937,1.42947,41);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5937,1.42943,42);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5937,1.42938,43);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5937,1.42933,44);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5937,1.42929,45);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5936,1.42928,46);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5936,1.42929,47);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5931,1.42852,48);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5926,1.42782,49);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5925,1.42768,50);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5924,1.4274,51);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5922,1.42707,52);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5919,1.42659,53);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5911,1.42491,54);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5911,1.42484,55);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.591,1.42467,56);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5904,1.42354,57);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5902,1.42332,58);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.59,1.42278,59);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5899,1.42261,60);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5894,1.42191,61);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5888,1.42122,62);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5887,1.42114,63);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5886,1.42099,64);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5885,1.42084,65);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5878,1.41868,66);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5877,1.41823,67);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5876,1.41816,68);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5876,1.41813,69);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5862,1.41714,70);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5854,1.41648,71);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5851,1.4162,72);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.585,1.41612,73);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5846,1.41576,74);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5844,1.4156,75);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5848,1.41481,76);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5851,1.41437,77);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5855,1.41393,78);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5857,1.41373,79);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5859,1.41356,80);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5857,1.41316,81);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5856,1.41274,82);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5855,1.41236,83);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5854,1.41198,84);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5852,1.41099,85);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5851,1.41052,86);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5851,1.41034,87);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5851,1.41021,88);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.585,1.41001,89);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.585,1.40982,90);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5848,1.40896,91);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5847,1.40844,92);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5846,1.40817,93);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5844,1.40794,94);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5843,1.40784,95);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5843,1.40762,96);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5842,1.40746,97);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5842,1.40734,98);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5841,1.40723,99);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5839,1.40675,100);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5838,1.40666,101);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5838,1.40654,102);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5832,1.40687,103);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5829,1.40707,104);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5829,1.40712,105);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5828,1.40723,106);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5826,1.40734,107);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5826,1.40728,108);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5826,1.40724,109);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5825,1.40722,110);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5825,1.40723,111);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5824,1.40726,112);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5824,1.4073,113);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5824,1.40736,114);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5824,1.40742,115);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5824,1.40746,116);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5819,1.40776,117);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5816,1.40793,118);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5813,1.4081,119);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5813,1.40814,120);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5812,1.40811,121);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5812,1.40809,122);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5812,1.40809,123);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5811,1.4081,124);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5811,1.40813,125);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5811,1.40818,126);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5811,1.40823,127);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5811,1.40828,128);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5811,1.40833,129);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.581,1.40839,130);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5809,1.40896,131);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5807,1.40947,132);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5807,1.40948,133);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5807,1.40949,134);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5805,1.41024,135);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5803,1.41111,136);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.58,1.41225,137);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5797,1.41195,138);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5797,1.41189,139);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5794,1.41146,140);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5792,1.41118,141);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5792,1.41109,142);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5792,1.41103,143);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5791,1.41096,144);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5788,1.41027,145);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5784,1.40961,146);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5779,1.40857,147);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5778,1.40861,148);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5776,1.40871,149);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5776,1.40888,150);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5775,1.40912,151);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.577,1.4105,152);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5769,1.41091,153);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5766,1.41202,154);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5762,1.41183,155);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.576,1.4117,156);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5758,1.41159,157);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5755,1.41141,158);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5751,1.41117,159);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5748,1.41101,160);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5745,1.41081,161);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5741,1.41231,162);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.574,1.41266,163);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5737,1.41377,164);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5735,1.41466,165);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5733,1.41529,166);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5732,1.41553,167);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5731,1.41594,168);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.573,1.41656,169);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5729,1.41695,170);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5728,1.41723,171);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5728,1.41732,172);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5727,1.41765,173);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5725,1.41842,174);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5721,1.41811,175);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5719,1.41797,176);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5715,1.41767,177);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5713,1.41745,178);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5708,1.41685,179);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5707,1.41668,180);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5707,1.4166,181);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5703,1.41619,182);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5702,1.41647,183);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5701,1.41678,184);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.57,1.4174,185);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5698,1.41789,186);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5696,1.41899,187);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5699,1.41916,188);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5703,1.41934,189);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5707,1.41955,190);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5706,1.41969,191);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5706,1.41983,192);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5705,1.42005,193);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5704,1.42046,194);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5699,1.42272,195);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5698,1.42289,196);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5697,1.42299,197);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5697,1.42307,198);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5697,1.4232,199);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5696,1.42355,200);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5697,1.42378,201);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5698,1.42395,202);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5699,1.42409,203);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.57,1.42418,204);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.57,1.42431,205);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.57,1.42437,206);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5699,1.42442,207);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5697,1.42439,208);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5697,1.42438,209);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5695,1.42438,210);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5693,1.42443,211);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5692,1.42439,212);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5692,1.42438,213);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5691,1.42438,214);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5691,1.42441,215);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.569,1.42446,216);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.569,1.42453,217);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.569,1.42459,218);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5685,1.42465,219);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5684,1.42465,220);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5684,1.42465,221);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5683,1.42463,222);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5679,1.42469,223);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5676,1.42472,224);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5676,1.42472,225);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5675,1.42472,226);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5674,1.42473,227);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5674,1.42478,228);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5673,1.42483,229);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5673,1.42496,230);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5672,1.42503,231);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5672,1.42506,232);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5672,1.42507,233);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5671,1.42508,234);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5671,1.42507,235);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.567,1.42504,236);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5668,1.42505,237);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5638,1.42532,238);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5636,1.42533,239);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5635,1.42534,240);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5634,1.42538,241);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5634,1.42546,242);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5633,1.42559,243);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5632,1.42568,244);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5631,1.42573,245);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.563,1.42577,246);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.563,1.42577,247);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5629,1.42576,248);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5628,1.42568,249);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5626,1.42554,250);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5626,1.42544,251);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5625,1.42541,252);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5621,1.42535,253);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5608,1.42503,254);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5598,1.42481,255);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5594,1.42471,256);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5593,1.42469,257);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.559,1.42461,258);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5589,1.42461,259);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5589,1.42465,260);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5584,1.42509,261);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5581,1.42533,262);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.558,1.42542,263);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.558,1.42547,264);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5579,1.42556,265);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5579,1.42617,266);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5578,1.42701,267);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5578,1.42702,268);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5576,1.42979,269);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5576,1.4301,270);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5575,1.43043,271);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5574,1.43157,272);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5574,1.4317,273);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5574,1.43177,274);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5573,1.43188,275);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5572,1.43191,276);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5571,1.43193,277);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5568,1.43193,278);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5566,1.43193,279);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5563,1.43188,280);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5558,1.4318,281);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5556,1.43177,282);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5555,1.4318,283);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5555,1.43188,284);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5554,1.43199,285);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5553,1.43326,286);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5553,1.43331,287);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5553,1.43336,288);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5552,1.43338,289);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5552,1.43338,290);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5542,1.43321,291);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5542,1.43319,292);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5541,1.43315,293);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5541,1.43307,294);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5542,1.43217,295);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5542,1.43207,296);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5543,1.432,297);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031644,43.5543,1.43197,298);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5543,1.43197,0);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5544,1.43185,1);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5545,1.43185,2);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5547,1.43188,3);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5547,1.43189,4);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5548,1.4319,5);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5549,1.43191,6);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5549,1.4319,7);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5549,1.43187,8);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.555,1.43183,9);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.555,1.43175,10);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.555,1.43169,11);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5556,1.43177,12);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5558,1.4318,13);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5563,1.43188,14);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5566,1.43193,15);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5568,1.43193,16);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5571,1.43193,17);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5572,1.43191,18);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5573,1.43188,19);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5574,1.43177,20);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5574,1.4317,21);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5574,1.43157,22);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5575,1.43043,23);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5576,1.4301,24);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5576,1.42979,25);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5578,1.42702,26);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5578,1.42701,27);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5579,1.42617,28);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5579,1.42556,29);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.558,1.42547,30);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.558,1.42542,31);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5581,1.42533,32);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5584,1.42509,33);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5589,1.42465,34);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5589,1.42461,35);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.559,1.42461,36);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5593,1.42469,37);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5594,1.42471,38);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5594,1.42471,39);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5598,1.42481,40);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5608,1.42503,41);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5621,1.42535,42);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5625,1.42541,43);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5626,1.42544,44);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5626,1.42554,45);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5628,1.42568,46);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5629,1.42576,47);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.563,1.42577,48);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.563,1.42577,49);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5631,1.42573,50);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5632,1.42568,51);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5633,1.42559,52);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5634,1.42546,53);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5634,1.42538,54);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5635,1.42534,55);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5636,1.42533,56);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5638,1.42532,57);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5668,1.42505,58);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.567,1.42504,59);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5671,1.42507,60);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5671,1.42508,61);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5672,1.42507,62);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5672,1.42506,63);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5672,1.42503,64);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5673,1.42496,65);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5673,1.42483,66);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5674,1.42478,67);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5674,1.42473,68);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5675,1.42472,69);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5676,1.42472,70);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5676,1.42472,71);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5679,1.42469,72);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5683,1.42463,73);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5684,1.42465,74);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5684,1.42465,75);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5685,1.42465,76);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.569,1.42459,77);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5691,1.42469,78);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5691,1.42473,79);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5691,1.42475,80);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5692,1.42475,81);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5692,1.42474,82);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5693,1.4247,83);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5693,1.42462,84);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5695,1.42464,85);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5696,1.42464,86);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5697,1.42462,87);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5699,1.42457,88);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.42462,89);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.42467,90);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.42468,91);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5701,1.42467,92);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.42465,93);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.42459,94);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.4245,95);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.42444,96);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.42438,97);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.42433,98);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5701,1.4243,99);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.4243,100);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.42431,101);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.42418,102);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5699,1.42409,103);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5698,1.42395,104);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5697,1.42378,105);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5696,1.42355,106);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5697,1.4232,107);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5697,1.42307,108);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5697,1.42299,109);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5698,1.42289,110);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5699,1.42275,111);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5699,1.42272,112);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5704,1.42046,113);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5705,1.42005,114);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5706,1.41992,115);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5706,1.41983,116);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5706,1.41969,117);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5707,1.41955,118);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5703,1.41934,119);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5699,1.41916,120);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5696,1.41899,121);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5698,1.41789,122);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.57,1.4174,123);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5701,1.41678,124);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5702,1.41647,125);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5703,1.41619,126);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5707,1.4166,127);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5707,1.41668,128);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5708,1.41685,129);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5711,1.4172,130);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5713,1.41745,131);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5715,1.41767,132);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5719,1.41797,133);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5721,1.41811,134);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5725,1.41842,135);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5727,1.41765,136);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5728,1.41732,137);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5728,1.41723,138);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5729,1.41695,139);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.573,1.41656,140);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5731,1.41614,141);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5731,1.41594,142);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5732,1.41553,143);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5733,1.41529,144);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5735,1.41466,145);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5737,1.41377,146);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.574,1.41266,147);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5741,1.41231,148);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5742,1.41195,149);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5745,1.41081,150);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5748,1.411,151);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5748,1.41101,152);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5751,1.41117,153);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5755,1.41141,154);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5758,1.41159,155);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.576,1.4117,156);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5762,1.41183,157);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5761,1.41223,158);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5764,1.41218,159);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5765,1.41216,160);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5766,1.4121,161);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5766,1.41202,162);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5769,1.41091,163);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5773,1.40984,164);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5774,1.4093,165);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5775,1.40912,166);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5776,1.40888,167);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5776,1.40871,168);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5778,1.40861,169);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5783,1.40967,170);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5787,1.41034,171);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5791,1.41105,172);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5791,1.41109,173);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5792,1.41109,174);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5792,1.41118,175);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5794,1.41146,176);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5797,1.41189,177);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5797,1.41195,178);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.58,1.41225,179);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5801,1.41164,180);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5803,1.41111,181);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5805,1.41024,182);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5807,1.40948,183);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5807,1.40947,184);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5809,1.40896,185);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.581,1.40839,186);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5811,1.40833,187);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5811,1.40837,188);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5812,1.40839,189);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5812,1.40839,190);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5812,1.40838,191);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5813,1.40835,192);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5813,1.4083,193);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5813,1.40825,194);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5813,1.4082,195);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5813,1.40814,196);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5813,1.4081,197);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5816,1.40793,198);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5819,1.40776,199);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5819,1.40773,200);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5824,1.40746,201);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5824,1.40749,202);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5824,1.40754,203);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5824,1.40758,204);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5825,1.4076,205);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5825,1.40759,206);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5826,1.40756,207);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5826,1.40752,208);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5826,1.40746,209);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5826,1.4074,210);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5826,1.40734,211);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5828,1.40723,212);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5829,1.40725,213);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.583,1.40725,214);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5834,1.40694,215);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5838,1.40666,216);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5839,1.40675,217);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5841,1.40723,218);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5842,1.40734,219);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5842,1.40746,220);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5843,1.40762,221);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5843,1.40784,222);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5844,1.40794,223);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5846,1.40817,224);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5847,1.40844,225);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5848,1.40896,226);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.585,1.40982,227);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.585,1.41001,228);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5851,1.41021,229);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5851,1.41034,230);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5851,1.41052,231);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5852,1.41099,232);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5854,1.41198,233);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5855,1.41236,234);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5856,1.41274,235);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5857,1.41316,236);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5859,1.41356,237);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.586,1.4139,238);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5862,1.41437,239);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5866,1.4154,240);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5872,1.41675,241);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5874,1.4174,242);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5876,1.41816,243);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5877,1.41823,244);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5878,1.41858,245);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5878,1.41868,246);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5883,1.42044,247);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5885,1.42084,248);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5886,1.42099,249);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5887,1.42114,250);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5889,1.42136,251);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5894,1.42191,252);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5898,1.42252,253);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5899,1.42261,254);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.59,1.42278,255);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5902,1.42332,256);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5904,1.42354,257);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.591,1.42467,258);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5911,1.42484,259);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5911,1.42491,260);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5912,1.42515,261);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5919,1.42659,262);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5922,1.42707,263);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5924,1.4274,264);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5924,1.42748,265);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5925,1.42768,266);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5926,1.42782,267);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5931,1.42852,268);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5936,1.42929,269);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5936,1.42933,270);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5936,1.42938,271);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5936,1.42943,272);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5936,1.42947,273);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5936,1.42948,274);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5937,1.42947,275);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5937,1.42943,276);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5938,1.42953,277);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5939,1.42962,278);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5941,1.42992,279);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5942,1.43006,280);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5942,1.43012,281);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5943,1.43018,282);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5943,1.43026,283);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5945,1.43048,284);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5946,1.43056,285);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5947,1.43065,286);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5948,1.4307,287);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5949,1.43079,288);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5952,1.431,289);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5954,1.43121,290);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5956,1.43132,291);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5956,1.43134,292);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5957,1.43136,293);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5957,1.43138,294);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5958,1.43142,295);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.596,1.43216,296);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5962,1.43203,297);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5963,1.43198,298);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5963,1.43193,299);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5965,1.43188,300);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5971,1.43147,301);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5975,1.43119,302);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5976,1.43108,303);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5978,1.43097,304);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5979,1.43135,305);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5979,1.43175,306);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.598,1.43205,307);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5981,1.43211,308);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5981,1.43201,309);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.598,1.4313,310);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.598,1.43085,311);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5979,1.4308,312);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5979,1.43076,313);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5979,1.43073,314);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5979,1.4307,315);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5978,1.43069,316);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5976,1.4309,317);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928031668,43.5975,1.43099,318);

-- --------------------------------------------------------
--
-- Structure de la table `traces`
--

CREATE TABLE `traces` (
  `idItineraire` bigint(20) NOT NULL,
  `idTrace` bigint(20) NOT NULL,
  PRIMARY KEY (`idItineraire`, `idTrace`),
  CONSTRAINT fk_traces_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_traces_idTrace
  FOREIGN KEY (idTrace)
  REFERENCES trace(idTrace)
);

--
-- Contenu de la table `traces`
--

INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074023, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074024, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074025, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074026, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074027, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074028, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074029, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074030, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074031, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074032, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074033, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074034, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074035, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074036, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074037, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074038, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074039, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074040, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074041, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074042, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074043, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074044, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074045, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074046, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074047, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074048, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074049, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074050, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074051, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074052, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074053, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074054, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074055, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074056, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074057, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074058, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074059, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074060, 4503603928031644);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074122, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074123, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074124, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074125, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074126, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074127, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074128, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074129, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074130, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074131, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074132, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074133, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074134, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074135, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074136, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074137, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074138, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074139, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074140, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074141, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074142, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074143, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074144, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074145, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074146, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074147, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074148, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074149, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074150, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074151, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074152, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074153, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074154, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074155, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074156, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074157, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074158, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074159, 4503603928031668);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928074160, 4503603928031668);
