-- --------------------------------------------------------
--
-- Structure de la table `organisme`
--

CREATE TABLE `organisme` (
  `idOrganisme` bigint(20) NOT NULL,
  `nomOrganisme` varchar(160) DEFAULT NULL,
  `telephone` varchar(10) DEFAULT NULL,
  `fuseauHoraire` varchar(160) DEFAULT NULL,
  `langue` varchar(160) DEFAULT NULL,
  `url` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`idOrganisme`)
);

--
-- Contenu de la table `organisme`
--

INSERT INTO `organisme` (`idOrganisme`, `nomOrganisme`, `telephone`, `fuseauHoraire`, `langue`, `url`) VALUES
(6192449487677451, 'Tisséo', '0561417070', 'Europe/Paris', 'fr', 'http://www.tisseo.fr');

-- --------------------------------------------------------
--
-- Structure de la table `conducteur`
--

CREATE TABLE `conducteur` (
  `codeConducteur` smallint(4) NOT NULL,
  `nomConducteur` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`codeConducteur`)
);

--
-- Contenu de la table `conducteur`
--

INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1, 'denis darmon');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (195, 'richard boue');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1234, 'fabrice allaire');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1962, 'nicolas lepretre');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (1993, 'jean lapierre');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (2121, 'cyril salomon');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (3082, 'olivier piquet');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (3553, 'laurine thibault');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (6340, 'marc gross');
INSERT INTO `conducteur` (`codeConducteur`, `nomConducteur`) VALUES (7275, 'fanny delaunay');

-- --------------------------------------------------------
--
-- Structure de la table `vehicule`
--

CREATE TABLE `vehicule` (
  `idVehicule` smallint(3) NOT NULL,
  `typeVehicule` varchar(160) DEFAULT NULL,
  `capacite` smallint(3) DEFAULT NULL,
  PRIMARY KEY (`idVehicule`)
);

--
-- Contenu de la table `vehicule`
--

INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (82, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (123, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (155, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (171, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (193, 'standard', 100);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (204, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (287, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (345, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (615, 'articulé', 148);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (679, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (766, 'midibus', 88);
INSERT INTO `vehicule` (`idVehicule`, `typeVehicule`, `capacite`) VALUES (986, 'articulé', 148);

-- --------------------------------------------------------
--
-- Structure de la table `ligne`
--

CREATE TABLE `ligne` (
  `idLigne` bigint(20) NOT NULL DEFAULT '0',
  `nomLong` varchar(160) DEFAULT NULL,
  `nomCourt` int(11) DEFAULT NULL,
  `description` varchar(160) DEFAULT NULL,
  `type` varchar(160) DEFAULT NULL,
  `couleurLigne` varchar(6) DEFAULT '000000',
  `couleurTexte` varchar(6) DEFAULT '000000',
  `idOrganisme` bigint(20) NOT NULL,
  PRIMARY KEY (`idLigne`),
  CONSTRAINT fk_ligne_idOrganisme
  FOREIGN KEY (idOrganisme)
  REFERENCES organisme(idOrganisme)
);

--
-- Contenu de la table `ligne`
--

INSERT INTO `ligne` (`idLigne`, `nomLong`, `nomCourt`, `description`, `type`, `couleurLigne`, `couleurTexte`, `idOrganisme`) VALUES 
(11821949021891637, 'Argoulets / Union Somport', 39, 'Ligne Argoulets / Union Somport', '3', '00c62d', 'FFFFFF', 6192449487677451);

-- --------------------------------------------------------
--
-- Structure de la table `calendrier`
--

CREATE TABLE `calendrier` (
  `idCalendrier` bigint(20) NOT NULL,
  `lundi` binary(1) DEFAULT NULL,
  `mardi` binary(1) DEFAULT NULL,
  `mercredi` binary(1) DEFAULT NULL,
  `jeudi` binary(1) DEFAULT NULL,
  `vendredi` binary(1) DEFAULT NULL,
  `samedi` binary(1) DEFAULT NULL,
  `dimanche` binary(1) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `dateFin` date DEFAULT NULL,
  PRIMARY KEY (`idCalendrier`)
);

--
-- Contenu de la table `calendrier`
--

INSERT INTO `calendrier` (`idCalendrier`, `lundi`, `mardi`, `mercredi`, `jeudi`, `vendredi`, `samedi`, `dimanche`, `dateDebut`, `dateFin`) VALUES (4503603928071505, '1', '1', '1', '1', '1', '0', '0', '2015-01-01', '2016-12-31');

-- --------------------------------------------------------
--
-- Structure de la table `itineraire`
--

CREATE TABLE `itineraire` (
  `idItineraire` bigint(20) NOT NULL,
  `destination` varchar(160) DEFAULT NULL,
  `direction` binary(1) DEFAULT NULL,
  `idCalendrier` bigint(20) DEFAULT NULL,
  `idLigne` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`idItineraire`),
  CONSTRAINT fk_itineraire_idCalendrier
  FOREIGN KEY (idCalendrier)
  REFERENCES calendrier(idCalendrier),
  CONSTRAINT fk_itineraire_idLigne
  FOREIGN KEY (idLigne)
  REFERENCES ligne(idLigne)
);

--
-- Contenu de la table `itineraire`
--

INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072201,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072202,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072203,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072204,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072205,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072206,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072207,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072208,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072209,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072210,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072211,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072212,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072213,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072214,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072215,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072216,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072217,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072218,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072219,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072220,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072221,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072222,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072223,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072224,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072225,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072226,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072227,4503603928071505,11821949021891637,'Union Somport UNION',1);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072228,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072229,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072230,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072231,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072232,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072233,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072234,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072235,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072236,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072237,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072238,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072239,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072240,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072241,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072242,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072243,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072244,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072245,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072246,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072247,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072248,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072249,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072250,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072251,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072252,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072253,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);
INSERT INTO `itineraire` (`idItineraire`, `idCalendrier`, `idLigne`, `destination`, `direction`) VALUES (4503603928072254,4503603928071505,11821949021891637,'Argoulets TOULOUSE',0);

-- --------------------------------------------------------
--
-- Structure de la table `arret`
--

CREATE TABLE `arret` (
  `idArret` bigint(20) NOT NULL,
  `heureArrivee` time DEFAULT NULL,
  `heureDepart` time DEFAULT NULL,
  `numeroSequence` int(11) DEFAULT NULL,
  `informationVoyageur` int(11) DEFAULT NULL,
  `idItineraire` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idArret`,`idItineraire`),
  CONSTRAINT fk_arret_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire)
);

--
-- Contenu de la table `arret`
--

INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720888416,0,'06:20:00','06:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881250,1,'06:22:00','06:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881248,2,'06:23:00','06:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881247,3,'06:24:00','06:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881245,4,'06:24:00','06:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881234,5,'06:25:00','06:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720888422,6,'06:27:00','06:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881242,7,'06:28:00','06:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720880759,8,'06:31:00','06:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881237,9,'06:31:00','06:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881238,10,'06:32:00','06:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881239,11,'06:32:00','06:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072201,3377699720881236,12,'06:32:00','06:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720888416,0,'06:57:00','06:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881250,1,'06:59:00','06:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881248,2,'07:00:00','07:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881247,3,'07:01:00','07:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881245,4,'07:01:00','07:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881234,5,'07:02:00','07:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720888422,6,'07:04:00','07:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881242,7,'07:05:00','07:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720880759,8,'07:08:00','07:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881237,9,'07:08:00','07:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881238,10,'07:09:00','07:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881239,11,'07:09:00','07:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072202,3377699720881236,12,'07:09:00','07:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720888416,0,'07:17:00','07:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881250,1,'07:19:00','07:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881248,2,'07:20:00','07:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881247,3,'07:21:00','07:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881245,4,'07:21:00','07:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881234,5,'07:22:00','07:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720888422,6,'07:24:00','07:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881242,7,'07:25:00','07:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720880759,8,'07:28:00','07:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881237,9,'07:28:00','07:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881238,10,'07:29:00','07:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881239,11,'07:29:00','07:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072203,3377699720881236,12,'07:29:00','07:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720888416,0,'07:37:00','07:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881250,1,'07:39:00','07:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881248,2,'07:42:00','07:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881247,3,'07:43:00','07:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881245,4,'07:43:00','07:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881234,5,'07:45:00','07:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720888422,6,'07:47:00','07:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881242,7,'07:48:00','07:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720880759,8,'07:51:00','07:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881237,9,'07:51:00','07:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881238,10,'07:52:00','07:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881239,11,'07:52:00','07:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072204,3377699720881236,12,'07:52:00','07:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720888416,0,'07:59:00','07:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881250,1,'08:01:00','08:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881248,2,'08:03:00','08:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881247,3,'08:04:00','08:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881245,4,'08:04:00','08:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881234,5,'08:05:00','08:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720888422,6,'08:07:00','08:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881242,7,'08:08:00','08:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720880759,8,'08:11:00','08:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881237,9,'08:11:00','08:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881238,10,'08:12:00','08:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881239,11,'08:12:00','08:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072205,3377699720881236,12,'08:12:00','08:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720888416,0,'08:21:00','08:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881250,1,'08:23:00','08:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881248,2,'08:25:00','08:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881247,3,'08:26:00','08:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881245,4,'08:26:00','08:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881234,5,'08:27:00','08:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720888422,6,'08:29:00','08:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881242,7,'08:30:00','08:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720880759,8,'08:33:00','08:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881237,9,'08:33:00','08:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881238,10,'08:34:00','08:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881239,11,'08:34:00','08:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072206,3377699720881236,12,'08:34:00','08:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720888416,0,'08:43:00','08:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881250,1,'08:45:00','08:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881248,2,'08:47:00','08:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881247,3,'08:48:00','08:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881245,4,'08:48:00','08:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881234,5,'08:49:00','08:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720888422,6,'08:51:00','08:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881242,7,'08:52:00','08:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720880759,8,'08:55:00','08:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881237,9,'08:55:00','08:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881238,10,'08:56:00','08:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881239,11,'08:56:00','08:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072207,3377699720881236,12,'08:56:00','08:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720888416,0,'09:05:00','09:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881250,1,'09:07:00','09:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881248,2,'09:09:00','09:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881247,3,'09:10:00','09:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881245,4,'09:10:00','09:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881234,5,'09:11:00','09:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720888422,6,'09:13:00','09:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881242,7,'09:14:00','09:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720880759,8,'09:17:00','09:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881237,9,'09:17:00','09:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881238,10,'09:18:00','09:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881239,11,'09:18:00','09:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072208,3377699720881236,12,'09:18:00','09:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720888416,0,'09:49:00','09:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881250,1,'09:51:00','09:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881248,2,'09:53:00','09:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881247,3,'09:54:00','09:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881245,4,'09:54:00','09:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881234,5,'09:55:00','09:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720888422,6,'09:57:00','09:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881242,7,'09:58:00','09:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720880759,8,'10:01:00','10:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881237,9,'10:01:00','10:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881238,10,'10:02:00','10:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881239,11,'10:02:00','10:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072209,3377699720881236,12,'10:02:00','10:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720888416,0,'10:33:00','10:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881250,1,'10:35:00','10:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881248,2,'10:37:00','10:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881247,3,'10:38:00','10:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881245,4,'10:38:00','10:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881234,5,'10:39:00','10:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720888422,6,'10:41:00','10:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881242,7,'10:42:00','10:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720880759,8,'10:45:00','10:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881237,9,'10:46:00','10:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881238,10,'10:46:00','10:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881239,11,'10:47:00','10:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072210,3377699720881236,12,'10:47:00','10:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720888416,0,'11:17:00','11:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881250,1,'11:19:00','11:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881248,2,'11:21:00','11:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881247,3,'11:22:00','11:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881245,4,'11:22:00','11:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881234,5,'11:23:00','11:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720888422,6,'11:25:00','11:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881242,7,'11:26:00','11:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720880759,8,'11:29:00','11:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881237,9,'11:30:00','11:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881238,10,'11:30:00','11:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881239,11,'11:31:00','11:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072211,3377699720881236,12,'11:31:00','11:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720888416,0,'12:01:00','12:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881250,1,'12:03:00','12:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881248,2,'12:05:00','12:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881247,3,'12:06:00','12:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881245,4,'12:06:00','12:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881234,5,'12:07:00','12:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720888422,6,'12:09:00','12:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881242,7,'12:10:00','12:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720880759,8,'12:13:00','12:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881237,9,'12:14:00','12:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881238,10,'12:14:00','12:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881239,11,'12:15:00','12:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072212,3377699720881236,12,'12:15:00','12:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720888416,0,'12:46:00','12:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881250,1,'12:48:00','12:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881248,2,'12:50:00','12:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881247,3,'12:51:00','12:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881245,4,'12:51:00','12:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881234,5,'12:52:00','12:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720888422,6,'12:54:00','12:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881242,7,'12:55:00','12:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720880759,8,'12:58:00','12:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881237,9,'12:59:00','12:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881238,10,'12:59:00','12:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881239,11,'13:00:00','13:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072213,3377699720881236,12,'13:00:00','13:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720888416,0,'13:31:00','13:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881250,1,'13:34:00','13:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881248,2,'13:36:00','13:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881247,3,'13:38:00','13:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881245,4,'13:38:00','13:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881234,5,'13:39:00','13:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720888422,6,'13:41:00','13:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881242,7,'13:42:00','13:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720880759,8,'13:45:00','13:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881237,9,'13:46:00','13:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881238,10,'13:46:00','13:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881239,11,'13:47:00','13:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072214,3377699720881236,12,'13:47:00','13:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720888416,0,'14:16:00','14:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881250,1,'14:18:00','14:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881248,2,'14:20:00','14:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881247,3,'14:21:00','14:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881245,4,'14:21:00','14:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881234,5,'14:22:00','14:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720888422,6,'14:24:00','14:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881242,7,'14:25:00','14:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720880759,8,'14:28:00','14:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881237,9,'14:29:00','14:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881238,10,'14:29:00','14:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881239,11,'14:30:00','14:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072215,3377699720881236,12,'14:30:00','14:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720888416,0,'17:40:00','17:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881250,1,'17:42:00','17:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881248,2,'17:45:00','17:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881247,3,'17:46:00','17:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881245,4,'17:46:00','17:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881234,5,'17:47:00','17:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720888422,6,'17:49:00','17:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881242,7,'17:50:00','17:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720880759,8,'17:54:00','17:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881237,9,'17:54:00','17:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881238,10,'17:55:00','17:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881239,11,'17:55:00','17:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072216,3377699720881236,12,'17:56:00','17:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720888416,0,'18:03:00','18:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881250,1,'18:05:00','18:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881248,2,'18:08:00','18:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881247,3,'18:09:00','18:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881245,4,'18:09:00','18:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881234,5,'18:10:00','18:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720888422,6,'18:12:00','18:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881242,7,'18:13:00','18:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720880759,8,'18:17:00','18:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881237,9,'18:17:00','18:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881238,10,'18:18:00','18:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881239,11,'18:18:00','18:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072217,3377699720881236,12,'18:19:00','18:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720888416,0,'18:26:00','18:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881250,1,'18:28:00','18:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881248,2,'18:30:00','18:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881247,3,'18:31:00','18:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881245,4,'18:31:00','18:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881234,5,'18:32:00','18:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720888422,6,'18:34:00','18:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881242,7,'18:35:00','18:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720880759,8,'18:39:00','18:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881237,9,'18:39:00','18:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881238,10,'18:40:00','18:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881239,11,'18:40:00','18:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072218,3377699720881236,12,'18:41:00','18:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720888416,0,'18:47:00','18:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881250,1,'18:49:00','18:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881248,2,'18:51:00','18:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881247,3,'18:52:00','18:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881245,4,'18:52:00','18:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881234,5,'18:53:00','18:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720888422,6,'18:55:00','18:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881242,7,'18:56:00','18:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720880759,8,'18:59:00','18:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881237,9,'19:00:00','19:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881238,10,'19:00:00','19:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881239,11,'19:01:00','19:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072219,3377699720881236,12,'19:01:00','19:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720888416,0,'15:01:00','15:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881250,1,'15:03:00','15:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881248,2,'15:05:00','15:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881247,3,'15:06:00','15:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881245,4,'15:06:00','15:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881234,5,'15:07:00','15:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720888422,6,'15:09:00','15:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881242,7,'15:10:00','15:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720880759,8,'15:13:00','15:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881237,9,'15:14:00','15:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881238,10,'15:14:00','15:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881239,11,'15:15:00','15:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072220,3377699720881236,12,'15:15:00','15:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720888416,0,'15:46:00','15:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881250,1,'15:48:00','15:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881248,2,'15:50:00','15:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881247,3,'15:51:00','15:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881245,4,'15:51:00','15:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881234,5,'15:52:00','15:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720888422,6,'15:54:00','15:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881242,7,'15:55:00','15:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720880759,8,'15:58:00','15:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881237,9,'15:59:00','15:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881238,10,'15:59:00','15:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881239,11,'16:00:00','16:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072221,3377699720881236,12,'16:00:00','16:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720888416,0,'16:08:00','16:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881250,1,'16:10:00','16:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881248,2,'16:12:00','16:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881247,3,'16:13:00','16:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881245,4,'16:13:00','16:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881234,5,'16:14:00','16:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720888422,6,'16:16:00','16:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881242,7,'16:17:00','16:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720880759,8,'16:20:00','16:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881237,9,'16:21:00','16:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881238,10,'16:21:00','16:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881239,11,'16:22:00','16:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072222,3377699720881236,12,'16:22:00','16:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720888416,0,'16:31:00','16:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881250,1,'16:33:00','16:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881248,2,'16:35:00','16:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881247,3,'16:36:00','16:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881245,4,'16:36:00','16:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881234,5,'16:37:00','16:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720888422,6,'16:39:00','16:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881242,7,'16:40:00','16:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720880759,8,'16:44:00','16:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881237,9,'16:44:00','16:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881238,10,'16:45:00','16:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881239,11,'16:45:00','16:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072223,3377699720881236,12,'16:46:00','16:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720888416,0,'17:17:00','17:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881250,1,'17:19:00','17:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881248,2,'17:22:00','17:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881247,3,'17:23:00','17:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881245,4,'17:23:00','17:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881234,5,'17:25:00','17:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720888422,6,'17:27:00','17:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881242,7,'17:28:00','17:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720880759,8,'17:32:00','17:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881237,9,'17:32:00','17:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881238,10,'17:33:00','17:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881239,11,'17:33:00','17:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072224,3377699720881236,12,'17:34:00','17:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720888416,0,'16:54:00','16:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881250,1,'16:56:00','16:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881248,2,'16:58:00','16:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881247,3,'16:59:00','16:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881245,4,'16:59:00','16:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881234,5,'17:00:00','17:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720888422,6,'17:02:00','17:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881242,7,'17:03:00','17:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720880759,8,'17:07:00','17:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881237,9,'17:07:00','17:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881238,10,'17:08:00','17:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881239,11,'17:08:00','17:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072225,3377699720881236,12,'17:09:00','17:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720888416,0,'19:30:00','19:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881250,1,'19:32:00','19:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881248,2,'19:34:00','19:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881247,3,'19:35:00','19:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881245,4,'19:35:00','19:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881234,5,'19:36:00','19:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720888422,6,'19:38:00','19:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881242,7,'19:39:00','19:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720880759,8,'19:42:00','19:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881237,9,'19:43:00','19:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881238,10,'19:43:00','19:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881239,11,'19:44:00','19:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072226,3377699720881236,12,'19:44:00','19:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720888416,0,'20:20:00','20:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881250,1,'20:22:00','20:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881248,2,'20:24:00','20:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881247,3,'20:25:00','20:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881245,4,'20:25:00','20:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881234,5,'20:26:00','20:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720888422,6,'20:28:00','20:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881242,7,'20:28:00','20:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720880759,8,'20:31:00','20:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881237,9,'20:32:00','20:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881238,10,'20:32:00','20:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881239,11,'20:33:00','20:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072227,3377699720881236,12,'20:33:00','20:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881236,0,'06:00:00','06:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720880758,1,'06:01:00','06:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881241,2,'06:03:00','06:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881235,3,'06:06:00','06:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881244,4,'06:07:00','06:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881246,5,'06:08:00','06:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881249,6,'06:09:00','06:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720881251,7,'06:11:00','06:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072228,3377699720888416,8,'06:13:00','06:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881236,0,'06:39:00','06:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720880758,1,'06:40:00','06:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881241,2,'06:42:00','06:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881235,3,'06:45:00','06:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881244,4,'06:46:00','06:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881246,5,'06:48:00','06:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881249,6,'06:49:00','06:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720881251,7,'06:51:00','06:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072229,3377699720888416,8,'06:53:00','06:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881236,0,'06:57:00','06:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720880758,1,'06:58:00','06:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881241,2,'07:00:00','07:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881235,3,'07:03:00','07:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881244,4,'07:04:00','07:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881246,5,'07:06:00','07:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881249,6,'07:07:00','07:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720881251,7,'07:09:00','07:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072230,3377699720888416,8,'07:11:00','07:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881236,0,'07:15:00','07:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720880758,1,'07:16:00','07:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881241,2,'07:18:00','07:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881235,3,'07:22:00','07:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881244,4,'07:23:00','07:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881246,5,'07:25:00','07:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881249,6,'07:26:00','07:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720881251,7,'07:28:00','07:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072231,3377699720888416,8,'07:30:00','07:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881236,0,'07:37:00','07:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720880758,1,'07:38:00','07:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881241,2,'07:40:00','07:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881235,3,'07:44:00','07:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881244,4,'07:45:00','07:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881246,5,'07:47:00','07:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881249,6,'07:48:00','07:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720881251,7,'07:50:00','07:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072232,3377699720888416,8,'07:52:00','07:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881236,0,'07:59:00','07:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720880758,1,'08:00:00','08:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881241,2,'08:02:00','08:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881235,3,'08:06:00','08:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881244,4,'08:07:00','08:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881246,5,'08:09:00','08:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881249,6,'08:10:00','08:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720881251,7,'08:13:00','08:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072233,3377699720888416,8,'08:15:00','08:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881236,0,'08:21:00','08:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720880758,1,'08:22:00','08:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881241,2,'08:24:00','08:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881235,3,'08:28:00','08:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881244,4,'08:29:00','08:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881246,5,'08:31:00','08:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881249,6,'08:32:00','08:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720881251,7,'08:35:00','08:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072234,3377699720888416,8,'08:37:00','08:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881236,0,'08:43:00','08:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720880758,1,'08:44:00','08:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881241,2,'08:46:00','08:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881235,3,'08:50:00','08:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881244,4,'08:51:00','08:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881246,5,'08:53:00','08:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881249,6,'08:54:00','08:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720881251,7,'08:57:00','08:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072235,3377699720888416,8,'08:59:00','08:59:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881236,0,'09:05:00','09:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720880758,1,'09:06:00','09:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881241,2,'09:08:00','09:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881235,3,'09:12:00','09:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881244,4,'09:13:00','09:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881246,5,'09:15:00','09:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881249,6,'09:16:00','09:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720881251,7,'09:19:00','09:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072236,3377699720888416,8,'09:21:00','09:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881236,0,'09:27:00','09:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720880758,1,'09:28:00','09:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881241,2,'09:30:00','09:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881235,3,'09:34:00','09:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881244,4,'09:35:00','09:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881246,5,'09:37:00','09:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881249,6,'09:38:00','09:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720881251,7,'09:40:00','09:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072237,3377699720888416,8,'09:42:00','09:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881236,0,'10:11:00','10:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720880758,1,'10:12:00','10:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881241,2,'10:14:00','10:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881235,3,'10:18:00','10:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881244,4,'10:19:00','10:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881246,5,'10:21:00','10:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881249,6,'10:22:00','10:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720881251,7,'10:24:00','10:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072238,3377699720888416,8,'10:26:00','10:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881236,0,'11:39:00','11:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720880758,1,'11:40:00','11:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881241,2,'11:42:00','11:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881235,3,'11:46:00','11:46:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881244,4,'11:47:00','11:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881246,5,'11:49:00','11:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881249,6,'11:50:00','11:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720881251,7,'11:52:00','11:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072239,3377699720888416,8,'11:54:00','11:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881236,0,'12:24:00','12:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720880758,1,'12:25:00','12:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881241,2,'12:27:00','12:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881235,3,'12:31:00','12:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881244,4,'12:32:00','12:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881246,5,'12:34:00','12:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881249,6,'12:35:00','12:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720881251,7,'12:37:00','12:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072240,3377699720888416,8,'12:39:00','12:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881236,0,'13:09:00','13:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720880758,1,'13:10:00','13:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881241,2,'13:12:00','13:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881235,3,'13:16:00','13:16:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881244,4,'13:17:00','13:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881246,5,'13:19:00','13:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881249,6,'13:20:00','13:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720881251,7,'13:22:00','13:22:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072241,3377699720888416,8,'13:24:00','13:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881236,0,'13:54:00','13:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720880758,1,'13:55:00','13:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881241,2,'13:58:00','13:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881235,3,'14:02:00','14:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881244,4,'14:03:00','14:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881246,5,'14:05:00','14:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881249,6,'14:06:00','14:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720881251,7,'14:09:00','14:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072242,3377699720888416,8,'14:11:00','14:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881236,0,'16:54:00','16:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720880758,1,'16:55:00','16:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881241,2,'16:58:00','16:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881235,3,'17:02:00','17:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881244,4,'17:03:00','17:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881246,5,'17:05:00','17:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881249,6,'17:06:00','17:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720881251,7,'17:08:00','17:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072243,3377699720888416,8,'17:10:00','17:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881236,0,'17:40:00','17:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720880758,1,'17:41:00','17:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881241,2,'17:44:00','17:44:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881235,3,'17:48:00','17:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881244,4,'17:49:00','17:49:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881246,5,'17:51:00','17:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881249,6,'17:52:00','17:52:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720881251,7,'17:54:00','17:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072244,3377699720888416,8,'17:56:00','17:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881236,0,'18:03:00','18:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720880758,1,'18:04:00','18:04:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881241,2,'18:07:00','18:07:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881235,3,'18:11:00','18:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881244,4,'18:12:00','18:12:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881246,5,'18:14:00','18:14:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881249,6,'18:15:00','18:15:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720881251,7,'18:17:00','18:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072245,3377699720888416,8,'18:19:00','18:19:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881236,0,'18:26:00','18:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720880758,1,'18:27:00','18:27:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881241,2,'18:30:00','18:30:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881235,3,'18:34:00','18:34:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881244,4,'18:35:00','18:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881246,5,'18:37:00','18:37:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881249,6,'18:38:00','18:38:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720881251,7,'18:40:00','18:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072246,3377699720888416,8,'18:42:00','18:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881236,0,'19:10:00','19:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720880758,1,'19:11:00','19:11:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881241,2,'19:13:00','19:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881235,3,'19:17:00','19:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881244,4,'19:18:00','19:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881246,5,'19:20:00','19:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881249,6,'19:21:00','19:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720881251,7,'19:23:00','19:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072247,3377699720888416,8,'19:25:00','19:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881236,0,'19:50:00','19:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720880758,1,'19:51:00','19:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881241,2,'19:53:00','19:53:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881235,3,'19:57:00','19:57:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881244,4,'19:58:00','19:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881246,5,'20:00:00','20:00:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881249,6,'20:01:00','20:01:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720881251,7,'20:03:00','20:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072248,3377699720888416,8,'20:05:00','20:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881236,0,'10:55:00','10:55:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720880758,1,'10:56:00','10:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881241,2,'10:58:00','10:58:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881235,3,'11:02:00','11:02:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881244,4,'11:03:00','11:03:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881246,5,'11:05:00','11:05:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881249,6,'11:06:00','11:06:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720881251,7,'11:08:00','11:08:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072249,3377699720888416,8,'11:10:00','11:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881236,0,'14:39:00','14:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720880758,1,'14:40:00','14:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881241,2,'14:43:00','14:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881235,3,'14:47:00','14:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881244,4,'14:48:00','14:48:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881246,5,'14:50:00','14:50:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881249,6,'14:51:00','14:51:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720881251,7,'14:54:00','14:54:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072250,3377699720888416,8,'14:56:00','14:56:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881236,0,'15:24:00','15:24:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720880758,1,'15:25:00','15:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881241,2,'15:28:00','15:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881235,3,'15:32:00','15:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881244,4,'15:33:00','15:33:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881246,5,'15:35:00','15:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881249,6,'15:36:00','15:36:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720881251,7,'15:39:00','15:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072251,3377699720888416,8,'15:41:00','15:41:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881236,0,'16:09:00','16:09:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720880758,1,'16:10:00','16:10:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881241,2,'16:13:00','16:13:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881235,3,'16:17:00','16:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881244,4,'16:18:00','16:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881246,5,'16:20:00','16:20:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881249,6,'16:21:00','16:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720881251,7,'16:23:00','16:23:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072252,3377699720888416,8,'16:25:00','16:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881236,0,'16:31:00','16:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720880758,1,'16:32:00','16:32:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881241,2,'16:35:00','16:35:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881235,3,'16:39:00','16:39:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881244,4,'16:40:00','16:40:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881246,5,'16:42:00','16:42:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881249,6,'16:43:00','16:43:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720881251,7,'16:45:00','16:45:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072253,3377699720888416,8,'16:47:00','16:47:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881236,0,'17:17:00','17:17:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720880758,1,'17:18:00','17:18:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881241,2,'17:21:00','17:21:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881235,3,'17:25:00','17:25:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881244,4,'17:26:00','17:26:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881246,5,'17:28:00','17:28:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881249,6,'17:29:00','17:29:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720881251,7,'17:31:00','17:31:00',0);
INSERT INTO `arret` (`idItineraire`, `idArret`, `numeroSequence`, `heureArrivee`, `heureDepart`, `informationVoyageur`) VALUES (4503603928072254,3377699720888416,8,'17:33:00','17:33:00',0);

-- --------------------------------------------------------
--
-- Structure de la table `lieu`
--

CREATE TABLE `lieu` (
  `idArret` bigint(20) NOT NULL,
  `codeArret` int(11) NOT NULL,
  `nomLieu` varchar(160) DEFAULT NULL,
  `latitude` varchar(160) DEFAULT NULL,
  `longitude` varchar(160) DEFAULT NULL,
  `typeLieu` binary(1) DEFAULT NULL,
  `stationParente` bigint(20) NOT NULL,
  PRIMARY KEY (`idArret`)
);

--
-- Contenu de la table `lieu`
--

INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720888416,343,'Argoulets',43.6245,1.47742,0,1970324837190453);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881250,1800,'Cambard',43.6294,1.47642,0,1970324837184924);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881248,7250,'Vasseur',43.6363,1.47279,0,1970324837184923);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881247,5160,'Ohnet',43.6389,1.471,0,1970324837184922);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881245,1900,'Caunes',43.6403,1.46965,0,1970324837184921);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881234,6570,'Atlanta',43.6424,1.46744,0,1970324837184917);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720888422,19070,'St-Caprais',43.6475,1.47079,0,1970324837190454);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881242,10110,'Bayonne',43.6503,1.47231,0,1970324837184920);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880759,10160,'Ctre Cial Union',43.6565,1.47985,0,1970324837184690);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881237,10180,'Union Somport',43.655,1.48246,0,1970324837184918);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881238,10190,'Montcalm',43.6535,1.48441,0,1970324837184919);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881239,10192,'Montcalm',43.6533,1.48471,0,1970324837184919);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881236,10181,'Union Somport',43.6553,1.4819,0,1970324837184918);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720880758,10163,'Ctre Cial Union',43.6566,1.47932,0,1970324837184690);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881241,10111,'Bayonne',43.6492,1.47125,0,1970324837184920);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881235,6571,'Atlanta',43.6433,1.46783,0,1970324837184917);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881244,1901,'Caunes',43.6405,1.46937,0,1970324837184921);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881246,5161,'Ohnet',43.6384,1.47152,0,1970324837184922);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881249,7251,'Vasseur',43.6351,1.47323,0,1970324837184923);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881251,1801,'Cambard',43.6293,1.47632,0,1970324837184924);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720887720,19890,'Piquemil',43.6125,1.31949,0,1970324837189860);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881548,19900,'Lycée International',43.6124,1.3103,0,1970324837185074);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720886670,19910,'Tuilerie',43.6165,1.29011,0,1970324837188855);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881546,19920,'Basilique',43.6179,1.28327,0,1970324837185072);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720881545,19930,'Stade',43.6154,1.27604,0,1970324837185071);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720886671,19940,'Château Cru',43.6129,1.26819,0,1970324837188856);
INSERT INTO `lieu` (`idArret`, `codeArret`, `nomLieu`, `latitude`, `longitude`, `typeLieu`, `stationParente`) VALUES (3377699720888294,19950,'La Chauge',43.6157,1.24983,0,1970324837190345);

-- --------------------------------------------------------
--
-- Structure de la table `service`
--

CREATE TABLE `service` (
  `idService` bigint(20) NOT NULL,
  `codeConducteur` smallint(4) DEFAULT NULL,
  `idVehicule` smallint(3) DEFAULT NULL,
  `dateDebut` date DEFAULT NULL,
  `heureDebut` time DEFAULT NULL,
  `dateFin` date DEFAULT NULL,  
  `heureFin` time DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idService`),  
  CONSTRAINT fk_service_codeConducteur
  FOREIGN KEY (codeConducteur)
  REFERENCES conducteur(codeConducteur),
  CONSTRAINT fk_service_idVehicule
  FOREIGN KEY (idVehicule)
  REFERENCES vehicule(idVehicule)
);

--
-- Contenu de la table `service`
--

INSERT INTO `service` (`idService`, `codeConducteur`, `idVehicule`, `dateDebut`, `heureDebut`, `dateFin`, `heureFin` , `effectue`) VALUES (5, 7275, 193, '2015-07-11', '07:00:00', '', '', 0);
INSERT INTO `service` (`idService`, `codeConducteur`, `idVehicule`, `dateDebut`, `heureDebut`, `dateFin`, `heureFin` , `effectue`) VALUES (6, 6340, 193, '2015-07-11', '09:00:00', '', '', 0);

-- --------------------------------------------------------
--
-- Structure de la table `course`
--

CREATE TABLE `course` (
  `idItineraire` bigint(20) NOT NULL,
  `idService` smallint(3) DEFAULT NULL,
  `effectue` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idItineraire`, `idService`),
  CONSTRAINT fk_course_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_course_idService
  FOREIGN KEY (idService)
  REFERENCES service(idService)
);

--
-- Contenu de la table `course`
--

INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072228, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072201, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072229, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072202, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072230, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072203, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072231, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072204, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072232, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072205, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072233, 5, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072206, 5, 0);

INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072252, 6, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072225, 6, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072253, 6, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072226, 6, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072254, 6, 0);
INSERT INTO `course` (`idItineraire`, `idService`, `effectue`) VALUES (4503603928072227, 6, 0);

-- --------------------------------------------------------
--
-- Structure de la table `trace`
--

CREATE TABLE `trace` (
  `idTrace` bigint(20) NOT NULL,
  `pt_lat` real DEFAULT NULL,
  `pt_lon` real DEFAULT NULL,
  `pt_sequence` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`idTrace`, `pt_sequence`)
);

--
-- Contenu de la table `trace`
--

INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6244,1.47735,0);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6245,1.47726,1);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6245,1.47719,2);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6248,1.47695,3);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6249,1.47679,4);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6251,1.47661,5);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6253,1.47655,6);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6255,1.47655,7);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6257,1.47664,8);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6259,1.47677,9);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6261,1.47688,10);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6262,1.47705,11);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6264,1.47737,12);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6265,1.47761,13);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6266,1.47766,14);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6267,1.47767,15);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6268,1.47769,16);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6268,1.47775,17);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6269,1.47779,18);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6269,1.47781,19);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.627,1.4778,20);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6271,1.47776,21);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6271,1.47768,22);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6271,1.47764,23);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6272,1.47755,24);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6272,1.47747,25);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6274,1.47731,26);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6281,1.47694,27);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6286,1.47672,28);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6288,1.47664,29);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.629,1.47656,30);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6294,1.4764,31);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6294,1.47639,32);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6307,1.47572,33);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6311,1.47548,34);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.632,1.47497,35);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6333,1.47427,36);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6334,1.47417,37);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6336,1.47406,38);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6338,1.47399,39);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6339,1.47387,40);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6356,1.473,41);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6358,1.47291,42);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6359,1.47284,43);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6363,1.47273,44);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6368,1.47258,45);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6372,1.47248,46);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6375,1.47236,47);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6378,1.47223,48);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.638,1.47208,49);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6382,1.47179,50);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6385,1.47153,51);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6387,1.47121,52);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6389,1.47095,53);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.639,1.47076,54);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6394,1.47033,55);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6399,1.4699,56);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6402,1.46966,57);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6403,1.4696,58);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6404,1.46947,59);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6406,1.46928,60);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6409,1.46898,61);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6412,1.46859,62);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6414,1.46814,63);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6418,1.46752,64);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.642,1.46726,65);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.642,1.46723,66);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6423,1.46734,67);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6424,1.46737,68);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6428,1.46761,69);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6432,1.46785,70);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6435,1.46814,71);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6439,1.46845,72);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6441,1.46865,73);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6442,1.46873,74);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6445,1.46892,75);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6447,1.4691,76);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6448,1.46919,77);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6452,1.46943,78);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6453,1.46952,79);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6456,1.46971,80);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.646,1.46991,81);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6463,1.47006,82);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6465,1.47018,83);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6467,1.47029,84);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6469,1.4704,85);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6471,1.47047,86);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6471,1.47053,87);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6471,1.47057,88);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6472,1.4706,89);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6472,1.47061,90);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6473,1.4706,91);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6475,1.47067,92);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6475,1.47071,93);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6481,1.47098,94);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6486,1.47124,95);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6488,1.47135,96);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.649,1.47147,97);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6492,1.47157,98);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6495,1.47178,99);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6498,1.472,100);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.65,1.47215,101);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6503,1.4723,102);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6503,1.47231,103);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6504,1.47239,104);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6507,1.47258,105);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6509,1.47264,106);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6515,1.47302,107);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6521,1.4735,108);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6528,1.47409,109);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6533,1.47445,110);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6536,1.47474,111);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6538,1.47494,112);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.654,1.47512,113);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6541,1.47528,114);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6543,1.47554,115);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6544,1.47592,116);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6545,1.47637,117);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6546,1.4767,118);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6547,1.47693,119);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6549,1.47712,120);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6551,1.47739,121);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6551,1.47742,122);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6551,1.47746,123);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6551,1.47751,124);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6552,1.47752,125);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6552,1.47751,126);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6552,1.4775,127);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6554,1.47772,128);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6555,1.47797,129);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6557,1.47823,130);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6565,1.47928,131);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6567,1.47956,132);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6568,1.47968,133);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6566,1.47993,134);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6565,1.47997,135);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6565,1.48008,136);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6561,1.48062,137);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6559,1.48101,138);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.655,1.48246,139);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6548,1.48285,140);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6546,1.48263,141);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6545,1.4828,142);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6541,1.48334,143);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6539,1.48383,144);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6537,1.48415,145);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6535,1.48444,146);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.48485,147);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.48498,148);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.48494,149);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.4849,150);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.48487,151);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.48485,152);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6532,1.48485,153);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6533,1.4847,154);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6537,1.48415,155);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6539,1.48383,156);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6541,1.48334,157);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6545,1.4828,158);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6546,1.48263,159);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6548,1.48285,160);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072201,43.6553,1.48196,161);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6553,1.48196,0);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6559,1.48101,1);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6561,1.48062,2);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6565,1.48008,3);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6565,1.47997,4);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6566,1.47993,5);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6568,1.47968,6);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6567,1.47956,7);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6566,1.47936,8);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6565,1.47928,9);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6557,1.47823,10);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6555,1.47797,11);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6554,1.47772,12);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6552,1.4775,13);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6552,1.47745,14);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6552,1.4774,15);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6552,1.47736,16);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6552,1.47735,17);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6551,1.47736,18);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6551,1.47739,19);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6549,1.47712,20);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6547,1.47693,21);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6546,1.4767,22);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6545,1.47637,23);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6544,1.47592,24);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6543,1.47554,25);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6541,1.47528,26);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.654,1.47512,27);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6538,1.47494,28);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6536,1.47474,29);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6533,1.47445,30);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6528,1.47409,31);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6521,1.4735,32);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6515,1.47302,33);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6509,1.47264,34);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6508,1.4725,35);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6506,1.47231,36);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6504,1.47216,37);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6501,1.47197,38);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6499,1.47178,39);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6496,1.47156,40);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6493,1.47138,41);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6492,1.47133,42);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6487,1.47111,43);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6479,1.47073,44);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6476,1.47058,45);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6475,1.47048,46);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6474,1.47038,47);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6473,1.4703,48);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6473,1.47025,49);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6472,1.47021,50);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6472,1.4702,51);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6471,1.47021,52);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.647,1.47015,53);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6467,1.47001,54);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6465,1.46988,55);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6461,1.4696,56);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6458,1.46943,57);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6456,1.46931,58);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6455,1.46926,59);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6453,1.46915,60);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6452,1.4691,61);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.645,1.46891,62);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6448,1.46884,63);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6446,1.46873,64);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6443,1.46849,65);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6442,1.46842,66);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6438,1.46825,67);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6434,1.46797,68);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6433,1.46789,69);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6432,1.46785,70);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6428,1.46761,71);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6424,1.46737,72);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6423,1.46734,73);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.642,1.46706,74);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.642,1.46699,75);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.642,1.46695,76);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6419,1.46694,77);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6419,1.46695,78);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6418,1.46698,79);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6418,1.46702,80);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6418,1.46709,81);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6418,1.46716,82);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6418,1.46721,83);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6418,1.46752,84);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6414,1.46814,85);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6412,1.46859,86);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6409,1.46898,87);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6406,1.46928,88);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6405,1.46937,89);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6404,1.46947,90);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6403,1.4696,91);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6402,1.46966,92);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6399,1.4699,93);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6394,1.47033,94);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.639,1.47076,95);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6389,1.47095,96);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6387,1.47121,97);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6385,1.47153,98);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6384,1.47159,99);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6382,1.47179,100);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.638,1.47208,101);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6378,1.47223,102);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6375,1.47236,103);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6372,1.47248,104);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6368,1.47258,105);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6359,1.47284,106);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6358,1.47291,107);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6356,1.473,108);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6352,1.47317,109);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6351,1.47322,110);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6339,1.47387,111);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6338,1.4739,112);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6336,1.47398,113);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6334,1.47409,114);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6333,1.47417,115);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.632,1.47483,116);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.631,1.47536,117);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6306,1.47561,118);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6298,1.4761,119);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6293,1.47628,120);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6291,1.47637,121);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.629,1.47642,122);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6289,1.47648,123);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6283,1.47674,124);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6279,1.47697,125);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6277,1.47705,126);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6273,1.47718,127);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6271,1.47725,128);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.627,1.47721,129);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6269,1.47721,130);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6269,1.47725,131);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6268,1.47732,132);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6268,1.4774,133);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6268,1.47747,134);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6267,1.47747,135);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6266,1.4775,136);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6265,1.47761,137);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6264,1.47737,138);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6262,1.47705,139);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6261,1.47688,140);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6259,1.47677,141);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6257,1.47664,142);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6255,1.47655,143);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6253,1.47655,144);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6251,1.47661,145);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6249,1.47679,146);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6248,1.47695,147);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6245,1.47719,148);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6245,1.47726,149);
INSERT INTO `trace` (`idTrace`, `pt_lat`, `pt_lon`, `pt_sequence`) VALUES (4503603928072228,43.6244,1.47735,150);

-- --------------------------------------------------------
--
-- Structure de la table `traces`
--

CREATE TABLE `traces` (
  `idItineraire` bigint(20) NOT NULL,
  `idTrace` bigint(20) NOT NULL,
  PRIMARY KEY (`idItineraire`, `idTrace`),
  CONSTRAINT fk_traces_idItineraire
  FOREIGN KEY (idItineraire)
  REFERENCES itineraire(idItineraire),
  CONSTRAINT fk_traces_idTrace
  FOREIGN KEY (idTrace)
  REFERENCES trace(idTrace)
);

--
-- Contenu de la table `traces`
--

INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072201,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072202,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072203,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072204,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072205,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072206,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072207,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072208,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072209,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072210,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072211,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072212,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072213,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072214,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072215,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072216,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072217,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072218,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072219,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072220,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072221,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072222,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072223,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072224,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072225,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072226,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072227,4503603928072201);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072228,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072229,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072230,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072231,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072232,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072233,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072234,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072235,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072236,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072237,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072238,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072239,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072240,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072241,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072242,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072243,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072244,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072245,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072246,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072247,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072248,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072249,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072250,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072251,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072252,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072253,4503603928072228);
INSERT INTO `traces` (`idItineraire`, `idTrace`) VALUES (4503603928072254,4503603928072228);
